/* A Bison parser, made by GNU Bison 3.7.6.  */

/* Bison implementation for Yacc-like parsers in C

   Copyright (C) 1984, 1989-1990, 2000-2015, 2018-2021 Free Software Foundation,
   Inc.

   This program is free software: you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation, either version 3 of the License, or
   (at your option) any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program.  If not, see <https://www.gnu.org/licenses/>.  */

/* As a special exception, you may create a larger work that contains
   part or all of the Bison parser skeleton and distribute that work
   under terms of your choice, so long as that work isn't itself a
   parser generator using the skeleton or a modified version thereof
   as a parser skeleton.  Alternatively, if you modify or redistribute
   the parser skeleton itself, you may (at your option) remove this
   special exception, which will cause the skeleton and the resulting
   Bison output files to be licensed under the GNU General Public
   License without this special exception.

   This special exception was added by the Free Software Foundation in
   version 2.2 of Bison.  */

/* C LALR(1) parser skeleton written by Richard Stallman, by
   simplifying the original so-called "semantic" parser.  */

/* DO NOT RELY ON FEATURES THAT ARE NOT DOCUMENTED in the manual,
   especially those whose name start with YY_ or yy_.  They are
   private implementation details that can be changed or removed.  */

/* All symbols defined below should begin with yy or YY, to avoid
   infringing on user name space.  This should be done even for local
   variables, as they might otherwise be expanded by user macros.
   There are some unavoidable exceptions within include files to
   define necessary library symbols; they are noted "INFRINGES ON
   USER NAME SPACE" below.  */

/* Identify Bison output, and Bison version.  */
#define YYBISON 30706

/* Bison version string.  */
#define YYBISON_VERSION "3.7.6"

/* Skeleton name.  */
#define YYSKELETON_NAME "yacc.c"

/* Pure parsers.  */
#define YYPURE 0

/* Push parsers.  */
#define YYPUSH 0

/* Pull parsers.  */
#define YYPULL 1




/* First part of user prologue.  */
#line 1 "configparser.yy"

/* parser for config file (bison generated)
 * This file belongs to Worker, a file manager for UN*X/X11.
 * Copyright (C) 2003-2021 Ralf Hoffmann.
 * You can contact me at: ralf@boomerangsworld.de
 *   or http://www.boomerangsworld.de/worker
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 */

#include "wdefines.h"
#include "wconfig.h"
#include "wcdoubleshortkey.hh"
#include "wcpath.hh"
#include "wcfiletype.hh"
#include "wchotkey.hh"
#include "wcbutton.hh"
#include <stdlib.h>
#include <string.h>
#include "worker_commands.h"
#include "configheader.h"
#include <list>
#include "verzeichnis.hh"
#include <map>
#include "dirfiltersettings.hh"
#include "layoutsettings.hh"
#include "simplelist.hh"
#include "worker_types.h"
#include "wconfig_types.hh"

using namespace CopyParams;

int lconfig_side;
int lconfig_pos;
List *lconfig_listp,
     *lconfig_listb,
     *lconfig_listft,
     *lconfig_listh,
     *lconfig_listsk,
     *lconfig_ignorelist;
command_list_t lconfig_listcom;
std::list< std::string > lconfig_pathjump_allow;
std::map< std::string, struct directory_presets > dir_presets;
std::string path;
struct directory_presets dir_preset;
NM_Filter dir_preset_filter;
WCButton *lconfig_bt1;
WCFiletype *lconfig_ft1, *old_lconfig_ft1;
std::list<WCFiletype*> filetypehier;
WCHotkey *lconfig_hk1;
WCDoubleShortkey *lconfig_dk;
WCPath *lconfig_p1;
int lconfig_id;
KeySym lconfig_nkeysym;
unsigned int lconfig_keymod;
char *lconfig_tstr;
std::shared_ptr< FunctionProto > lconfig_fp1;
char lconfig_error[256];
std::map<std::string, WConfig::ColorDef::label_colors_t> lconfig_labelcolors;
WConfig::ColorDef::label_colors_t lconfig_labelcolor;
std::string lconfig_labelcolor_name;
LayoutSettings layout_sets;
std::string lconfig_face_name;
int lconfig_face_color;
std::list< std::pair< std::string, int > > lconfig_faces_list;
std::vector< WorkerTypes::listcol_t > columns;

extern WConfig *lconfig;

extern int yyerror( const char *s );

void lconfig_parseinit(void)
{
  lconfig_listp = NULL;
  lconfig_listb = NULL;
  lconfig_listft = NULL;
  lconfig_listh = NULL;
  lconfig_listsk = NULL;
  lconfig_listcom = {};
  lconfig_ignorelist = NULL;
  lconfig_bt1 = NULL;
  lconfig_ft1 = NULL;
  lconfig_hk1 = NULL;
  lconfig_dk = NULL;
  lconfig_p1 = NULL;
  lconfig_tstr = NULL;
  lconfig_fp1 = NULL;
}

void lconfig_cleanup(void)
{
  // free all stuff in the list
  if ( lconfig_fp1 ) {
    lconfig_fp1.reset();
  }
  if ( lconfig_tstr != NULL ) {
    _freesafe( lconfig_tstr );
    lconfig_tstr = NULL;
  }
  if ( lconfig_p1 != NULL ) {
    delete lconfig_p1;
    lconfig_p1 = NULL;
  }
  if ( lconfig_dk != NULL ) {
    delete lconfig_dk;
    lconfig_dk = NULL;
  }
  if ( lconfig_hk1 != NULL ) {
    delete lconfig_hk1;
    lconfig_hk1 = NULL;
  }
  if ( lconfig_ft1 != NULL ) {
    delete lconfig_ft1;
    lconfig_ft1 = NULL;
  }
  if ( lconfig_bt1 != NULL ) {
    delete lconfig_bt1;
    lconfig_bt1 = NULL;
  }
  if ( lconfig_listp != NULL ) {
    lconfig_id = lconfig_listp->initEnum();
    lconfig_p1 = (WCPath*)lconfig_listp->getFirstElement( lconfig_id );
    while ( lconfig_p1 != NULL ) {
      delete lconfig_p1;
      lconfig_p1 = (WCPath*)lconfig_listp->getNextElement( lconfig_id );
    }
    lconfig_listp->closeEnum( lconfig_id );
    delete lconfig_listp;
    lconfig_listp = NULL;
  }
  if ( lconfig_listb != NULL ) {
    lconfig_id = lconfig_listb->initEnum();
    lconfig_bt1 = (WCButton*)lconfig_listb->getFirstElement( lconfig_id );
    while ( lconfig_bt1 != NULL ) {
      delete lconfig_bt1;
      lconfig_bt1 = (WCButton*)lconfig_listb->getNextElement( lconfig_id );
    }
    lconfig_listb->closeEnum( lconfig_id );
    delete lconfig_listb;
    lconfig_listb = NULL;
  }
  if ( lconfig_listft != NULL ) {
    lconfig_id = lconfig_listft->initEnum();
    lconfig_ft1 = (WCFiletype*)lconfig_listft->getFirstElement( lconfig_id );
    while ( lconfig_ft1 != NULL ) {
      delete lconfig_ft1;
      lconfig_ft1 = (WCFiletype*)lconfig_listft->getNextElement( lconfig_id );
    }
    lconfig_listft->closeEnum( lconfig_id );
    delete lconfig_listft;
    lconfig_listft = NULL;
  }

  while ( filetypehier.size() > 0 ) {
      lconfig_ft1 = filetypehier.back();
      filetypehier.pop_back();
      delete lconfig_ft1;
      lconfig_ft1 = NULL;
  }

  if ( lconfig_listh != NULL ) {
    lconfig_id = lconfig_listh->initEnum();
    lconfig_hk1 = (WCHotkey*)lconfig_listh->getFirstElement( lconfig_id );
    while ( lconfig_hk1 != NULL ) {
      delete lconfig_hk1;
      lconfig_hk1 = (WCHotkey*)lconfig_listh->getNextElement( lconfig_id );
    }
    lconfig_listh->closeEnum( lconfig_id );
    delete lconfig_listh;
    lconfig_listh = NULL;
  }
  if ( lconfig_listsk != NULL ) {
    lconfig_id = lconfig_listsk->initEnum();
    lconfig_dk = (WCDoubleShortkey*)lconfig_listsk->getFirstElement( lconfig_id );
    while ( lconfig_dk != NULL ) {
      delete lconfig_dk;
      lconfig_listsk->removeFirstElement();
      lconfig_dk = (WCDoubleShortkey*)lconfig_listsk->getFirstElement( lconfig_id );
    }
    lconfig_listsk->closeEnum( lconfig_id );
    delete lconfig_listsk;
    lconfig_listsk = NULL;
  }
  lconfig_listcom.clear();
  if ( lconfig_ignorelist != NULL ) {
    lconfig_id = lconfig_ignorelist->initEnum();
    lconfig_tstr = (char*)lconfig_ignorelist->getFirstElement( lconfig_id );
    while ( lconfig_tstr != NULL ) {
      _freesafe( lconfig_tstr );
      lconfig_tstr = (char*)lconfig_ignorelist->getNextElement( lconfig_id );
    }
    lconfig_ignorelist->closeEnum( lconfig_id );
    delete lconfig_ignorelist;
    lconfig_ignorelist = NULL;
  }
}

/*#define YYERROR_VERBOSE*/


#line 284 "configparser.cc"

# ifndef YY_CAST
#  ifdef __cplusplus
#   define YY_CAST(Type, Val) static_cast<Type> (Val)
#   define YY_REINTERPRET_CAST(Type, Val) reinterpret_cast<Type> (Val)
#  else
#   define YY_CAST(Type, Val) ((Type) (Val))
#   define YY_REINTERPRET_CAST(Type, Val) ((Type) (Val))
#  endif
# endif
# ifndef YY_NULLPTR
#  if defined __cplusplus
#   if 201103L <= __cplusplus
#    define YY_NULLPTR nullptr
#   else
#    define YY_NULLPTR 0
#   endif
#  else
#   define YY_NULLPTR ((void*)0)
#  endif
# endif

/* Use api.header.include to #include this header
   instead of duplicating it here.  */
#ifndef YY_YY_CONFIGPARSER_HH_INCLUDED
# define YY_YY_CONFIGPARSER_HH_INCLUDED
/* Debug traces.  */
#ifndef YYDEBUG
# define YYDEBUG 0
#endif
#if YYDEBUG
extern int yydebug;
#endif

/* Token kinds.  */
#ifndef YYTOKENTYPE
# define YYTOKENTYPE
  enum yytokentype
  {
    YYEMPTY = -2,
    YYEOF = 0,                     /* "end of file"  */
    YYerror = 256,                 /* error  */
    YYUNDEF = 257,                 /* "invalid token"  */
    LEFTBRACE_WCP = 258,           /* LEFTBRACE_WCP  */
    RIGHTBRACE_WCP = 259,          /* RIGHTBRACE_WCP  */
    GLOBAL_WCP = 260,              /* GLOBAL_WCP  */
    COLORS_WCP = 261,              /* COLORS_WCP  */
    LANG_WCP = 262,                /* LANG_WCP  */
    PALETTE_WCP = 263,             /* PALETTE_WCP  */
    OWNOP_WCP = 264,               /* OWNOP_WCP  */
    LISTERSETS_WCP = 265,          /* LISTERSETS_WCP  */
    YES_WCP = 266,                 /* YES_WCP  */
    NO_WCP = 267,                  /* NO_WCP  */
    LEFT_WCP = 268,                /* LEFT_WCP  */
    RIGHT_WCP = 269,               /* RIGHT_WCP  */
    HBARTOP_WCP = 270,             /* HBARTOP_WCP  */
    HBARHEIGHT_WCP = 271,          /* HBARHEIGHT_WCP  */
    VBARLEFT_WCP = 272,            /* VBARLEFT_WCP  */
    VBARWIDTH_WCP = 273,           /* VBARWIDTH_WCP  */
    DISPLAYSETS_WCP = 274,         /* DISPLAYSETS_WCP  */
    NAME_WCP = 275,                /* NAME_WCP  */
    SIZE_WCP = 276,                /* SIZE_WCP  */
    TYPE_WCP = 277,                /* TYPE_WCP  */
    PERMISSION_WCP = 278,          /* PERMISSION_WCP  */
    OWNER_WCP = 279,               /* OWNER_WCP  */
    DESTINATION_WCP = 280,         /* DESTINATION_WCP  */
    MODTIME_WCP = 281,             /* MODTIME_WCP  */
    ACCTIME_WCP = 282,             /* ACCTIME_WCP  */
    CHGTIME_WCP = 283,             /* CHGTIME_WCP  */
    ROWS_WCP = 284,                /* ROWS_WCP  */
    COLUMNS_WCP = 285,             /* COLUMNS_WCP  */
    CACHESIZE_WCP = 286,           /* CACHESIZE_WCP  */
    OWNERSTYLE_WCP = 287,          /* OWNERSTYLE_WCP  */
    TERMINAL_WCP = 288,            /* TERMINAL_WCP  */
    USESTRINGFORDIRSIZE_WCP = 289, /* USESTRINGFORDIRSIZE_WCP  */
    TIMESETS_WCP = 290,            /* TIMESETS_WCP  */
    STYLE1_WCP = 291,              /* STYLE1_WCP  */
    STYLE2_WCP = 292,              /* STYLE2_WCP  */
    STYLE3_WCP = 293,              /* STYLE3_WCP  */
    DATE_WCP = 294,                /* DATE_WCP  */
    TIME_WCP = 295,                /* TIME_WCP  */
    DATESUBSTITUTION_WCP = 296,    /* DATESUBSTITUTION_WCP  */
    DATEBEFORETIME_WCP = 297,      /* DATEBEFORETIME_WCP  */
    STATEBAR_WCP = 298,            /* STATEBAR_WCP  */
    SELLVBAR_WCP = 299,            /* SELLVBAR_WCP  */
    UNSELLVBAR_WCP = 300,          /* UNSELLVBAR_WCP  */
    CLOCKBAR_WCP = 301,            /* CLOCKBAR_WCP  */
    REQUESTER_WCP = 302,           /* REQUESTER_WCP  */
    UNSELDIR_WCP = 303,            /* UNSELDIR_WCP  */
    SELDIR_WCP = 304,              /* SELDIR_WCP  */
    UNSELFILE_WCP = 305,           /* UNSELFILE_WCP  */
    SELFILE_WCP = 306,             /* SELFILE_WCP  */
    UNSELACTDIR_WCP = 307,         /* UNSELACTDIR_WCP  */
    SELACTDIR_WCP = 308,           /* SELACTDIR_WCP  */
    UNSELACTFILE_WCP = 309,        /* UNSELACTFILE_WCP  */
    SELACTFILE_WCP = 310,          /* SELACTFILE_WCP  */
    LVBG_WCP = 311,                /* LVBG_WCP  */
    STARTUP_WCP = 312,             /* STARTUP_WCP  */
    BUTTON_WCP = 313,              /* BUTTON_WCP  */
    BUTTONS_WCP = 314,             /* BUTTONS_WCP  */
    POSITION_WCP = 315,            /* POSITION_WCP  */
    TITLE_WCP = 316,               /* TITLE_WCP  */
    COMMANDS_WCP = 317,            /* COMMANDS_WCP  */
    SHORTKEYS_WCP = 318,           /* SHORTKEYS_WCP  */
    PATHS_WCP = 319,               /* PATHS_WCP  */
    PATH_WCP = 320,                /* PATH_WCP  */
    FILETYPES_WCP = 321,           /* FILETYPES_WCP  */
    FILETYPE_WCP = 322,            /* FILETYPE_WCP  */
    NORMAL_WCP = 323,              /* NORMAL_WCP  */
    NOTYETCHECKED_WCP = 324,       /* NOTYETCHECKED_WCP  */
    UNKNOWN_WCP = 325,             /* UNKNOWN_WCP  */
    NOSELECT_WCP = 326,            /* NOSELECT_WCP  */
    DIR_WCP = 327,                 /* DIR_WCP  */
    USEPATTERN_WCP = 328,          /* USEPATTERN_WCP  */
    USECONTENT_WCP = 329,          /* USECONTENT_WCP  */
    PATTERN_WCP = 330,             /* PATTERN_WCP  */
    CONTENT_WCP = 331,             /* CONTENT_WCP  */
    FTCOMMANDS_WCP = 332,          /* FTCOMMANDS_WCP  */
    DND_WCP = 333,                 /* DND_WCP  */
    DC_WCP = 334,                  /* DC_WCP  */
    SHOW_WCP = 335,                /* SHOW_WCP  */
    RAWSHOW_WCP = 336,             /* RAWSHOW_WCP  */
    USER_WCP = 337,                /* USER_WCP  */
    FLAGS_WCP = 338,               /* FLAGS_WCP  */
    IGNOREDIRS_WCP = 339,          /* IGNOREDIRS_WCP  */
    HOTKEYS_WCP = 340,             /* HOTKEYS_WCP  */
    HOTKEY_WCP = 341,              /* HOTKEY_WCP  */
    FONTS_WCP = 342,               /* FONTS_WCP  */
    GLOBALFONT_WCP = 343,          /* GLOBALFONT_WCP  */
    BUTTONFONT_WCP = 344,          /* BUTTONFONT_WCP  */
    LEFTFONT_WCP = 345,            /* LEFTFONT_WCP  */
    RIGHTFONT_WCP = 346,           /* RIGHTFONT_WCP  */
    TEXTVIEWFONT_WCP = 347,        /* TEXTVIEWFONT_WCP  */
    STATEBARFONT_WCP = 348,        /* STATEBARFONT_WCP  */
    CLOCKBARSETS_WCP = 349,        /* CLOCKBARSETS_WCP  */
    MODUS_WCP = 350,               /* MODUS_WCP  */
    TIMESPACE_WCP = 351,           /* TIMESPACE_WCP  */
    VERSION_WCP = 352,             /* VERSION_WCP  */
    EXTERN_WCP = 353,              /* EXTERN_WCP  */
    UPDATETIME_WCP = 354,          /* UPDATETIME_WCP  */
    PROGRAM_WCP = 355,             /* PROGRAM_WCP  */
    SHOWHINTS_WCP = 356,           /* SHOWHINTS_WCP  */
    KEY_WCP = 357,                 /* KEY_WCP  */
    DOUBLE_WCP = 358,              /* DOUBLE_WCP  */
    MOD_WCP = 359,                 /* MOD_WCP  */
    CONTROL_WCP = 360,             /* CONTROL_WCP  */
    SHIFT_WCP = 361,               /* SHIFT_WCP  */
    LOCK_WCP = 362,                /* LOCK_WCP  */
    MOD1_WCP = 363,                /* MOD1_WCP  */
    MOD2_WCP = 364,                /* MOD2_WCP  */
    MOD3_WCP = 365,                /* MOD3_WCP  */
    MOD4_WCP = 366,                /* MOD4_WCP  */
    MOD5_WCP = 367,                /* MOD5_WCP  */
    DNDACTION_WCP = 368,           /* DNDACTION_WCP  */
    DCACTION_WCP = 369,            /* DCACTION_WCP  */
    SHOWACTION_WCP = 370,          /* SHOWACTION_WCP  */
    RSHOWACTION_WCP = 371,         /* RSHOWACTION_WCP  */
    USERACTION_WCP = 372,          /* USERACTION_WCP  */
    ROWUP_WCP = 373,               /* ROWUP_WCP  */
    ROWDOWN_WCP = 374,             /* ROWDOWN_WCP  */
    CHANGEHIDDENFLAG_WCP = 375,    /* CHANGEHIDDENFLAG_WCP  */
    COPYOP_WCP = 376,              /* COPYOP_WCP  */
    FIRSTROW_WCP = 377,            /* FIRSTROW_WCP  */
    LASTROW_WCP = 378,             /* LASTROW_WCP  */
    PAGEUP_WCP = 379,              /* PAGEUP_WCP  */
    PAGEDOWN_WCP = 380,            /* PAGEDOWN_WCP  */
    SELECTOP_WCP = 381,            /* SELECTOP_WCP  */
    SELECTALLOP_WCP = 382,         /* SELECTALLOP_WCP  */
    SELECTNONEOP_WCP = 383,        /* SELECTNONEOP_WCP  */
    INVERTALLOP_WCP = 384,         /* INVERTALLOP_WCP  */
    PARENTDIROP_WCP = 385,         /* PARENTDIROP_WCP  */
    ENTERDIROP_WCP = 386,          /* ENTERDIROP_WCP  */
    CHANGELISTERSETOP_WCP = 387,   /* CHANGELISTERSETOP_WCP  */
    SWITCHLISTEROP_WCP = 388,      /* SWITCHLISTEROP_WCP  */
    FILTERSELECTOP_WCP = 389,      /* FILTERSELECTOP_WCP  */
    FILTERUNSELECTOP_WCP = 390,    /* FILTERUNSELECTOP_WCP  */
    PATHTOOTHERSIDEOP_WCP = 391,   /* PATHTOOTHERSIDEOP_WCP  */
    QUITOP_WCP = 392,              /* QUITOP_WCP  */
    DELETEOP_WCP = 393,            /* DELETEOP_WCP  */
    RELOADOP_WCP = 394,            /* RELOADOP_WCP  */
    MAKEDIROP_WCP = 395,           /* MAKEDIROP_WCP  */
    RENAMEOP_WCP = 396,            /* RENAMEOP_WCP  */
    DIRSIZEOP_WCP = 397,           /* DIRSIZEOP_WCP  */
    SIMDDOP_WCP = 398,             /* SIMDDOP_WCP  */
    STARTPROGOP_WCP = 399,         /* STARTPROGOP_WCP  */
    SEARCHENTRYOP_WCP = 400,       /* SEARCHENTRYOP_WCP  */
    ENTERPATHOP_WCP = 401,         /* ENTERPATHOP_WCP  */
    SCROLLLISTEROP_WCP = 402,      /* SCROLLLISTEROP_WCP  */
    CREATESYMLINKOP_WCP = 403,     /* CREATESYMLINKOP_WCP  */
    CHANGESYMLINKOP_WCP = 404,     /* CHANGESYMLINKOP_WCP  */
    CHMODOP_WCP = 405,             /* CHMODOP_WCP  */
    TOGGLELISTERMODEOP_WCP = 406,  /* TOGGLELISTERMODEOP_WCP  */
    SETSORTMODEOP_WCP = 407,       /* SETSORTMODEOP_WCP  */
    SETFILTEROP_WCP = 408,         /* SETFILTEROP_WCP  */
    SHORTKEYFROMLISTOP_WCP = 409,  /* SHORTKEYFROMLISTOP_WCP  */
    CHOWNOP_WCP = 410,             /* CHOWNOP_WCP  */
    WORKERCONFIG_WCP = 411,        /* WORKERCONFIG_WCP  */
    USERSTYLE_WCP = 412,           /* USERSTYLE_WCP  */
    DATESTRING_WCP = 413,          /* DATESTRING_WCP  */
    TIMESTRING_WCP = 414,          /* TIMESTRING_WCP  */
    COLOR_WCP = 415,               /* COLOR_WCP  */
    PATTERNIGNORECASE_WCP = 416,   /* PATTERNIGNORECASE_WCP  */
    PATTERNUSEREGEXP_WCP = 417,    /* PATTERNUSEREGEXP_WCP  */
    PATTERNUSEFULLNAME_WCP = 418,  /* PATTERNUSEFULLNAME_WCP  */
    COM_WCP = 419,                 /* COM_WCP  */
    SEPARATEEACHENTRY_WCP = 420,   /* SEPARATEEACHENTRY_WCP  */
    RECURSIVE_WCP = 421,           /* RECURSIVE_WCP  */
    START_WCP = 422,               /* START_WCP  */
    TERMINALWAIT_WCP = 423,        /* TERMINALWAIT_WCP  */
    SHOWOUTPUT_WCP = 424,          /* SHOWOUTPUT_WCP  */
    VIEWSTR_WCP = 425,             /* VIEWSTR_WCP  */
    SHOWOUTPUTINT_WCP = 426,       /* SHOWOUTPUTINT_WCP  */
    INBACKGROUND_WCP = 427,        /* INBACKGROUND_WCP  */
    TAKEDIRS_WCP = 428,            /* TAKEDIRS_WCP  */
    ACTIONNUMBER_WCP = 429,        /* ACTIONNUMBER_WCP  */
    HIDDENFILES_WCP = 430,         /* HIDDENFILES_WCP  */
    HIDE_WCP = 431,                /* HIDE_WCP  */
    TOGGLE_WCP = 432,              /* TOGGLE_WCP  */
    FOLLOWSYMLINKS_WCP = 433,      /* FOLLOWSYMLINKS_WCP  */
    MOVE_WCP = 434,                /* MOVE_WCP  */
    RENAME_WCP = 435,              /* RENAME_WCP  */
    SAMEDIR_WCP = 436,             /* SAMEDIR_WCP  */
    REQUESTDEST_WCP = 437,         /* REQUESTDEST_WCP  */
    REQUESTFLAGS_WCP = 438,        /* REQUESTFLAGS_WCP  */
    OVERWRITE_WCP = 439,           /* OVERWRITE_WCP  */
    ALWAYS_WCP = 440,              /* ALWAYS_WCP  */
    NEVER_WCP = 441,               /* NEVER_WCP  */
    COPYMODE_WCP = 442,            /* COPYMODE_WCP  */
    FAST_WCP = 443,                /* FAST_WCP  */
    PRESERVEATTR_WCP = 444,        /* PRESERVEATTR_WCP  */
    MODE_WCP = 445,                /* MODE_WCP  */
    ACTIVE_WCP = 446,              /* ACTIVE_WCP  */
    ACTIVE2OTHER_WCP = 447,        /* ACTIVE2OTHER_WCP  */
    SPECIAL_WCP = 448,             /* SPECIAL_WCP  */
    REQUEST_WCP = 449,             /* REQUEST_WCP  */
    CURRENT_WCP = 450,             /* CURRENT_WCP  */
    OTHER_WCP = 451,               /* OTHER_WCP  */
    FILTER_WCP = 452,              /* FILTER_WCP  */
    QUICK_WCP = 453,               /* QUICK_WCP  */
    ALSOACTIVE_WCP = 454,          /* ALSOACTIVE_WCP  */
    RESETDIRSIZES_WCP = 455,       /* RESETDIRSIZES_WCP  */
    KEEPFILETYPES_WCP = 456,       /* KEEPFILETYPES_WCP  */
    RELATIVE_WCP = 457,            /* RELATIVE_WCP  */
    ONFILES_WCP = 458,             /* ONFILES_WCP  */
    ONDIRS_WCP = 459,              /* ONDIRS_WCP  */
    SORTBY_WCP = 460,              /* SORTBY_WCP  */
    SORTFLAG_WCP = 461,            /* SORTFLAG_WCP  */
    REVERSE_WCP = 462,             /* REVERSE_WCP  */
    DIRLAST_WCP = 463,             /* DIRLAST_WCP  */
    DIRMIXED_WCP = 464,            /* DIRMIXED_WCP  */
    EXCLUDE_WCP = 465,             /* EXCLUDE_WCP  */
    INCLUDE_WCP = 466,             /* INCLUDE_WCP  */
    UNSET_WCP = 467,               /* UNSET_WCP  */
    UNSETALL_WCP = 468,            /* UNSETALL_WCP  */
    SCRIPTOP_WCP = 469,            /* SCRIPTOP_WCP  */
    NOP_WCP = 470,                 /* NOP_WCP  */
    PUSH_WCP = 471,                /* PUSH_WCP  */
    LABEL_WCP = 472,               /* LABEL_WCP  */
    IF_WCP = 473,                  /* IF_WCP  */
    END_WCP = 474,                 /* END_WCP  */
    POP_WCP = 475,                 /* POP_WCP  */
    SETTINGS_WCP = 476,            /* SETTINGS_WCP  */
    WINDOW_WCP = 477,              /* WINDOW_WCP  */
    GOTO_WCP = 478,                /* GOTO_WCP  */
    PUSHUSEOUTPUT_WCP = 479,       /* PUSHUSEOUTPUT_WCP  */
    DODEBUG_WCP = 480,             /* DODEBUG_WCP  */
    WPURECURSIVE_WCP = 481,        /* WPURECURSIVE_WCP  */
    WPUTAKEDIRS_WCP = 482,         /* WPUTAKEDIRS_WCP  */
    STACKNR_WCP = 483,             /* STACKNR_WCP  */
    PUSHSTRING_WCP = 484,          /* PUSHSTRING_WCP  */
    IFTEST_WCP = 485,              /* IFTEST_WCP  */
    IFLABEL_WCP = 486,             /* IFLABEL_WCP  */
    WINTYPE_WCP = 487,             /* WINTYPE_WCP  */
    OPEN_WCP = 488,                /* OPEN_WCP  */
    CLOSE_WCP = 489,               /* CLOSE_WCP  */
    LEAVE_WCP = 490,               /* LEAVE_WCP  */
    CHANGEPROGRESS_WCP = 491,      /* CHANGEPROGRESS_WCP  */
    CHANGETEXT_WCP = 492,          /* CHANGETEXT_WCP  */
    PROGRESSUSEOUTPUT_WCP = 493,   /* PROGRESSUSEOUTPUT_WCP  */
    WINTEXTUSEOUTPUT_WCP = 494,    /* WINTEXTUSEOUTPUT_WCP  */
    PROGRESS_WCP = 495,            /* PROGRESS_WCP  */
    WINTEXT_WCP = 496,             /* WINTEXT_WCP  */
    SHOWDIRCACHEOP_WCP = 497,      /* SHOWDIRCACHEOP_WCP  */
    INODE_WCP = 498,               /* INODE_WCP  */
    NLINK_WCP = 499,               /* NLINK_WCP  */
    BLOCKS_WCP = 500,              /* BLOCKS_WCP  */
    SHOWHEADER_WCP = 501,          /* SHOWHEADER_WCP  */
    LVHEADER_WCP = 502,            /* LVHEADER_WCP  */
    IGNORECASE_WCP = 503,          /* IGNORECASE_WCP  */
    LISTVIEWS_WCP = 504,           /* LISTVIEWS_WCP  */
    BLL_WCP = 505,                 /* BLL_WCP  */
    LBL_WCP = 506,                 /* LBL_WCP  */
    LLB_WCP = 507,                 /* LLB_WCP  */
    BL_WCP = 508,                  /* BL_WCP  */
    LB_WCP = 509,                  /* LB_WCP  */
    LAYOUT_WCP = 510,              /* LAYOUT_WCP  */
    BUTTONSVERT_WCP = 511,         /* BUTTONSVERT_WCP  */
    LISTVIEWSVERT_WCP = 512,       /* LISTVIEWSVERT_WCP  */
    LISTVIEWWEIGHT_WCP = 513,      /* LISTVIEWWEIGHT_WCP  */
    WEIGHTTOACTIVE_WCP = 514,      /* WEIGHTTOACTIVE_WCP  */
    EXTCOND_WCP = 515,             /* EXTCOND_WCP  */
    USEEXTCOND_WCP = 516,          /* USEEXTCOND_WCP  */
    SUBTYPE_WCP = 517,             /* SUBTYPE_WCP  */
    PARENTACTIONOP_WCP = 518,      /* PARENTACTIONOP_WCP  */
    NOOPERATIONOP_WCP = 519,       /* NOOPERATIONOP_WCP  */
    COLORMODE_WCP = 520,           /* COLORMODE_WCP  */
    DEFAULT_WCP = 521,             /* DEFAULT_WCP  */
    CUSTOM_WCP = 522,              /* CUSTOM_WCP  */
    UNSELECTCOLOR_WCP = 523,       /* UNSELECTCOLOR_WCP  */
    SELECTCOLOR_WCP = 524,         /* SELECTCOLOR_WCP  */
    UNSELECTACTIVECOLOR_WCP = 525, /* UNSELECTACTIVECOLOR_WCP  */
    SELECTACTIVECOLOR_WCP = 526,   /* SELECTACTIVECOLOR_WCP  */
    COLOREXTERNPROG_WCP = 527,     /* COLOREXTERNPROG_WCP  */
    PARENT_WCP = 528,              /* PARENT_WCP  */
    DONTCD_WCP = 529,              /* DONTCD_WCP  */
    DONTCHECKVIRTUAL_WCP = 530,    /* DONTCHECKVIRTUAL_WCP  */
    GOFTPOP_WCP = 531,             /* GOFTPOP_WCP  */
    HOSTNAME_WCP = 532,            /* HOSTNAME_WCP  */
    USERNAME_WCP = 533,            /* USERNAME_WCP  */
    PASSWORD_WCP = 534,            /* PASSWORD_WCP  */
    DONTENTERFTP_WCP = 535,        /* DONTENTERFTP_WCP  */
    ALWAYSSTOREPW_WCP = 536,       /* ALWAYSSTOREPW_WCP  */
    INTERNALVIEWOP_WCP = 537,      /* INTERNALVIEWOP_WCP  */
    CUSTOMFILES_WCP = 538,         /* CUSTOMFILES_WCP  */
    SHOWMODE_WCP = 539,            /* SHOWMODE_WCP  */
    SELECTED_WCP = 540,            /* SELECTED_WCP  */
    REVERSESEARCH_WCP = 541,       /* REVERSESEARCH_WCP  */
    MOUSECONF_WCP = 542,           /* MOUSECONF_WCP  */
    SELECTBUTTON_WCP = 543,        /* SELECTBUTTON_WCP  */
    ACTIVATEBUTTON_WCP = 544,      /* ACTIVATEBUTTON_WCP  */
    SCROLLBUTTON_WCP = 545,        /* SCROLLBUTTON_WCP  */
    SELECTMETHOD_WCP = 546,        /* SELECTMETHOD_WCP  */
    ALTERNATIVE_WCP = 547,         /* ALTERNATIVE_WCP  */
    SEARCHOP_WCP = 548,            /* SEARCHOP_WCP  */
    EDITCOMMAND_WCP = 549,         /* EDITCOMMAND_WCP  */
    SHOWPREVRESULTS_WCP = 550,     /* SHOWPREVRESULTS_WCP  */
    TEXTVIEW_WCP = 551,            /* TEXTVIEW_WCP  */
    TEXTVIEWHIGHLIGHTED_WCP = 552, /* TEXTVIEWHIGHLIGHTED_WCP  */
    TEXTVIEWSELECTION_WCP = 553,   /* TEXTVIEWSELECTION_WCP  */
    DIRBOOKMARKOP_WCP = 554,       /* DIRBOOKMARKOP_WCP  */
    OPENCONTEXTMENUOP_WCP = 555,   /* OPENCONTEXTMENUOP_WCP  */
    RUNCUSTOMACTION_WCP = 556,     /* RUNCUSTOMACTION_WCP  */
    CUSTOMNAME_WCP = 557,          /* CUSTOMNAME_WCP  */
    CONTEXTBUTTON_WCP = 558,       /* CONTEXTBUTTON_WCP  */
    ACTIVATEMOD_WCP = 559,         /* ACTIVATEMOD_WCP  */
    SCROLLMOD_WCP = 560,           /* SCROLLMOD_WCP  */
    CONTEXTMOD_WCP = 561,          /* CONTEXTMOD_WCP  */
    NONE_WCP = 562,                /* NONE_WCP  */
    CUSTOMACTION_WCP = 563,        /* CUSTOMACTION_WCP  */
    SAVE_WORKER_STATE_ON_EXIT_WCP = 564, /* SAVE_WORKER_STATE_ON_EXIT_WCP  */
    OPENWORKERMENUOP_WCP = 565,    /* OPENWORKERMENUOP_WCP  */
    CHANGELABELOP_WCP = 566,       /* CHANGELABELOP_WCP  */
    ASKFORLABEL_WCP = 567,         /* ASKFORLABEL_WCP  */
    LABELCOLORS_WCP = 568,         /* LABELCOLORS_WCP  */
    BOOKMARKLABEL_WCP = 569,       /* BOOKMARKLABEL_WCP  */
    BOOKMARKFILTER_WCP = 570,      /* BOOKMARKFILTER_WCP  */
    SHOWONLYBOOKMARKS_WCP = 571,   /* SHOWONLYBOOKMARKS_WCP  */
    SHOWONLYLABEL_WCP = 572,       /* SHOWONLYLABEL_WCP  */
    SHOWALL_WCP = 573,             /* SHOWALL_WCP  */
    OPTIONMODE_WCP = 574,          /* OPTIONMODE_WCP  */
    INVERT_WCP = 575,              /* INVERT_WCP  */
    SET_WCP = 576,                 /* SET_WCP  */
    CHANGEFILTERS_WCP = 577,       /* CHANGEFILTERS_WCP  */
    CHANGEBOOKMARKS_WCP = 578,     /* CHANGEBOOKMARKS_WCP  */
    QUERYLABEL_WCP = 579,          /* QUERYLABEL_WCP  */
    MODIFYTABSOP_WCP = 580,        /* MODIFYTABSOP_WCP  */
    TABACTION_WCP = 581,           /* TABACTION_WCP  */
    NEWTAB_WCP = 582,              /* NEWTAB_WCP  */
    CLOSECURRENTTAB_WCP = 583,     /* CLOSECURRENTTAB_WCP  */
    NEXTTAB_WCP = 584,             /* NEXTTAB_WCP  */
    PREVTAB_WCP = 585,             /* PREVTAB_WCP  */
    TOGGLELOCKSTATE_WCP = 586,     /* TOGGLELOCKSTATE_WCP  */
    MOVETABLEFT_WCP = 587,         /* MOVETABLEFT_WCP  */
    MOVETABRIGHT_WCP = 588,        /* MOVETABRIGHT_WCP  */
    CHANGELAYOUTOP_WCP = 589,      /* CHANGELAYOUTOP_WCP  */
    INFIXSEARCH_WCP = 590,         /* INFIXSEARCH_WCP  */
    VOLUMEMANAGEROP_WCP = 591,     /* VOLUMEMANAGEROP_WCP  */
    ERROR = 592,                   /* ERROR  */
    ACTIVESIDE_WCP = 593,          /* ACTIVESIDE_WCP  */
    SHOWFREESPACE_WCP = 594,       /* SHOWFREESPACE_WCP  */
    ACTIVEMODE_WCP = 595,          /* ACTIVEMODE_WCP  */
    ASK_WCP = 596,                 /* ASK_WCP  */
    SSHALLOW_WCP = 597,            /* SSHALLOW_WCP  */
    FIELD_WIDTH_WCP = 598,         /* FIELD_WIDTH_WCP  */
    QUICKSEARCHENABLED_WCP = 599,  /* QUICKSEARCHENABLED_WCP  */
    FILTEREDSEARCHENABLED_WCP = 600, /* FILTEREDSEARCHENABLED_WCP  */
    XFTFONTS_WCP = 601,            /* XFTFONTS_WCP  */
    USEMAGIC_WCP = 602,            /* USEMAGIC_WCP  */
    MAGICPATTERN_WCP = 603,        /* MAGICPATTERN_WCP  */
    MAGICCOMPRESSED_WCP = 604,     /* MAGICCOMPRESSED_WCP  */
    MAGICMIME_WCP = 605,           /* MAGICMIME_WCP  */
    VOLUMEMANAGER_WCP = 606,       /* VOLUMEMANAGER_WCP  */
    MOUNTCOMMAND_WCP = 607,        /* MOUNTCOMMAND_WCP  */
    UNMOUNTCOMMAND_WCP = 608,      /* UNMOUNTCOMMAND_WCP  */
    FSTABFILE_WCP = 609,           /* FSTABFILE_WCP  */
    MTABFILE_WCP = 610,            /* MTABFILE_WCP  */
    PARTFILE_WCP = 611,            /* PARTFILE_WCP  */
    REQUESTACTION_WCP = 612,       /* REQUESTACTION_WCP  */
    SIZEH_WCP = 613,               /* SIZEH_WCP  */
    NEXTAGING_WCP = 614,           /* NEXTAGING_WCP  */
    ENTRY_WCP = 615,               /* ENTRY_WCP  */
    PREFIX_WCP = 616,              /* PREFIX_WCP  */
    VALUE_WCP = 617,               /* VALUE_WCP  */
    EXTENSION_WCP = 618,           /* EXTENSION_WCP  */
    EJECTCOMMAND_WCP = 619,        /* EJECTCOMMAND_WCP  */
    CLOSETRAYCOMMAND_WCP = 620,    /* CLOSETRAYCOMMAND_WCP  */
    AVFSMODULE_WCP = 621,          /* AVFSMODULE_WCP  */
    FLEXIBLEMATCH_WCP = 622,       /* FLEXIBLEMATCH_WCP  */
    USE_VERSION_STRING_COMPARE_WCP = 623, /* USE_VERSION_STRING_COMPARE_WCP  */
    SWITCHBUTTONBANKOP_WCP = 624,  /* SWITCHBUTTONBANKOP_WCP  */
    SWITCHTONEXTBANK_WCP = 625,    /* SWITCHTONEXTBANK_WCP  */
    SWITCHTOPREVBANK_WCP = 626,    /* SWITCHTOPREVBANK_WCP  */
    SWITCHTOBANKNR_WCP = 627,      /* SWITCHTOBANKNR_WCP  */
    BANKNR_WCP = 628,              /* BANKNR_WCP  */
    USE_VIRTUAL_TEMP_COPIES_WCP = 629, /* USE_VIRTUAL_TEMP_COPIES_WCP  */
    PATHJUMPOP_WCP = 630,          /* PATHJUMPOP_WCP  */
    PATHJUMPALLOWDIRS_WCP = 631,   /* PATHJUMPALLOWDIRS_WCP  */
    CLIPBOARDOP_WCP = 632,         /* CLIPBOARDOP_WCP  */
    CLIPBOARDSTRING_WCP = 633,     /* CLIPBOARDSTRING_WCP  */
    COMMANDSTRING_WCP = 634,       /* COMMANDSTRING_WCP  */
    EVALCOMMAND_WCP = 635,         /* EVALCOMMAND_WCP  */
    WATCHMODE_WCP = 636,           /* WATCHMODE_WCP  */
    APPLY_WINDOW_DIALOG_TYPE_WCP = 637, /* APPLY_WINDOW_DIALOG_TYPE_WCP  */
    FLAGS_ARE_RELATIVE_TO_BASEDIR_WCP = 638, /* FLAGS_ARE_RELATIVE_TO_BASEDIR_WCP  */
    COMMANDMENUOP_WCP = 639,       /* COMMANDMENUOP_WCP  */
    SEARCHMODEONKEYPRESS_WCP = 640, /* SEARCHMODEONKEYPRESS_WCP  */
    PATHENTRYONTOP_WCP = 641,      /* PATHENTRYONTOP_WCP  */
    STORE_FILES_ALWAYS_WCP = 642,  /* STORE_FILES_ALWAYS_WCP  */
    PATHJUMPSETS_WCP = 643,        /* PATHJUMPSETS_WCP  */
    SHOWDOTDOT_WCP = 644,          /* SHOWDOTDOT_WCP  */
    SHOWBREADCRUMB_WCP = 645,      /* SHOWBREADCRUMB_WCP  */
    FACES_WCP = 646,               /* FACES_WCP  */
    FACE_WCP = 647,                /* FACE_WCP  */
    ENABLE_INFO_LINE_WCP = 648,    /* ENABLE_INFO_LINE_WCP  */
    INFO_LINE_LUA_MODE_WCP = 649,  /* INFO_LINE_LUA_MODE_WCP  */
    INFO_LINE_CONTENT_WCP = 650,   /* INFO_LINE_CONTENT_WCP  */
    RESTORE_TABS_MODE_WCP = 651,   /* RESTORE_TABS_MODE_WCP  */
    STORE_TABS_MODE_WCP = 652,     /* STORE_TABS_MODE_WCP  */
    AS_EXIT_STATE_WCP = 653,       /* AS_EXIT_STATE_WCP  */
    USE_EXTENDED_REGEX_WCP = 654,  /* USE_EXTENDED_REGEX_WCP  */
    HIGHLIGHT_USER_ACTION_WCP = 655, /* HIGHLIGHT_USER_ACTION_WCP  */
    CHTIMEOP_WCP = 656,            /* CHTIMEOP_WCP  */
    ADJUSTRELATIVESYMLINKS_WCP = 657, /* ADJUSTRELATIVESYMLINKS_WCP  */
    OUTSIDE_WCP = 658,             /* OUTSIDE_WCP  */
    EDIT_WCP = 659,                /* EDIT_WCP  */
    MAKEABSOLUTE_WCP = 660,        /* MAKEABSOLUTE_WCP  */
    MAKERELATIVE_WCP = 661,        /* MAKERELATIVE_WCP  */
    MAGICIGNORECASE_WCP = 662,     /* MAGICIGNORECASE_WCP  */
    ENSURE_FILE_PERMISSIONS_WCP = 663, /* ENSURE_FILE_PERMISSIONS_WCP  */
    USER_RW_WCP = 664,             /* USER_RW_WCP  */
    USER_RW_GROUP_R_WCP = 665,     /* USER_RW_GROUP_R_WCP  */
    USER_RW_ALL_R_WCP = 666,       /* USER_RW_ALL_R_WCP  */
    LEAVE_UNMODIFIED_WCP = 667,    /* LEAVE_UNMODIFIED_WCP  */
    PREFERUDISKSVERSION_WCP = 668, /* PREFERUDISKSVERSION_WCP  */
    CHANGECOLUMNSOP_WCP = 669,     /* CHANGECOLUMNSOP_WCP  */
    PATTERNISCOMMASEPARATED_WCP = 670, /* PATTERNISCOMMASEPARATED_WCP  */
    STRCASECMP_WCP = 671,          /* STRCASECMP_WCP  */
    USE_STRING_COMPARE_MODE_WCP = 672, /* USE_STRING_COMPARE_MODE_WCP  */
    VIEWNEWESTFILESOP_WCP = 673,   /* VIEWNEWESTFILESOP_WCP  */
    SHOWRECENT_WCP = 674,          /* SHOWRECENT_WCP  */
    DIRCOMPAREOP_WCP = 675,        /* DIRCOMPAREOP_WCP  */
    TABPROFILESOP_WCP = 676,       /* TABPROFILESOP_WCP  */
    EXTERNALVDIROP_WCP = 677,      /* EXTERNALVDIROP_WCP  */
    VDIR_PRESERVE_DIR_STRUCTURE_WCP = 678, /* VDIR_PRESERVE_DIR_STRUCTURE_WCP  */
    OPENTABMENUOP_WCP = 679,       /* OPENTABMENUOP_WCP  */
    INITIALTAB_WCP = 680,          /* INITIALTAB_WCP  */
    SHOWBYTIME_WCP = 681,          /* SHOWBYTIME_WCP  */
    SHOWBYFILTER_WCP = 682,        /* SHOWBYFILTER_WCP  */
    SHOWBYPROGRAM_WCP = 683,       /* SHOWBYPROGRAM_WCP  */
    TERMINAL_RETURNS_EARLY_WCP = 684, /* TERMINAL_RETURNS_EARLY_WCP  */
    DIRECTORYPRESETS_WCP = 685,    /* DIRECTORYPRESETS_WCP  */
    DIRECTORYPRESET_WCP = 686,     /* DIRECTORYPRESET_WCP  */
    HELPOP_WCP = 687,              /* HELPOP_WCP  */
    PRIORITY_WCP = 688,            /* PRIORITY_WCP  */
    AUTOFILTER_WCP = 689,          /* AUTOFILTER_WCP  */
    ENABLE_CUSTOM_LVB_LINE_WCP = 690, /* ENABLE_CUSTOM_LVB_LINE_WCP  */
    CUSTOM_LVB_LINE_WCP = 691,     /* CUSTOM_LVB_LINE_WCP  */
    CUSTOM_DIRECTORY_INFO_COMMAND_WCP = 692, /* CUSTOM_DIRECTORY_INFO_COMMAND_WCP  */
    IMMEDIATE_FILTER_APPLY_WCP = 693, /* IMMEDIATE_FILTER_APPLY_WCP  */
    DISABLEBGCHECKPREFIX_WCP = 694, /* DISABLEBGCHECKPREFIX_WCP  */
    DISPLAYMODE_WCP = 695,         /* DISPLAYMODE_WCP  */
    SHOWSUBDIRS_WCP = 696,         /* SHOWSUBDIRS_WCP  */
    SHOWDIRECTSUBDIRS_WCP = 697,   /* SHOWDIRECTSUBDIRS_WCP  */
    INCLUDEALL_WCP = 698,          /* INCLUDEALL_WCP  */
    APPLYMODE_WCP = 699,           /* APPLYMODE_WCP  */
    ADD_WCP = 700,                 /* ADD_WCP  */
    REMOVE_WCP = 701,              /* REMOVE_WCP  */
    STRING_WCP = 702,              /* STRING_WCP  */
    NUM_WCP = 703                  /* NUM_WCP  */
  };
  typedef enum yytokentype yytoken_kind_t;
#endif
/* Token kinds.  */
#define YYEMPTY -2
#define YYEOF 0
#define YYerror 256
#define YYUNDEF 257
#define LEFTBRACE_WCP 258
#define RIGHTBRACE_WCP 259
#define GLOBAL_WCP 260
#define COLORS_WCP 261
#define LANG_WCP 262
#define PALETTE_WCP 263
#define OWNOP_WCP 264
#define LISTERSETS_WCP 265
#define YES_WCP 266
#define NO_WCP 267
#define LEFT_WCP 268
#define RIGHT_WCP 269
#define HBARTOP_WCP 270
#define HBARHEIGHT_WCP 271
#define VBARLEFT_WCP 272
#define VBARWIDTH_WCP 273
#define DISPLAYSETS_WCP 274
#define NAME_WCP 275
#define SIZE_WCP 276
#define TYPE_WCP 277
#define PERMISSION_WCP 278
#define OWNER_WCP 279
#define DESTINATION_WCP 280
#define MODTIME_WCP 281
#define ACCTIME_WCP 282
#define CHGTIME_WCP 283
#define ROWS_WCP 284
#define COLUMNS_WCP 285
#define CACHESIZE_WCP 286
#define OWNERSTYLE_WCP 287
#define TERMINAL_WCP 288
#define USESTRINGFORDIRSIZE_WCP 289
#define TIMESETS_WCP 290
#define STYLE1_WCP 291
#define STYLE2_WCP 292
#define STYLE3_WCP 293
#define DATE_WCP 294
#define TIME_WCP 295
#define DATESUBSTITUTION_WCP 296
#define DATEBEFORETIME_WCP 297
#define STATEBAR_WCP 298
#define SELLVBAR_WCP 299
#define UNSELLVBAR_WCP 300
#define CLOCKBAR_WCP 301
#define REQUESTER_WCP 302
#define UNSELDIR_WCP 303
#define SELDIR_WCP 304
#define UNSELFILE_WCP 305
#define SELFILE_WCP 306
#define UNSELACTDIR_WCP 307
#define SELACTDIR_WCP 308
#define UNSELACTFILE_WCP 309
#define SELACTFILE_WCP 310
#define LVBG_WCP 311
#define STARTUP_WCP 312
#define BUTTON_WCP 313
#define BUTTONS_WCP 314
#define POSITION_WCP 315
#define TITLE_WCP 316
#define COMMANDS_WCP 317
#define SHORTKEYS_WCP 318
#define PATHS_WCP 319
#define PATH_WCP 320
#define FILETYPES_WCP 321
#define FILETYPE_WCP 322
#define NORMAL_WCP 323
#define NOTYETCHECKED_WCP 324
#define UNKNOWN_WCP 325
#define NOSELECT_WCP 326
#define DIR_WCP 327
#define USEPATTERN_WCP 328
#define USECONTENT_WCP 329
#define PATTERN_WCP 330
#define CONTENT_WCP 331
#define FTCOMMANDS_WCP 332
#define DND_WCP 333
#define DC_WCP 334
#define SHOW_WCP 335
#define RAWSHOW_WCP 336
#define USER_WCP 337
#define FLAGS_WCP 338
#define IGNOREDIRS_WCP 339
#define HOTKEYS_WCP 340
#define HOTKEY_WCP 341
#define FONTS_WCP 342
#define GLOBALFONT_WCP 343
#define BUTTONFONT_WCP 344
#define LEFTFONT_WCP 345
#define RIGHTFONT_WCP 346
#define TEXTVIEWFONT_WCP 347
#define STATEBARFONT_WCP 348
#define CLOCKBARSETS_WCP 349
#define MODUS_WCP 350
#define TIMESPACE_WCP 351
#define VERSION_WCP 352
#define EXTERN_WCP 353
#define UPDATETIME_WCP 354
#define PROGRAM_WCP 355
#define SHOWHINTS_WCP 356
#define KEY_WCP 357
#define DOUBLE_WCP 358
#define MOD_WCP 359
#define CONTROL_WCP 360
#define SHIFT_WCP 361
#define LOCK_WCP 362
#define MOD1_WCP 363
#define MOD2_WCP 364
#define MOD3_WCP 365
#define MOD4_WCP 366
#define MOD5_WCP 367
#define DNDACTION_WCP 368
#define DCACTION_WCP 369
#define SHOWACTION_WCP 370
#define RSHOWACTION_WCP 371
#define USERACTION_WCP 372
#define ROWUP_WCP 373
#define ROWDOWN_WCP 374
#define CHANGEHIDDENFLAG_WCP 375
#define COPYOP_WCP 376
#define FIRSTROW_WCP 377
#define LASTROW_WCP 378
#define PAGEUP_WCP 379
#define PAGEDOWN_WCP 380
#define SELECTOP_WCP 381
#define SELECTALLOP_WCP 382
#define SELECTNONEOP_WCP 383
#define INVERTALLOP_WCP 384
#define PARENTDIROP_WCP 385
#define ENTERDIROP_WCP 386
#define CHANGELISTERSETOP_WCP 387
#define SWITCHLISTEROP_WCP 388
#define FILTERSELECTOP_WCP 389
#define FILTERUNSELECTOP_WCP 390
#define PATHTOOTHERSIDEOP_WCP 391
#define QUITOP_WCP 392
#define DELETEOP_WCP 393
#define RELOADOP_WCP 394
#define MAKEDIROP_WCP 395
#define RENAMEOP_WCP 396
#define DIRSIZEOP_WCP 397
#define SIMDDOP_WCP 398
#define STARTPROGOP_WCP 399
#define SEARCHENTRYOP_WCP 400
#define ENTERPATHOP_WCP 401
#define SCROLLLISTEROP_WCP 402
#define CREATESYMLINKOP_WCP 403
#define CHANGESYMLINKOP_WCP 404
#define CHMODOP_WCP 405
#define TOGGLELISTERMODEOP_WCP 406
#define SETSORTMODEOP_WCP 407
#define SETFILTEROP_WCP 408
#define SHORTKEYFROMLISTOP_WCP 409
#define CHOWNOP_WCP 410
#define WORKERCONFIG_WCP 411
#define USERSTYLE_WCP 412
#define DATESTRING_WCP 413
#define TIMESTRING_WCP 414
#define COLOR_WCP 415
#define PATTERNIGNORECASE_WCP 416
#define PATTERNUSEREGEXP_WCP 417
#define PATTERNUSEFULLNAME_WCP 418
#define COM_WCP 419
#define SEPARATEEACHENTRY_WCP 420
#define RECURSIVE_WCP 421
#define START_WCP 422
#define TERMINALWAIT_WCP 423
#define SHOWOUTPUT_WCP 424
#define VIEWSTR_WCP 425
#define SHOWOUTPUTINT_WCP 426
#define INBACKGROUND_WCP 427
#define TAKEDIRS_WCP 428
#define ACTIONNUMBER_WCP 429
#define HIDDENFILES_WCP 430
#define HIDE_WCP 431
#define TOGGLE_WCP 432
#define FOLLOWSYMLINKS_WCP 433
#define MOVE_WCP 434
#define RENAME_WCP 435
#define SAMEDIR_WCP 436
#define REQUESTDEST_WCP 437
#define REQUESTFLAGS_WCP 438
#define OVERWRITE_WCP 439
#define ALWAYS_WCP 440
#define NEVER_WCP 441
#define COPYMODE_WCP 442
#define FAST_WCP 443
#define PRESERVEATTR_WCP 444
#define MODE_WCP 445
#define ACTIVE_WCP 446
#define ACTIVE2OTHER_WCP 447
#define SPECIAL_WCP 448
#define REQUEST_WCP 449
#define CURRENT_WCP 450
#define OTHER_WCP 451
#define FILTER_WCP 452
#define QUICK_WCP 453
#define ALSOACTIVE_WCP 454
#define RESETDIRSIZES_WCP 455
#define KEEPFILETYPES_WCP 456
#define RELATIVE_WCP 457
#define ONFILES_WCP 458
#define ONDIRS_WCP 459
#define SORTBY_WCP 460
#define SORTFLAG_WCP 461
#define REVERSE_WCP 462
#define DIRLAST_WCP 463
#define DIRMIXED_WCP 464
#define EXCLUDE_WCP 465
#define INCLUDE_WCP 466
#define UNSET_WCP 467
#define UNSETALL_WCP 468
#define SCRIPTOP_WCP 469
#define NOP_WCP 470
#define PUSH_WCP 471
#define LABEL_WCP 472
#define IF_WCP 473
#define END_WCP 474
#define POP_WCP 475
#define SETTINGS_WCP 476
#define WINDOW_WCP 477
#define GOTO_WCP 478
#define PUSHUSEOUTPUT_WCP 479
#define DODEBUG_WCP 480
#define WPURECURSIVE_WCP 481
#define WPUTAKEDIRS_WCP 482
#define STACKNR_WCP 483
#define PUSHSTRING_WCP 484
#define IFTEST_WCP 485
#define IFLABEL_WCP 486
#define WINTYPE_WCP 487
#define OPEN_WCP 488
#define CLOSE_WCP 489
#define LEAVE_WCP 490
#define CHANGEPROGRESS_WCP 491
#define CHANGETEXT_WCP 492
#define PROGRESSUSEOUTPUT_WCP 493
#define WINTEXTUSEOUTPUT_WCP 494
#define PROGRESS_WCP 495
#define WINTEXT_WCP 496
#define SHOWDIRCACHEOP_WCP 497
#define INODE_WCP 498
#define NLINK_WCP 499
#define BLOCKS_WCP 500
#define SHOWHEADER_WCP 501
#define LVHEADER_WCP 502
#define IGNORECASE_WCP 503
#define LISTVIEWS_WCP 504
#define BLL_WCP 505
#define LBL_WCP 506
#define LLB_WCP 507
#define BL_WCP 508
#define LB_WCP 509
#define LAYOUT_WCP 510
#define BUTTONSVERT_WCP 511
#define LISTVIEWSVERT_WCP 512
#define LISTVIEWWEIGHT_WCP 513
#define WEIGHTTOACTIVE_WCP 514
#define EXTCOND_WCP 515
#define USEEXTCOND_WCP 516
#define SUBTYPE_WCP 517
#define PARENTACTIONOP_WCP 518
#define NOOPERATIONOP_WCP 519
#define COLORMODE_WCP 520
#define DEFAULT_WCP 521
#define CUSTOM_WCP 522
#define UNSELECTCOLOR_WCP 523
#define SELECTCOLOR_WCP 524
#define UNSELECTACTIVECOLOR_WCP 525
#define SELECTACTIVECOLOR_WCP 526
#define COLOREXTERNPROG_WCP 527
#define PARENT_WCP 528
#define DONTCD_WCP 529
#define DONTCHECKVIRTUAL_WCP 530
#define GOFTPOP_WCP 531
#define HOSTNAME_WCP 532
#define USERNAME_WCP 533
#define PASSWORD_WCP 534
#define DONTENTERFTP_WCP 535
#define ALWAYSSTOREPW_WCP 536
#define INTERNALVIEWOP_WCP 537
#define CUSTOMFILES_WCP 538
#define SHOWMODE_WCP 539
#define SELECTED_WCP 540
#define REVERSESEARCH_WCP 541
#define MOUSECONF_WCP 542
#define SELECTBUTTON_WCP 543
#define ACTIVATEBUTTON_WCP 544
#define SCROLLBUTTON_WCP 545
#define SELECTMETHOD_WCP 546
#define ALTERNATIVE_WCP 547
#define SEARCHOP_WCP 548
#define EDITCOMMAND_WCP 549
#define SHOWPREVRESULTS_WCP 550
#define TEXTVIEW_WCP 551
#define TEXTVIEWHIGHLIGHTED_WCP 552
#define TEXTVIEWSELECTION_WCP 553
#define DIRBOOKMARKOP_WCP 554
#define OPENCONTEXTMENUOP_WCP 555
#define RUNCUSTOMACTION_WCP 556
#define CUSTOMNAME_WCP 557
#define CONTEXTBUTTON_WCP 558
#define ACTIVATEMOD_WCP 559
#define SCROLLMOD_WCP 560
#define CONTEXTMOD_WCP 561
#define NONE_WCP 562
#define CUSTOMACTION_WCP 563
#define SAVE_WORKER_STATE_ON_EXIT_WCP 564
#define OPENWORKERMENUOP_WCP 565
#define CHANGELABELOP_WCP 566
#define ASKFORLABEL_WCP 567
#define LABELCOLORS_WCP 568
#define BOOKMARKLABEL_WCP 569
#define BOOKMARKFILTER_WCP 570
#define SHOWONLYBOOKMARKS_WCP 571
#define SHOWONLYLABEL_WCP 572
#define SHOWALL_WCP 573
#define OPTIONMODE_WCP 574
#define INVERT_WCP 575
#define SET_WCP 576
#define CHANGEFILTERS_WCP 577
#define CHANGEBOOKMARKS_WCP 578
#define QUERYLABEL_WCP 579
#define MODIFYTABSOP_WCP 580
#define TABACTION_WCP 581
#define NEWTAB_WCP 582
#define CLOSECURRENTTAB_WCP 583
#define NEXTTAB_WCP 584
#define PREVTAB_WCP 585
#define TOGGLELOCKSTATE_WCP 586
#define MOVETABLEFT_WCP 587
#define MOVETABRIGHT_WCP 588
#define CHANGELAYOUTOP_WCP 589
#define INFIXSEARCH_WCP 590
#define VOLUMEMANAGEROP_WCP 591
#define ERROR 592
#define ACTIVESIDE_WCP 593
#define SHOWFREESPACE_WCP 594
#define ACTIVEMODE_WCP 595
#define ASK_WCP 596
#define SSHALLOW_WCP 597
#define FIELD_WIDTH_WCP 598
#define QUICKSEARCHENABLED_WCP 599
#define FILTEREDSEARCHENABLED_WCP 600
#define XFTFONTS_WCP 601
#define USEMAGIC_WCP 602
#define MAGICPATTERN_WCP 603
#define MAGICCOMPRESSED_WCP 604
#define MAGICMIME_WCP 605
#define VOLUMEMANAGER_WCP 606
#define MOUNTCOMMAND_WCP 607
#define UNMOUNTCOMMAND_WCP 608
#define FSTABFILE_WCP 609
#define MTABFILE_WCP 610
#define PARTFILE_WCP 611
#define REQUESTACTION_WCP 612
#define SIZEH_WCP 613
#define NEXTAGING_WCP 614
#define ENTRY_WCP 615
#define PREFIX_WCP 616
#define VALUE_WCP 617
#define EXTENSION_WCP 618
#define EJECTCOMMAND_WCP 619
#define CLOSETRAYCOMMAND_WCP 620
#define AVFSMODULE_WCP 621
#define FLEXIBLEMATCH_WCP 622
#define USE_VERSION_STRING_COMPARE_WCP 623
#define SWITCHBUTTONBANKOP_WCP 624
#define SWITCHTONEXTBANK_WCP 625
#define SWITCHTOPREVBANK_WCP 626
#define SWITCHTOBANKNR_WCP 627
#define BANKNR_WCP 628
#define USE_VIRTUAL_TEMP_COPIES_WCP 629
#define PATHJUMPOP_WCP 630
#define PATHJUMPALLOWDIRS_WCP 631
#define CLIPBOARDOP_WCP 632
#define CLIPBOARDSTRING_WCP 633
#define COMMANDSTRING_WCP 634
#define EVALCOMMAND_WCP 635
#define WATCHMODE_WCP 636
#define APPLY_WINDOW_DIALOG_TYPE_WCP 637
#define FLAGS_ARE_RELATIVE_TO_BASEDIR_WCP 638
#define COMMANDMENUOP_WCP 639
#define SEARCHMODEONKEYPRESS_WCP 640
#define PATHENTRYONTOP_WCP 641
#define STORE_FILES_ALWAYS_WCP 642
#define PATHJUMPSETS_WCP 643
#define SHOWDOTDOT_WCP 644
#define SHOWBREADCRUMB_WCP 645
#define FACES_WCP 646
#define FACE_WCP 647
#define ENABLE_INFO_LINE_WCP 648
#define INFO_LINE_LUA_MODE_WCP 649
#define INFO_LINE_CONTENT_WCP 650
#define RESTORE_TABS_MODE_WCP 651
#define STORE_TABS_MODE_WCP 652
#define AS_EXIT_STATE_WCP 653
#define USE_EXTENDED_REGEX_WCP 654
#define HIGHLIGHT_USER_ACTION_WCP 655
#define CHTIMEOP_WCP 656
#define ADJUSTRELATIVESYMLINKS_WCP 657
#define OUTSIDE_WCP 658
#define EDIT_WCP 659
#define MAKEABSOLUTE_WCP 660
#define MAKERELATIVE_WCP 661
#define MAGICIGNORECASE_WCP 662
#define ENSURE_FILE_PERMISSIONS_WCP 663
#define USER_RW_WCP 664
#define USER_RW_GROUP_R_WCP 665
#define USER_RW_ALL_R_WCP 666
#define LEAVE_UNMODIFIED_WCP 667
#define PREFERUDISKSVERSION_WCP 668
#define CHANGECOLUMNSOP_WCP 669
#define PATTERNISCOMMASEPARATED_WCP 670
#define STRCASECMP_WCP 671
#define USE_STRING_COMPARE_MODE_WCP 672
#define VIEWNEWESTFILESOP_WCP 673
#define SHOWRECENT_WCP 674
#define DIRCOMPAREOP_WCP 675
#define TABPROFILESOP_WCP 676
#define EXTERNALVDIROP_WCP 677
#define VDIR_PRESERVE_DIR_STRUCTURE_WCP 678
#define OPENTABMENUOP_WCP 679
#define INITIALTAB_WCP 680
#define SHOWBYTIME_WCP 681
#define SHOWBYFILTER_WCP 682
#define SHOWBYPROGRAM_WCP 683
#define TERMINAL_RETURNS_EARLY_WCP 684
#define DIRECTORYPRESETS_WCP 685
#define DIRECTORYPRESET_WCP 686
#define HELPOP_WCP 687
#define PRIORITY_WCP 688
#define AUTOFILTER_WCP 689
#define ENABLE_CUSTOM_LVB_LINE_WCP 690
#define CUSTOM_LVB_LINE_WCP 691
#define CUSTOM_DIRECTORY_INFO_COMMAND_WCP 692
#define IMMEDIATE_FILTER_APPLY_WCP 693
#define DISABLEBGCHECKPREFIX_WCP 694
#define DISPLAYMODE_WCP 695
#define SHOWSUBDIRS_WCP 696
#define SHOWDIRECTSUBDIRS_WCP 697
#define INCLUDEALL_WCP 698
#define APPLYMODE_WCP 699
#define ADD_WCP 700
#define REMOVE_WCP 701
#define STRING_WCP 702
#define NUM_WCP 703

/* Value type.  */
#if ! defined YYSTYPE && ! defined YYSTYPE_IS_DECLARED
union YYSTYPE
{
#line 214 "configparser.yy"

  int num;
  char *strptr;

#line 1238 "configparser.cc"

};
typedef union YYSTYPE YYSTYPE;
# define YYSTYPE_IS_TRIVIAL 1
# define YYSTYPE_IS_DECLARED 1
#endif


extern YYSTYPE yylval;

int yyparse (void);

#endif /* !YY_YY_CONFIGPARSER_HH_INCLUDED  */
/* Symbol kind.  */
enum yysymbol_kind_t
{
  YYSYMBOL_YYEMPTY = -2,
  YYSYMBOL_YYEOF = 0,                      /* "end of file"  */
  YYSYMBOL_YYerror = 1,                    /* error  */
  YYSYMBOL_YYUNDEF = 2,                    /* "invalid token"  */
  YYSYMBOL_LEFTBRACE_WCP = 3,              /* LEFTBRACE_WCP  */
  YYSYMBOL_RIGHTBRACE_WCP = 4,             /* RIGHTBRACE_WCP  */
  YYSYMBOL_GLOBAL_WCP = 5,                 /* GLOBAL_WCP  */
  YYSYMBOL_COLORS_WCP = 6,                 /* COLORS_WCP  */
  YYSYMBOL_LANG_WCP = 7,                   /* LANG_WCP  */
  YYSYMBOL_PALETTE_WCP = 8,                /* PALETTE_WCP  */
  YYSYMBOL_OWNOP_WCP = 9,                  /* OWNOP_WCP  */
  YYSYMBOL_LISTERSETS_WCP = 10,            /* LISTERSETS_WCP  */
  YYSYMBOL_YES_WCP = 11,                   /* YES_WCP  */
  YYSYMBOL_NO_WCP = 12,                    /* NO_WCP  */
  YYSYMBOL_LEFT_WCP = 13,                  /* LEFT_WCP  */
  YYSYMBOL_RIGHT_WCP = 14,                 /* RIGHT_WCP  */
  YYSYMBOL_HBARTOP_WCP = 15,               /* HBARTOP_WCP  */
  YYSYMBOL_HBARHEIGHT_WCP = 16,            /* HBARHEIGHT_WCP  */
  YYSYMBOL_VBARLEFT_WCP = 17,              /* VBARLEFT_WCP  */
  YYSYMBOL_VBARWIDTH_WCP = 18,             /* VBARWIDTH_WCP  */
  YYSYMBOL_DISPLAYSETS_WCP = 19,           /* DISPLAYSETS_WCP  */
  YYSYMBOL_NAME_WCP = 20,                  /* NAME_WCP  */
  YYSYMBOL_SIZE_WCP = 21,                  /* SIZE_WCP  */
  YYSYMBOL_TYPE_WCP = 22,                  /* TYPE_WCP  */
  YYSYMBOL_PERMISSION_WCP = 23,            /* PERMISSION_WCP  */
  YYSYMBOL_OWNER_WCP = 24,                 /* OWNER_WCP  */
  YYSYMBOL_DESTINATION_WCP = 25,           /* DESTINATION_WCP  */
  YYSYMBOL_MODTIME_WCP = 26,               /* MODTIME_WCP  */
  YYSYMBOL_ACCTIME_WCP = 27,               /* ACCTIME_WCP  */
  YYSYMBOL_CHGTIME_WCP = 28,               /* CHGTIME_WCP  */
  YYSYMBOL_ROWS_WCP = 29,                  /* ROWS_WCP  */
  YYSYMBOL_COLUMNS_WCP = 30,               /* COLUMNS_WCP  */
  YYSYMBOL_CACHESIZE_WCP = 31,             /* CACHESIZE_WCP  */
  YYSYMBOL_OWNERSTYLE_WCP = 32,            /* OWNERSTYLE_WCP  */
  YYSYMBOL_TERMINAL_WCP = 33,              /* TERMINAL_WCP  */
  YYSYMBOL_USESTRINGFORDIRSIZE_WCP = 34,   /* USESTRINGFORDIRSIZE_WCP  */
  YYSYMBOL_TIMESETS_WCP = 35,              /* TIMESETS_WCP  */
  YYSYMBOL_STYLE1_WCP = 36,                /* STYLE1_WCP  */
  YYSYMBOL_STYLE2_WCP = 37,                /* STYLE2_WCP  */
  YYSYMBOL_STYLE3_WCP = 38,                /* STYLE3_WCP  */
  YYSYMBOL_DATE_WCP = 39,                  /* DATE_WCP  */
  YYSYMBOL_TIME_WCP = 40,                  /* TIME_WCP  */
  YYSYMBOL_DATESUBSTITUTION_WCP = 41,      /* DATESUBSTITUTION_WCP  */
  YYSYMBOL_DATEBEFORETIME_WCP = 42,        /* DATEBEFORETIME_WCP  */
  YYSYMBOL_STATEBAR_WCP = 43,              /* STATEBAR_WCP  */
  YYSYMBOL_SELLVBAR_WCP = 44,              /* SELLVBAR_WCP  */
  YYSYMBOL_UNSELLVBAR_WCP = 45,            /* UNSELLVBAR_WCP  */
  YYSYMBOL_CLOCKBAR_WCP = 46,              /* CLOCKBAR_WCP  */
  YYSYMBOL_REQUESTER_WCP = 47,             /* REQUESTER_WCP  */
  YYSYMBOL_UNSELDIR_WCP = 48,              /* UNSELDIR_WCP  */
  YYSYMBOL_SELDIR_WCP = 49,                /* SELDIR_WCP  */
  YYSYMBOL_UNSELFILE_WCP = 50,             /* UNSELFILE_WCP  */
  YYSYMBOL_SELFILE_WCP = 51,               /* SELFILE_WCP  */
  YYSYMBOL_UNSELACTDIR_WCP = 52,           /* UNSELACTDIR_WCP  */
  YYSYMBOL_SELACTDIR_WCP = 53,             /* SELACTDIR_WCP  */
  YYSYMBOL_UNSELACTFILE_WCP = 54,          /* UNSELACTFILE_WCP  */
  YYSYMBOL_SELACTFILE_WCP = 55,            /* SELACTFILE_WCP  */
  YYSYMBOL_LVBG_WCP = 56,                  /* LVBG_WCP  */
  YYSYMBOL_STARTUP_WCP = 57,               /* STARTUP_WCP  */
  YYSYMBOL_BUTTON_WCP = 58,                /* BUTTON_WCP  */
  YYSYMBOL_BUTTONS_WCP = 59,               /* BUTTONS_WCP  */
  YYSYMBOL_POSITION_WCP = 60,              /* POSITION_WCP  */
  YYSYMBOL_TITLE_WCP = 61,                 /* TITLE_WCP  */
  YYSYMBOL_COMMANDS_WCP = 62,              /* COMMANDS_WCP  */
  YYSYMBOL_SHORTKEYS_WCP = 63,             /* SHORTKEYS_WCP  */
  YYSYMBOL_PATHS_WCP = 64,                 /* PATHS_WCP  */
  YYSYMBOL_PATH_WCP = 65,                  /* PATH_WCP  */
  YYSYMBOL_FILETYPES_WCP = 66,             /* FILETYPES_WCP  */
  YYSYMBOL_FILETYPE_WCP = 67,              /* FILETYPE_WCP  */
  YYSYMBOL_NORMAL_WCP = 68,                /* NORMAL_WCP  */
  YYSYMBOL_NOTYETCHECKED_WCP = 69,         /* NOTYETCHECKED_WCP  */
  YYSYMBOL_UNKNOWN_WCP = 70,               /* UNKNOWN_WCP  */
  YYSYMBOL_NOSELECT_WCP = 71,              /* NOSELECT_WCP  */
  YYSYMBOL_DIR_WCP = 72,                   /* DIR_WCP  */
  YYSYMBOL_USEPATTERN_WCP = 73,            /* USEPATTERN_WCP  */
  YYSYMBOL_USECONTENT_WCP = 74,            /* USECONTENT_WCP  */
  YYSYMBOL_PATTERN_WCP = 75,               /* PATTERN_WCP  */
  YYSYMBOL_CONTENT_WCP = 76,               /* CONTENT_WCP  */
  YYSYMBOL_FTCOMMANDS_WCP = 77,            /* FTCOMMANDS_WCP  */
  YYSYMBOL_DND_WCP = 78,                   /* DND_WCP  */
  YYSYMBOL_DC_WCP = 79,                    /* DC_WCP  */
  YYSYMBOL_SHOW_WCP = 80,                  /* SHOW_WCP  */
  YYSYMBOL_RAWSHOW_WCP = 81,               /* RAWSHOW_WCP  */
  YYSYMBOL_USER_WCP = 82,                  /* USER_WCP  */
  YYSYMBOL_FLAGS_WCP = 83,                 /* FLAGS_WCP  */
  YYSYMBOL_IGNOREDIRS_WCP = 84,            /* IGNOREDIRS_WCP  */
  YYSYMBOL_HOTKEYS_WCP = 85,               /* HOTKEYS_WCP  */
  YYSYMBOL_HOTKEY_WCP = 86,                /* HOTKEY_WCP  */
  YYSYMBOL_FONTS_WCP = 87,                 /* FONTS_WCP  */
  YYSYMBOL_GLOBALFONT_WCP = 88,            /* GLOBALFONT_WCP  */
  YYSYMBOL_BUTTONFONT_WCP = 89,            /* BUTTONFONT_WCP  */
  YYSYMBOL_LEFTFONT_WCP = 90,              /* LEFTFONT_WCP  */
  YYSYMBOL_RIGHTFONT_WCP = 91,             /* RIGHTFONT_WCP  */
  YYSYMBOL_TEXTVIEWFONT_WCP = 92,          /* TEXTVIEWFONT_WCP  */
  YYSYMBOL_STATEBARFONT_WCP = 93,          /* STATEBARFONT_WCP  */
  YYSYMBOL_CLOCKBARSETS_WCP = 94,          /* CLOCKBARSETS_WCP  */
  YYSYMBOL_MODUS_WCP = 95,                 /* MODUS_WCP  */
  YYSYMBOL_TIMESPACE_WCP = 96,             /* TIMESPACE_WCP  */
  YYSYMBOL_VERSION_WCP = 97,               /* VERSION_WCP  */
  YYSYMBOL_EXTERN_WCP = 98,                /* EXTERN_WCP  */
  YYSYMBOL_UPDATETIME_WCP = 99,            /* UPDATETIME_WCP  */
  YYSYMBOL_PROGRAM_WCP = 100,              /* PROGRAM_WCP  */
  YYSYMBOL_SHOWHINTS_WCP = 101,            /* SHOWHINTS_WCP  */
  YYSYMBOL_KEY_WCP = 102,                  /* KEY_WCP  */
  YYSYMBOL_DOUBLE_WCP = 103,               /* DOUBLE_WCP  */
  YYSYMBOL_MOD_WCP = 104,                  /* MOD_WCP  */
  YYSYMBOL_CONTROL_WCP = 105,              /* CONTROL_WCP  */
  YYSYMBOL_SHIFT_WCP = 106,                /* SHIFT_WCP  */
  YYSYMBOL_LOCK_WCP = 107,                 /* LOCK_WCP  */
  YYSYMBOL_MOD1_WCP = 108,                 /* MOD1_WCP  */
  YYSYMBOL_MOD2_WCP = 109,                 /* MOD2_WCP  */
  YYSYMBOL_MOD3_WCP = 110,                 /* MOD3_WCP  */
  YYSYMBOL_MOD4_WCP = 111,                 /* MOD4_WCP  */
  YYSYMBOL_MOD5_WCP = 112,                 /* MOD5_WCP  */
  YYSYMBOL_DNDACTION_WCP = 113,            /* DNDACTION_WCP  */
  YYSYMBOL_DCACTION_WCP = 114,             /* DCACTION_WCP  */
  YYSYMBOL_SHOWACTION_WCP = 115,           /* SHOWACTION_WCP  */
  YYSYMBOL_RSHOWACTION_WCP = 116,          /* RSHOWACTION_WCP  */
  YYSYMBOL_USERACTION_WCP = 117,           /* USERACTION_WCP  */
  YYSYMBOL_ROWUP_WCP = 118,                /* ROWUP_WCP  */
  YYSYMBOL_ROWDOWN_WCP = 119,              /* ROWDOWN_WCP  */
  YYSYMBOL_CHANGEHIDDENFLAG_WCP = 120,     /* CHANGEHIDDENFLAG_WCP  */
  YYSYMBOL_COPYOP_WCP = 121,               /* COPYOP_WCP  */
  YYSYMBOL_FIRSTROW_WCP = 122,             /* FIRSTROW_WCP  */
  YYSYMBOL_LASTROW_WCP = 123,              /* LASTROW_WCP  */
  YYSYMBOL_PAGEUP_WCP = 124,               /* PAGEUP_WCP  */
  YYSYMBOL_PAGEDOWN_WCP = 125,             /* PAGEDOWN_WCP  */
  YYSYMBOL_SELECTOP_WCP = 126,             /* SELECTOP_WCP  */
  YYSYMBOL_SELECTALLOP_WCP = 127,          /* SELECTALLOP_WCP  */
  YYSYMBOL_SELECTNONEOP_WCP = 128,         /* SELECTNONEOP_WCP  */
  YYSYMBOL_INVERTALLOP_WCP = 129,          /* INVERTALLOP_WCP  */
  YYSYMBOL_PARENTDIROP_WCP = 130,          /* PARENTDIROP_WCP  */
  YYSYMBOL_ENTERDIROP_WCP = 131,           /* ENTERDIROP_WCP  */
  YYSYMBOL_CHANGELISTERSETOP_WCP = 132,    /* CHANGELISTERSETOP_WCP  */
  YYSYMBOL_SWITCHLISTEROP_WCP = 133,       /* SWITCHLISTEROP_WCP  */
  YYSYMBOL_FILTERSELECTOP_WCP = 134,       /* FILTERSELECTOP_WCP  */
  YYSYMBOL_FILTERUNSELECTOP_WCP = 135,     /* FILTERUNSELECTOP_WCP  */
  YYSYMBOL_PATHTOOTHERSIDEOP_WCP = 136,    /* PATHTOOTHERSIDEOP_WCP  */
  YYSYMBOL_QUITOP_WCP = 137,               /* QUITOP_WCP  */
  YYSYMBOL_DELETEOP_WCP = 138,             /* DELETEOP_WCP  */
  YYSYMBOL_RELOADOP_WCP = 139,             /* RELOADOP_WCP  */
  YYSYMBOL_MAKEDIROP_WCP = 140,            /* MAKEDIROP_WCP  */
  YYSYMBOL_RENAMEOP_WCP = 141,             /* RENAMEOP_WCP  */
  YYSYMBOL_DIRSIZEOP_WCP = 142,            /* DIRSIZEOP_WCP  */
  YYSYMBOL_SIMDDOP_WCP = 143,              /* SIMDDOP_WCP  */
  YYSYMBOL_STARTPROGOP_WCP = 144,          /* STARTPROGOP_WCP  */
  YYSYMBOL_SEARCHENTRYOP_WCP = 145,        /* SEARCHENTRYOP_WCP  */
  YYSYMBOL_ENTERPATHOP_WCP = 146,          /* ENTERPATHOP_WCP  */
  YYSYMBOL_SCROLLLISTEROP_WCP = 147,       /* SCROLLLISTEROP_WCP  */
  YYSYMBOL_CREATESYMLINKOP_WCP = 148,      /* CREATESYMLINKOP_WCP  */
  YYSYMBOL_CHANGESYMLINKOP_WCP = 149,      /* CHANGESYMLINKOP_WCP  */
  YYSYMBOL_CHMODOP_WCP = 150,              /* CHMODOP_WCP  */
  YYSYMBOL_TOGGLELISTERMODEOP_WCP = 151,   /* TOGGLELISTERMODEOP_WCP  */
  YYSYMBOL_SETSORTMODEOP_WCP = 152,        /* SETSORTMODEOP_WCP  */
  YYSYMBOL_SETFILTEROP_WCP = 153,          /* SETFILTEROP_WCP  */
  YYSYMBOL_SHORTKEYFROMLISTOP_WCP = 154,   /* SHORTKEYFROMLISTOP_WCP  */
  YYSYMBOL_CHOWNOP_WCP = 155,              /* CHOWNOP_WCP  */
  YYSYMBOL_WORKERCONFIG_WCP = 156,         /* WORKERCONFIG_WCP  */
  YYSYMBOL_USERSTYLE_WCP = 157,            /* USERSTYLE_WCP  */
  YYSYMBOL_DATESTRING_WCP = 158,           /* DATESTRING_WCP  */
  YYSYMBOL_TIMESTRING_WCP = 159,           /* TIMESTRING_WCP  */
  YYSYMBOL_COLOR_WCP = 160,                /* COLOR_WCP  */
  YYSYMBOL_PATTERNIGNORECASE_WCP = 161,    /* PATTERNIGNORECASE_WCP  */
  YYSYMBOL_PATTERNUSEREGEXP_WCP = 162,     /* PATTERNUSEREGEXP_WCP  */
  YYSYMBOL_PATTERNUSEFULLNAME_WCP = 163,   /* PATTERNUSEFULLNAME_WCP  */
  YYSYMBOL_COM_WCP = 164,                  /* COM_WCP  */
  YYSYMBOL_SEPARATEEACHENTRY_WCP = 165,    /* SEPARATEEACHENTRY_WCP  */
  YYSYMBOL_RECURSIVE_WCP = 166,            /* RECURSIVE_WCP  */
  YYSYMBOL_START_WCP = 167,                /* START_WCP  */
  YYSYMBOL_TERMINALWAIT_WCP = 168,         /* TERMINALWAIT_WCP  */
  YYSYMBOL_SHOWOUTPUT_WCP = 169,           /* SHOWOUTPUT_WCP  */
  YYSYMBOL_VIEWSTR_WCP = 170,              /* VIEWSTR_WCP  */
  YYSYMBOL_SHOWOUTPUTINT_WCP = 171,        /* SHOWOUTPUTINT_WCP  */
  YYSYMBOL_INBACKGROUND_WCP = 172,         /* INBACKGROUND_WCP  */
  YYSYMBOL_TAKEDIRS_WCP = 173,             /* TAKEDIRS_WCP  */
  YYSYMBOL_ACTIONNUMBER_WCP = 174,         /* ACTIONNUMBER_WCP  */
  YYSYMBOL_HIDDENFILES_WCP = 175,          /* HIDDENFILES_WCP  */
  YYSYMBOL_HIDE_WCP = 176,                 /* HIDE_WCP  */
  YYSYMBOL_TOGGLE_WCP = 177,               /* TOGGLE_WCP  */
  YYSYMBOL_FOLLOWSYMLINKS_WCP = 178,       /* FOLLOWSYMLINKS_WCP  */
  YYSYMBOL_MOVE_WCP = 179,                 /* MOVE_WCP  */
  YYSYMBOL_RENAME_WCP = 180,               /* RENAME_WCP  */
  YYSYMBOL_SAMEDIR_WCP = 181,              /* SAMEDIR_WCP  */
  YYSYMBOL_REQUESTDEST_WCP = 182,          /* REQUESTDEST_WCP  */
  YYSYMBOL_REQUESTFLAGS_WCP = 183,         /* REQUESTFLAGS_WCP  */
  YYSYMBOL_OVERWRITE_WCP = 184,            /* OVERWRITE_WCP  */
  YYSYMBOL_ALWAYS_WCP = 185,               /* ALWAYS_WCP  */
  YYSYMBOL_NEVER_WCP = 186,                /* NEVER_WCP  */
  YYSYMBOL_COPYMODE_WCP = 187,             /* COPYMODE_WCP  */
  YYSYMBOL_FAST_WCP = 188,                 /* FAST_WCP  */
  YYSYMBOL_PRESERVEATTR_WCP = 189,         /* PRESERVEATTR_WCP  */
  YYSYMBOL_MODE_WCP = 190,                 /* MODE_WCP  */
  YYSYMBOL_ACTIVE_WCP = 191,               /* ACTIVE_WCP  */
  YYSYMBOL_ACTIVE2OTHER_WCP = 192,         /* ACTIVE2OTHER_WCP  */
  YYSYMBOL_SPECIAL_WCP = 193,              /* SPECIAL_WCP  */
  YYSYMBOL_REQUEST_WCP = 194,              /* REQUEST_WCP  */
  YYSYMBOL_CURRENT_WCP = 195,              /* CURRENT_WCP  */
  YYSYMBOL_OTHER_WCP = 196,                /* OTHER_WCP  */
  YYSYMBOL_FILTER_WCP = 197,               /* FILTER_WCP  */
  YYSYMBOL_QUICK_WCP = 198,                /* QUICK_WCP  */
  YYSYMBOL_ALSOACTIVE_WCP = 199,           /* ALSOACTIVE_WCP  */
  YYSYMBOL_RESETDIRSIZES_WCP = 200,        /* RESETDIRSIZES_WCP  */
  YYSYMBOL_KEEPFILETYPES_WCP = 201,        /* KEEPFILETYPES_WCP  */
  YYSYMBOL_RELATIVE_WCP = 202,             /* RELATIVE_WCP  */
  YYSYMBOL_ONFILES_WCP = 203,              /* ONFILES_WCP  */
  YYSYMBOL_ONDIRS_WCP = 204,               /* ONDIRS_WCP  */
  YYSYMBOL_SORTBY_WCP = 205,               /* SORTBY_WCP  */
  YYSYMBOL_SORTFLAG_WCP = 206,             /* SORTFLAG_WCP  */
  YYSYMBOL_REVERSE_WCP = 207,              /* REVERSE_WCP  */
  YYSYMBOL_DIRLAST_WCP = 208,              /* DIRLAST_WCP  */
  YYSYMBOL_DIRMIXED_WCP = 209,             /* DIRMIXED_WCP  */
  YYSYMBOL_EXCLUDE_WCP = 210,              /* EXCLUDE_WCP  */
  YYSYMBOL_INCLUDE_WCP = 211,              /* INCLUDE_WCP  */
  YYSYMBOL_UNSET_WCP = 212,                /* UNSET_WCP  */
  YYSYMBOL_UNSETALL_WCP = 213,             /* UNSETALL_WCP  */
  YYSYMBOL_SCRIPTOP_WCP = 214,             /* SCRIPTOP_WCP  */
  YYSYMBOL_NOP_WCP = 215,                  /* NOP_WCP  */
  YYSYMBOL_PUSH_WCP = 216,                 /* PUSH_WCP  */
  YYSYMBOL_LABEL_WCP = 217,                /* LABEL_WCP  */
  YYSYMBOL_IF_WCP = 218,                   /* IF_WCP  */
  YYSYMBOL_END_WCP = 219,                  /* END_WCP  */
  YYSYMBOL_POP_WCP = 220,                  /* POP_WCP  */
  YYSYMBOL_SETTINGS_WCP = 221,             /* SETTINGS_WCP  */
  YYSYMBOL_WINDOW_WCP = 222,               /* WINDOW_WCP  */
  YYSYMBOL_GOTO_WCP = 223,                 /* GOTO_WCP  */
  YYSYMBOL_PUSHUSEOUTPUT_WCP = 224,        /* PUSHUSEOUTPUT_WCP  */
  YYSYMBOL_DODEBUG_WCP = 225,              /* DODEBUG_WCP  */
  YYSYMBOL_WPURECURSIVE_WCP = 226,         /* WPURECURSIVE_WCP  */
  YYSYMBOL_WPUTAKEDIRS_WCP = 227,          /* WPUTAKEDIRS_WCP  */
  YYSYMBOL_STACKNR_WCP = 228,              /* STACKNR_WCP  */
  YYSYMBOL_PUSHSTRING_WCP = 229,           /* PUSHSTRING_WCP  */
  YYSYMBOL_IFTEST_WCP = 230,               /* IFTEST_WCP  */
  YYSYMBOL_IFLABEL_WCP = 231,              /* IFLABEL_WCP  */
  YYSYMBOL_WINTYPE_WCP = 232,              /* WINTYPE_WCP  */
  YYSYMBOL_OPEN_WCP = 233,                 /* OPEN_WCP  */
  YYSYMBOL_CLOSE_WCP = 234,                /* CLOSE_WCP  */
  YYSYMBOL_LEAVE_WCP = 235,                /* LEAVE_WCP  */
  YYSYMBOL_CHANGEPROGRESS_WCP = 236,       /* CHANGEPROGRESS_WCP  */
  YYSYMBOL_CHANGETEXT_WCP = 237,           /* CHANGETEXT_WCP  */
  YYSYMBOL_PROGRESSUSEOUTPUT_WCP = 238,    /* PROGRESSUSEOUTPUT_WCP  */
  YYSYMBOL_WINTEXTUSEOUTPUT_WCP = 239,     /* WINTEXTUSEOUTPUT_WCP  */
  YYSYMBOL_PROGRESS_WCP = 240,             /* PROGRESS_WCP  */
  YYSYMBOL_WINTEXT_WCP = 241,              /* WINTEXT_WCP  */
  YYSYMBOL_SHOWDIRCACHEOP_WCP = 242,       /* SHOWDIRCACHEOP_WCP  */
  YYSYMBOL_INODE_WCP = 243,                /* INODE_WCP  */
  YYSYMBOL_NLINK_WCP = 244,                /* NLINK_WCP  */
  YYSYMBOL_BLOCKS_WCP = 245,               /* BLOCKS_WCP  */
  YYSYMBOL_SHOWHEADER_WCP = 246,           /* SHOWHEADER_WCP  */
  YYSYMBOL_LVHEADER_WCP = 247,             /* LVHEADER_WCP  */
  YYSYMBOL_IGNORECASE_WCP = 248,           /* IGNORECASE_WCP  */
  YYSYMBOL_LISTVIEWS_WCP = 249,            /* LISTVIEWS_WCP  */
  YYSYMBOL_BLL_WCP = 250,                  /* BLL_WCP  */
  YYSYMBOL_LBL_WCP = 251,                  /* LBL_WCP  */
  YYSYMBOL_LLB_WCP = 252,                  /* LLB_WCP  */
  YYSYMBOL_BL_WCP = 253,                   /* BL_WCP  */
  YYSYMBOL_LB_WCP = 254,                   /* LB_WCP  */
  YYSYMBOL_LAYOUT_WCP = 255,               /* LAYOUT_WCP  */
  YYSYMBOL_BUTTONSVERT_WCP = 256,          /* BUTTONSVERT_WCP  */
  YYSYMBOL_LISTVIEWSVERT_WCP = 257,        /* LISTVIEWSVERT_WCP  */
  YYSYMBOL_LISTVIEWWEIGHT_WCP = 258,       /* LISTVIEWWEIGHT_WCP  */
  YYSYMBOL_WEIGHTTOACTIVE_WCP = 259,       /* WEIGHTTOACTIVE_WCP  */
  YYSYMBOL_EXTCOND_WCP = 260,              /* EXTCOND_WCP  */
  YYSYMBOL_USEEXTCOND_WCP = 261,           /* USEEXTCOND_WCP  */
  YYSYMBOL_SUBTYPE_WCP = 262,              /* SUBTYPE_WCP  */
  YYSYMBOL_PARENTACTIONOP_WCP = 263,       /* PARENTACTIONOP_WCP  */
  YYSYMBOL_NOOPERATIONOP_WCP = 264,        /* NOOPERATIONOP_WCP  */
  YYSYMBOL_COLORMODE_WCP = 265,            /* COLORMODE_WCP  */
  YYSYMBOL_DEFAULT_WCP = 266,              /* DEFAULT_WCP  */
  YYSYMBOL_CUSTOM_WCP = 267,               /* CUSTOM_WCP  */
  YYSYMBOL_UNSELECTCOLOR_WCP = 268,        /* UNSELECTCOLOR_WCP  */
  YYSYMBOL_SELECTCOLOR_WCP = 269,          /* SELECTCOLOR_WCP  */
  YYSYMBOL_UNSELECTACTIVECOLOR_WCP = 270,  /* UNSELECTACTIVECOLOR_WCP  */
  YYSYMBOL_SELECTACTIVECOLOR_WCP = 271,    /* SELECTACTIVECOLOR_WCP  */
  YYSYMBOL_COLOREXTERNPROG_WCP = 272,      /* COLOREXTERNPROG_WCP  */
  YYSYMBOL_PARENT_WCP = 273,               /* PARENT_WCP  */
  YYSYMBOL_DONTCD_WCP = 274,               /* DONTCD_WCP  */
  YYSYMBOL_DONTCHECKVIRTUAL_WCP = 275,     /* DONTCHECKVIRTUAL_WCP  */
  YYSYMBOL_GOFTPOP_WCP = 276,              /* GOFTPOP_WCP  */
  YYSYMBOL_HOSTNAME_WCP = 277,             /* HOSTNAME_WCP  */
  YYSYMBOL_USERNAME_WCP = 278,             /* USERNAME_WCP  */
  YYSYMBOL_PASSWORD_WCP = 279,             /* PASSWORD_WCP  */
  YYSYMBOL_DONTENTERFTP_WCP = 280,         /* DONTENTERFTP_WCP  */
  YYSYMBOL_ALWAYSSTOREPW_WCP = 281,        /* ALWAYSSTOREPW_WCP  */
  YYSYMBOL_INTERNALVIEWOP_WCP = 282,       /* INTERNALVIEWOP_WCP  */
  YYSYMBOL_CUSTOMFILES_WCP = 283,          /* CUSTOMFILES_WCP  */
  YYSYMBOL_SHOWMODE_WCP = 284,             /* SHOWMODE_WCP  */
  YYSYMBOL_SELECTED_WCP = 285,             /* SELECTED_WCP  */
  YYSYMBOL_REVERSESEARCH_WCP = 286,        /* REVERSESEARCH_WCP  */
  YYSYMBOL_MOUSECONF_WCP = 287,            /* MOUSECONF_WCP  */
  YYSYMBOL_SELECTBUTTON_WCP = 288,         /* SELECTBUTTON_WCP  */
  YYSYMBOL_ACTIVATEBUTTON_WCP = 289,       /* ACTIVATEBUTTON_WCP  */
  YYSYMBOL_SCROLLBUTTON_WCP = 290,         /* SCROLLBUTTON_WCP  */
  YYSYMBOL_SELECTMETHOD_WCP = 291,         /* SELECTMETHOD_WCP  */
  YYSYMBOL_ALTERNATIVE_WCP = 292,          /* ALTERNATIVE_WCP  */
  YYSYMBOL_SEARCHOP_WCP = 293,             /* SEARCHOP_WCP  */
  YYSYMBOL_EDITCOMMAND_WCP = 294,          /* EDITCOMMAND_WCP  */
  YYSYMBOL_SHOWPREVRESULTS_WCP = 295,      /* SHOWPREVRESULTS_WCP  */
  YYSYMBOL_TEXTVIEW_WCP = 296,             /* TEXTVIEW_WCP  */
  YYSYMBOL_TEXTVIEWHIGHLIGHTED_WCP = 297,  /* TEXTVIEWHIGHLIGHTED_WCP  */
  YYSYMBOL_TEXTVIEWSELECTION_WCP = 298,    /* TEXTVIEWSELECTION_WCP  */
  YYSYMBOL_DIRBOOKMARKOP_WCP = 299,        /* DIRBOOKMARKOP_WCP  */
  YYSYMBOL_OPENCONTEXTMENUOP_WCP = 300,    /* OPENCONTEXTMENUOP_WCP  */
  YYSYMBOL_RUNCUSTOMACTION_WCP = 301,      /* RUNCUSTOMACTION_WCP  */
  YYSYMBOL_CUSTOMNAME_WCP = 302,           /* CUSTOMNAME_WCP  */
  YYSYMBOL_CONTEXTBUTTON_WCP = 303,        /* CONTEXTBUTTON_WCP  */
  YYSYMBOL_ACTIVATEMOD_WCP = 304,          /* ACTIVATEMOD_WCP  */
  YYSYMBOL_SCROLLMOD_WCP = 305,            /* SCROLLMOD_WCP  */
  YYSYMBOL_CONTEXTMOD_WCP = 306,           /* CONTEXTMOD_WCP  */
  YYSYMBOL_NONE_WCP = 307,                 /* NONE_WCP  */
  YYSYMBOL_CUSTOMACTION_WCP = 308,         /* CUSTOMACTION_WCP  */
  YYSYMBOL_SAVE_WORKER_STATE_ON_EXIT_WCP = 309, /* SAVE_WORKER_STATE_ON_EXIT_WCP  */
  YYSYMBOL_OPENWORKERMENUOP_WCP = 310,     /* OPENWORKERMENUOP_WCP  */
  YYSYMBOL_CHANGELABELOP_WCP = 311,        /* CHANGELABELOP_WCP  */
  YYSYMBOL_ASKFORLABEL_WCP = 312,          /* ASKFORLABEL_WCP  */
  YYSYMBOL_LABELCOLORS_WCP = 313,          /* LABELCOLORS_WCP  */
  YYSYMBOL_BOOKMARKLABEL_WCP = 314,        /* BOOKMARKLABEL_WCP  */
  YYSYMBOL_BOOKMARKFILTER_WCP = 315,       /* BOOKMARKFILTER_WCP  */
  YYSYMBOL_SHOWONLYBOOKMARKS_WCP = 316,    /* SHOWONLYBOOKMARKS_WCP  */
  YYSYMBOL_SHOWONLYLABEL_WCP = 317,        /* SHOWONLYLABEL_WCP  */
  YYSYMBOL_SHOWALL_WCP = 318,              /* SHOWALL_WCP  */
  YYSYMBOL_OPTIONMODE_WCP = 319,           /* OPTIONMODE_WCP  */
  YYSYMBOL_INVERT_WCP = 320,               /* INVERT_WCP  */
  YYSYMBOL_SET_WCP = 321,                  /* SET_WCP  */
  YYSYMBOL_CHANGEFILTERS_WCP = 322,        /* CHANGEFILTERS_WCP  */
  YYSYMBOL_CHANGEBOOKMARKS_WCP = 323,      /* CHANGEBOOKMARKS_WCP  */
  YYSYMBOL_QUERYLABEL_WCP = 324,           /* QUERYLABEL_WCP  */
  YYSYMBOL_MODIFYTABSOP_WCP = 325,         /* MODIFYTABSOP_WCP  */
  YYSYMBOL_TABACTION_WCP = 326,            /* TABACTION_WCP  */
  YYSYMBOL_NEWTAB_WCP = 327,               /* NEWTAB_WCP  */
  YYSYMBOL_CLOSECURRENTTAB_WCP = 328,      /* CLOSECURRENTTAB_WCP  */
  YYSYMBOL_NEXTTAB_WCP = 329,              /* NEXTTAB_WCP  */
  YYSYMBOL_PREVTAB_WCP = 330,              /* PREVTAB_WCP  */
  YYSYMBOL_TOGGLELOCKSTATE_WCP = 331,      /* TOGGLELOCKSTATE_WCP  */
  YYSYMBOL_MOVETABLEFT_WCP = 332,          /* MOVETABLEFT_WCP  */
  YYSYMBOL_MOVETABRIGHT_WCP = 333,         /* MOVETABRIGHT_WCP  */
  YYSYMBOL_CHANGELAYOUTOP_WCP = 334,       /* CHANGELAYOUTOP_WCP  */
  YYSYMBOL_INFIXSEARCH_WCP = 335,          /* INFIXSEARCH_WCP  */
  YYSYMBOL_VOLUMEMANAGEROP_WCP = 336,      /* VOLUMEMANAGEROP_WCP  */
  YYSYMBOL_ERROR = 337,                    /* ERROR  */
  YYSYMBOL_ACTIVESIDE_WCP = 338,           /* ACTIVESIDE_WCP  */
  YYSYMBOL_SHOWFREESPACE_WCP = 339,        /* SHOWFREESPACE_WCP  */
  YYSYMBOL_ACTIVEMODE_WCP = 340,           /* ACTIVEMODE_WCP  */
  YYSYMBOL_ASK_WCP = 341,                  /* ASK_WCP  */
  YYSYMBOL_SSHALLOW_WCP = 342,             /* SSHALLOW_WCP  */
  YYSYMBOL_FIELD_WIDTH_WCP = 343,          /* FIELD_WIDTH_WCP  */
  YYSYMBOL_QUICKSEARCHENABLED_WCP = 344,   /* QUICKSEARCHENABLED_WCP  */
  YYSYMBOL_FILTEREDSEARCHENABLED_WCP = 345, /* FILTEREDSEARCHENABLED_WCP  */
  YYSYMBOL_XFTFONTS_WCP = 346,             /* XFTFONTS_WCP  */
  YYSYMBOL_USEMAGIC_WCP = 347,             /* USEMAGIC_WCP  */
  YYSYMBOL_MAGICPATTERN_WCP = 348,         /* MAGICPATTERN_WCP  */
  YYSYMBOL_MAGICCOMPRESSED_WCP = 349,      /* MAGICCOMPRESSED_WCP  */
  YYSYMBOL_MAGICMIME_WCP = 350,            /* MAGICMIME_WCP  */
  YYSYMBOL_VOLUMEMANAGER_WCP = 351,        /* VOLUMEMANAGER_WCP  */
  YYSYMBOL_MOUNTCOMMAND_WCP = 352,         /* MOUNTCOMMAND_WCP  */
  YYSYMBOL_UNMOUNTCOMMAND_WCP = 353,       /* UNMOUNTCOMMAND_WCP  */
  YYSYMBOL_FSTABFILE_WCP = 354,            /* FSTABFILE_WCP  */
  YYSYMBOL_MTABFILE_WCP = 355,             /* MTABFILE_WCP  */
  YYSYMBOL_PARTFILE_WCP = 356,             /* PARTFILE_WCP  */
  YYSYMBOL_REQUESTACTION_WCP = 357,        /* REQUESTACTION_WCP  */
  YYSYMBOL_SIZEH_WCP = 358,                /* SIZEH_WCP  */
  YYSYMBOL_NEXTAGING_WCP = 359,            /* NEXTAGING_WCP  */
  YYSYMBOL_ENTRY_WCP = 360,                /* ENTRY_WCP  */
  YYSYMBOL_PREFIX_WCP = 361,               /* PREFIX_WCP  */
  YYSYMBOL_VALUE_WCP = 362,                /* VALUE_WCP  */
  YYSYMBOL_EXTENSION_WCP = 363,            /* EXTENSION_WCP  */
  YYSYMBOL_EJECTCOMMAND_WCP = 364,         /* EJECTCOMMAND_WCP  */
  YYSYMBOL_CLOSETRAYCOMMAND_WCP = 365,     /* CLOSETRAYCOMMAND_WCP  */
  YYSYMBOL_AVFSMODULE_WCP = 366,           /* AVFSMODULE_WCP  */
  YYSYMBOL_FLEXIBLEMATCH_WCP = 367,        /* FLEXIBLEMATCH_WCP  */
  YYSYMBOL_USE_VERSION_STRING_COMPARE_WCP = 368, /* USE_VERSION_STRING_COMPARE_WCP  */
  YYSYMBOL_SWITCHBUTTONBANKOP_WCP = 369,   /* SWITCHBUTTONBANKOP_WCP  */
  YYSYMBOL_SWITCHTONEXTBANK_WCP = 370,     /* SWITCHTONEXTBANK_WCP  */
  YYSYMBOL_SWITCHTOPREVBANK_WCP = 371,     /* SWITCHTOPREVBANK_WCP  */
  YYSYMBOL_SWITCHTOBANKNR_WCP = 372,       /* SWITCHTOBANKNR_WCP  */
  YYSYMBOL_BANKNR_WCP = 373,               /* BANKNR_WCP  */
  YYSYMBOL_USE_VIRTUAL_TEMP_COPIES_WCP = 374, /* USE_VIRTUAL_TEMP_COPIES_WCP  */
  YYSYMBOL_PATHJUMPOP_WCP = 375,           /* PATHJUMPOP_WCP  */
  YYSYMBOL_PATHJUMPALLOWDIRS_WCP = 376,    /* PATHJUMPALLOWDIRS_WCP  */
  YYSYMBOL_CLIPBOARDOP_WCP = 377,          /* CLIPBOARDOP_WCP  */
  YYSYMBOL_CLIPBOARDSTRING_WCP = 378,      /* CLIPBOARDSTRING_WCP  */
  YYSYMBOL_COMMANDSTRING_WCP = 379,        /* COMMANDSTRING_WCP  */
  YYSYMBOL_EVALCOMMAND_WCP = 380,          /* EVALCOMMAND_WCP  */
  YYSYMBOL_WATCHMODE_WCP = 381,            /* WATCHMODE_WCP  */
  YYSYMBOL_APPLY_WINDOW_DIALOG_TYPE_WCP = 382, /* APPLY_WINDOW_DIALOG_TYPE_WCP  */
  YYSYMBOL_FLAGS_ARE_RELATIVE_TO_BASEDIR_WCP = 383, /* FLAGS_ARE_RELATIVE_TO_BASEDIR_WCP  */
  YYSYMBOL_COMMANDMENUOP_WCP = 384,        /* COMMANDMENUOP_WCP  */
  YYSYMBOL_SEARCHMODEONKEYPRESS_WCP = 385, /* SEARCHMODEONKEYPRESS_WCP  */
  YYSYMBOL_PATHENTRYONTOP_WCP = 386,       /* PATHENTRYONTOP_WCP  */
  YYSYMBOL_STORE_FILES_ALWAYS_WCP = 387,   /* STORE_FILES_ALWAYS_WCP  */
  YYSYMBOL_PATHJUMPSETS_WCP = 388,         /* PATHJUMPSETS_WCP  */
  YYSYMBOL_SHOWDOTDOT_WCP = 389,           /* SHOWDOTDOT_WCP  */
  YYSYMBOL_SHOWBREADCRUMB_WCP = 390,       /* SHOWBREADCRUMB_WCP  */
  YYSYMBOL_FACES_WCP = 391,                /* FACES_WCP  */
  YYSYMBOL_FACE_WCP = 392,                 /* FACE_WCP  */
  YYSYMBOL_ENABLE_INFO_LINE_WCP = 393,     /* ENABLE_INFO_LINE_WCP  */
  YYSYMBOL_INFO_LINE_LUA_MODE_WCP = 394,   /* INFO_LINE_LUA_MODE_WCP  */
  YYSYMBOL_INFO_LINE_CONTENT_WCP = 395,    /* INFO_LINE_CONTENT_WCP  */
  YYSYMBOL_RESTORE_TABS_MODE_WCP = 396,    /* RESTORE_TABS_MODE_WCP  */
  YYSYMBOL_STORE_TABS_MODE_WCP = 397,      /* STORE_TABS_MODE_WCP  */
  YYSYMBOL_AS_EXIT_STATE_WCP = 398,        /* AS_EXIT_STATE_WCP  */
  YYSYMBOL_USE_EXTENDED_REGEX_WCP = 399,   /* USE_EXTENDED_REGEX_WCP  */
  YYSYMBOL_HIGHLIGHT_USER_ACTION_WCP = 400, /* HIGHLIGHT_USER_ACTION_WCP  */
  YYSYMBOL_CHTIMEOP_WCP = 401,             /* CHTIMEOP_WCP  */
  YYSYMBOL_ADJUSTRELATIVESYMLINKS_WCP = 402, /* ADJUSTRELATIVESYMLINKS_WCP  */
  YYSYMBOL_OUTSIDE_WCP = 403,              /* OUTSIDE_WCP  */
  YYSYMBOL_EDIT_WCP = 404,                 /* EDIT_WCP  */
  YYSYMBOL_MAKEABSOLUTE_WCP = 405,         /* MAKEABSOLUTE_WCP  */
  YYSYMBOL_MAKERELATIVE_WCP = 406,         /* MAKERELATIVE_WCP  */
  YYSYMBOL_MAGICIGNORECASE_WCP = 407,      /* MAGICIGNORECASE_WCP  */
  YYSYMBOL_ENSURE_FILE_PERMISSIONS_WCP = 408, /* ENSURE_FILE_PERMISSIONS_WCP  */
  YYSYMBOL_USER_RW_WCP = 409,              /* USER_RW_WCP  */
  YYSYMBOL_USER_RW_GROUP_R_WCP = 410,      /* USER_RW_GROUP_R_WCP  */
  YYSYMBOL_USER_RW_ALL_R_WCP = 411,        /* USER_RW_ALL_R_WCP  */
  YYSYMBOL_LEAVE_UNMODIFIED_WCP = 412,     /* LEAVE_UNMODIFIED_WCP  */
  YYSYMBOL_PREFERUDISKSVERSION_WCP = 413,  /* PREFERUDISKSVERSION_WCP  */
  YYSYMBOL_CHANGECOLUMNSOP_WCP = 414,      /* CHANGECOLUMNSOP_WCP  */
  YYSYMBOL_PATTERNISCOMMASEPARATED_WCP = 415, /* PATTERNISCOMMASEPARATED_WCP  */
  YYSYMBOL_STRCASECMP_WCP = 416,           /* STRCASECMP_WCP  */
  YYSYMBOL_USE_STRING_COMPARE_MODE_WCP = 417, /* USE_STRING_COMPARE_MODE_WCP  */
  YYSYMBOL_VIEWNEWESTFILESOP_WCP = 418,    /* VIEWNEWESTFILESOP_WCP  */
  YYSYMBOL_SHOWRECENT_WCP = 419,           /* SHOWRECENT_WCP  */
  YYSYMBOL_DIRCOMPAREOP_WCP = 420,         /* DIRCOMPAREOP_WCP  */
  YYSYMBOL_TABPROFILESOP_WCP = 421,        /* TABPROFILESOP_WCP  */
  YYSYMBOL_EXTERNALVDIROP_WCP = 422,       /* EXTERNALVDIROP_WCP  */
  YYSYMBOL_VDIR_PRESERVE_DIR_STRUCTURE_WCP = 423, /* VDIR_PRESERVE_DIR_STRUCTURE_WCP  */
  YYSYMBOL_OPENTABMENUOP_WCP = 424,        /* OPENTABMENUOP_WCP  */
  YYSYMBOL_INITIALTAB_WCP = 425,           /* INITIALTAB_WCP  */
  YYSYMBOL_SHOWBYTIME_WCP = 426,           /* SHOWBYTIME_WCP  */
  YYSYMBOL_SHOWBYFILTER_WCP = 427,         /* SHOWBYFILTER_WCP  */
  YYSYMBOL_SHOWBYPROGRAM_WCP = 428,        /* SHOWBYPROGRAM_WCP  */
  YYSYMBOL_TERMINAL_RETURNS_EARLY_WCP = 429, /* TERMINAL_RETURNS_EARLY_WCP  */
  YYSYMBOL_DIRECTORYPRESETS_WCP = 430,     /* DIRECTORYPRESETS_WCP  */
  YYSYMBOL_DIRECTORYPRESET_WCP = 431,      /* DIRECTORYPRESET_WCP  */
  YYSYMBOL_HELPOP_WCP = 432,               /* HELPOP_WCP  */
  YYSYMBOL_PRIORITY_WCP = 433,             /* PRIORITY_WCP  */
  YYSYMBOL_AUTOFILTER_WCP = 434,           /* AUTOFILTER_WCP  */
  YYSYMBOL_ENABLE_CUSTOM_LVB_LINE_WCP = 435, /* ENABLE_CUSTOM_LVB_LINE_WCP  */
  YYSYMBOL_CUSTOM_LVB_LINE_WCP = 436,      /* CUSTOM_LVB_LINE_WCP  */
  YYSYMBOL_CUSTOM_DIRECTORY_INFO_COMMAND_WCP = 437, /* CUSTOM_DIRECTORY_INFO_COMMAND_WCP  */
  YYSYMBOL_IMMEDIATE_FILTER_APPLY_WCP = 438, /* IMMEDIATE_FILTER_APPLY_WCP  */
  YYSYMBOL_DISABLEBGCHECKPREFIX_WCP = 439, /* DISABLEBGCHECKPREFIX_WCP  */
  YYSYMBOL_DISPLAYMODE_WCP = 440,          /* DISPLAYMODE_WCP  */
  YYSYMBOL_SHOWSUBDIRS_WCP = 441,          /* SHOWSUBDIRS_WCP  */
  YYSYMBOL_SHOWDIRECTSUBDIRS_WCP = 442,    /* SHOWDIRECTSUBDIRS_WCP  */
  YYSYMBOL_INCLUDEALL_WCP = 443,           /* INCLUDEALL_WCP  */
  YYSYMBOL_APPLYMODE_WCP = 444,            /* APPLYMODE_WCP  */
  YYSYMBOL_ADD_WCP = 445,                  /* ADD_WCP  */
  YYSYMBOL_REMOVE_WCP = 446,               /* REMOVE_WCP  */
  YYSYMBOL_STRING_WCP = 447,               /* STRING_WCP  */
  YYSYMBOL_NUM_WCP = 448,                  /* NUM_WCP  */
  YYSYMBOL_449_ = 449,                     /* '.'  */
  YYSYMBOL_450_ = 450,                     /* ';'  */
  YYSYMBOL_451_ = 451,                     /* '='  */
  YYSYMBOL_452_ = 452,                     /* ','  */
  YYSYMBOL_YYACCEPT = 453,                 /* $accept  */
  YYSYMBOL_S = 454,                        /* S  */
  YYSYMBOL_455_1 = 455,                    /* $@1  */
  YYSYMBOL_456_2 = 456,                    /* $@2  */
  YYSYMBOL_start = 457,                    /* start  */
  YYSYMBOL_458_3 = 458,                    /* $@3  */
  YYSYMBOL_459_4 = 459,                    /* $@4  */
  YYSYMBOL_460_5 = 460,                    /* $@5  */
  YYSYMBOL_461_6 = 461,                    /* $@6  */
  YYSYMBOL_462_7 = 462,                    /* $@7  */
  YYSYMBOL_463_8 = 463,                    /* $@8  */
  YYSYMBOL_464_9 = 464,                    /* $@9  */
  YYSYMBOL_465_10 = 465,                   /* $@10  */
  YYSYMBOL_466_11 = 466,                   /* $@11  */
  YYSYMBOL_467_12 = 467,                   /* $@12  */
  YYSYMBOL_468_13 = 468,                   /* $@13  */
  YYSYMBOL_469_14 = 469,                   /* $@14  */
  YYSYMBOL_470_15 = 470,                   /* $@15  */
  YYSYMBOL_471_16 = 471,                   /* $@16  */
  YYSYMBOL_pjallowdirs = 472,              /* pjallowdirs  */
  YYSYMBOL_473_17 = 473,                   /* $@17  */
  YYSYMBOL_pathjumpsets = 474,             /* pathjumpsets  */
  YYSYMBOL_475_18 = 475,                   /* $@18  */
  YYSYMBOL_glb = 476,                      /* glb  */
  YYSYMBOL_477_19 = 477,                   /* $@19  */
  YYSYMBOL_478_20 = 478,                   /* $@20  */
  YYSYMBOL_479_21 = 479,                   /* $@21  */
  YYSYMBOL_480_22 = 480,                   /* $@22  */
  YYSYMBOL_481_23 = 481,                   /* $@23  */
  YYSYMBOL_482_24 = 482,                   /* $@24  */
  YYSYMBOL_483_25 = 483,                   /* $@25  */
  YYSYMBOL_484_26 = 484,                   /* $@26  */
  YYSYMBOL_485_27 = 485,                   /* $@27  */
  YYSYMBOL_486_28 = 486,                   /* $@28  */
  YYSYMBOL_487_29 = 487,                   /* $@29  */
  YYSYMBOL_488_30 = 488,                   /* $@30  */
  YYSYMBOL_489_31 = 489,                   /* $@31  */
  YYSYMBOL_490_32 = 490,                   /* $@32  */
  YYSYMBOL_491_33 = 491,                   /* $@33  */
  YYSYMBOL_492_34 = 492,                   /* $@34  */
  YYSYMBOL_493_35 = 493,                   /* $@35  */
  YYSYMBOL_layout = 494,                   /* layout  */
  YYSYMBOL_495_36 = 495,                   /* $@36  */
  YYSYMBOL_496_37 = 496,                   /* $@37  */
  YYSYMBOL_497_38 = 497,                   /* $@38  */
  YYSYMBOL_498_39 = 498,                   /* $@39  */
  YYSYMBOL_499_40 = 499,                   /* $@40  */
  YYSYMBOL_500_41 = 500,                   /* $@41  */
  YYSYMBOL_501_42 = 501,                   /* $@42  */
  YYSYMBOL_502_43 = 502,                   /* $@43  */
  YYSYMBOL_503_44 = 503,                   /* $@44  */
  YYSYMBOL_504_45 = 504,                   /* $@45  */
  YYSYMBOL_505_46 = 505,                   /* $@46  */
  YYSYMBOL_506_47 = 506,                   /* $@47  */
  YYSYMBOL_507_48 = 507,                   /* $@48  */
  YYSYMBOL_pal = 508,                      /* pal  */
  YYSYMBOL_509_49 = 509,                   /* $@49  */
  YYSYMBOL_listersets = 510,               /* listersets  */
  YYSYMBOL_511_50 = 511,                   /* $@50  */
  YYSYMBOL_512_51 = 512,                   /* $@51  */
  YYSYMBOL_listersets2 = 513,              /* listersets2  */
  YYSYMBOL_514_52 = 514,                   /* $@52  */
  YYSYMBOL_515_53 = 515,                   /* $@53  */
  YYSYMBOL_516_54 = 516,                   /* $@54  */
  YYSYMBOL_517_55 = 517,                   /* $@55  */
  YYSYMBOL_518_56 = 518,                   /* $@56  */
  YYSYMBOL_519_57 = 519,                   /* $@57  */
  YYSYMBOL_520_58 = 520,                   /* $@58  */
  YYSYMBOL_displaysets = 521,              /* displaysets  */
  YYSYMBOL_522_59 = 522,                   /* $@59  */
  YYSYMBOL_523_60 = 523,                   /* $@60  */
  YYSYMBOL_524_61 = 524,                   /* $@61  */
  YYSYMBOL_525_62 = 525,                   /* $@62  */
  YYSYMBOL_526_63 = 526,                   /* $@63  */
  YYSYMBOL_527_64 = 527,                   /* $@64  */
  YYSYMBOL_528_65 = 528,                   /* $@65  */
  YYSYMBOL_529_66 = 529,                   /* $@66  */
  YYSYMBOL_530_67 = 530,                   /* $@67  */
  YYSYMBOL_531_68 = 531,                   /* $@68  */
  YYSYMBOL_532_69 = 532,                   /* $@69  */
  YYSYMBOL_533_70 = 533,                   /* $@70  */
  YYSYMBOL_534_71 = 534,                   /* $@71  */
  YYSYMBOL_535_72 = 535,                   /* $@72  */
  YYSYMBOL_timesets = 536,                 /* timesets  */
  YYSYMBOL_537_73 = 537,                   /* $@73  */
  YYSYMBOL_538_74 = 538,                   /* $@74  */
  YYSYMBOL_539_75 = 539,                   /* $@75  */
  YYSYMBOL_540_76 = 540,                   /* $@76  */
  YYSYMBOL_541_77 = 541,                   /* $@77  */
  YYSYMBOL_542_78 = 542,                   /* $@78  */
  YYSYMBOL_543_79 = 543,                   /* $@79  */
  YYSYMBOL_544_80 = 544,                   /* $@80  */
  YYSYMBOL_545_81 = 545,                   /* $@81  */
  YYSYMBOL_546_82 = 546,                   /* $@82  */
  YYSYMBOL_547_83 = 547,                   /* $@83  */
  YYSYMBOL_mouseconf = 548,                /* mouseconf  */
  YYSYMBOL_549_84 = 549,                   /* $@84  */
  YYSYMBOL_550_85 = 550,                   /* $@85  */
  YYSYMBOL_551_86 = 551,                   /* $@86  */
  YYSYMBOL_552_87 = 552,                   /* $@87  */
  YYSYMBOL_553_88 = 553,                   /* $@88  */
  YYSYMBOL_554_89 = 554,                   /* $@89  */
  YYSYMBOL_555_90 = 555,                   /* $@90  */
  YYSYMBOL_556_91 = 556,                   /* $@91  */
  YYSYMBOL_557_92 = 557,                   /* $@92  */
  YYSYMBOL_558_93 = 558,                   /* $@93  */
  YYSYMBOL_559_94 = 559,                   /* $@94  */
  YYSYMBOL_560_95 = 560,                   /* $@95  */
  YYSYMBOL_cols = 561,                     /* cols  */
  YYSYMBOL_562_96 = 562,                   /* $@96  */
  YYSYMBOL_563_97 = 563,                   /* $@97  */
  YYSYMBOL_564_98 = 564,                   /* $@98  */
  YYSYMBOL_565_99 = 565,                   /* $@99  */
  YYSYMBOL_566_100 = 566,                  /* $@100  */
  YYSYMBOL_567_101 = 567,                  /* $@101  */
  YYSYMBOL_568_102 = 568,                  /* $@102  */
  YYSYMBOL_569_103 = 569,                  /* $@103  */
  YYSYMBOL_570_104 = 570,                  /* $@104  */
  YYSYMBOL_571_105 = 571,                  /* $@105  */
  YYSYMBOL_572_106 = 572,                  /* $@106  */
  YYSYMBOL_573_107 = 573,                  /* $@107  */
  YYSYMBOL_574_108 = 574,                  /* $@108  */
  YYSYMBOL_575_109 = 575,                  /* $@109  */
  YYSYMBOL_576_110 = 576,                  /* $@110  */
  YYSYMBOL_577_111 = 577,                  /* $@111  */
  YYSYMBOL_578_112 = 578,                  /* $@112  */
  YYSYMBOL_579_113 = 579,                  /* $@113  */
  YYSYMBOL_580_114 = 580,                  /* $@114  */
  YYSYMBOL_581_115 = 581,                  /* $@115  */
  YYSYMBOL_labelcolors = 582,              /* labelcolors  */
  YYSYMBOL_583_116 = 583,                  /* $@116  */
  YYSYMBOL_584_117 = 584,                  /* $@117  */
  YYSYMBOL_labelcolor = 585,               /* labelcolor  */
  YYSYMBOL_586_118 = 586,                  /* $@118  */
  YYSYMBOL_587_119 = 587,                  /* $@119  */
  YYSYMBOL_588_120 = 588,                  /* $@120  */
  YYSYMBOL_faces = 589,                    /* faces  */
  YYSYMBOL_590_121 = 590,                  /* $@121  */
  YYSYMBOL_591_122 = 591,                  /* $@122  */
  YYSYMBOL_face = 592,                     /* face  */
  YYSYMBOL_593_123 = 593,                  /* $@123  */
  YYSYMBOL_594_124 = 594,                  /* $@124  */
  YYSYMBOL_startup = 595,                  /* startup  */
  YYSYMBOL_596_125 = 596,                  /* $@125  */
  YYSYMBOL_597_126 = 597,                  /* $@126  */
  YYSYMBOL_598_127 = 598,                  /* $@127  */
  YYSYMBOL_599_128 = 599,                  /* $@128  */
  YYSYMBOL_600_129 = 600,                  /* $@129  */
  YYSYMBOL_601_130 = 601,                  /* $@130  */
  YYSYMBOL_602_131 = 602,                  /* $@131  */
  YYSYMBOL_603_132 = 603,                  /* $@132  */
  YYSYMBOL_604_133 = 604,                  /* $@133  */
  YYSYMBOL_paths = 605,                    /* paths  */
  YYSYMBOL_606_134 = 606,                  /* $@134  */
  YYSYMBOL_607_135 = 607,                  /* $@135  */
  YYSYMBOL_path = 608,                     /* path  */
  YYSYMBOL_609_136 = 609,                  /* $@136  */
  YYSYMBOL_610_137 = 610,                  /* $@137  */
  YYSYMBOL_611_138 = 611,                  /* $@138  */
  YYSYMBOL_612_139 = 612,                  /* $@139  */
  YYSYMBOL_613_140 = 613,                  /* $@140  */
  YYSYMBOL_614_141 = 614,                  /* $@141  */
  YYSYMBOL_keylist = 615,                  /* keylist  */
  YYSYMBOL_616_142 = 616,                  /* $@142  */
  YYSYMBOL_617_143 = 617,                  /* $@143  */
  YYSYMBOL_618_144 = 618,                  /* $@144  */
  YYSYMBOL_619_145 = 619,                  /* $@145  */
  YYSYMBOL_620_146 = 620,                  /* $@146  */
  YYSYMBOL_621_147 = 621,                  /* $@147  */
  YYSYMBOL_622_148 = 622,                  /* $@148  */
  YYSYMBOL_623_149 = 623,                  /* $@149  */
  YYSYMBOL_624_150 = 624,                  /* $@150  */
  YYSYMBOL_625_151 = 625,                  /* $@151  */
  YYSYMBOL_mods = 626,                     /* mods  */
  YYSYMBOL_627_152 = 627,                  /* $@152  */
  YYSYMBOL_628_153 = 628,                  /* $@153  */
  YYSYMBOL_629_154 = 629,                  /* $@154  */
  YYSYMBOL_630_155 = 630,                  /* $@155  */
  YYSYMBOL_631_156 = 631,                  /* $@156  */
  YYSYMBOL_632_157 = 632,                  /* $@157  */
  YYSYMBOL_633_158 = 633,                  /* $@158  */
  YYSYMBOL_634_159 = 634,                  /* $@159  */
  YYSYMBOL_filetypes = 635,                /* filetypes  */
  YYSYMBOL_636_160 = 636,                  /* $@160  */
  YYSYMBOL_637_161 = 637,                  /* $@161  */
  YYSYMBOL_638_162 = 638,                  /* $@162  */
  YYSYMBOL_639_163 = 639,                  /* $@163  */
  YYSYMBOL_640_164 = 640,                  /* $@164  */
  YYSYMBOL_ignoredirs = 641,               /* ignoredirs  */
  YYSYMBOL_642_165 = 642,                  /* $@165  */
  YYSYMBOL_subfiletypes = 643,             /* subfiletypes  */
  YYSYMBOL_644_166 = 644,                  /* $@166  */
  YYSYMBOL_645_167 = 645,                  /* $@167  */
  YYSYMBOL_filetype = 646,                 /* filetype  */
  YYSYMBOL_647_168 = 647,                  /* $@168  */
  YYSYMBOL_648_169 = 648,                  /* $@169  */
  YYSYMBOL_649_170 = 649,                  /* $@170  */
  YYSYMBOL_650_171 = 650,                  /* $@171  */
  YYSYMBOL_651_172 = 651,                  /* $@172  */
  YYSYMBOL_652_173 = 652,                  /* $@173  */
  YYSYMBOL_653_174 = 653,                  /* $@174  */
  YYSYMBOL_654_175 = 654,                  /* $@175  */
  YYSYMBOL_655_176 = 655,                  /* $@176  */
  YYSYMBOL_656_177 = 656,                  /* $@177  */
  YYSYMBOL_657_178 = 657,                  /* $@178  */
  YYSYMBOL_658_179 = 658,                  /* $@179  */
  YYSYMBOL_659_180 = 659,                  /* $@180  */
  YYSYMBOL_660_181 = 660,                  /* $@181  */
  YYSYMBOL_661_182 = 661,                  /* $@182  */
  YYSYMBOL_662_183 = 662,                  /* $@183  */
  YYSYMBOL_663_184 = 663,                  /* $@184  */
  YYSYMBOL_664_185 = 664,                  /* $@185  */
  YYSYMBOL_665_186 = 665,                  /* $@186  */
  YYSYMBOL_666_187 = 666,                  /* $@187  */
  YYSYMBOL_667_188 = 667,                  /* $@188  */
  YYSYMBOL_668_189 = 668,                  /* $@189  */
  YYSYMBOL_669_190 = 669,                  /* $@190  */
  YYSYMBOL_670_191 = 670,                  /* $@191  */
  YYSYMBOL_671_192 = 671,                  /* $@192  */
  YYSYMBOL_672_193 = 672,                  /* $@193  */
  YYSYMBOL_673_194 = 673,                  /* $@194  */
  YYSYMBOL_filecontent = 674,              /* filecontent  */
  YYSYMBOL_675_195 = 675,                  /* $@195  */
  YYSYMBOL_ft_type = 676,                  /* ft_type  */
  YYSYMBOL_ftcommands = 677,               /* ftcommands  */
  YYSYMBOL_678_196 = 678,                  /* $@196  */
  YYSYMBOL_679_197 = 679,                  /* $@197  */
  YYSYMBOL_680_198 = 680,                  /* $@198  */
  YYSYMBOL_681_199 = 681,                  /* $@199  */
  YYSYMBOL_682_200 = 682,                  /* $@200  */
  YYSYMBOL_683_201 = 683,                  /* $@201  */
  YYSYMBOL_684_202 = 684,                  /* $@202  */
  YYSYMBOL_685_203 = 685,                  /* $@203  */
  YYSYMBOL_686_204 = 686,                  /* $@204  */
  YYSYMBOL_687_205 = 687,                  /* $@205  */
  YYSYMBOL_688_206 = 688,                  /* $@206  */
  YYSYMBOL_689_207 = 689,                  /* $@207  */
  YYSYMBOL_commands = 690,                 /* commands  */
  YYSYMBOL_flags = 691,                    /* flags  */
  YYSYMBOL_hotkeys = 692,                  /* hotkeys  */
  YYSYMBOL_693_208 = 693,                  /* $@208  */
  YYSYMBOL_694_209 = 694,                  /* $@209  */
  YYSYMBOL_hotkey = 695,                   /* hotkey  */
  YYSYMBOL_696_210 = 696,                  /* $@210  */
  YYSYMBOL_697_211 = 697,                  /* $@211  */
  YYSYMBOL_698_212 = 698,                  /* $@212  */
  YYSYMBOL_699_213 = 699,                  /* $@213  */
  YYSYMBOL_700_214 = 700,                  /* $@214  */
  YYSYMBOL_buttons = 701,                  /* buttons  */
  YYSYMBOL_702_215 = 702,                  /* $@215  */
  YYSYMBOL_703_216 = 703,                  /* $@216  */
  YYSYMBOL_button = 704,                   /* button  */
  YYSYMBOL_705_217 = 705,                  /* $@217  */
  YYSYMBOL_706_218 = 706,                  /* $@218  */
  YYSYMBOL_707_219 = 707,                  /* $@219  */
  YYSYMBOL_708_220 = 708,                  /* $@220  */
  YYSYMBOL_709_221 = 709,                  /* $@221  */
  YYSYMBOL_710_222 = 710,                  /* $@222  */
  YYSYMBOL_711_223 = 711,                  /* $@223  */
  YYSYMBOL_fonts = 712,                    /* fonts  */
  YYSYMBOL_713_224 = 713,                  /* $@224  */
  YYSYMBOL_714_225 = 714,                  /* $@225  */
  YYSYMBOL_715_226 = 715,                  /* $@226  */
  YYSYMBOL_716_227 = 716,                  /* $@227  */
  YYSYMBOL_717_228 = 717,                  /* $@228  */
  YYSYMBOL_718_229 = 718,                  /* $@229  */
  YYSYMBOL_xftfonts = 719,                 /* xftfonts  */
  YYSYMBOL_720_230 = 720,                  /* $@230  */
  YYSYMBOL_721_231 = 721,                  /* $@231  */
  YYSYMBOL_722_232 = 722,                  /* $@232  */
  YYSYMBOL_723_233 = 723,                  /* $@233  */
  YYSYMBOL_724_234 = 724,                  /* $@234  */
  YYSYMBOL_725_235 = 725,                  /* $@235  */
  YYSYMBOL_volumemanager = 726,            /* volumemanager  */
  YYSYMBOL_727_236 = 727,                  /* $@236  */
  YYSYMBOL_728_237 = 728,                  /* $@237  */
  YYSYMBOL_729_238 = 729,                  /* $@238  */
  YYSYMBOL_730_239 = 730,                  /* $@239  */
  YYSYMBOL_731_240 = 731,                  /* $@240  */
  YYSYMBOL_732_241 = 732,                  /* $@241  */
  YYSYMBOL_733_242 = 733,                  /* $@242  */
  YYSYMBOL_734_243 = 734,                  /* $@243  */
  YYSYMBOL_735_244 = 735,                  /* $@244  */
  YYSYMBOL_clockbarsets = 736,             /* clockbarsets  */
  YYSYMBOL_737_245 = 737,                  /* $@245  */
  YYSYMBOL_738_246 = 738,                  /* $@246  */
  YYSYMBOL_739_247 = 739,                  /* $@247  */
  YYSYMBOL_740_248 = 740,                  /* $@248  */
  YYSYMBOL_741_249 = 741,                  /* $@249  */
  YYSYMBOL_742_250 = 742,                  /* $@250  */
  YYSYMBOL_743_251 = 743,                  /* $@251  */
  YYSYMBOL_bool = 744,                     /* bool  */
  YYSYMBOL_command = 745,                  /* command  */
  YYSYMBOL_ownop = 746,                    /* ownop  */
  YYSYMBOL_747_252 = 747,                  /* $@252  */
  YYSYMBOL_ownopbody = 748,                /* ownopbody  */
  YYSYMBOL_749_253 = 749,                  /* $@253  */
  YYSYMBOL_750_254 = 750,                  /* $@254  */
  YYSYMBOL_751_255 = 751,                  /* $@255  */
  YYSYMBOL_752_256 = 752,                  /* $@256  */
  YYSYMBOL_753_257 = 753,                  /* $@257  */
  YYSYMBOL_754_258 = 754,                  /* $@258  */
  YYSYMBOL_755_259 = 755,                  /* $@259  */
  YYSYMBOL_756_260 = 756,                  /* $@260  */
  YYSYMBOL_757_261 = 757,                  /* $@261  */
  YYSYMBOL_758_262 = 758,                  /* $@262  */
  YYSYMBOL_759_263 = 759,                  /* $@263  */
  YYSYMBOL_760_264 = 760,                  /* $@264  */
  YYSYMBOL_761_265 = 761,                  /* $@265  */
  YYSYMBOL_762_266 = 762,                  /* $@266  */
  YYSYMBOL_dndaction = 763,                /* dndaction  */
  YYSYMBOL_764_267 = 764,                  /* $@267  */
  YYSYMBOL_dcaction = 765,                 /* dcaction  */
  YYSYMBOL_766_268 = 766,                  /* $@268  */
  YYSYMBOL_showaction = 767,               /* showaction  */
  YYSYMBOL_768_269 = 768,                  /* $@269  */
  YYSYMBOL_rshowaction = 769,              /* rshowaction  */
  YYSYMBOL_770_270 = 770,                  /* $@270  */
  YYSYMBOL_useraction = 771,               /* useraction  */
  YYSYMBOL_772_271 = 772,                  /* $@271  */
  YYSYMBOL_useractionbody = 773,           /* useractionbody  */
  YYSYMBOL_774_272 = 774,                  /* $@272  */
  YYSYMBOL_rowup = 775,                    /* rowup  */
  YYSYMBOL_776_273 = 776,                  /* $@273  */
  YYSYMBOL_rowdown = 777,                  /* rowdown  */
  YYSYMBOL_778_274 = 778,                  /* $@274  */
  YYSYMBOL_changehiddenflag = 779,         /* changehiddenflag  */
  YYSYMBOL_780_275 = 780,                  /* $@275  */
  YYSYMBOL_changehiddenflagbody = 781,     /* changehiddenflagbody  */
  YYSYMBOL_782_276 = 782,                  /* $@276  */
  YYSYMBOL_783_277 = 783,                  /* $@277  */
  YYSYMBOL_784_278 = 784,                  /* $@278  */
  YYSYMBOL_copyop = 785,                   /* copyop  */
  YYSYMBOL_786_279 = 786,                  /* $@279  */
  YYSYMBOL_copyopbody = 787,               /* copyopbody  */
  YYSYMBOL_788_280 = 788,                  /* $@280  */
  YYSYMBOL_789_281 = 789,                  /* $@281  */
  YYSYMBOL_790_282 = 790,                  /* $@282  */
  YYSYMBOL_791_283 = 791,                  /* $@283  */
  YYSYMBOL_792_284 = 792,                  /* $@284  */
  YYSYMBOL_793_285 = 793,                  /* $@285  */
  YYSYMBOL_794_286 = 794,                  /* $@286  */
  YYSYMBOL_795_287 = 795,                  /* $@287  */
  YYSYMBOL_796_288 = 796,                  /* $@288  */
  YYSYMBOL_797_289 = 797,                  /* $@289  */
  YYSYMBOL_798_290 = 798,                  /* $@290  */
  YYSYMBOL_799_291 = 799,                  /* $@291  */
  YYSYMBOL_800_292 = 800,                  /* $@292  */
  YYSYMBOL_801_293 = 801,                  /* $@293  */
  YYSYMBOL_802_294 = 802,                  /* $@294  */
  YYSYMBOL_803_295 = 803,                  /* $@295  */
  YYSYMBOL_804_296 = 804,                  /* $@296  */
  YYSYMBOL_805_297 = 805,                  /* $@297  */
  YYSYMBOL_806_298 = 806,                  /* $@298  */
  YYSYMBOL_807_299 = 807,                  /* $@299  */
  YYSYMBOL_firstrow = 808,                 /* firstrow  */
  YYSYMBOL_809_300 = 809,                  /* $@300  */
  YYSYMBOL_lastrow = 810,                  /* lastrow  */
  YYSYMBOL_811_301 = 811,                  /* $@301  */
  YYSYMBOL_pageup = 812,                   /* pageup  */
  YYSYMBOL_813_302 = 813,                  /* $@302  */
  YYSYMBOL_pagedown = 814,                 /* pagedown  */
  YYSYMBOL_815_303 = 815,                  /* $@303  */
  YYSYMBOL_selectop = 816,                 /* selectop  */
  YYSYMBOL_817_304 = 817,                  /* $@304  */
  YYSYMBOL_selectallop = 818,              /* selectallop  */
  YYSYMBOL_819_305 = 819,                  /* $@305  */
  YYSYMBOL_selectnoneop = 820,             /* selectnoneop  */
  YYSYMBOL_821_306 = 821,                  /* $@306  */
  YYSYMBOL_invertallop = 822,              /* invertallop  */
  YYSYMBOL_823_307 = 823,                  /* $@307  */
  YYSYMBOL_parentdirop = 824,              /* parentdirop  */
  YYSYMBOL_825_308 = 825,                  /* $@308  */
  YYSYMBOL_enterdirop = 826,               /* enterdirop  */
  YYSYMBOL_827_309 = 827,                  /* $@309  */
  YYSYMBOL_enterdiropbody = 828,           /* enterdiropbody  */
  YYSYMBOL_829_310 = 829,                  /* $@310  */
  YYSYMBOL_830_311 = 830,                  /* $@311  */
  YYSYMBOL_831_312 = 831,                  /* $@312  */
  YYSYMBOL_832_313 = 832,                  /* $@313  */
  YYSYMBOL_833_314 = 833,                  /* $@314  */
  YYSYMBOL_changelistersetop = 834,        /* changelistersetop  */
  YYSYMBOL_835_315 = 835,                  /* $@315  */
  YYSYMBOL_changelistersetopbody = 836,    /* changelistersetopbody  */
  YYSYMBOL_837_316 = 837,                  /* $@316  */
  YYSYMBOL_838_317 = 838,                  /* $@317  */
  YYSYMBOL_839_318 = 839,                  /* $@318  */
  YYSYMBOL_840_319 = 840,                  /* $@319  */
  YYSYMBOL_switchlisterop = 841,           /* switchlisterop  */
  YYSYMBOL_842_320 = 842,                  /* $@320  */
  YYSYMBOL_filterselectop = 843,           /* filterselectop  */
  YYSYMBOL_844_321 = 844,                  /* $@321  */
  YYSYMBOL_filterselectopbody = 845,       /* filterselectopbody  */
  YYSYMBOL_846_322 = 846,                  /* $@322  */
  YYSYMBOL_847_323 = 847,                  /* $@323  */
  YYSYMBOL_848_324 = 848,                  /* $@324  */
  YYSYMBOL_filterunselectop = 849,         /* filterunselectop  */
  YYSYMBOL_850_325 = 850,                  /* $@325  */
  YYSYMBOL_filterunselectopbody = 851,     /* filterunselectopbody  */
  YYSYMBOL_852_326 = 852,                  /* $@326  */
  YYSYMBOL_853_327 = 853,                  /* $@327  */
  YYSYMBOL_854_328 = 854,                  /* $@328  */
  YYSYMBOL_pathtoothersideop = 855,        /* pathtoothersideop  */
  YYSYMBOL_856_329 = 856,                  /* $@329  */
  YYSYMBOL_quitop = 857,                   /* quitop  */
  YYSYMBOL_858_330 = 858,                  /* $@330  */
  YYSYMBOL_quitopbody = 859,               /* quitopbody  */
  YYSYMBOL_860_331 = 860,                  /* $@331  */
  YYSYMBOL_861_332 = 861,                  /* $@332  */
  YYSYMBOL_deleteop = 862,                 /* deleteop  */
  YYSYMBOL_863_333 = 863,                  /* $@333  */
  YYSYMBOL_deleteopbody = 864,             /* deleteopbody  */
  YYSYMBOL_865_334 = 865,                  /* $@334  */
  YYSYMBOL_reloadop = 866,                 /* reloadop  */
  YYSYMBOL_867_335 = 867,                  /* $@335  */
  YYSYMBOL_reloadopbody = 868,             /* reloadopbody  */
  YYSYMBOL_869_336 = 869,                  /* $@336  */
  YYSYMBOL_870_337 = 870,                  /* $@337  */
  YYSYMBOL_871_338 = 871,                  /* $@338  */
  YYSYMBOL_872_339 = 872,                  /* $@339  */
  YYSYMBOL_873_340 = 873,                  /* $@340  */
  YYSYMBOL_874_341 = 874,                  /* $@341  */
  YYSYMBOL_makedirop = 875,                /* makedirop  */
  YYSYMBOL_876_342 = 876,                  /* $@342  */
  YYSYMBOL_renameop = 877,                 /* renameop  */
  YYSYMBOL_878_343 = 878,                  /* $@343  */
  YYSYMBOL_dirsizeop = 879,                /* dirsizeop  */
  YYSYMBOL_880_344 = 880,                  /* $@344  */
  YYSYMBOL_simddop = 881,                  /* simddop  */
  YYSYMBOL_882_345 = 882,                  /* $@345  */
  YYSYMBOL_startprogop = 883,              /* startprogop  */
  YYSYMBOL_884_346 = 884,                  /* $@346  */
  YYSYMBOL_startprogopbody = 885,          /* startprogopbody  */
  YYSYMBOL_886_347 = 886,                  /* $@347  */
  YYSYMBOL_887_348 = 887,                  /* $@348  */
  YYSYMBOL_888_349 = 888,                  /* $@349  */
  YYSYMBOL_889_350 = 889,                  /* $@350  */
  YYSYMBOL_890_351 = 890,                  /* $@351  */
  YYSYMBOL_891_352 = 891,                  /* $@352  */
  YYSYMBOL_892_353 = 892,                  /* $@353  */
  YYSYMBOL_893_354 = 893,                  /* $@354  */
  YYSYMBOL_894_355 = 894,                  /* $@355  */
  YYSYMBOL_895_356 = 895,                  /* $@356  */
  YYSYMBOL_searchentryop = 896,            /* searchentryop  */
  YYSYMBOL_897_357 = 897,                  /* $@357  */
  YYSYMBOL_searchentryopbody = 898,        /* searchentryopbody  */
  YYSYMBOL_899_358 = 899,                  /* $@358  */
  YYSYMBOL_900_359 = 900,                  /* $@359  */
  YYSYMBOL_901_360 = 901,                  /* $@360  */
  YYSYMBOL_902_361 = 902,                  /* $@361  */
  YYSYMBOL_enterpathop = 903,              /* enterpathop  */
  YYSYMBOL_904_362 = 904,                  /* $@362  */
  YYSYMBOL_enterpathopbody = 905,          /* enterpathopbody  */
  YYSYMBOL_906_363 = 906,                  /* $@363  */
  YYSYMBOL_907_364 = 907,                  /* $@364  */
  YYSYMBOL_908_365 = 908,                  /* $@365  */
  YYSYMBOL_909_366 = 909,                  /* $@366  */
  YYSYMBOL_scrolllisterop = 910,           /* scrolllisterop  */
  YYSYMBOL_911_367 = 911,                  /* $@367  */
  YYSYMBOL_scrolllisteropbody = 912,       /* scrolllisteropbody  */
  YYSYMBOL_913_368 = 913,                  /* $@368  */
  YYSYMBOL_914_369 = 914,                  /* $@369  */
  YYSYMBOL_createsymlinkop = 915,          /* createsymlinkop  */
  YYSYMBOL_916_370 = 916,                  /* $@370  */
  YYSYMBOL_createsymlinkopbody = 917,      /* createsymlinkopbody  */
  YYSYMBOL_918_371 = 918,                  /* $@371  */
  YYSYMBOL_919_372 = 919,                  /* $@372  */
  YYSYMBOL_920_373 = 920,                  /* $@373  */
  YYSYMBOL_changesymlinkop = 921,          /* changesymlinkop  */
  YYSYMBOL_922_374 = 922,                  /* $@374  */
  YYSYMBOL_changesymlinkopbody = 923,      /* changesymlinkopbody  */
  YYSYMBOL_924_375 = 924,                  /* $@375  */
  YYSYMBOL_925_376 = 925,                  /* $@376  */
  YYSYMBOL_926_377 = 926,                  /* $@377  */
  YYSYMBOL_chmodop = 927,                  /* chmodop  */
  YYSYMBOL_928_378 = 928,                  /* $@378  */
  YYSYMBOL_chmodopbody = 929,              /* chmodopbody  */
  YYSYMBOL_930_379 = 930,                  /* $@379  */
  YYSYMBOL_931_380 = 931,                  /* $@380  */
  YYSYMBOL_932_381 = 932,                  /* $@381  */
  YYSYMBOL_933_382 = 933,                  /* $@382  */
  YYSYMBOL_934_383 = 934,                  /* $@383  */
  YYSYMBOL_935_384 = 935,                  /* $@384  */
  YYSYMBOL_936_385 = 936,                  /* $@385  */
  YYSYMBOL_937_386 = 937,                  /* $@386  */
  YYSYMBOL_938_387 = 938,                  /* $@387  */
  YYSYMBOL_chtimeop = 939,                 /* chtimeop  */
  YYSYMBOL_940_388 = 940,                  /* $@388  */
  YYSYMBOL_chtimeopbody = 941,             /* chtimeopbody  */
  YYSYMBOL_942_389 = 942,                  /* $@389  */
  YYSYMBOL_943_390 = 943,                  /* $@390  */
  YYSYMBOL_944_391 = 944,                  /* $@391  */
  YYSYMBOL_945_392 = 945,                  /* $@392  */
  YYSYMBOL_togglelistermodeop = 946,       /* togglelistermodeop  */
  YYSYMBOL_947_393 = 947,                  /* $@393  */
  YYSYMBOL_togglelistermodeopbody = 948,   /* togglelistermodeopbody  */
  YYSYMBOL_949_394 = 949,                  /* $@394  */
  YYSYMBOL_setsortmodeop = 950,            /* setsortmodeop  */
  YYSYMBOL_951_395 = 951,                  /* $@395  */
  YYSYMBOL_setsortmodeopbody = 952,        /* setsortmodeopbody  */
  YYSYMBOL_953_396 = 953,                  /* $@396  */
  YYSYMBOL_954_397 = 954,                  /* $@397  */
  YYSYMBOL_955_398 = 955,                  /* $@398  */
  YYSYMBOL_956_399 = 956,                  /* $@399  */
  YYSYMBOL_957_400 = 957,                  /* $@400  */
  YYSYMBOL_958_401 = 958,                  /* $@401  */
  YYSYMBOL_959_402 = 959,                  /* $@402  */
  YYSYMBOL_960_403 = 960,                  /* $@403  */
  YYSYMBOL_961_404 = 961,                  /* $@404  */
  YYSYMBOL_962_405 = 962,                  /* $@405  */
  YYSYMBOL_963_406 = 963,                  /* $@406  */
  YYSYMBOL_964_407 = 964,                  /* $@407  */
  YYSYMBOL_965_408 = 965,                  /* $@408  */
  YYSYMBOL_966_409 = 966,                  /* $@409  */
  YYSYMBOL_setfilterop = 967,              /* setfilterop  */
  YYSYMBOL_968_410 = 968,                  /* $@410  */
  YYSYMBOL_setfilteropbody = 969,          /* setfilteropbody  */
  YYSYMBOL_970_411 = 970,                  /* $@411  */
  YYSYMBOL_971_412 = 971,                  /* $@412  */
  YYSYMBOL_972_413 = 972,                  /* $@413  */
  YYSYMBOL_973_414 = 973,                  /* $@414  */
  YYSYMBOL_974_415 = 974,                  /* $@415  */
  YYSYMBOL_975_416 = 975,                  /* $@416  */
  YYSYMBOL_976_417 = 976,                  /* $@417  */
  YYSYMBOL_977_418 = 977,                  /* $@418  */
  YYSYMBOL_978_419 = 978,                  /* $@419  */
  YYSYMBOL_979_420 = 979,                  /* $@420  */
  YYSYMBOL_980_421 = 980,                  /* $@421  */
  YYSYMBOL_981_422 = 981,                  /* $@422  */
  YYSYMBOL_982_423 = 982,                  /* $@423  */
  YYSYMBOL_983_424 = 983,                  /* $@424  */
  YYSYMBOL_984_425 = 984,                  /* $@425  */
  YYSYMBOL_shortkeyfromlistop = 985,       /* shortkeyfromlistop  */
  YYSYMBOL_986_426 = 986,                  /* $@426  */
  YYSYMBOL_chownop = 987,                  /* chownop  */
  YYSYMBOL_988_427 = 988,                  /* $@427  */
  YYSYMBOL_chownopbody = 989,              /* chownopbody  */
  YYSYMBOL_990_428 = 990,                  /* $@428  */
  YYSYMBOL_991_429 = 991,                  /* $@429  */
  YYSYMBOL_992_430 = 992,                  /* $@430  */
  YYSYMBOL_993_431 = 993,                  /* $@431  */
  YYSYMBOL_scriptop = 994,                 /* scriptop  */
  YYSYMBOL_995_432 = 995,                  /* $@432  */
  YYSYMBOL_scriptopbody = 996,             /* scriptopbody  */
  YYSYMBOL_997_433 = 997,                  /* $@433  */
  YYSYMBOL_998_434 = 998,                  /* $@434  */
  YYSYMBOL_999_435 = 999,                  /* $@435  */
  YYSYMBOL_1000_436 = 1000,                /* $@436  */
  YYSYMBOL_1001_437 = 1001,                /* $@437  */
  YYSYMBOL_1002_438 = 1002,                /* $@438  */
  YYSYMBOL_1003_439 = 1003,                /* $@439  */
  YYSYMBOL_1004_440 = 1004,                /* $@440  */
  YYSYMBOL_1005_441 = 1005,                /* $@441  */
  YYSYMBOL_1006_442 = 1006,                /* $@442  */
  YYSYMBOL_1007_443 = 1007,                /* $@443  */
  YYSYMBOL_1008_444 = 1008,                /* $@444  */
  YYSYMBOL_1009_445 = 1009,                /* $@445  */
  YYSYMBOL_1010_446 = 1010,                /* $@446  */
  YYSYMBOL_1011_447 = 1011,                /* $@447  */
  YYSYMBOL_1012_448 = 1012,                /* $@448  */
  YYSYMBOL_1013_449 = 1013,                /* $@449  */
  YYSYMBOL_1014_450 = 1014,                /* $@450  */
  YYSYMBOL_1015_451 = 1015,                /* $@451  */
  YYSYMBOL_1016_452 = 1016,                /* $@452  */
  YYSYMBOL_1017_453 = 1017,                /* $@453  */
  YYSYMBOL_1018_454 = 1018,                /* $@454  */
  YYSYMBOL_1019_455 = 1019,                /* $@455  */
  YYSYMBOL_1020_456 = 1020,                /* $@456  */
  YYSYMBOL_1021_457 = 1021,                /* $@457  */
  YYSYMBOL_1022_458 = 1022,                /* $@458  */
  YYSYMBOL_1023_459 = 1023,                /* $@459  */
  YYSYMBOL_1024_460 = 1024,                /* $@460  */
  YYSYMBOL_1025_461 = 1025,                /* $@461  */
  YYSYMBOL_showdircacheop = 1026,          /* showdircacheop  */
  YYSYMBOL_1027_462 = 1027,                /* $@462  */
  YYSYMBOL_parentactionop = 1028,          /* parentactionop  */
  YYSYMBOL_1029_463 = 1029,                /* $@463  */
  YYSYMBOL_nooperationop = 1030,           /* nooperationop  */
  YYSYMBOL_1031_464 = 1031,                /* $@464  */
  YYSYMBOL_goftpop = 1032,                 /* goftpop  */
  YYSYMBOL_1033_465 = 1033,                /* $@465  */
  YYSYMBOL_goftpopbody = 1034,             /* goftpopbody  */
  YYSYMBOL_1035_466 = 1035,                /* $@466  */
  YYSYMBOL_1036_467 = 1036,                /* $@467  */
  YYSYMBOL_1037_468 = 1037,                /* $@468  */
  YYSYMBOL_1038_469 = 1038,                /* $@469  */
  YYSYMBOL_1039_470 = 1039,                /* $@470  */
  YYSYMBOL_1040_471 = 1040,                /* $@471  */
  YYSYMBOL_1041_472 = 1041,                /* $@472  */
  YYSYMBOL_internalviewop = 1042,          /* internalviewop  */
  YYSYMBOL_1043_473 = 1043,                /* $@473  */
  YYSYMBOL_internalviewopbody = 1044,      /* internalviewopbody  */
  YYSYMBOL_1045_474 = 1045,                /* $@474  */
  YYSYMBOL_1046_475 = 1046,                /* $@475  */
  YYSYMBOL_1047_476 = 1047,                /* $@476  */
  YYSYMBOL_1048_477 = 1048,                /* $@477  */
  YYSYMBOL_clipboardop = 1049,             /* clipboardop  */
  YYSYMBOL_1050_478 = 1050,                /* $@478  */
  YYSYMBOL_clipboardopbody = 1051,         /* clipboardopbody  */
  YYSYMBOL_1052_479 = 1052,                /* $@479  */
  YYSYMBOL_searchop = 1053,                /* searchop  */
  YYSYMBOL_1054_480 = 1054,                /* $@480  */
  YYSYMBOL_searchopbody = 1055,            /* searchopbody  */
  YYSYMBOL_1056_481 = 1056,                /* $@481  */
  YYSYMBOL_1057_482 = 1057,                /* $@482  */
  YYSYMBOL_dirbookmarkop = 1058,           /* dirbookmarkop  */
  YYSYMBOL_1059_483 = 1059,                /* $@483  */
  YYSYMBOL_opencontextmenuop = 1060,       /* opencontextmenuop  */
  YYSYMBOL_1061_484 = 1061,                /* $@484  */
  YYSYMBOL_opencontextmenuopbody = 1062,   /* opencontextmenuopbody  */
  YYSYMBOL_1063_485 = 1063,                /* $@485  */
  YYSYMBOL_runcustomaction = 1064,         /* runcustomaction  */
  YYSYMBOL_1065_486 = 1065,                /* $@486  */
  YYSYMBOL_runcustomactionbody = 1066,     /* runcustomactionbody  */
  YYSYMBOL_1067_487 = 1067,                /* $@487  */
  YYSYMBOL_openworkermenuop = 1068,        /* openworkermenuop  */
  YYSYMBOL_1069_488 = 1069,                /* $@488  */
  YYSYMBOL_changelabelop = 1070,           /* changelabelop  */
  YYSYMBOL_1071_489 = 1071,                /* $@489  */
  YYSYMBOL_changelabelopbody = 1072,       /* changelabelopbody  */
  YYSYMBOL_1073_490 = 1073,                /* $@490  */
  YYSYMBOL_1074_491 = 1074,                /* $@491  */
  YYSYMBOL_modifytabsop = 1075,            /* modifytabsop  */
  YYSYMBOL_1076_492 = 1076,                /* $@492  */
  YYSYMBOL_modifytabsopbody = 1077,        /* modifytabsopbody  */
  YYSYMBOL_1078_493 = 1078,                /* $@493  */
  YYSYMBOL_1079_494 = 1079,                /* $@494  */
  YYSYMBOL_1080_495 = 1080,                /* $@495  */
  YYSYMBOL_1081_496 = 1081,                /* $@496  */
  YYSYMBOL_1082_497 = 1082,                /* $@497  */
  YYSYMBOL_1083_498 = 1083,                /* $@498  */
  YYSYMBOL_1084_499 = 1084,                /* $@499  */
  YYSYMBOL_changelayoutop = 1085,          /* changelayoutop  */
  YYSYMBOL_1086_500 = 1086,                /* $@500  */
  YYSYMBOL_changelayoutopbody = 1087,      /* changelayoutopbody  */
  YYSYMBOL_1088_501 = 1088,                /* $@501  */
  YYSYMBOL_1089_502 = 1089,                /* $@502  */
  YYSYMBOL_1090_503 = 1090,                /* $@503  */
  YYSYMBOL_1091_504 = 1091,                /* $@504  */
  YYSYMBOL_1092_505 = 1092,                /* $@505  */
  YYSYMBOL_1093_506 = 1093,                /* $@506  */
  YYSYMBOL_1094_507 = 1094,                /* $@507  */
  YYSYMBOL_1095_508 = 1095,                /* $@508  */
  YYSYMBOL_1096_509 = 1096,                /* $@509  */
  YYSYMBOL_1097_510 = 1097,                /* $@510  */
  YYSYMBOL_1098_511 = 1098,                /* $@511  */
  YYSYMBOL_1099_512 = 1099,                /* $@512  */
  YYSYMBOL_1100_513 = 1100,                /* $@513  */
  YYSYMBOL_changecolumnsop = 1101,         /* changecolumnsop  */
  YYSYMBOL_1102_514 = 1102,                /* $@514  */
  YYSYMBOL_changecolumnsopbody = 1103,     /* changecolumnsopbody  */
  YYSYMBOL_1104_515 = 1104,                /* $@515  */
  YYSYMBOL_1105_516 = 1105,                /* $@516  */
  YYSYMBOL_1106_517 = 1106,                /* $@517  */
  YYSYMBOL_1107_518 = 1107,                /* $@518  */
  YYSYMBOL_1108_519 = 1108,                /* $@519  */
  YYSYMBOL_1109_520 = 1109,                /* $@520  */
  YYSYMBOL_1110_521 = 1110,                /* $@521  */
  YYSYMBOL_1111_522 = 1111,                /* $@522  */
  YYSYMBOL_1112_523 = 1112,                /* $@523  */
  YYSYMBOL_1113_524 = 1113,                /* $@524  */
  YYSYMBOL_1114_525 = 1114,                /* $@525  */
  YYSYMBOL_1115_526 = 1115,                /* $@526  */
  YYSYMBOL_1116_527 = 1116,                /* $@527  */
  YYSYMBOL_1117_528 = 1117,                /* $@528  */
  YYSYMBOL_volumemanagerop = 1118,         /* volumemanagerop  */
  YYSYMBOL_1119_529 = 1119,                /* $@529  */
  YYSYMBOL_switchbuttonbankop = 1120,      /* switchbuttonbankop  */
  YYSYMBOL_1121_530 = 1121,                /* $@530  */
  YYSYMBOL_switchbuttonbankopbody = 1122,  /* switchbuttonbankopbody  */
  YYSYMBOL_1123_531 = 1123,                /* $@531  */
  YYSYMBOL_1124_532 = 1124,                /* $@532  */
  YYSYMBOL_1125_533 = 1125,                /* $@533  */
  YYSYMBOL_1126_534 = 1126,                /* $@534  */
  YYSYMBOL_pathjumpop = 1127,              /* pathjumpop  */
  YYSYMBOL_1128_535 = 1128,                /* $@535  */
  YYSYMBOL_pathjumpopbody = 1129,          /* pathjumpopbody  */
  YYSYMBOL_1130_536 = 1130,                /* $@536  */
  YYSYMBOL_1131_537 = 1131,                /* $@537  */
  YYSYMBOL_1132_538 = 1132,                /* $@538  */
  YYSYMBOL_1133_539 = 1133,                /* $@539  */
  YYSYMBOL_1134_540 = 1134,                /* $@540  */
  YYSYMBOL_1135_541 = 1135,                /* $@541  */
  YYSYMBOL_1136_542 = 1136,                /* $@542  */
  YYSYMBOL_commandmenuop = 1137,           /* commandmenuop  */
  YYSYMBOL_1138_543 = 1138,                /* $@543  */
  YYSYMBOL_commandmenuopbody = 1139,       /* commandmenuopbody  */
  YYSYMBOL_1140_544 = 1140,                /* $@544  */
  YYSYMBOL_viewnewestfilesop = 1141,       /* viewnewestfilesop  */
  YYSYMBOL_1142_545 = 1142,                /* $@545  */
  YYSYMBOL_dircompareop = 1143,            /* dircompareop  */
  YYSYMBOL_1144_546 = 1144,                /* $@546  */
  YYSYMBOL_tabprofilesop = 1145,           /* tabprofilesop  */
  YYSYMBOL_1146_547 = 1146,                /* $@547  */
  YYSYMBOL_externalvdirop = 1147,          /* externalvdirop  */
  YYSYMBOL_1148_548 = 1148,                /* $@548  */
  YYSYMBOL_externalvdiropbody = 1149,      /* externalvdiropbody  */
  YYSYMBOL_1150_549 = 1150,                /* $@549  */
  YYSYMBOL_opentabmenuop = 1151,           /* opentabmenuop  */
  YYSYMBOL_1152_550 = 1152,                /* $@550  */
  YYSYMBOL_directorypresets = 1153,        /* directorypresets  */
  YYSYMBOL_1154_551 = 1154,                /* $@551  */
  YYSYMBOL_1155_552 = 1155,                /* $@552  */
  YYSYMBOL_directorypreset = 1156,         /* directorypreset  */
  YYSYMBOL_1157_553 = 1157,                /* $@553  */
  YYSYMBOL_1158_554 = 1158,                /* $@554  */
  YYSYMBOL_1159_555 = 1159,                /* $@555  */
  YYSYMBOL_1160_556 = 1160,                /* $@556  */
  YYSYMBOL_1161_557 = 1161,                /* $@557  */
  YYSYMBOL_1162_558 = 1162,                /* $@558  */
  YYSYMBOL_1163_559 = 1163,                /* $@559  */
  YYSYMBOL_1164_560 = 1164,                /* $@560  */
  YYSYMBOL_1165_561 = 1165,                /* $@561  */
  YYSYMBOL_1166_562 = 1166,                /* $@562  */
  YYSYMBOL_1167_563 = 1167,                /* $@563  */
  YYSYMBOL_1168_564 = 1168,                /* $@564  */
  YYSYMBOL_1169_565 = 1169,                /* $@565  */
  YYSYMBOL_1170_566 = 1170,                /* $@566  */
  YYSYMBOL_1171_567 = 1171,                /* $@567  */
  YYSYMBOL_1172_568 = 1172,                /* $@568  */
  YYSYMBOL_1173_569 = 1173,                /* $@569  */
  YYSYMBOL_1174_570 = 1174,                /* $@570  */
  YYSYMBOL_1175_571 = 1175,                /* $@571  */
  YYSYMBOL_directorypreset_filter = 1176,  /* directorypreset_filter  */
  YYSYMBOL_1177_572 = 1177,                /* $@572  */
  YYSYMBOL_1178_573 = 1178,                /* $@573  */
  YYSYMBOL_1179_574 = 1179,                /* $@574  */
  YYSYMBOL_helpop = 1180,                  /* helpop  */
  YYSYMBOL_1181_575 = 1181                 /* $@575  */
};
typedef enum yysymbol_kind_t yysymbol_kind_t;




#ifdef short
# undef short
#endif

/* On compilers that do not define __PTRDIFF_MAX__ etc., make sure
   <limits.h> and (if available) <stdint.h> are included
   so that the code can choose integer types of a good width.  */

#ifndef __PTRDIFF_MAX__
# include <limits.h> /* INFRINGES ON USER NAME SPACE */
# if defined __STDC_VERSION__ && 199901 <= __STDC_VERSION__
#  include <stdint.h> /* INFRINGES ON USER NAME SPACE */
#  define YY_STDINT_H
# endif
#endif

/* Narrow types that promote to a signed type and that can represent a
   signed or unsigned integer of at least N bits.  In tables they can
   save space and decrease cache pressure.  Promoting to a signed type
   helps avoid bugs in integer arithmetic.  */

#ifdef __INT_LEAST8_MAX__
typedef __INT_LEAST8_TYPE__ yytype_int8;
#elif defined YY_STDINT_H
typedef int_least8_t yytype_int8;
#else
typedef signed char yytype_int8;
#endif

#ifdef __INT_LEAST16_MAX__
typedef __INT_LEAST16_TYPE__ yytype_int16;
#elif defined YY_STDINT_H
typedef int_least16_t yytype_int16;
#else
typedef short yytype_int16;
#endif

/* Work around bug in HP-UX 11.23, which defines these macros
   incorrectly for preprocessor constants.  This workaround can likely
   be removed in 2023, as HPE has promised support for HP-UX 11.23
   (aka HP-UX 11i v2) only through the end of 2022; see Table 2 of
   <https://h20195.www2.hpe.com/V2/getpdf.aspx/4AA4-7673ENW.pdf>.  */
#ifdef __hpux
# undef UINT_LEAST8_MAX
# undef UINT_LEAST16_MAX
# define UINT_LEAST8_MAX 255
# define UINT_LEAST16_MAX 65535
#endif

#if defined __UINT_LEAST8_MAX__ && __UINT_LEAST8_MAX__ <= __INT_MAX__
typedef __UINT_LEAST8_TYPE__ yytype_uint8;
#elif (!defined __UINT_LEAST8_MAX__ && defined YY_STDINT_H \
       && UINT_LEAST8_MAX <= INT_MAX)
typedef uint_least8_t yytype_uint8;
#elif !defined __UINT_LEAST8_MAX__ && UCHAR_MAX <= INT_MAX
typedef unsigned char yytype_uint8;
#else
typedef short yytype_uint8;
#endif

#if defined __UINT_LEAST16_MAX__ && __UINT_LEAST16_MAX__ <= __INT_MAX__
typedef __UINT_LEAST16_TYPE__ yytype_uint16;
#elif (!defined __UINT_LEAST16_MAX__ && defined YY_STDINT_H \
       && UINT_LEAST16_MAX <= INT_MAX)
typedef uint_least16_t yytype_uint16;
#elif !defined __UINT_LEAST16_MAX__ && USHRT_MAX <= INT_MAX
typedef unsigned short yytype_uint16;
#else
typedef int yytype_uint16;
#endif

#ifndef YYPTRDIFF_T
# if defined __PTRDIFF_TYPE__ && defined __PTRDIFF_MAX__
#  define YYPTRDIFF_T __PTRDIFF_TYPE__
#  define YYPTRDIFF_MAXIMUM __PTRDIFF_MAX__
# elif defined PTRDIFF_MAX
#  ifndef ptrdiff_t
#   include <stddef.h> /* INFRINGES ON USER NAME SPACE */
#  endif
#  define YYPTRDIFF_T ptrdiff_t
#  define YYPTRDIFF_MAXIMUM PTRDIFF_MAX
# else
#  define YYPTRDIFF_T long
#  define YYPTRDIFF_MAXIMUM LONG_MAX
# endif
#endif

#ifndef YYSIZE_T
# ifdef __SIZE_TYPE__
#  define YYSIZE_T __SIZE_TYPE__
# elif defined size_t
#  define YYSIZE_T size_t
# elif defined __STDC_VERSION__ && 199901 <= __STDC_VERSION__
#  include <stddef.h> /* INFRINGES ON USER NAME SPACE */
#  define YYSIZE_T size_t
# else
#  define YYSIZE_T unsigned
# endif
#endif

#define YYSIZE_MAXIMUM                                  \
  YY_CAST (YYPTRDIFF_T,                                 \
           (YYPTRDIFF_MAXIMUM < YY_CAST (YYSIZE_T, -1)  \
            ? YYPTRDIFF_MAXIMUM                         \
            : YY_CAST (YYSIZE_T, -1)))

#define YYSIZEOF(X) YY_CAST (YYPTRDIFF_T, sizeof (X))


/* Stored state numbers (used for stacks). */
typedef yytype_int16 yy_state_t;

/* State numbers in computations.  */
typedef int yy_state_fast_t;

#ifndef YY_
# if defined YYENABLE_NLS && YYENABLE_NLS
#  if ENABLE_NLS
#   include <libintl.h> /* INFRINGES ON USER NAME SPACE */
#   define YY_(Msgid) dgettext ("bison-runtime", Msgid)
#  endif
# endif
# ifndef YY_
#  define YY_(Msgid) Msgid
# endif
#endif


#ifndef YY_ATTRIBUTE_PURE
# if defined __GNUC__ && 2 < __GNUC__ + (96 <= __GNUC_MINOR__)
#  define YY_ATTRIBUTE_PURE __attribute__ ((__pure__))
# else
#  define YY_ATTRIBUTE_PURE
# endif
#endif

#ifndef YY_ATTRIBUTE_UNUSED
# if defined __GNUC__ && 2 < __GNUC__ + (7 <= __GNUC_MINOR__)
#  define YY_ATTRIBUTE_UNUSED __attribute__ ((__unused__))
# else
#  define YY_ATTRIBUTE_UNUSED
# endif
#endif

/* Suppress unused-variable warnings by "using" E.  */
#if ! defined lint || defined __GNUC__
# define YY_USE(E) ((void) (E))
#else
# define YY_USE(E) /* empty */
#endif

#if defined __GNUC__ && ! defined __ICC && 407 <= __GNUC__ * 100 + __GNUC_MINOR__
/* Suppress an incorrect diagnostic about yylval being uninitialized.  */
# define YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN                            \
    _Pragma ("GCC diagnostic push")                                     \
    _Pragma ("GCC diagnostic ignored \"-Wuninitialized\"")              \
    _Pragma ("GCC diagnostic ignored \"-Wmaybe-uninitialized\"")
# define YY_IGNORE_MAYBE_UNINITIALIZED_END      \
    _Pragma ("GCC diagnostic pop")
#else
# define YY_INITIAL_VALUE(Value) Value
#endif
#ifndef YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
# define YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
# define YY_IGNORE_MAYBE_UNINITIALIZED_END
#endif
#ifndef YY_INITIAL_VALUE
# define YY_INITIAL_VALUE(Value) /* Nothing. */
#endif

#if defined __cplusplus && defined __GNUC__ && ! defined __ICC && 6 <= __GNUC__
# define YY_IGNORE_USELESS_CAST_BEGIN                          \
    _Pragma ("GCC diagnostic push")                            \
    _Pragma ("GCC diagnostic ignored \"-Wuseless-cast\"")
# define YY_IGNORE_USELESS_CAST_END            \
    _Pragma ("GCC diagnostic pop")
#endif
#ifndef YY_IGNORE_USELESS_CAST_BEGIN
# define YY_IGNORE_USELESS_CAST_BEGIN
# define YY_IGNORE_USELESS_CAST_END
#endif


#define YY_ASSERT(E) ((void) (0 && (E)))

#if !defined yyoverflow

/* The parser invokes alloca or malloc; define the necessary symbols.  */

# ifdef YYSTACK_USE_ALLOCA
#  if YYSTACK_USE_ALLOCA
#   ifdef __GNUC__
#    define YYSTACK_ALLOC __builtin_alloca
#   elif defined __BUILTIN_VA_ARG_INCR
#    include <alloca.h> /* INFRINGES ON USER NAME SPACE */
#   elif defined _AIX
#    define YYSTACK_ALLOC __alloca
#   elif defined _MSC_VER
#    include <malloc.h> /* INFRINGES ON USER NAME SPACE */
#    define alloca _alloca
#   else
#    define YYSTACK_ALLOC alloca
#    if ! defined _ALLOCA_H && ! defined EXIT_SUCCESS
#     include <stdlib.h> /* INFRINGES ON USER NAME SPACE */
      /* Use EXIT_SUCCESS as a witness for stdlib.h.  */
#     ifndef EXIT_SUCCESS
#      define EXIT_SUCCESS 0
#     endif
#    endif
#   endif
#  endif
# endif

# ifdef YYSTACK_ALLOC
   /* Pacify GCC's 'empty if-body' warning.  */
#  define YYSTACK_FREE(Ptr) do { /* empty */; } while (0)
#  ifndef YYSTACK_ALLOC_MAXIMUM
    /* The OS might guarantee only one guard page at the bottom of the stack,
       and a page size can be as small as 4096 bytes.  So we cannot safely
       invoke alloca (N) if N exceeds 4096.  Use a slightly smaller number
       to allow for a few compiler-allocated temporary stack slots.  */
#   define YYSTACK_ALLOC_MAXIMUM 4032 /* reasonable circa 2006 */
#  endif
# else
#  define YYSTACK_ALLOC YYMALLOC
#  define YYSTACK_FREE YYFREE
#  ifndef YYSTACK_ALLOC_MAXIMUM
#   define YYSTACK_ALLOC_MAXIMUM YYSIZE_MAXIMUM
#  endif
#  if (defined __cplusplus && ! defined EXIT_SUCCESS \
       && ! ((defined YYMALLOC || defined malloc) \
             && (defined YYFREE || defined free)))
#   include <stdlib.h> /* INFRINGES ON USER NAME SPACE */
#   ifndef EXIT_SUCCESS
#    define EXIT_SUCCESS 0
#   endif
#  endif
#  ifndef YYMALLOC
#   define YYMALLOC malloc
#   if ! defined malloc && ! defined EXIT_SUCCESS
void *malloc (YYSIZE_T); /* INFRINGES ON USER NAME SPACE */
#   endif
#  endif
#  ifndef YYFREE
#   define YYFREE free
#   if ! defined free && ! defined EXIT_SUCCESS
void free (void *); /* INFRINGES ON USER NAME SPACE */
#   endif
#  endif
# endif
#endif /* !defined yyoverflow */

#if (! defined yyoverflow \
     && (! defined __cplusplus \
         || (defined YYSTYPE_IS_TRIVIAL && YYSTYPE_IS_TRIVIAL)))

/* A type that is properly aligned for any stack member.  */
union yyalloc
{
  yy_state_t yyss_alloc;
  YYSTYPE yyvs_alloc;
};

/* The size of the maximum gap between one aligned stack and the next.  */
# define YYSTACK_GAP_MAXIMUM (YYSIZEOF (union yyalloc) - 1)

/* The size of an array large to enough to hold all stacks, each with
   N elements.  */
# define YYSTACK_BYTES(N) \
     ((N) * (YYSIZEOF (yy_state_t) + YYSIZEOF (YYSTYPE)) \
      + YYSTACK_GAP_MAXIMUM)

# define YYCOPY_NEEDED 1

/* Relocate STACK from its old location to the new one.  The
   local variables YYSIZE and YYSTACKSIZE give the old and new number of
   elements in the stack, and YYPTR gives the new location of the
   stack.  Advance YYPTR to a properly aligned location for the next
   stack.  */
# define YYSTACK_RELOCATE(Stack_alloc, Stack)                           \
    do                                                                  \
      {                                                                 \
        YYPTRDIFF_T yynewbytes;                                         \
        YYCOPY (&yyptr->Stack_alloc, Stack, yysize);                    \
        Stack = &yyptr->Stack_alloc;                                    \
        yynewbytes = yystacksize * YYSIZEOF (*Stack) + YYSTACK_GAP_MAXIMUM; \
        yyptr += yynewbytes / YYSIZEOF (*yyptr);                        \
      }                                                                 \
    while (0)

#endif

#if defined YYCOPY_NEEDED && YYCOPY_NEEDED
/* Copy COUNT objects from SRC to DST.  The source and destination do
   not overlap.  */
# ifndef YYCOPY
#  if defined __GNUC__ && 1 < __GNUC__
#   define YYCOPY(Dst, Src, Count) \
      __builtin_memcpy (Dst, Src, YY_CAST (YYSIZE_T, (Count)) * sizeof (*(Src)))
#  else
#   define YYCOPY(Dst, Src, Count)              \
      do                                        \
        {                                       \
          YYPTRDIFF_T yyi;                      \
          for (yyi = 0; yyi < (Count); yyi++)   \
            (Dst)[yyi] = (Src)[yyi];            \
        }                                       \
      while (0)
#  endif
# endif
#endif /* !YYCOPY_NEEDED */

/* YYFINAL -- State number of the termination state.  */
#define YYFINAL  3
/* YYLAST -- Last index in YYTABLE.  */
#define YYLAST   2570

/* YYNTOKENS -- Number of terminals.  */
#define YYNTOKENS  453
/* YYNNTS -- Number of nonterminals.  */
#define YYNNTS  729
/* YYNRULES -- Number of rules.  */
#define YYNRULES  1281
/* YYNSTATES -- Number of states.  */
#define YYNSTATES  3040

/* YYMAXUTOK -- Last valid token kind.  */
#define YYMAXUTOK   703


/* YYTRANSLATE(TOKEN-NUM) -- Symbol number corresponding to TOKEN-NUM
   as returned by yylex, with out-of-bounds checking.  */
#define YYTRANSLATE(YYX)                                \
  (0 <= (YYX) && (YYX) <= YYMAXUTOK                     \
   ? YY_CAST (yysymbol_kind_t, yytranslate[YYX])        \
   : YYSYMBOL_YYUNDEF)

/* YYTRANSLATE[TOKEN-NUM] -- Symbol number corresponding to TOKEN-NUM
   as returned by yylex.  */
static const yytype_int16 yytranslate[] =
{
       0,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,   452,     2,   449,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,   450,
       2,   451,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     1,     2,     3,     4,
       5,     6,     7,     8,     9,    10,    11,    12,    13,    14,
      15,    16,    17,    18,    19,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    29,    30,    31,    32,    33,    34,
      35,    36,    37,    38,    39,    40,    41,    42,    43,    44,
      45,    46,    47,    48,    49,    50,    51,    52,    53,    54,
      55,    56,    57,    58,    59,    60,    61,    62,    63,    64,
      65,    66,    67,    68,    69,    70,    71,    72,    73,    74,
      75,    76,    77,    78,    79,    80,    81,    82,    83,    84,
      85,    86,    87,    88,    89,    90,    91,    92,    93,    94,
      95,    96,    97,    98,    99,   100,   101,   102,   103,   104,
     105,   106,   107,   108,   109,   110,   111,   112,   113,   114,
     115,   116,   117,   118,   119,   120,   121,   122,   123,   124,
     125,   126,   127,   128,   129,   130,   131,   132,   133,   134,
     135,   136,   137,   138,   139,   140,   141,   142,   143,   144,
     145,   146,   147,   148,   149,   150,   151,   152,   153,   154,
     155,   156,   157,   158,   159,   160,   161,   162,   163,   164,
     165,   166,   167,   168,   169,   170,   171,   172,   173,   174,
     175,   176,   177,   178,   179,   180,   181,   182,   183,   184,
     185,   186,   187,   188,   189,   190,   191,   192,   193,   194,
     195,   196,   197,   198,   199,   200,   201,   202,   203,   204,
     205,   206,   207,   208,   209,   210,   211,   212,   213,   214,
     215,   216,   217,   218,   219,   220,   221,   222,   223,   224,
     225,   226,   227,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   246,   247,   248,   249,   250,   251,   252,   253,   254,
     255,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   277,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,   292,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,   330,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,   346,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,   419,   420,   421,   422,   423,   424,
     425,   426,   427,   428,   429,   430,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448
};

#if YYDEBUG
  /* YYRLINE[YYN] -- Source line where rule number YYN was defined.  */
static const yytype_int16 yyrline[] =
{
       0,   329,   329,   329,   329,   332,   333,   334,   333,   337,
     338,   339,   338,   350,   351,   350,   362,   363,   362,   374,
     375,   374,   386,   387,   388,   389,   390,   391,   390,   394,
     395,   394,   397,   399,   399,   400,   402,   402,   403,   405,
     405,   406,   406,   407,   407,   408,   408,   409,   410,   410,
     411,   411,   412,   412,   413,   413,   414,   414,   416,   417,
     417,   418,   418,   419,   420,   420,   421,   421,   422,   422,
     423,   423,   424,   424,   425,   426,   426,   427,   429,   429,
     430,   430,   431,   431,   432,   432,   433,   433,   434,   434,
     435,   435,   436,   436,   437,   437,   438,   438,   439,   439,
     440,   440,   441,   441,   442,   444,   444,   445,   447,   447,
     448,   448,   449,   451,   451,   452,   452,   453,   453,   454,
     454,   455,   455,   456,   456,   457,   457,   458,   460,   460,
     461,   461,   462,   462,   463,   463,   464,   464,   465,   465,
     466,   466,   467,   467,   468,   468,   469,   469,   470,   470,
     471,   471,   472,   472,   473,   473,   474,   476,   476,   477,
     477,   478,   478,   479,   479,   480,   480,   481,   481,   482,
     482,   483,   483,   484,   484,   485,   485,   486,   486,   487,
     489,   489,   490,   490,   491,   491,   492,   492,   493,   493,
     494,   494,   495,   496,   495,   497,   498,   497,   499,   500,
     499,   501,   503,   503,   507,   507,   511,   511,   515,   515,
     519,   519,   523,   523,   527,   527,   531,   531,   535,   535,
     539,   539,   543,   543,   547,   547,   551,   551,   555,   555,
     559,   559,   562,   562,   566,   566,   570,   570,   574,   575,
     574,   580,   582,   584,   591,   584,   594,   596,   596,   600,
     600,   604,   604,   605,   607,   611,   607,   614,   616,   616,
     619,   619,   620,   622,   622,   623,   623,   624,   624,   625,
     625,   626,   626,   627,   627,   628,   628,   629,   629,   630,
     630,   631,   633,   634,   633,   640,   642,   642,   646,   646,
     647,   647,   650,   650,   651,   652,   651,   664,   666,   669,
     674,   675,   666,   677,   680,   685,   686,   691,   692,   677,
     694,   696,   696,   697,   697,   698,   698,   699,   699,   700,
     700,   701,   701,   702,   702,   703,   703,   704,   706,   707,
     706,   710,   711,   710,   722,   722,   723,   725,   725,   726,
     728,   731,   728,   740,   742,   742,   743,   743,   744,   744,
     745,   745,   746,   746,   748,   748,   749,   749,   750,   750,
     751,   751,   752,   753,   753,   754,   754,   755,   756,   756,
     759,   759,   762,   762,   765,   765,   768,   768,   769,   769,
     770,   770,   771,   771,   772,   772,   773,   773,   774,   774,
     775,   775,   776,   776,   777,   777,   778,   778,   779,   779,
     780,   782,   782,   783,   785,   786,   787,   788,   789,   792,
     793,   792,   796,   797,   796,   800,   801,   800,   804,   805,
     804,   808,   809,   808,   812,   815,   812,   818,   820,   821,
     822,   824,   826,   827,   826,   830,   832,   832,   833,   834,
     833,   837,   838,   837,   850,   852,   853,   852,   859,   861,
     861,   865,   865,   866,   866,   869,   870,   869,   873,   874,
     873,   886,   889,   888,   896,   895,   903,   902,   910,   909,
     917,   916,   924,   923,   930,   933,   932,   940,   939,   947,
     946,   954,   953,   961,   960,   968,   967,   974,   977,   976,
     981,   980,   985,   984,   989,   988,   993,   992,   997,   996,
    1001,  1000,  1005,  1004,  1009,  1008,  1012,  1014,  1014,  1015,
    1015,  1016,  1016,  1017,  1017,  1018,  1018,  1019,  1019,  1020,
    1020,  1021,  1023,  1024,  1026,  1027,  1028,  1029,  1030,  1031,
    1032,  1033,  1034,  1035,  1036,  1037,  1038,  1039,  1040,  1041,
    1042,  1043,  1044,  1045,  1046,  1047,  1048,  1049,  1050,  1051,
    1052,  1053,  1054,  1055,  1056,  1057,  1058,  1059,  1060,  1061,
    1062,  1063,  1064,  1065,  1066,  1067,  1068,  1069,  1070,  1071,
    1072,  1073,  1074,  1075,  1076,  1077,  1078,  1079,  1080,  1081,
    1082,  1083,  1084,  1085,  1086,  1087,  1088,  1089,  1090,  1091,
    1092,  1093,  1094,  1095,  1096,  1098,  1098,  1101,  1101,  1102,
    1102,  1103,  1103,  1104,  1104,  1105,  1105,  1106,  1106,  1107,
    1107,  1108,  1108,  1109,  1109,  1110,  1110,  1111,  1111,  1112,
    1112,  1113,  1113,  1114,  1114,  1115,  1117,  1117,  1120,  1120,
    1123,  1123,  1126,  1126,  1129,  1129,  1132,  1132,  1133,  1135,
    1135,  1142,  1142,  1149,  1149,  1152,  1152,  1153,  1153,  1154,
    1154,  1155,  1157,  1157,  1160,  1160,  1161,  1161,  1162,  1162,
    1163,  1163,  1164,  1164,  1165,  1165,  1166,  1166,  1167,  1167,
    1168,  1168,  1169,  1169,  1170,  1170,  1171,  1171,  1172,  1172,
    1173,  1173,  1174,  1174,  1175,  1175,  1176,  1176,  1177,  1177,
    1178,  1178,  1179,  1179,  1180,  1182,  1182,  1189,  1189,  1196,
    1196,  1203,  1203,  1210,  1210,  1217,  1217,  1224,  1224,  1231,
    1231,  1238,  1238,  1245,  1245,  1248,  1248,  1249,  1249,  1250,
    1250,  1251,  1251,  1252,  1252,  1253,  1255,  1255,  1258,  1258,
    1259,  1259,  1260,  1260,  1261,  1261,  1262,  1264,  1264,  1267,
    1267,  1270,  1270,  1271,  1271,  1272,  1272,  1273,  1275,  1275,
    1278,  1278,  1279,  1279,  1280,  1280,  1281,  1283,  1283,  1286,
    1286,  1289,  1289,  1290,  1290,  1291,  1293,  1293,  1296,  1296,
    1297,  1299,  1299,  1302,  1302,  1303,  1303,  1304,  1304,  1305,
    1305,  1306,  1306,  1307,  1307,  1308,  1310,  1310,  1313,  1313,
    1316,  1316,  1319,  1319,  1326,  1326,  1329,  1329,  1330,  1330,
    1331,  1331,  1332,  1332,  1333,  1333,  1334,  1334,  1335,  1335,
    1336,  1336,  1337,  1337,  1338,  1338,  1339,  1341,  1341,  1344,
    1344,  1345,  1345,  1346,  1346,  1347,  1347,  1348,  1350,  1350,
    1353,  1353,  1354,  1354,  1355,  1355,  1356,  1356,  1357,  1359,
    1359,  1362,  1362,  1363,  1363,  1364,  1366,  1366,  1369,  1369,
    1370,  1370,  1371,  1371,  1372,  1374,  1374,  1377,  1377,  1378,
    1378,  1379,  1379,  1380,  1382,  1382,  1385,  1385,  1386,  1386,
    1387,  1387,  1388,  1388,  1389,  1389,  1390,  1390,  1391,  1391,
    1392,  1392,  1393,  1393,  1394,  1396,  1396,  1399,  1399,  1400,
    1400,  1401,  1401,  1402,  1402,  1403,  1405,  1405,  1408,  1408,
    1409,  1411,  1411,  1416,  1416,  1417,  1417,  1418,  1418,  1419,
    1419,  1420,  1420,  1421,  1421,  1422,  1422,  1423,  1423,  1424,
    1424,  1425,  1425,  1426,  1426,  1427,  1427,  1428,  1428,  1429,
    1429,  1430,  1432,  1432,  1435,  1435,  1436,  1436,  1437,  1437,
    1438,  1438,  1439,  1439,  1440,  1440,  1441,  1441,  1442,  1442,
    1443,  1443,  1444,  1444,  1445,  1445,  1446,  1446,  1447,  1447,
    1448,  1448,  1449,  1449,  1450,  1452,  1452,  1455,  1455,  1458,
    1458,  1459,  1459,  1460,  1460,  1461,  1461,  1462,  1464,  1464,
    1467,  1467,  1468,  1468,  1469,  1469,  1470,  1470,  1471,  1471,
    1472,  1472,  1473,  1473,  1474,  1474,  1475,  1475,  1476,  1476,
    1477,  1477,  1478,  1478,  1479,  1479,  1480,  1480,  1481,  1481,
    1482,  1482,  1483,  1483,  1484,  1484,  1485,  1485,  1486,  1486,
    1487,  1487,  1488,  1488,  1489,  1489,  1490,  1490,  1491,  1491,
    1492,  1492,  1493,  1493,  1494,  1494,  1495,  1495,  1496,  1498,
    1498,  1501,  1501,  1504,  1504,  1507,  1507,  1510,  1510,  1511,
    1511,  1512,  1512,  1513,  1513,  1514,  1514,  1515,  1515,  1516,
    1516,  1517,  1519,  1519,  1522,  1522,  1523,  1523,  1524,  1524,
    1525,  1525,  1527,  1529,  1529,  1532,  1532,  1533,  1535,  1535,
    1538,  1538,  1539,  1539,  1540,  1542,  1542,  1545,  1545,  1548,
    1548,  1549,  1551,  1551,  1554,  1554,  1555,  1557,  1557,  1560,
    1560,  1563,  1563,  1564,  1564,  1565,  1567,  1567,  1570,  1570,
    1571,  1571,  1572,  1572,  1573,  1573,  1574,  1574,  1575,  1575,
    1576,  1576,  1577,  1579,  1579,  1587,  1587,  1588,  1588,  1589,
    1589,  1590,  1590,  1591,  1591,  1592,  1592,  1593,  1593,  1594,
    1594,  1595,  1595,  1596,  1596,  1597,  1597,  1598,  1598,  1599,
    1599,  1600,  1602,  1602,  1610,  1610,  1611,  1611,  1612,  1612,
    1613,  1613,  1614,  1614,  1615,  1615,  1616,  1616,  1617,  1617,
    1618,  1618,  1619,  1619,  1620,  1620,  1621,  1621,  1622,  1622,
    1623,  1623,  1624,  1626,  1626,  1629,  1629,  1632,  1632,  1633,
    1633,  1634,  1634,  1635,  1635,  1636,  1638,  1638,  1641,  1641,
    1642,  1642,  1643,  1643,  1644,  1644,  1645,  1645,  1646,  1646,
    1647,  1647,  1648,  1650,  1650,  1653,  1653,  1654,  1656,  1656,
    1659,  1659,  1662,  1662,  1665,  1665,  1668,  1668,  1669,  1671,
    1671,  1678,  1679,  1678,  1681,  1683,  1683,  1684,  1684,  1685,
    1685,  1686,  1686,  1687,  1687,  1688,  1688,  1689,  1689,  1690,
    1690,  1691,  1691,  1692,  1692,  1693,  1693,  1694,  1694,  1695,
    1695,  1696,  1696,  1697,  1697,  1698,  1698,  1699,  1699,  1700,
    1701,  1700,  1702,  1704,  1704,  1705,  1705,  1706,  1706,  1707,
    1709,  1709
};
#endif

/** Accessing symbol of state STATE.  */
#define YY_ACCESSING_SYMBOL(State) YY_CAST (yysymbol_kind_t, yystos[State])

#if YYDEBUG || 0
/* The user-facing name of the symbol whose (internal) number is
   YYSYMBOL.  No bounds checking.  */
static const char *yysymbol_name (yysymbol_kind_t yysymbol) YY_ATTRIBUTE_UNUSED;

/* YYTNAME[SYMBOL-NUM] -- String name of the symbol SYMBOL-NUM.
   First, the terminals, then, starting at YYNTOKENS, nonterminals.  */
static const char *const yytname[] =
{
  "\"end of file\"", "error", "\"invalid token\"", "LEFTBRACE_WCP",
  "RIGHTBRACE_WCP", "GLOBAL_WCP", "COLORS_WCP", "LANG_WCP", "PALETTE_WCP",
  "OWNOP_WCP", "LISTERSETS_WCP", "YES_WCP", "NO_WCP", "LEFT_WCP",
  "RIGHT_WCP", "HBARTOP_WCP", "HBARHEIGHT_WCP", "VBARLEFT_WCP",
  "VBARWIDTH_WCP", "DISPLAYSETS_WCP", "NAME_WCP", "SIZE_WCP", "TYPE_WCP",
  "PERMISSION_WCP", "OWNER_WCP", "DESTINATION_WCP", "MODTIME_WCP",
  "ACCTIME_WCP", "CHGTIME_WCP", "ROWS_WCP", "COLUMNS_WCP", "CACHESIZE_WCP",
  "OWNERSTYLE_WCP", "TERMINAL_WCP", "USESTRINGFORDIRSIZE_WCP",
  "TIMESETS_WCP", "STYLE1_WCP", "STYLE2_WCP", "STYLE3_WCP", "DATE_WCP",
  "TIME_WCP", "DATESUBSTITUTION_WCP", "DATEBEFORETIME_WCP", "STATEBAR_WCP",
  "SELLVBAR_WCP", "UNSELLVBAR_WCP", "CLOCKBAR_WCP", "REQUESTER_WCP",
  "UNSELDIR_WCP", "SELDIR_WCP", "UNSELFILE_WCP", "SELFILE_WCP",
  "UNSELACTDIR_WCP", "SELACTDIR_WCP", "UNSELACTFILE_WCP", "SELACTFILE_WCP",
  "LVBG_WCP", "STARTUP_WCP", "BUTTON_WCP", "BUTTONS_WCP", "POSITION_WCP",
  "TITLE_WCP", "COMMANDS_WCP", "SHORTKEYS_WCP", "PATHS_WCP", "PATH_WCP",
  "FILETYPES_WCP", "FILETYPE_WCP", "NORMAL_WCP", "NOTYETCHECKED_WCP",
  "UNKNOWN_WCP", "NOSELECT_WCP", "DIR_WCP", "USEPATTERN_WCP",
  "USECONTENT_WCP", "PATTERN_WCP", "CONTENT_WCP", "FTCOMMANDS_WCP",
  "DND_WCP", "DC_WCP", "SHOW_WCP", "RAWSHOW_WCP", "USER_WCP", "FLAGS_WCP",
  "IGNOREDIRS_WCP", "HOTKEYS_WCP", "HOTKEY_WCP", "FONTS_WCP",
  "GLOBALFONT_WCP", "BUTTONFONT_WCP", "LEFTFONT_WCP", "RIGHTFONT_WCP",
  "TEXTVIEWFONT_WCP", "STATEBARFONT_WCP", "CLOCKBARSETS_WCP", "MODUS_WCP",
  "TIMESPACE_WCP", "VERSION_WCP", "EXTERN_WCP", "UPDATETIME_WCP",
  "PROGRAM_WCP", "SHOWHINTS_WCP", "KEY_WCP", "DOUBLE_WCP", "MOD_WCP",
  "CONTROL_WCP", "SHIFT_WCP", "LOCK_WCP", "MOD1_WCP", "MOD2_WCP",
  "MOD3_WCP", "MOD4_WCP", "MOD5_WCP", "DNDACTION_WCP", "DCACTION_WCP",
  "SHOWACTION_WCP", "RSHOWACTION_WCP", "USERACTION_WCP", "ROWUP_WCP",
  "ROWDOWN_WCP", "CHANGEHIDDENFLAG_WCP", "COPYOP_WCP", "FIRSTROW_WCP",
  "LASTROW_WCP", "PAGEUP_WCP", "PAGEDOWN_WCP", "SELECTOP_WCP",
  "SELECTALLOP_WCP", "SELECTNONEOP_WCP", "INVERTALLOP_WCP",
  "PARENTDIROP_WCP", "ENTERDIROP_WCP", "CHANGELISTERSETOP_WCP",
  "SWITCHLISTEROP_WCP", "FILTERSELECTOP_WCP", "FILTERUNSELECTOP_WCP",
  "PATHTOOTHERSIDEOP_WCP", "QUITOP_WCP", "DELETEOP_WCP", "RELOADOP_WCP",
  "MAKEDIROP_WCP", "RENAMEOP_WCP", "DIRSIZEOP_WCP", "SIMDDOP_WCP",
  "STARTPROGOP_WCP", "SEARCHENTRYOP_WCP", "ENTERPATHOP_WCP",
  "SCROLLLISTEROP_WCP", "CREATESYMLINKOP_WCP", "CHANGESYMLINKOP_WCP",
  "CHMODOP_WCP", "TOGGLELISTERMODEOP_WCP", "SETSORTMODEOP_WCP",
  "SETFILTEROP_WCP", "SHORTKEYFROMLISTOP_WCP", "CHOWNOP_WCP",
  "WORKERCONFIG_WCP", "USERSTYLE_WCP", "DATESTRING_WCP", "TIMESTRING_WCP",
  "COLOR_WCP", "PATTERNIGNORECASE_WCP", "PATTERNUSEREGEXP_WCP",
  "PATTERNUSEFULLNAME_WCP", "COM_WCP", "SEPARATEEACHENTRY_WCP",
  "RECURSIVE_WCP", "START_WCP", "TERMINALWAIT_WCP", "SHOWOUTPUT_WCP",
  "VIEWSTR_WCP", "SHOWOUTPUTINT_WCP", "INBACKGROUND_WCP", "TAKEDIRS_WCP",
  "ACTIONNUMBER_WCP", "HIDDENFILES_WCP", "HIDE_WCP", "TOGGLE_WCP",
  "FOLLOWSYMLINKS_WCP", "MOVE_WCP", "RENAME_WCP", "SAMEDIR_WCP",
  "REQUESTDEST_WCP", "REQUESTFLAGS_WCP", "OVERWRITE_WCP", "ALWAYS_WCP",
  "NEVER_WCP", "COPYMODE_WCP", "FAST_WCP", "PRESERVEATTR_WCP", "MODE_WCP",
  "ACTIVE_WCP", "ACTIVE2OTHER_WCP", "SPECIAL_WCP", "REQUEST_WCP",
  "CURRENT_WCP", "OTHER_WCP", "FILTER_WCP", "QUICK_WCP", "ALSOACTIVE_WCP",
  "RESETDIRSIZES_WCP", "KEEPFILETYPES_WCP", "RELATIVE_WCP", "ONFILES_WCP",
  "ONDIRS_WCP", "SORTBY_WCP", "SORTFLAG_WCP", "REVERSE_WCP", "DIRLAST_WCP",
  "DIRMIXED_WCP", "EXCLUDE_WCP", "INCLUDE_WCP", "UNSET_WCP",
  "UNSETALL_WCP", "SCRIPTOP_WCP", "NOP_WCP", "PUSH_WCP", "LABEL_WCP",
  "IF_WCP", "END_WCP", "POP_WCP", "SETTINGS_WCP", "WINDOW_WCP", "GOTO_WCP",
  "PUSHUSEOUTPUT_WCP", "DODEBUG_WCP", "WPURECURSIVE_WCP",
  "WPUTAKEDIRS_WCP", "STACKNR_WCP", "PUSHSTRING_WCP", "IFTEST_WCP",
  "IFLABEL_WCP", "WINTYPE_WCP", "OPEN_WCP", "CLOSE_WCP", "LEAVE_WCP",
  "CHANGEPROGRESS_WCP", "CHANGETEXT_WCP", "PROGRESSUSEOUTPUT_WCP",
  "WINTEXTUSEOUTPUT_WCP", "PROGRESS_WCP", "WINTEXT_WCP",
  "SHOWDIRCACHEOP_WCP", "INODE_WCP", "NLINK_WCP", "BLOCKS_WCP",
  "SHOWHEADER_WCP", "LVHEADER_WCP", "IGNORECASE_WCP", "LISTVIEWS_WCP",
  "BLL_WCP", "LBL_WCP", "LLB_WCP", "BL_WCP", "LB_WCP", "LAYOUT_WCP",
  "BUTTONSVERT_WCP", "LISTVIEWSVERT_WCP", "LISTVIEWWEIGHT_WCP",
  "WEIGHTTOACTIVE_WCP", "EXTCOND_WCP", "USEEXTCOND_WCP", "SUBTYPE_WCP",
  "PARENTACTIONOP_WCP", "NOOPERATIONOP_WCP", "COLORMODE_WCP",
  "DEFAULT_WCP", "CUSTOM_WCP", "UNSELECTCOLOR_WCP", "SELECTCOLOR_WCP",
  "UNSELECTACTIVECOLOR_WCP", "SELECTACTIVECOLOR_WCP",
  "COLOREXTERNPROG_WCP", "PARENT_WCP", "DONTCD_WCP",
  "DONTCHECKVIRTUAL_WCP", "GOFTPOP_WCP", "HOSTNAME_WCP", "USERNAME_WCP",
  "PASSWORD_WCP", "DONTENTERFTP_WCP", "ALWAYSSTOREPW_WCP",
  "INTERNALVIEWOP_WCP", "CUSTOMFILES_WCP", "SHOWMODE_WCP", "SELECTED_WCP",
  "REVERSESEARCH_WCP", "MOUSECONF_WCP", "SELECTBUTTON_WCP",
  "ACTIVATEBUTTON_WCP", "SCROLLBUTTON_WCP", "SELECTMETHOD_WCP",
  "ALTERNATIVE_WCP", "SEARCHOP_WCP", "EDITCOMMAND_WCP",
  "SHOWPREVRESULTS_WCP", "TEXTVIEW_WCP", "TEXTVIEWHIGHLIGHTED_WCP",
  "TEXTVIEWSELECTION_WCP", "DIRBOOKMARKOP_WCP", "OPENCONTEXTMENUOP_WCP",
  "RUNCUSTOMACTION_WCP", "CUSTOMNAME_WCP", "CONTEXTBUTTON_WCP",
  "ACTIVATEMOD_WCP", "SCROLLMOD_WCP", "CONTEXTMOD_WCP", "NONE_WCP",
  "CUSTOMACTION_WCP", "SAVE_WORKER_STATE_ON_EXIT_WCP",
  "OPENWORKERMENUOP_WCP", "CHANGELABELOP_WCP", "ASKFORLABEL_WCP",
  "LABELCOLORS_WCP", "BOOKMARKLABEL_WCP", "BOOKMARKFILTER_WCP",
  "SHOWONLYBOOKMARKS_WCP", "SHOWONLYLABEL_WCP", "SHOWALL_WCP",
  "OPTIONMODE_WCP", "INVERT_WCP", "SET_WCP", "CHANGEFILTERS_WCP",
  "CHANGEBOOKMARKS_WCP", "QUERYLABEL_WCP", "MODIFYTABSOP_WCP",
  "TABACTION_WCP", "NEWTAB_WCP", "CLOSECURRENTTAB_WCP", "NEXTTAB_WCP",
  "PREVTAB_WCP", "TOGGLELOCKSTATE_WCP", "MOVETABLEFT_WCP",
  "MOVETABRIGHT_WCP", "CHANGELAYOUTOP_WCP", "INFIXSEARCH_WCP",
  "VOLUMEMANAGEROP_WCP", "ERROR", "ACTIVESIDE_WCP", "SHOWFREESPACE_WCP",
  "ACTIVEMODE_WCP", "ASK_WCP", "SSHALLOW_WCP", "FIELD_WIDTH_WCP",
  "QUICKSEARCHENABLED_WCP", "FILTEREDSEARCHENABLED_WCP", "XFTFONTS_WCP",
  "USEMAGIC_WCP", "MAGICPATTERN_WCP", "MAGICCOMPRESSED_WCP",
  "MAGICMIME_WCP", "VOLUMEMANAGER_WCP", "MOUNTCOMMAND_WCP",
  "UNMOUNTCOMMAND_WCP", "FSTABFILE_WCP", "MTABFILE_WCP", "PARTFILE_WCP",
  "REQUESTACTION_WCP", "SIZEH_WCP", "NEXTAGING_WCP", "ENTRY_WCP",
  "PREFIX_WCP", "VALUE_WCP", "EXTENSION_WCP", "EJECTCOMMAND_WCP",
  "CLOSETRAYCOMMAND_WCP", "AVFSMODULE_WCP", "FLEXIBLEMATCH_WCP",
  "USE_VERSION_STRING_COMPARE_WCP", "SWITCHBUTTONBANKOP_WCP",
  "SWITCHTONEXTBANK_WCP", "SWITCHTOPREVBANK_WCP", "SWITCHTOBANKNR_WCP",
  "BANKNR_WCP", "USE_VIRTUAL_TEMP_COPIES_WCP", "PATHJUMPOP_WCP",
  "PATHJUMPALLOWDIRS_WCP", "CLIPBOARDOP_WCP", "CLIPBOARDSTRING_WCP",
  "COMMANDSTRING_WCP", "EVALCOMMAND_WCP", "WATCHMODE_WCP",
  "APPLY_WINDOW_DIALOG_TYPE_WCP", "FLAGS_ARE_RELATIVE_TO_BASEDIR_WCP",
  "COMMANDMENUOP_WCP", "SEARCHMODEONKEYPRESS_WCP", "PATHENTRYONTOP_WCP",
  "STORE_FILES_ALWAYS_WCP", "PATHJUMPSETS_WCP", "SHOWDOTDOT_WCP",
  "SHOWBREADCRUMB_WCP", "FACES_WCP", "FACE_WCP", "ENABLE_INFO_LINE_WCP",
  "INFO_LINE_LUA_MODE_WCP", "INFO_LINE_CONTENT_WCP",
  "RESTORE_TABS_MODE_WCP", "STORE_TABS_MODE_WCP", "AS_EXIT_STATE_WCP",
  "USE_EXTENDED_REGEX_WCP", "HIGHLIGHT_USER_ACTION_WCP", "CHTIMEOP_WCP",
  "ADJUSTRELATIVESYMLINKS_WCP", "OUTSIDE_WCP", "EDIT_WCP",
  "MAKEABSOLUTE_WCP", "MAKERELATIVE_WCP", "MAGICIGNORECASE_WCP",
  "ENSURE_FILE_PERMISSIONS_WCP", "USER_RW_WCP", "USER_RW_GROUP_R_WCP",
  "USER_RW_ALL_R_WCP", "LEAVE_UNMODIFIED_WCP", "PREFERUDISKSVERSION_WCP",
  "CHANGECOLUMNSOP_WCP", "PATTERNISCOMMASEPARATED_WCP", "STRCASECMP_WCP",
  "USE_STRING_COMPARE_MODE_WCP", "VIEWNEWESTFILESOP_WCP", "SHOWRECENT_WCP",
  "DIRCOMPAREOP_WCP", "TABPROFILESOP_WCP", "EXTERNALVDIROP_WCP",
  "VDIR_PRESERVE_DIR_STRUCTURE_WCP", "OPENTABMENUOP_WCP", "INITIALTAB_WCP",
  "SHOWBYTIME_WCP", "SHOWBYFILTER_WCP", "SHOWBYPROGRAM_WCP",
  "TERMINAL_RETURNS_EARLY_WCP", "DIRECTORYPRESETS_WCP",
  "DIRECTORYPRESET_WCP", "HELPOP_WCP", "PRIORITY_WCP", "AUTOFILTER_WCP",
  "ENABLE_CUSTOM_LVB_LINE_WCP", "CUSTOM_LVB_LINE_WCP",
  "CUSTOM_DIRECTORY_INFO_COMMAND_WCP", "IMMEDIATE_FILTER_APPLY_WCP",
  "DISABLEBGCHECKPREFIX_WCP", "DISPLAYMODE_WCP", "SHOWSUBDIRS_WCP",
  "SHOWDIRECTSUBDIRS_WCP", "INCLUDEALL_WCP", "APPLYMODE_WCP", "ADD_WCP",
  "REMOVE_WCP", "STRING_WCP", "NUM_WCP", "'.'", "';'", "'='", "','",
  "$accept", "S", "$@1", "$@2", "start", "$@3", "$@4", "$@5", "$@6", "$@7",
  "$@8", "$@9", "$@10", "$@11", "$@12", "$@13", "$@14", "$@15", "$@16",
  "pjallowdirs", "$@17", "pathjumpsets", "$@18", "glb", "$@19", "$@20",
  "$@21", "$@22", "$@23", "$@24", "$@25", "$@26", "$@27", "$@28", "$@29",
  "$@30", "$@31", "$@32", "$@33", "$@34", "$@35", "layout", "$@36", "$@37",
  "$@38", "$@39", "$@40", "$@41", "$@42", "$@43", "$@44", "$@45", "$@46",
  "$@47", "$@48", "pal", "$@49", "listersets", "$@50", "$@51",
  "listersets2", "$@52", "$@53", "$@54", "$@55", "$@56", "$@57", "$@58",
  "displaysets", "$@59", "$@60", "$@61", "$@62", "$@63", "$@64", "$@65",
  "$@66", "$@67", "$@68", "$@69", "$@70", "$@71", "$@72", "timesets",
  "$@73", "$@74", "$@75", "$@76", "$@77", "$@78", "$@79", "$@80", "$@81",
  "$@82", "$@83", "mouseconf", "$@84", "$@85", "$@86", "$@87", "$@88",
  "$@89", "$@90", "$@91", "$@92", "$@93", "$@94", "$@95", "cols", "$@96",
  "$@97", "$@98", "$@99", "$@100", "$@101", "$@102", "$@103", "$@104",
  "$@105", "$@106", "$@107", "$@108", "$@109", "$@110", "$@111", "$@112",
  "$@113", "$@114", "$@115", "labelcolors", "$@116", "$@117", "labelcolor",
  "$@118", "$@119", "$@120", "faces", "$@121", "$@122", "face", "$@123",
  "$@124", "startup", "$@125", "$@126", "$@127", "$@128", "$@129", "$@130",
  "$@131", "$@132", "$@133", "paths", "$@134", "$@135", "path", "$@136",
  "$@137", "$@138", "$@139", "$@140", "$@141", "keylist", "$@142", "$@143",
  "$@144", "$@145", "$@146", "$@147", "$@148", "$@149", "$@150", "$@151",
  "mods", "$@152", "$@153", "$@154", "$@155", "$@156", "$@157", "$@158",
  "$@159", "filetypes", "$@160", "$@161", "$@162", "$@163", "$@164",
  "ignoredirs", "$@165", "subfiletypes", "$@166", "$@167", "filetype",
  "$@168", "$@169", "$@170", "$@171", "$@172", "$@173", "$@174", "$@175",
  "$@176", "$@177", "$@178", "$@179", "$@180", "$@181", "$@182", "$@183",
  "$@184", "$@185", "$@186", "$@187", "$@188", "$@189", "$@190", "$@191",
  "$@192", "$@193", "$@194", "filecontent", "$@195", "ft_type",
  "ftcommands", "$@196", "$@197", "$@198", "$@199", "$@200", "$@201",
  "$@202", "$@203", "$@204", "$@205", "$@206", "$@207", "commands",
  "flags", "hotkeys", "$@208", "$@209", "hotkey", "$@210", "$@211",
  "$@212", "$@213", "$@214", "buttons", "$@215", "$@216", "button",
  "$@217", "$@218", "$@219", "$@220", "$@221", "$@222", "$@223", "fonts",
  "$@224", "$@225", "$@226", "$@227", "$@228", "$@229", "xftfonts",
  "$@230", "$@231", "$@232", "$@233", "$@234", "$@235", "volumemanager",
  "$@236", "$@237", "$@238", "$@239", "$@240", "$@241", "$@242", "$@243",
  "$@244", "clockbarsets", "$@245", "$@246", "$@247", "$@248", "$@249",
  "$@250", "$@251", "bool", "command", "ownop", "$@252", "ownopbody",
  "$@253", "$@254", "$@255", "$@256", "$@257", "$@258", "$@259", "$@260",
  "$@261", "$@262", "$@263", "$@264", "$@265", "$@266", "dndaction",
  "$@267", "dcaction", "$@268", "showaction", "$@269", "rshowaction",
  "$@270", "useraction", "$@271", "useractionbody", "$@272", "rowup",
  "$@273", "rowdown", "$@274", "changehiddenflag", "$@275",
  "changehiddenflagbody", "$@276", "$@277", "$@278", "copyop", "$@279",
  "copyopbody", "$@280", "$@281", "$@282", "$@283", "$@284", "$@285",
  "$@286", "$@287", "$@288", "$@289", "$@290", "$@291", "$@292", "$@293",
  "$@294", "$@295", "$@296", "$@297", "$@298", "$@299", "firstrow",
  "$@300", "lastrow", "$@301", "pageup", "$@302", "pagedown", "$@303",
  "selectop", "$@304", "selectallop", "$@305", "selectnoneop", "$@306",
  "invertallop", "$@307", "parentdirop", "$@308", "enterdirop", "$@309",
  "enterdiropbody", "$@310", "$@311", "$@312", "$@313", "$@314",
  "changelistersetop", "$@315", "changelistersetopbody", "$@316", "$@317",
  "$@318", "$@319", "switchlisterop", "$@320", "filterselectop", "$@321",
  "filterselectopbody", "$@322", "$@323", "$@324", "filterunselectop",
  "$@325", "filterunselectopbody", "$@326", "$@327", "$@328",
  "pathtoothersideop", "$@329", "quitop", "$@330", "quitopbody", "$@331",
  "$@332", "deleteop", "$@333", "deleteopbody", "$@334", "reloadop",
  "$@335", "reloadopbody", "$@336", "$@337", "$@338", "$@339", "$@340",
  "$@341", "makedirop", "$@342", "renameop", "$@343", "dirsizeop", "$@344",
  "simddop", "$@345", "startprogop", "$@346", "startprogopbody", "$@347",
  "$@348", "$@349", "$@350", "$@351", "$@352", "$@353", "$@354", "$@355",
  "$@356", "searchentryop", "$@357", "searchentryopbody", "$@358", "$@359",
  "$@360", "$@361", "enterpathop", "$@362", "enterpathopbody", "$@363",
  "$@364", "$@365", "$@366", "scrolllisterop", "$@367",
  "scrolllisteropbody", "$@368", "$@369", "createsymlinkop", "$@370",
  "createsymlinkopbody", "$@371", "$@372", "$@373", "changesymlinkop",
  "$@374", "changesymlinkopbody", "$@375", "$@376", "$@377", "chmodop",
  "$@378", "chmodopbody", "$@379", "$@380", "$@381", "$@382", "$@383",
  "$@384", "$@385", "$@386", "$@387", "chtimeop", "$@388", "chtimeopbody",
  "$@389", "$@390", "$@391", "$@392", "togglelistermodeop", "$@393",
  "togglelistermodeopbody", "$@394", "setsortmodeop", "$@395",
  "setsortmodeopbody", "$@396", "$@397", "$@398", "$@399", "$@400",
  "$@401", "$@402", "$@403", "$@404", "$@405", "$@406", "$@407", "$@408",
  "$@409", "setfilterop", "$@410", "setfilteropbody", "$@411", "$@412",
  "$@413", "$@414", "$@415", "$@416", "$@417", "$@418", "$@419", "$@420",
  "$@421", "$@422", "$@423", "$@424", "$@425", "shortkeyfromlistop",
  "$@426", "chownop", "$@427", "chownopbody", "$@428", "$@429", "$@430",
  "$@431", "scriptop", "$@432", "scriptopbody", "$@433", "$@434", "$@435",
  "$@436", "$@437", "$@438", "$@439", "$@440", "$@441", "$@442", "$@443",
  "$@444", "$@445", "$@446", "$@447", "$@448", "$@449", "$@450", "$@451",
  "$@452", "$@453", "$@454", "$@455", "$@456", "$@457", "$@458", "$@459",
  "$@460", "$@461", "showdircacheop", "$@462", "parentactionop", "$@463",
  "nooperationop", "$@464", "goftpop", "$@465", "goftpopbody", "$@466",
  "$@467", "$@468", "$@469", "$@470", "$@471", "$@472", "internalviewop",
  "$@473", "internalviewopbody", "$@474", "$@475", "$@476", "$@477",
  "clipboardop", "$@478", "clipboardopbody", "$@479", "searchop", "$@480",
  "searchopbody", "$@481", "$@482", "dirbookmarkop", "$@483",
  "opencontextmenuop", "$@484", "opencontextmenuopbody", "$@485",
  "runcustomaction", "$@486", "runcustomactionbody", "$@487",
  "openworkermenuop", "$@488", "changelabelop", "$@489",
  "changelabelopbody", "$@490", "$@491", "modifytabsop", "$@492",
  "modifytabsopbody", "$@493", "$@494", "$@495", "$@496", "$@497", "$@498",
  "$@499", "changelayoutop", "$@500", "changelayoutopbody", "$@501",
  "$@502", "$@503", "$@504", "$@505", "$@506", "$@507", "$@508", "$@509",
  "$@510", "$@511", "$@512", "$@513", "changecolumnsop", "$@514",
  "changecolumnsopbody", "$@515", "$@516", "$@517", "$@518", "$@519",
  "$@520", "$@521", "$@522", "$@523", "$@524", "$@525", "$@526", "$@527",
  "$@528", "volumemanagerop", "$@529", "switchbuttonbankop", "$@530",
  "switchbuttonbankopbody", "$@531", "$@532", "$@533", "$@534",
  "pathjumpop", "$@535", "pathjumpopbody", "$@536", "$@537", "$@538",
  "$@539", "$@540", "$@541", "$@542", "commandmenuop", "$@543",
  "commandmenuopbody", "$@544", "viewnewestfilesop", "$@545",
  "dircompareop", "$@546", "tabprofilesop", "$@547", "externalvdirop",
  "$@548", "externalvdiropbody", "$@549", "opentabmenuop", "$@550",
  "directorypresets", "$@551", "$@552", "directorypreset", "$@553",
  "$@554", "$@555", "$@556", "$@557", "$@558", "$@559", "$@560", "$@561",
  "$@562", "$@563", "$@564", "$@565", "$@566", "$@567", "$@568", "$@569",
  "$@570", "$@571", "directorypreset_filter", "$@572", "$@573", "$@574",
  "helpop", "$@575", YY_NULLPTR
};

static const char *
yysymbol_name (yysymbol_kind_t yysymbol)
{
  return yytname[yysymbol];
}
#endif

#ifdef YYPRINT
/* YYTOKNUM[NUM] -- (External) token number corresponding to the
   (internal) symbol number NUM (which must be that of a token).  */
static const yytype_int16 yytoknum[] =
{
       0,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   277,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,   292,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,   330,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,   346,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,   419,   420,   421,   422,   423,   424,
     425,   426,   427,   428,   429,   430,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,   449,   450,   451,   452,   453,   454,
     455,   456,   457,   458,   459,   460,   461,   462,   463,   464,
     465,   466,   467,   468,   469,   470,   471,   472,   473,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,   492,   493,   494,
     495,   496,   497,   498,   499,   500,   501,   502,   503,   504,
     505,   506,   507,   508,   509,   510,   511,   512,   513,   514,
     515,   516,   517,   518,   519,   520,   521,   522,   523,   524,
     525,   526,   527,   528,   529,   530,   531,   532,   533,   534,
     535,   536,   537,   538,   539,   540,   541,   542,   543,   544,
     545,   546,   547,   548,   549,   550,   551,   552,   553,   554,
     555,   556,   557,   558,   559,   560,   561,   562,   563,   564,
     565,   566,   567,   568,   569,   570,   571,   572,   573,   574,
     575,   576,   577,   578,   579,   580,   581,   582,   583,   584,
     585,   586,   587,   588,   589,   590,   591,   592,   593,   594,
     595,   596,   597,   598,   599,   600,   601,   602,   603,   604,
     605,   606,   607,   608,   609,   610,   611,   612,   613,   614,
     615,   616,   617,   618,   619,   620,   621,   622,   623,   624,
     625,   626,   627,   628,   629,   630,   631,   632,   633,   634,
     635,   636,   637,   638,   639,   640,   641,   642,   643,   644,
     645,   646,   647,   648,   649,   650,   651,   652,   653,   654,
     655,   656,   657,   658,   659,   660,   661,   662,   663,   664,
     665,   666,   667,   668,   669,   670,   671,   672,   673,   674,
     675,   676,   677,   678,   679,   680,   681,   682,   683,   684,
     685,   686,   687,   688,   689,   690,   691,   692,   693,   694,
     695,   696,   697,   698,   699,   700,   701,   702,   703,    46,
      59,    61,    44
};
#endif

#define YYPACT_NINF (-2278)

#define yypact_value_is_default(Yyn) \
  ((Yyn) == YYPACT_NINF)

#define YYTABLE_NINF (-1)

#define yytable_value_is_error(Yyn) \
  0

  /* YYPACT[STATE-NUM] -- Index in YYTABLE of the portion describing
     STATE-NUM.  */
static const yytype_int16 yypact[] =
{
   -2278,    82,   -70, -2278,  -320,  -319,  -302,  -289,  -281,  -279,
   -2278,    19,   182,   191,   200,   222,   252,   268,   281,   305,
     307,   316,   345,   360,   363, -2278,    33, -2278,    13, -2278,
   -2278, -2278, -2278,   631,   370,   660, -2278,  -214, -2278,  -264,
     377,   385,   -57,   -51,   -43,   -37,   -26,    12,   432,   437,
     440,    72,   449,    78,    97,   145,   147,   169,   175,   462,
      89,   180,   201,   214,   215,   477,   610,   606,    42,   589,
     225,   237,   238,   241,   242,   244,   692,   250,   262,   266,
     283,   712,   311,   317,   320,   323,   353,   355,   808,   374,
     400,   824,   418,   408, -2278,    66,   404,   411,   417,   185,
     420,   227,   357, -2278,   333,   227,   350,   227,   227,   227,
     453,   227,   433,    19,   441,   443,   444,   509,   686,   693,
     700,   701,   702,   703,   704,   705,   706,   707,   708,   709,
     710,   711,   868,   935, -2278,   716,   717,   -11,   -61,    19,
    1162,  1163,  1165,  1166,  1168,  1169,   715,  1170,  1172,  1173,
     722,   726,   729,   731,   732,   733,    19,   295,   734,   736,
     227,    19,   737,   738,   739,   740,   741,   742,    19,   743,
    1177,   227,    19,  1187,  1188,   744,   747, -2278, -2278,  1192,
     748,   749,   750,   751,   752,   753, -2278, -2278,   754,   746,
     755,   756,   757,   758,   759,  1201,   405,   760,   761,   762,
     763,   764,  1213,  1214,  1215,  1216,   769,   770,   771,   772,
     773,   774,   775,   776,   777,   778,  1226,   781,   782,   783,
     784,   785,   786, -2278,   789,   790,   791,   792,   793,   794,
     795,   796,   797,   798,   799,   800,   801,   802,   803,   804,
     805,   806, -2278,   863,  1252,   807,   809,   810,   811,   812,
     813,   814,   815,   816, -2278, -2278, -2278, -2278, -2278, -2278,
   -2278,   227, -2278, -2278, -2278,   817,   818,   819,   820,   821,
     822, -2278,   823,   825,   826,   827,   828,   829,   830, -2278,
     831,   832,   833,   834,   835,   836, -2278, -2278, -2278,   837,
   -2278, -2278, -2278, -2278,   838,  1254,  1271,  1285,    33, -2278,
   -2278, -2278, -2278, -2278, -2278, -2278,   367,    75,   227,   227,
     843,   844,    33,   842,   845,   846,   847,   848,   849,   850,
     851,   852,   853,   854,   855,   856,  1289,   860,   861,   862,
     -18,   864, -2278, -2278, -2278,    33, -2278,   866,   867,   869,
     870,   871,   227,   872,   873,   874,    33, -2278, -2278, -2278,
   -2278, -2278, -2278,   859,   875,   876,   877,   878,   879,   880,
     881,   882,   883,   884,   885,   886,   865,   887,   888,   889,
     890,  1031,  1291,  1299,    19, -2278, -2278, -2278, -2278, -2278,
   -2278, -2278, -2278, -2278,   361,    19,   534,    19,   107,   896,
     894,    19,   398,    19, -2278, -2278, -2278, -2278, -2278, -2278,
   -2278, -2278, -2278, -2278, -2278, -2278, -2278, -2278, -2278, -2278,
   -2278, -2278, -2278,   374,    19, -2278,   184,    19,    33,   897,
      33,    30,    30, -2278,    33,    33,    33,    33,    33,    33,
      33,   898,   899,   900,   901,   902,   903,   904,   905,   906,
     907,   908, -2278, -2278, -2278, -2278, -2278, -2278, -2278, -2278,
   -2278, -2278,   227,   227,   911,   227,    33,   910,   912,   913,
     914,   915,   916,  1217,  1217,  1217, -2278,    33,   917,   918,
     919,   920,   921,   922,   923,   924,   925, -2278,    33,    33,
      33,    33,    33,    33,   928,   929,   930,   931,   932,   933,
     934,   936,   937,   938,   939,   940,   941, -2278,   942,   943,
     944,   945,  1320,  1321, -2278,    89, -2278,    13,    13,    13,
      13,    13,    13,    13,    13,    13,   895,   946,  1323,  1344,
     947,  1357, -2278,   948,   949,  1380,   950,   951,  1390, -2278,
     952,   953,   954,   955,   956,  1392,  1393,   957,   958,   959,
     960,   961,  1410,   963,   964,   965,   966,   967,   968,   969,
     970,   971,   972,   973,   974,   975,  1423,   978,  1425, -2278,
   -2278,   979,  1428,  1429,  1430, -2278,   631,   631,   631,   631,
     631,   631,   370,   370,   370,   370,   370,   370,   370,   660,
     660,   660,   660,   660,   660, -2278, -2278,  -214,   982,   984,
    1433,   986,   987,  1435, -2278, -2278,   988, -2278,   990,   991,
     992,   993,  1442,   995,   996,  1444,  1445, -2278, -2278, -2278,
   -2278, -2278, -2278, -2278, -2278, -2278, -2278, -2278, -2278, -2278,
   -2278, -2278, -2278, -2278, -2278,   405,   405,   405,   405,   405,
     405,   405,   405,   405,  1000,  1001,  1002,  1003, -2278, -2278,
   -2278, -2278, -2278, -2278, -2278,  1004,  1450,  1452,  1453, -2278,
   -2278, -2278, -2278, -2278, -2278, -2278, -2278, -2278, -2278, -2278,
   -2278, -2278, -2278, -2278, -2278,  1008,  1009,  1010,  1011,  1012,
    1013,  1014,  1015,  1016,  1017,  1018,  1019,  1020,    89,  1021,
    1022,  1023,  1024, -2278, -2278,    31, -2278, -2278, -2278, -2278,
   -2278, -2278, -2278, -2278, -2278, -2278,  1027,  1029, -2278, -2278,
    1030, -2278,  1032,  1034, -2278,  1035,  1036, -2278,   407,  1038,
     227,   227,  1039, -2278,    -8,   227,   227,   227,  1040,   227,
    1257,    88,  1041,  1042,  1043,  1044,  1046,   227,  1047,   227,
     227,   227,   227,  1048, -2278, -2278, -2278,    42,  1050, -2278,
   -2278, -2278, -2278, -2278, -2278, -2278, -2278, -2278, -2278, -2278,
   -2278, -2278, -2278, -2278, -2278, -2278, -2278, -2278, -2278, -2278,
   -2278, -2278,  1051,     1, -2278,   230,   318, -2278,  1052,   227,
    1053,   227,  1054, -2278,   227,   227,    66,    66,   357,   357,
     357,   357,   357,   357,   357,   357,   357,   357,   357, -2278,
   -2278, -2278, -2278, -2278, -2278, -2278, -2278, -2278, -2278, -2278,
   -2278, -2278,   333,   333,   333,   333,   333,   333,   633, -2278,
   -2278, -2278,   350,   350,   350,   350,   350,   350,   350,   350,
     350, -2278, -2278, -2278, -2278, -2278, -2278, -2278, -2278, -2278,
   -2278, -2278, -2278, -2278, -2278, -2278, -2278, -2278, -2278,   152,
      89,  1026,  1028,  1479,  1045,  1049,   436,    63,  1055,   610,
    1056,  1058,    63,  1059,  1060,   606, -2278, -2278, -2278, -2278,
   -2278,  1061,  1063,  1064,  1065,  1066,  1057,  1485,  1500,  1501,
    1507,  1069,  1515,  1516,  1071,  1072,  1073,  1074,  1075,  1523,
    1524,  1077,  1079,  1080,  1081,  1067,  1082,  1083,  1084,  1087,
    1088,  1089,  1090,  1091,  1092,  1093,  1094,    42,   896,    42,
   -2278,  1095,   436,    63,   589,  1096,  1097,  1098,   -14,  1099,
    1100,  1101,  1102,  1103,  1104,  1105,  1106,  1107,  1108,  1109,
    1110,  1111,  1112,   418,  1113,  1114,  1116,  1117,  1118,    68,
    1119,  1120, -2278, -2278, -2278, -2278, -2278, -2278, -2278, -2278,
   -2278, -2278, -2278, -2278, -2278,   405,   405,   405,   405, -2278,
   -2278, -2278, -2278, -2278, -2278,  1121,  1122,  1123,  1124,  1125,
    1126,  1127,  1128,   333,   333,   333, -2278, -2278, -2278, -2278,
   -2278, -2278, -2278, -2278, -2278,    89,    89,    89,    89,    89,
      89,    89,    89,    89,    89,    89,    89,    89,    89,    89,
      89,    89,  1129,  1130,  1131,  1528, -2278,  1086,  1115, -2278,
   -2278, -2278,  1576,  1580,  1581,  1582,  1583,  1584,  1585,  1586,
    1587,  1588,  1589,  1590,  1591,  1592,  1593,  1594,  1595,  1596,
    1597,  1598,  1599,  1600,  1601,  1602,  1603,  1604,  1605,  1606,
    1607,  1608,  1609,  1610,  1611,  1612,  1613,  1614,  1615,  1616,
    1617,  1618,  1619,  1620,  1621,  1622,  1623,  1624,  1625,  1626,
    1627,  1628,  1629,  1630,  1631,  1632,  1633,  1634,  1635,  1636,
    1637,  1638,  1639,  1640,  1641,  1642,  1643,  1644,  1645,  1646,
    1647,  1648,  1649,  1650,  1651,   436, -2278, -2278, -2278, -2278,
   -2278, -2278, -2278, -2278, -2278, -2278, -2278, -2278, -2278, -2278,
   -2278, -2278, -2278, -2278, -2278, -2278, -2278, -2278, -2278, -2278,
   -2278, -2278, -2278, -2278, -2278, -2278, -2278, -2278, -2278, -2278,
   -2278, -2278, -2278, -2278, -2278, -2278, -2278, -2278, -2278, -2278,
   -2278, -2278, -2278, -2278, -2278, -2278, -2278, -2278, -2278, -2278,
   -2278, -2278, -2278, -2278, -2278, -2278, -2278, -2278, -2278, -2278,
   -2278, -2278, -2278, -2278, -2278, -2278, -2278,  1653,  1654,  1655,
    1206, -2278, -2278, -2278,  1656, -2278,  1210, -2278, -2278, -2278,
   -2278, -2278, -2278,  1211,  1657, -2278, -2278, -2278, -2278,  1660,
   -2278,   107, -2278, -2278, -2278, -2278, -2278, -2278,   107, -2278,
   -2278, -2278, -2278,  1218,  1219,  1220,  1221, -2278, -2278, -2278,
   -2278, -2278, -2278, -2278, -2278, -2278, -2278, -2278, -2278,  1661,
    1666, -2278, -2278, -2278, -2278,  1222,  1223,  1667, -2278, -2278,
   -2278, -2278, -2278, -2278, -2278, -2278, -2278, -2278, -2278, -2278,
   -2278, -2278, -2278,  1224, -2278, -2278, -2278, -2278,  1225,  1227,
    1228,  1229,  1230,  1231,  1232,  1233,  1234,  1235,  1236,  1237,
    1238,  1239,  1672, -2278, -2278, -2278, -2278, -2278, -2278, -2278,
   -2278, -2278, -2278, -2278, -2278, -2278, -2278, -2278, -2278, -2278,
   -2278, -2278, -2278, -2278, -2278, -2278, -2278, -2278, -2278, -2278,
   -2278, -2278, -2278, -2278, -2278, -2278, -2278,  1243,  1244,  1245,
   -2278,  1241,  1246,   863,   361,   361, -2278, -2278, -2278, -2278,
   -2278, -2278, -2278, -2278, -2278, -2278, -2278, -2278, -2278, -2278,
   -2278, -2278, -2278, -2278, -2278, -2278, -2278, -2278, -2278, -2278,
   -2278, -2278, -2278, -2278, -2278, -2278, -2278, -2278, -2278, -2278,
   -2278, -2278, -2278, -2278, -2278, -2278, -2278, -2278, -2278, -2278,
   -2278, -2278, -2278, -2278, -2278, -2278, -2278, -2278, -2278, -2278,
   -2278, -2278, -2278, -2278, -2278, -2278, -2278, -2278, -2278, -2278,
   -2278, -2278, -2278, -2278, -2278, -2278, -2278, -2278, -2278, -2278,
   -2278, -2278, -2278,  1247,   534,   534, -2278,   534,  1248,   107,
     107,   107,   107,   107,  1251,   107,   436,   436,   436,   436,
   -2278,  1674, -2278,   107,   107,   107,   107,   107,   107, -2278,
     107,   107,   107,   107,  1250,  1253,  1255,  1256,   107,   107,
     107,   107,   107,   107,   107,   107,   398, -2278, -2278,   184,
     184,   184,  1260,   121, -2278,   184,   184,   184,   184,   184,
     184,   184,   184,   184,   184,   184,   184,   184,   184,  1258,
      30,    30,    30,    30, -2278, -2278, -2278, -2278, -2278, -2278,
   -2278, -2278, -2278, -2278, -2278, -2278, -2278, -2278,    30,    30,
      30,  1217,  1217,  1217,  1217,  1217,  1217,  1217,  1217,  1259,
    1212,  1249,  1031, -2278, -2278, -2278, -2278, -2278,   -65,  1691,
    1698,  1700,  1706,  1707,  1538,  1709,  1710,  1540,   352,  1712,
    1713,  1714,  1715,  1716,  1717,  1718,  1719,  1720,     3,  1535,
    1722,  -155,  -153,  1723,  1539,  1529,   170,  1726,  1727,  1728,
    1729,    25,  -188,  1544,  1545,   181,  1546,    -5,  1547,   168,
     223,  1734,   487,    65,  1735,  1736,  1737,  -129,   158,    62,
    1738,  1343,  1443,  1740,  -107,  1420,   573,  1743,   -87,   -91,
    1370,  1330,   494,    95,  1746,  1747,  1748,  1374,  1750,  1751,
     361,  1658,  1659,   361, -2278, -2278, -2278,   534, -2278, -2278,
   -2278, -2278, -2278, -2278, -2278,  1306, -2278,  1753,  1754,  1755,
    1758,   436,  1312, -2278, -2278, -2278, -2278, -2278,  1760, -2278,
   -2278, -2278, -2278, -2278, -2278, -2278, -2278, -2278, -2278, -2278,
   -2278, -2278, -2278, -2278, -2278, -2278,   398,   398, -2278, -2278,
   -2278,  1315,  1316,  1317,   184, -2278, -2278, -2278, -2278, -2278,
   -2278, -2278, -2278, -2278, -2278, -2278, -2278, -2278, -2278, -2278,
   -2278, -2278, -2278, -2278,    68,    68,    68,    68,    68,    68,
      68,    68,    68,    68,    68,    68,    68,    68, -2278, -2278,
   -2278, -2278, -2278, -2278, -2278, -2278, -2278, -2278, -2278, -2278,
    1322,  1324, -2278,    31,    31,  1318,  1325,  1326,  1327,  1328,
    1329,  1331,  1332,  1333,  1334,  1764,   436, -2278, -2278, -2278,
   -2278,  1335,  1767, -2278, -2278,  1336,  1769,  1337,  1338,  1339,
    1340,  1341,  1342,  1345,  1346,  1347,  1348,  1349,  1350,  1770,
   -2278, -2278, -2278, -2278, -2278, -2278, -2278, -2278, -2278,  1351,
    1352,  1771,  1353,  1777, -2278,  1354,  1355,  1356,  1790,  1358,
    1359,  1362,  1791, -2278,  1363,  1804,  1369,  1817,  1371,  1372,
    1373,  1821, -2278, -2278, -2278, -2278,  1381,  1382,  1384,  1385,
    1387,  1388,  1836,  1391,  1396,  1397,  1400,  1837,  1401,  1839,
    1402,  1840,  1404,  1405,  1408,  1857,  1411,  1862,  1421,  1422,
    1424,  1431,  1436,  1437,  1867,  1438,  1870,  1439,  1440,  1875,
    1441,  1446,  1447,  1448,  1457,  1458,  1459,  1464,  1465,  1876,
   -2278,  1466,  1467,  1468,  1474,  1877,  1475,  1476,  1478,  1480,
    1483,  1484,  1486,  1487,  1488,  1489,  1491,  1493,  1494,  1495,
    1496,  1498,  1499,  1502,  1889, -2278, -2278, -2278,  1503,  1504,
    1505,  1506,  1508,  1509,  1512,  1891,  1514,  1517,  1518,  1892,
    1519,  1521,  1899, -2278,  1522,  1926,  1525,  1947, -2278,  1530,
    1531,  1948,  1532,  1954,  1534,  1536,  1537,  1541,  1542,  1543,
    1548,  1549,  1550,  1551,  1552,  1553,  1554,  1962, -2278,  1555,
    1556,  1963,  1557,  1558,  1559,  1970,  1560,  1981,  1561,  1984,
    1562,  1563,  1564,  1565,  1985,  1567,  1568,  1569,  1570,  1571,
    1572,  1573,  1574,  1575,  1577,  1578,  1579,  1652,  1662,  1986,
   -2278, -2278, -2278,  1663,  1990, -2278, -2278, -2278,  1664,  1665,
   -2278,   361, -2278,   534, -2278, -2278, -2278, -2278, -2278,  1991,
    1670, -2278,   107,   107,   107,   107, -2278, -2278, -2278, -2278,
   -2278, -2278,   747, -2278, -2278, -2278, -2278, -2278, -2278, -2278,
   -2278, -2278, -2278, -2278, -2278, -2278, -2278,   152,  1668,  1669,
   -2278, -2278,  1673,   227,   227,   265,  1675,   227,   227,   227,
     227,   227, -2278, -2278,  1676, -2278,    47, -2278,   227,   227,
     227,   227,   227,   227,   -16,    16,   227,  -130,    18,   227,
   -2278,  1678,   413, -2278,    15, -2278,  1679,   227,   227, -2278,
    1680,   227,   227, -2278,    -9, -2278,   227, -2278,   149,   227,
     227, -2278,   227,   349,  1681,   227,   227,   227, -2278,   227,
     227,   227,   227, -2278,   151, -2278,   424, -2278,   227,   227,
     227, -2278,   206, -2278,  1682,   227,   227,   227,   227,   -34,
   -2278,  1683, -2278,   239,   572, -2278,   227,   498,  1684,  1685,
     492,    98,   227,   227,   227, -2278,   227,   227,   227,   227,
   -2278,   464,  1686,   227,   227,   227,   227,  1687,  1689,  1690,
    1692,   628,   227,   227,   227,   227,  1693,  1694,  1695, -2278,
     227,  1696,  1697,  1699,   227,   227,  1701, -2278,   227,  1702,
     -77, -2278,  1703,   227, -2278,   227, -2278,  1704, -2278,  1705,
     227, -2278,   470, -2278, -2278, -2278, -2278, -2278, -2278, -2278,
   -2278, -2278, -2278,   227,   227,  1708,   227, -2278,   512,  1711,
   -2278,   583,  -241,   227, -2278,  1721, -2278,   227, -2278,   227,
     227,   227,   227, -2278, -2278, -2278, -2278, -2278, -2278, -2278,
   -2278, -2278, -2278, -2278, -2278, -2278, -2278, -2278, -2278,  1724,
   -2278,  1725,  1731, -2278, -2278,  1057,    -8,    -8,    -8,    -8,
   -2278,  1671,  1257, -2278, -2278, -2278, -2278,   -14,   -14,   -14,
   -2278, -2278, -2278, -2278,  1688,  1730,  1732,  1733,  1739,  1741,
    1742,  1744,  1745,  1749,  1752,  1756,  1757,  1759,  1761,  1762,
    1763,  1765,  1766,  1768,  1772,  1773,  1774,  1775,  1776,  1778,
    1779,  1780,  1781,  1782,  1783,  1784,  1785,  1786,  1787,  1788,
    1789,  1792,  1793,  1794,  1795,  1796,  1797,  1798,  1799,  1800,
    1801,  1802,  1803,  1805,  1806,  1807,  1808,  1809,  1810,  1811,
    1812,  1813,  1814,  1815,  1816,  1818,  1819,  1820,  1822,  1823,
    1824,  1825,  1826,  1827,  1828,  1829,  1830,  1831,  1832,  1833,
    1834,  1835,  1838,  1841,  1842,  1843,  1844,  1845,  1846,  1847,
    1848,  1849,  1850,  1851,  1852,  1853,  1854,  1855,  1856,  1858,
    1859,  1860,  1861,  1863,  1864,  1865,  1866,  1868,  1869,  1871,
    1872,  1873,  1874,  1878,  1879,  1880,  1881,  1882,  1883,  1884,
    1885,  1886,  1887,  1888,  1890,  1893,  1894,  1897,  1898,  1900,
    1901,  1902,  1903,  1904,  1905,  1906,  1907,  1908,  1909,  1910,
    1911,  1912,  1913,  1914,  1915,  1916,  1917,  1918,  1919,  1920,
    1921,  1922,  1923,  1924,  1925,  1927,  1928,  1929,  1930,  1931,
    1932,  1933,  1934,  1935,  1936,  1937,  1938,  1939,  1940,  1941,
    1942,  1943,  1944,  1945,  1946,  1949,  1950,  1951,  1952,  1953,
    1955,  1956,  1957,  1958,  1959,  1960,  1961,  1964,   573,   573,
     573,   573,   573,   573,   573,   573,   573,  1965,  1966,  1967,
    1968,  1969,  1971,  1972,  1973,  1974,  1975,  1976,  1977,  1978,
    1979,  1980,  1982,  1983,  1987,  1988,  1989,  1992,    95,    95,
      95,    95,    95,    95,    95,    95,    95,    95,    95,    95,
      95,    95,  1993,  1994,  1995, -2278, -2278, -2278, -2278, -2278,
      -8,  1996, -2278, -2278, -2278, -2278,   152,   152, -2278, -2278,
   -2278, -2278, -2278, -2278, -2278, -2278, -2278, -2278, -2278, -2278,
   -2278, -2278, -2278, -2278, -2278, -2278, -2278, -2278, -2278, -2278,
   -2278, -2278, -2278, -2278, -2278, -2278, -2278, -2278, -2278, -2278,
   -2278, -2278, -2278, -2278, -2278, -2278, -2278, -2278, -2278, -2278,
   -2278, -2278, -2278, -2278, -2278, -2278, -2278, -2278, -2278, -2278,
   -2278, -2278, -2278, -2278, -2278, -2278, -2278, -2278, -2278, -2278,
   -2278, -2278, -2278, -2278, -2278, -2278, -2278, -2278, -2278, -2278,
   -2278, -2278, -2278, -2278, -2278, -2278, -2278, -2278, -2278, -2278,
   -2278, -2278, -2278, -2278, -2278, -2278, -2278, -2278, -2278, -2278,
   -2278, -2278, -2278, -2278, -2278, -2278, -2278, -2278, -2278, -2278,
   -2278, -2278, -2278, -2278, -2278, -2278, -2278, -2278, -2278, -2278,
   -2278, -2278, -2278, -2278, -2278, -2278, -2278, -2278, -2278, -2278,
   -2278, -2278, -2278, -2278, -2278, -2278, -2278, -2278, -2278, -2278,
   -2278, -2278, -2278, -2278, -2278, -2278, -2278, -2278, -2278, -2278,
   -2278, -2278, -2278, -2278, -2278, -2278, -2278, -2278, -2278, -2278,
   -2278, -2278, -2278, -2278, -2278, -2278, -2278, -2278, -2278, -2278,
   -2278, -2278, -2278, -2278, -2278, -2278, -2278, -2278, -2278, -2278,
   -2278, -2278, -2278, -2278, -2278, -2278, -2278, -2278, -2278, -2278,
   -2278, -2278, -2278, -2278, -2278, -2278, -2278, -2278, -2278, -2278,
   -2278, -2278, -2278, -2278, -2278, -2278, -2278, -2278, -2278, -2278,
   -2278, -2278, -2278, -2278, -2278, -2278, -2278, -2278, -2278, -2278,
   -2278, -2278, -2278, -2278, -2278, -2278, -2278, -2278, -2278, -2278,
   -2278, -2278, -2278, -2278, -2278, -2278, -2278, -2278, -2278, -2278,
    1998, -2278, -2278,   -65,   -65,   -65,   -65,   -65,   -65,   -65,
     -65,   -65,   -65,   -65,   -65,   -65,   -65,  1538,  1540,  1540,
    1540,   352,   352,   352,   352,   352,   352,   352,   352,   352,
     352,   352,   352,   352,   352,   352,   352,   352,   352,   352,
     352,     3,     3,     3,     3,     3,  1535,  1535,  1535,  1535,
    -155,  -155,  -155,  -153,  -153,  -153,  1539,  1539,  1529,   170,
     170,   170,   170,   170,   170,    25,    25,    25,    25,    25,
      25,    25,    25,    25,    25,  -188,  -188,  -188,  -188,  1544,
    1544,  1544,  1544,  1545,  1545,   181,   181,   181,  1546,  1546,
    1546,    -5,    -5,    -5,    -5,    -5,    -5,    -5,    -5,    -5,
    1547,   168,   168,   168,   168,   168,   168,   168,   168,   168,
     168,   168,   168,   168,   168,   223,   223,   223,   223,   223,
     223,   223,   223,   223,   223,   223,   223,   223,   223,   223,
     487,   487,   487,   487,    65,    65,    65,    65,    65,    65,
      65,    65,    65,    65,    65,    65,    65,    65,    65,    65,
      65,    65,    65,    65,    65,    65,    65,    65,    65,    65,
      65,    65,    65,  -129,  -129,  -129,  -129,  -129,  -129,  -129,
     158,   158,   158,   158,    62,    62,  1343,  1443,  -107,  -107,
    1420,  1420,  1420,  1420,  1420,  1420,  1420,   573,   573,   573,
     573,   -87,   -87,   -87,   -87,   -91,   -91,   -91,   -91,   -91,
     -91,   -91,  1370,  1330,   494,   494,   494,   494,  1374,  1217,
    1217,   436, -2278, -2278, -2278, -2278, -2278, -2278, -2278, -2278,
   -2278, -2278, -2278, -2278, -2278, -2278, -2278, -2278, -2278, -2278,
   -2278, -2278, -2278, -2278, -2278, -2278, -2278, -2278, -2278, -2278,
   -2278, -2278, -2278, -2278, -2278, -2278, -2278, -2278, -2278, -2278,
   -2278, -2278, -2278, -2278, -2278, -2278, -2278, -2278, -2278, -2278,
   -2278, -2278, -2278, -2278, -2278, -2278, -2278, -2278, -2278, -2278,
   -2278, -2278, -2278, -2278, -2278, -2278, -2278, -2278, -2278, -2278,
   -2278, -2278, -2278, -2278, -2278, -2278, -2278, -2278, -2278, -2278,
   -2278, -2278, -2278, -2278, -2278, -2278, -2278, -2278, -2278, -2278,
   -2278, -2278, -2278, -2278, -2278, -2278, -2278, -2278, -2278, -2278,
   -2278, -2278, -2278, -2278, -2278, -2278, -2278, -2278, -2278, -2278,
   -2278, -2278, -2278, -2278, -2278, -2278, -2278, -2278, -2278, -2278,
   -2278, -2278, -2278, -2278, -2278, -2278, -2278, -2278, -2278, -2278,
   -2278, -2278, -2278, -2278, -2278, -2278, -2278, -2278, -2278, -2278,
   -2278, -2278, -2278, -2278, -2278, -2278, -2278, -2278, -2278, -2278,
   -2278, -2278, -2278, -2278, -2278, -2278, -2278, -2278, -2278, -2278,
   -2278, -2278, -2278, -2278, -2278, -2278, -2278, -2278, -2278, -2278,
   -2278, -2278, -2278, -2278, -2278, -2278, -2278, -2278, -2278, -2278,
   -2278, -2278, -2278, -2278, -2278, -2278, -2278, -2278, -2278, -2278,
   -2278, -2278, -2278, -2278, -2278, -2278, -2278, -2278, -2278, -2278,
   -2278, -2278, -2278, -2278, -2278, -2278, -2278, -2278, -2278, -2278,
    2022,  2026,  1895,  2027, -2278,  1997, -2278,    63,  1999,    -8,
   -2278,  2000, -2278, -2278,  1217, -2278,  2028, -2278,    63, -2278
};

  /* YYDEFACT[STATE-NUM] -- Default reduction number in state STATE-NUM.
     Performed when YYTABLE does not specify something else to do.  Zero
     means the default is an error.  */
static const yytype_int16 yydefact[] =
{
       2,     0,     0,     1,     0,     0,     0,     0,     0,     0,
       3,    32,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     4,    77,     6,   281,    19,
      10,    13,    16,   474,   521,   487,    26,    38,    29,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     242,     0,     0,     0,     0,     0,   448,   285,   336,   435,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,    35,
       0,     0,  1234,     0,    59,   112,     0,     0,     0,     0,
       0,     0,   179,    61,   201,     0,   506,     0,     0,     0,
       0,     0,     0,    32,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     7,     0,     0,     0,     0,    32,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,    32,     0,     0,     0,
       0,    32,     0,     0,     0,     0,     0,     0,    32,     0,
       0,     0,    32,     0,     0,     0,   107,   108,   110,     0,
       0,     0,     0,     0,     0,     0,   522,   523,     0,     0,
       0,     0,     0,     0,     0,     0,   104,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     5,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   238,   257,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     9,   445,    20,   282,    11,   328,
     331,     0,    14,   432,    17,     0,     0,     0,     0,     0,
       0,    22,     0,     0,     0,     0,     0,     0,     0,    24,
       0,     0,     0,     0,     0,     0,    23,    33,    27,     0,
      25,  1231,    30,    39,     0,     0,     0,     0,    77,    41,
      43,    45,    48,    50,    52,    56,     0,     0,     0,     0,
       0,     0,    77,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   192,   195,   198,    77,    64,     0,     0,     0,
       0,     0,     0,     0,     0,     0,    77,    66,    70,    72,
      68,    54,    75,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   246,     0,     0,    32,   263,   265,   269,   267,   271,
     275,   273,   279,   277,   461,    32,   297,    32,   400,   339,
       0,    32,   444,    32,   462,   464,   466,   468,   470,   472,
     509,   507,   511,   513,   515,   517,   519,   475,   477,   479,
     481,   483,   485,    35,    32,    36,  1272,    32,    77,     0,
      77,   127,   127,    47,    77,    77,    77,    77,    77,    77,
      77,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,    58,    78,    80,    82,    84,    86,    88,    90,
      92,    94,     0,     0,     0,     0,    77,     0,     0,     0,
       0,     0,     0,   327,   327,   327,    63,    77,     0,     0,
       0,     0,     0,     0,     0,     0,     0,    74,    77,    77,
      77,    77,    77,    77,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   230,     0,     0,
       0,     0,     0,     0,   254,   242,     8,   281,   281,   281,
     281,   281,   281,   281,   281,   281,     0,     0,     0,     0,
       0,     0,    21,     0,     0,     0,     0,     0,     0,    12,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   334,
      15,     0,     0,     0,     0,    18,   474,   474,   474,   474,
     474,   474,   521,   521,   521,   521,   521,   521,   521,   487,
     487,   487,   487,   487,   487,    34,    28,    38,     0,     0,
       0,     0,     0,     0,    31,    40,     0,    60,     0,     0,
       0,     0,     0,     0,     0,     0,     0,    42,    44,    46,
      49,    51,    53,    57,   157,   159,   161,   163,   169,   171,
     173,   167,   177,   165,   175,   104,   104,   104,   104,   104,
     104,   104,   104,   104,     0,     0,     0,     0,    62,   180,
     182,   184,   186,   188,   190,     0,     0,     0,     0,    65,
     488,   490,   496,   498,   500,   502,   492,   494,   504,    67,
      71,    73,    69,    55,    76,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   242,     0,
       0,     0,     0,   243,   239,   262,   241,   264,   266,   270,
     268,   272,   276,   274,   280,   278,     0,     0,   455,   458,
       0,   446,     0,     0,   294,     0,     0,   283,     0,     0,
       0,     0,     0,   352,   427,     0,     0,     0,     0,     0,
     343,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   329,   337,   332,   336,     0,   438,
     441,   433,   463,   465,   467,   469,   471,   473,   510,   508,
     512,   514,   516,   518,   520,   476,   478,   480,   482,   484,
     486,    37,     0,     0,  1269,     0,     0,  1232,     0,     0,
       0,     0,     0,   121,     0,     0,   112,   112,   179,   179,
     179,   179,   179,   179,   179,   179,   179,   179,   179,    79,
      81,    83,    85,    87,    89,    91,    93,    95,    96,    98,
     100,   102,   201,   201,   201,   201,   201,   201,     0,   193,
     196,   199,   506,   506,   506,   506,   506,   506,   506,   506,
     506,   202,   204,   206,   216,   218,   210,   208,   214,   212,
     222,   220,   226,   224,   231,   228,   232,   234,   236,   253,
     242,     0,     0,     0,     0,     0,   430,   310,     0,   448,
       0,     0,   310,     0,     0,   285,   404,   405,   406,   407,
     408,     0,     0,     0,     0,     0,   403,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   336,   339,   336,
     335,     0,   430,   310,   435,     0,     0,     0,  1279,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1234,     0,     0,     0,     0,     0,   156,
       0,     0,   109,   111,   158,   160,   162,   164,   170,   172,
     174,   168,   178,   166,   176,   104,   104,   104,   104,   181,
     183,   185,   187,   189,   191,     0,     0,     0,     0,     0,
       0,     0,     0,   201,   201,   201,   489,   491,   497,   499,
     501,   503,   493,   495,   505,   242,   242,   242,   242,   242,
     242,   242,   242,   242,   242,   242,   242,   242,   242,   242,
     242,   242,     0,     0,     0,     0,   240,     0,     0,   255,
     449,   451,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   430,   524,   525,   526,   527,
     528,   529,   530,   531,   532,   533,   534,   535,   536,   537,
     538,   539,   540,   541,   542,   543,   544,   545,   546,   547,
     548,   549,   550,   551,   552,   553,   554,   555,   556,   557,
     558,   559,   560,   561,   562,   587,   563,   564,   565,   566,
     567,   568,   569,   570,   571,   572,   573,   585,   574,   575,
     576,   577,   578,   579,   580,   581,   588,   582,   583,   584,
     586,   589,   590,   591,   592,   593,   594,     0,     0,     0,
       0,   447,   286,   288,     0,   292,     0,   284,   344,   346,
     350,   354,   348,     0,     0,   409,   412,   415,   418,     0,
     424,   400,   356,   358,   360,   363,   365,   340,   400,   382,
     378,   380,   384,     0,     0,     0,     0,   376,   388,   386,
     390,   392,   394,   396,   398,   330,   338,   333,   436,     0,
       0,   434,  1235,  1265,  1267,     0,     0,     0,  1237,  1239,
    1247,  1255,  1249,  1243,  1241,  1245,  1251,  1253,  1263,  1257,
    1259,  1261,  1233,     0,   113,   115,   117,   119,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   123,   125,    97,    99,   101,   103,   311,
     313,   315,   317,   319,   321,   323,   325,   194,   197,   200,
     203,   205,   207,   217,   219,   211,   209,   215,   213,   223,
     221,   227,   225,   229,   233,   235,   237,     0,     0,     0,
     244,     0,     0,   257,   461,   461,   595,   431,   626,   628,
     630,   632,   634,   639,   641,   643,   652,   695,   697,   699,
     701,   703,   705,   707,   709,   711,   713,   726,   737,   739,
     748,   757,   759,   766,   771,   786,   788,   790,   792,   794,
     817,   828,   839,   846,   855,   864,   896,   901,   932,   965,
     967,   978,  1039,  1041,  1043,  1045,  1062,  1078,  1085,  1087,
    1092,  1097,  1099,  1106,  1123,  1183,  1185,  1196,  1073,  1213,
     885,  1152,  1218,  1220,  1222,  1224,  1229,  1280,   456,   428,
     298,   303,   459,     0,   297,   297,   295,   297,     0,   400,
     400,   400,   400,   400,     0,   400,   430,   430,   430,   430,
     421,     0,   362,   400,   400,   400,   400,   400,   400,   367,
     400,   400,   400,   400,     0,     0,     0,     0,   400,   400,
     400,   400,   400,   400,   400,   400,   444,   439,   442,  1272,
    1272,  1272,     0,     0,  1270,  1272,  1272,  1272,  1272,  1272,
    1272,  1272,  1272,  1272,  1272,  1272,  1272,  1272,  1272,     0,
     127,   127,   127,   127,   128,   130,   132,   134,   136,   138,
     140,   142,   144,   146,   148,   150,   152,   154,   127,   127,
     127,   327,   327,   327,   327,   327,   327,   327,   327,     0,
       0,     0,   246,   260,   258,   256,   450,   452,   625,     0,
       0,     0,     0,     0,   638,     0,     0,   651,   694,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   725,   736,
       0,   747,   756,     0,   765,   770,   785,     0,     0,     0,
       0,   816,   827,   838,   845,   854,   863,   884,   900,   931,
     964,     0,   977,  1038,     0,     0,     0,  1061,  1072,  1084,
       0,  1091,  1096,     0,  1105,  1122,  1151,     0,  1195,  1212,
    1077,  1217,   895,  1182,     0,     0,     0,  1228,     0,     0,
     461,     0,     0,   461,   453,   287,   289,   297,   293,   290,
     345,   347,   351,   355,   349,     0,   353,     0,     0,     0,
       0,   430,     0,   357,   359,   361,   364,   366,     0,   383,
     379,   381,   385,   368,   370,   372,   374,   377,   389,   387,
     391,   393,   395,   397,   399,   437,   444,   444,  1236,  1266,
    1268,     0,     0,     0,  1272,  1238,  1240,  1248,  1256,  1250,
    1244,  1242,  1246,  1252,  1254,  1264,  1258,  1260,  1262,   105,
     114,   116,   118,   120,   156,   156,   156,   156,   156,   156,
     156,   156,   156,   156,   156,   156,   156,   156,   122,   124,
     126,   312,   314,   316,   318,   320,   322,   324,   326,   251,
       0,     0,   245,   262,   262,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   430,   627,   629,   631,
     633,     0,     0,   640,   642,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     696,   698,   700,   702,   704,   706,   708,   710,   712,     0,
       0,     0,     0,     0,   738,     0,     0,     0,     0,     0,
       0,     0,     0,   758,     0,     0,     0,     0,     0,     0,
       0,     0,   787,   789,   791,   793,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     966,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1040,  1042,  1044,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1086,     0,     0,     0,     0,  1098,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1184,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1219,  1221,  1223,     0,     0,  1230,  1281,   457,     0,     0,
     460,   461,   296,   297,   401,   410,   413,   416,   419,     0,
       0,   341,   400,   400,   400,   400,   440,   443,  1273,  1275,
    1277,  1271,   107,   129,   131,   133,   135,   137,   139,   141,
     143,   145,   147,   149,   151,   153,   155,   253,     0,     0,
     261,   259,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   596,   429,     0,   635,     0,   644,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     653,     0,     0,   714,     0,   727,     0,     0,     0,   740,
       0,     0,     0,   749,     0,   760,     0,   767,     0,     0,
       0,   772,     0,     0,     0,     0,     0,     0,   795,     0,
       0,     0,     0,   818,     0,   829,     0,   840,     0,     0,
       0,   847,     0,   856,     0,     0,     0,     0,     0,     0,
     865,     0,   897,     0,     0,   902,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   933,     0,     0,     0,     0,
     968,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   979,
       0,     0,     0,     0,     0,     0,     0,  1046,     0,     0,
       0,  1063,     0,     0,  1079,     0,  1088,     0,  1093,     0,
       0,  1100,     0,  1107,  1125,  1127,  1129,  1131,  1133,  1135,
    1137,  1139,  1141,     0,     0,     0,     0,  1124,     0,     0,
    1186,     0,     0,     0,  1197,     0,  1074,     0,  1214,     0,
       0,     0,     0,   886,  1154,  1156,  1158,  1160,  1162,  1164,
    1166,  1168,  1170,  1172,  1174,  1176,  1178,  1180,  1153,     0,
    1225,     0,     0,   454,   291,   403,   427,   427,   427,   427,
     422,     0,   343,   369,   371,   373,   375,  1279,  1279,  1279,
     106,   252,   247,   249,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1151,  1151,
    1151,  1151,  1151,  1151,  1151,  1151,  1151,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1182,  1182,
    1182,  1182,  1182,  1182,  1182,  1182,  1182,  1182,  1182,  1182,
    1182,  1182,     0,     0,     0,   402,   411,   414,   417,   420,
     427,     0,   342,  1274,  1276,  1278,   253,   253,   597,   599,
     601,   603,   611,   605,   607,   609,   613,   615,   617,   619,
     621,   623,   636,   645,   647,   649,   654,   656,   658,   660,
     662,   664,   670,   666,   668,   672,   674,   676,   682,   678,
     680,   686,   688,   690,   684,   692,   715,   717,   719,   721,
     723,   728,   730,   732,   734,   741,   743,   745,   750,   752,
     754,   761,   763,   768,   773,   775,   777,   779,   781,   783,
     808,   796,   804,   798,   800,   802,   806,   812,   810,   814,
     819,   821,   823,   825,   830,   832,   834,   836,   841,   843,
     848,   852,   850,   857,   859,   861,   882,   870,   872,   866,
     868,   876,   874,   878,   880,   898,   903,   905,   913,   921,
     915,   909,   907,   911,   917,   919,   929,   923,   925,   927,
     934,   936,   938,   940,   942,   944,   946,   948,   950,   952,
     956,   954,   958,   960,   962,   973,   975,   969,   971,   980,
     982,   984,   986,   988,   990,   992,   994,   996,   998,  1010,
    1000,  1002,  1004,  1006,  1008,  1012,  1014,  1016,  1018,  1020,
    1022,  1024,  1026,  1028,  1030,  1032,  1034,  1036,  1047,  1049,
    1051,  1053,  1055,  1057,  1059,  1064,  1066,  1068,  1070,  1080,
    1082,  1089,  1094,  1103,  1101,  1108,  1110,  1112,  1114,  1116,
    1118,  1120,  1126,  1128,  1130,  1132,  1134,  1136,  1138,  1140,
    1142,  1143,  1145,  1147,  1149,  1187,  1189,  1191,  1193,  1198,
    1200,  1202,  1204,  1206,  1208,  1210,  1075,  1215,   891,   893,
     887,   889,  1155,  1157,  1159,  1161,  1163,  1165,  1167,  1169,
    1171,  1173,  1175,  1177,  1179,  1181,  1226,   299,   304,   423,
       0,   248,   250,   625,   625,   625,   625,   625,   625,   625,
     625,   625,   625,   625,   625,   625,   625,   638,   651,   651,
     651,   694,   694,   694,   694,   694,   694,   694,   694,   694,
     694,   694,   694,   694,   694,   694,   694,   694,   694,   694,
     694,   725,   725,   725,   725,   725,   736,   736,   736,   736,
     747,   747,   747,   756,   756,   756,   765,   765,   770,   785,
     785,   785,   785,   785,   785,   816,   816,   816,   816,   816,
     816,   816,   816,   816,   816,   827,   827,   827,   827,   838,
     838,   838,   838,   845,   845,   854,   854,   854,   863,   863,
     863,   884,   884,   884,   884,   884,   884,   884,   884,   884,
     900,   931,   931,   931,   931,   931,   931,   931,   931,   931,
     931,   931,   931,   931,   931,   964,   964,   964,   964,   964,
     964,   964,   964,   964,   964,   964,   964,   964,   964,   964,
     977,   977,   977,   977,  1038,  1038,  1038,  1038,  1038,  1038,
    1038,  1038,  1038,  1038,  1038,  1038,  1038,  1038,  1038,  1038,
    1038,  1038,  1038,  1038,  1038,  1038,  1038,  1038,  1038,  1038,
    1038,  1038,  1038,  1061,  1061,  1061,  1061,  1061,  1061,  1061,
    1072,  1072,  1072,  1072,  1084,  1084,  1091,  1096,  1105,  1105,
    1122,  1122,  1122,  1122,  1122,  1122,  1122,  1151,  1151,  1151,
    1151,  1195,  1195,  1195,  1195,  1212,  1212,  1212,  1212,  1212,
    1212,  1212,  1077,  1217,   895,   895,   895,   895,  1228,   327,
     327,   430,   598,   600,   602,   604,   612,   606,   608,   610,
     614,   616,   618,   620,   622,   624,   637,   646,   648,   650,
     655,   657,   659,   661,   663,   665,   671,   667,   669,   673,
     675,   677,   683,   679,   681,   687,   689,   691,   685,   693,
     716,   718,   720,   722,   724,   729,   731,   733,   735,   742,
     744,   746,   751,   753,   755,   762,   764,   769,   774,   776,
     778,   780,   782,   784,   809,   797,   805,   799,   801,   803,
     807,   813,   811,   815,   820,   822,   824,   826,   831,   833,
     835,   837,   842,   844,   849,   853,   851,   858,   860,   862,
     883,   871,   873,   867,   869,   877,   875,   879,   881,   899,
     904,   906,   914,   922,   916,   910,   908,   912,   918,   920,
     930,   924,   926,   928,   935,   937,   939,   941,   943,   945,
     947,   949,   951,   953,   957,   955,   959,   961,   963,   974,
     976,   970,   972,   981,   983,   985,   987,   989,   991,   993,
     995,   997,   999,  1011,  1001,  1003,  1005,  1007,  1009,  1013,
    1015,  1017,  1019,  1021,  1023,  1025,  1027,  1029,  1031,  1033,
    1035,  1037,  1048,  1050,  1052,  1054,  1056,  1058,  1060,  1065,
    1067,  1069,  1071,  1081,  1083,  1090,  1095,  1104,  1102,  1109,
    1111,  1113,  1115,  1117,  1119,  1121,  1144,  1146,  1148,  1150,
    1188,  1190,  1192,  1194,  1199,  1201,  1203,  1205,  1207,  1209,
    1211,  1076,  1216,   892,   894,   888,   890,  1227,   300,   305,
       0,     0,     0,     0,   301,     0,   425,   310,     0,   427,
     302,     0,   426,   306,   327,   307,     0,   308,   310,   309
};

  /* YYPGOTO[NTERM-NUM].  */
static const yytype_int16 yypgoto[] =
{
   -2278, -2278, -2278, -2278,   479, -2278, -2278, -2278, -2278, -2278,
   -2278, -2278, -2278, -2278, -2278, -2278, -2278, -2278, -2278,  1677,
   -2278,  1409, -2278,   461, -2278, -2278, -2278, -2278, -2278, -2278,
   -2278, -2278, -2278, -2278, -2278, -2278, -2278, -2278, -2278, -2278,
   -2278,  -304, -2278, -2278, -2278, -2278, -2278, -2278, -2278, -2278,
   -2278, -2278, -2278, -2278, -2278,   141, -2278,  -330, -2278, -2278,
    -418, -2278, -2278, -2278, -2278, -2278, -2278, -2278,  -652, -2278,
   -2278, -2278, -2278, -2278, -2278, -2278, -2278, -2278, -2278, -2278,
   -2278, -2278, -2278,   198, -2278, -2278, -2278, -2278, -2278, -2278,
   -2278, -2278, -2278, -2278, -2278,  -649, -2278, -2278, -2278, -2278,
   -2278, -2278, -2278, -2278, -2278, -2278, -2278, -2278,  -482, -2278,
   -2278, -2278, -2278, -2278, -2278, -2278, -2278, -2278, -2278, -2278,
   -2278, -2278, -2278, -2278, -2278, -2278, -2278, -2278, -2278,   574,
   -2278, -2278, -1899, -2278, -2278, -2278,   765, -2278, -2278, -1100,
   -2278, -2278,   569, -2278, -2278, -2278, -2278, -2278, -2278, -2278,
   -2278, -2278,  1179, -2278, -2278, -1345, -2278, -2278, -2278, -2278,
   -2278, -2278,  -850, -2278, -2278, -2278, -2278, -2278, -2278, -2278,
   -2278, -2278, -2278,  -464, -2278, -2278, -2278, -2278, -2278, -2278,
   -2278, -2278,  -680, -2278, -2278, -2278, -2278, -2278,  1137, -2278,
     -75, -2278, -2278, -1157, -2278, -2278, -2278, -2278, -2278, -2278,
   -2278, -2278, -2278, -2278, -2278, -2278, -2278, -2278, -2278, -2278,
   -2278, -2278, -2278, -2278, -2278, -2278, -2278, -2278, -2278, -2278,
   -2278,   -67, -2278, -2278, -2096, -2278, -2278, -2278, -2278, -2278,
   -2278, -2278, -2278, -2278, -2278, -2278, -2278,  -887, -2278,  1135,
   -2278, -2278, -1309, -2278, -2278, -2278, -2278, -2278,  1191, -2278,
   -2278, -1268, -2278, -2278, -2278, -2278, -2278, -2278, -2278,   248,
   -2278, -2278, -2278, -2278, -2278, -2278,   259, -2278, -2278, -2278,
   -2278, -2278, -2278,   273, -2278, -2278, -2278, -2278, -2278, -2278,
   -2278, -2278, -2278,   531, -2278, -2278, -2278, -2278, -2278, -2278,
   -2278,  -102, -2278, -2278, -2278, -1608, -2278, -2278, -2278, -2278,
   -2278, -2278, -2278, -2278, -2278, -2278, -2278, -2278, -2278, -2278,
   -2278, -2278, -2278, -2278, -2278, -2278, -2278, -2278, -2278, -2278,
    -576, -2278, -2278, -2278, -2278, -2278, -2278, -2278, -1487, -2278,
   -2278, -2278, -2278, -2278, -1724, -2278, -2278, -2278, -2278, -2278,
   -2278, -2278, -2278, -2278, -2278, -2278, -2278, -2278, -2278, -2278,
   -2278, -2278, -2278, -2278, -2278, -2278, -2278, -2278, -2278, -2278,
   -2278, -2278, -2278, -2278, -2278, -2278, -2278, -2278, -2278, -2278,
   -2278, -2278, -2278, -2278, -2278, -2157, -2278, -2278, -2278, -2278,
   -2278, -2278, -2278, -1916, -2278, -2278, -2278, -2278, -2278, -2278,
   -2278, -2278, -1516, -2278, -2278, -2278, -2278, -2278, -1515, -2278,
   -2278, -2278, -2278, -2278, -2278, -2278, -2056, -2278, -2278, -2278,
   -2278,  -616, -2278, -2278, -2278, -1786, -2278, -2278, -2278, -2278,
   -2278, -2278, -2278, -2278, -2278, -2278, -2278, -2278, -2278, -2278,
   -2278, -2278, -1747, -2278, -2278, -2278, -2278, -2278, -2278, -2278,
   -2278, -2278, -2278, -2278, -2278, -1920, -2278, -2278, -2278, -2278,
   -2278, -2278, -1915, -2278, -2278, -2278, -2278, -2278, -2278, -2050,
   -2278, -2278, -2278, -2278, -1544, -2278, -2278, -2278, -2278, -2278,
   -1543, -2278, -2278, -2278, -2278, -2278, -1597, -2278, -2278, -2278,
   -2278, -2278, -2278, -2278, -2278, -2278, -2278, -2278, -1971, -2278,
   -2278, -2278, -2278, -2278, -2278,  -657, -2278, -2278, -2278, -1685,
   -2278, -2278, -2278, -2278, -2278, -2278, -2278, -2278, -2278, -2278,
   -2278, -2278, -2278, -2278, -2278, -2278, -1770, -2278, -2278, -2278,
   -2278, -2278, -2278, -2278, -2278, -2278, -2278, -2278, -2278, -2278,
   -2278, -2278, -2278, -2278, -2278, -2278, -1885, -2278, -2278, -2278,
   -2278, -2278, -2278, -1701, -2278, -2278, -2278, -2278, -2278, -2278,
   -2278, -2278, -2278, -2278, -2278, -2278, -2278, -2278, -2278, -2278,
   -2278, -2278, -2278, -2278, -2278, -2278, -2278, -2278, -2278, -2278,
   -2278, -2278, -2278, -2278, -2278, -2278, -2278, -2278, -2278, -2278,
   -2278, -1653, -2278, -2278, -2278, -2278, -2278, -2278, -2278, -2278,
   -2278, -1841, -2278, -2278, -2278, -2278, -2278, -2278,  -758, -2278,
   -2278, -2278, -2129, -2278, -2278, -2278, -2278, -2278, -2278,  -731,
   -2278, -2278, -2278,  -730, -2278, -2278, -2278, -2278, -2278, -2130,
   -2278, -2278, -2278, -2278, -1663, -2278, -2278, -2278, -2278, -2278,
   -2278, -2278, -2278, -2278, -2277, -2278, -2278, -2278, -2278, -2278,
   -2278, -2278, -2278, -2278, -2278, -2278, -2278, -2278, -2278, -2278,
   -1276, -2278, -2278, -2278, -2278, -2278, -2278, -2278, -2278, -2278,
   -2278, -2278, -2278, -2278, -2278, -2278, -2278, -2278, -2278, -1857,
   -2278, -2278, -2278, -2278, -2278, -2278, -1671, -2278, -2278, -2278,
   -2278, -2278, -2278, -2278, -2278, -2278,  -757, -2278, -2278, -2278,
   -2278, -2278, -2278, -2278, -2278, -2278,  -759, -2278, -2278, -2278,
    1132, -2278, -2278,  -633, -2278, -2278, -2278, -2278, -2278, -2278,
   -2278, -2278, -2278, -2278, -2278, -2278, -2278, -2278, -2278, -2278,
   -2278, -2278, -2278,  -969, -2278, -2278, -2278, -2278, -2278
};

  /* YYDEFGOTO[NTERM-NUM].  */
static const yytype_int16 yydefgoto[] =
{
       0,     1,     2,    11,    25,    60,   244,    67,   387,    68,
     391,    69,   393,    66,   385,    89,   414,    92,   417,   170,
     413,    91,   587,    59,   418,   424,   425,   426,   427,   428,
     429,   482,   430,   176,   196,   467,   478,   481,   479,   480,
     483,   326,   625,   626,   627,   628,   629,   630,   631,   632,
     633,   945,   946,   947,   948,   295,  1892,   179,   296,   297,
     605,  1430,  1431,  1432,  1433,   929,  1449,  1450,  1242,  1614,
    1615,  1616,  1617,  1618,  1619,  1620,  1621,  1622,  1623,  1624,
    1625,  1626,  1627,   195,   778,   779,   780,   781,   787,   785,
     782,   783,   784,   788,   786,   205,   802,   803,   804,   805,
     806,   807,   463,   963,   464,   964,   465,   965,   134,   975,
     976,   977,   981,   980,   983,   982,   978,   979,   985,   984,
     987,   986,   988,   678,   989,   990,   991,   371,   840,   503,
     839,  1462,   995,  2366,  2367,  1907,   373,   685,  1283,   843,
    1644,  1643,    65,   507,   508,   510,   509,   511,   513,   512,
     515,   514,   143,   386,   855,   528,  1364,  1365,  1873,  1367,
     852,  1547,  1149,  1541,  2809,  3021,  3027,  1542,  2810,  3022,
    3034,  3036,  3038,   646,  1451,  1452,  1453,  1454,  1455,  1456,
    1457,  1458,   147,   388,   897,   389,   899,   737,   558,   898,
     880,  1388,  2112,   556,  1369,  1370,  1373,  1371,   866,  1372,
    1383,  1384,  1385,  1386,  1387,  1882,  1883,  1884,  1885,  1398,
    1391,  1392,  1390,  1393,  1400,  1399,  1401,  1402,  1403,  1404,
    1405,  1164,  2105,   861,   873,  1376,  2106,  1377,  2107,  1378,
    2108,  1379,  2109,  1561,  2360,  1381,  3029,  1074,  1469,   149,
     392,   904,   564,  1406,   902,  1586,   903,  1587,   141,   384,
     849,   521,  1284,  1285,  1871,   846,  1540,   847,  1543,    76,
     566,   567,   568,   569,   570,   571,    88,   579,   580,   581,
     582,   583,   584,   216,   812,   813,   818,   819,   814,   815,
     816,   817,   820,    81,   573,   572,   574,   575,   576,   577,
     578,   188,  1075,  1076,  1468,  1655,  2603,  2604,  2605,  2606,
    2608,  2609,  2610,  2607,  2611,  2612,  2613,  2614,  2615,  2616,
    1077,  1470,  1078,  1471,  1079,  1472,  1080,  1473,  1081,  1474,
    1662,  2617,  1082,  1475,  1083,  1476,  1084,  1477,  1666,  2618,
    2619,  2620,  1085,  1478,  1679,  2621,  2622,  2623,  2624,  2625,
    2626,  2628,  2629,  2627,  2630,  2631,  2632,  2634,  2635,  2633,
    2639,  2636,  2637,  2638,  2640,  1086,  1479,  1087,  1480,  1088,
    1481,  1089,  1482,  1090,  1483,  1091,  1484,  1092,  1485,  1093,
    1486,  1094,  1487,  1095,  1488,  1691,  2641,  2642,  2643,  2644,
    2645,  1096,  1489,  1693,  2646,  2647,  2648,  2649,  1097,  1490,
    1098,  1491,  1698,  2650,  2651,  2652,  1099,  1492,  1702,  2653,
    2654,  2655,  1100,  1493,  1101,  1494,  1705,  2656,  2657,  1102,
    1495,  1707,  2658,  1103,  1496,  1711,  2659,  2660,  2661,  2662,
    2663,  2664,  1104,  1497,  1105,  1498,  1106,  1499,  1107,  1500,
    1108,  1501,  1722,  2666,  2668,  2669,  2670,  2667,  2671,  2665,
    2673,  2672,  2674,  1109,  1502,  1727,  2675,  2676,  2677,  2678,
    1110,  1503,  1729,  2679,  2680,  2681,  2682,  1111,  1504,  1731,
    2683,  2684,  1112,  1505,  1735,  2685,  2687,  2686,  1113,  1506,
    1737,  2688,  2689,  2690,  1114,  1507,  1744,  2694,  2695,  2692,
    2693,  2697,  2696,  2698,  2699,  2691,  1115,  1532,  1844,  2806,
    2807,  2804,  2805,  1116,  1508,  1746,  2700,  1117,  1509,  1749,
    2701,  2702,  2707,  2706,  2708,  2703,  2705,  2709,  2710,  2704,
    2712,  2713,  2714,  2711,  1118,  1510,  1759,  2715,  2716,  2717,
    2718,  2719,  2720,  2721,  2722,  2723,  2724,  2726,  2725,  2727,
    2728,  2729,  1119,  1511,  1120,  1512,  1765,  2732,  2733,  2730,
    2731,  1121,  1513,  1784,  2734,  2735,  2736,  2737,  2738,  2739,
    2740,  2741,  2742,  2743,  2745,  2746,  2747,  2748,  2749,  2744,
    2750,  2751,  2752,  2753,  2754,  2755,  2756,  2757,  2758,  2759,
    2760,  2761,  2762,  1122,  1514,  1123,  1515,  1124,  1516,  1125,
    1517,  1795,  2763,  2764,  2765,  2766,  2767,  2768,  2769,  1126,
    1518,  1799,  2770,  2771,  2772,  2773,  1127,  1530,  1837,  2802,
    1128,  1519,  1802,  2774,  2775,  1129,  1520,  1130,  1521,  1805,
    2776,  1131,  1522,  1807,  2777,  1132,  1523,  1133,  1524,  1811,
    2779,  2778,  1134,  1525,  1813,  2780,  2781,  2782,  2783,  2784,
    2785,  2786,  1135,  1526,  1827,  2308,  2309,  2310,  2311,  2312,
    2313,  2314,  2315,  2316,  2787,  2788,  2789,  2790,  1136,  1533,
    1859,  2338,  2339,  2340,  2341,  2342,  2343,  2344,  2345,  2346,
    2347,  2348,  2349,  2350,  2351,  1137,  1527,  1138,  1528,  1831,
    2791,  2792,  2793,  2794,  1139,  1529,  1835,  2795,  2796,  2797,
    2798,  2799,  2800,  2801,  1140,  1531,  1839,  2803,  1141,  1534,
    1142,  1535,  1143,  1536,  1144,  1537,  1864,  2808,  1145,  1538,
     174,   416,   923,   593,  1409,  1415,  1416,  1421,  1420,  1422,
    1417,  1419,  1423,  1424,  1418,  1426,  1427,  1428,  1425,  1410,
    1411,   908,  1594,  1207,  2117,  2118,  2119,  1146,  1539
};

  /* YYTABLE[YYPACT[STATE-NUM]] -- What to do in state STATE-NUM.  If
     positive, shift that token.  If negative, reduce the rule whose
     number is the opposite.  If YYTABLE_NINF, syntax error.  */
static const yytype_int16 yytable[] =
{
     647,   648,  1154,   206,   606,   217,   218,   219,  2121,   221,
    2356,  2357,  2358,  2359,  1382,  1199,  1466,  1467,  1738,  1545,
    1546,  1389,  1548,   686,    12,    13,    61,    62,  2167,  2168,
    1716,  2552,  2553,  2554,  2555,  2556,  2557,  2558,  2559,  2560,
      39,    40,  1695,    41,  1699,   598,   599,   600,   601,   602,
     460,   841,  2148,  1200,  1788,  2154,  2155,   900,   278,  2177,
    1723,  1205,    42,    43,    44,    45,    46,    47,    48,   289,
     867,   868,   869,   870,   871,  1689,    14,  2328,    15,   177,
     178,   906,     3,    16,  2151,    17,     4,  1766,  1228,  1229,
    1230,  1231,  1232,  1233,  1234,  1235,  1236,  1585,  1724,  1645,
    1646,  1647,  1648,  1829,    18,  1649,    19,  1650,  1651,   144,
    1809,   435,   436,    20,  2293,  1845,  1846,  1847,  1848,  1849,
    1850,  1851,  1852,  1853,   250,   251,   145,  2139,     5,   530,
       6,  1147,   114,   115,   116,   117,   118,   119,   120,   121,
     122,   123,   124,   125,   126,   127,     7,  1725,  1789,  1790,
    1791,  1792,  1793,   949,   950,   951,   952,   953,   954,   390,
       8,  1739,  2180,  2181,  2200,  2201,  1148,     9,   531,  2149,
    2150,    10,   992,    90,   247,   248,  1206,   907,  1740,  1726,
     532,   533,   534,   535,   536,    26,   881,    93,  1359,  2178,
    2294,   842,  1717,  1690,    27,  1718,   834,  1719,  1741,  1742,
    2329,  2330,  1872,    28,  2152,  1810,   438,   439,  1720,  1652,
    2169,  2170,  1550,  1551,  1552,  1553,  1554,  1195,  1556,  1197,
     993,   183,   184,  2140,  2141,    29,  1563,  1564,  1565,  1566,
    1567,  1568,   437,  1569,  1570,  1571,  1572,  1794,   186,   187,
     473,  1577,  1578,  1579,  1580,  1581,  1582,  1583,  1584,   588,
     909,   910,   911,   912,   913,    30,   914,   915,   916,  2222,
    2223,  2224,  2225,  2226,  2599,  2227,  2228,  2229,   537,   538,
     539,    31,  1867,  2156,   461,  1870,   603,  1886,  1887,  1696,
     252,  1700,  1767,  1697,    32,  1701,  1830,  2217,    49,  1768,
    1769,  1770,  1771,  1772,  1773,  1774,  1775,  1776,  2127,  1721,
     872,  1777,  1778,  1779,  1780,  1781,  1782,  2218,    33,  1653,
      34,  1237,  1238,  1239,  1257,  1258,  1259,   146,  1654,    35,
      50,   789,   790,   791,   792,   793,   794,   795,   796,   797,
     249,  1592,  1593,  2128,  1832,   272,   128,   253,  1854,  1855,
    1856,  1796,    51,   994,  2182,  2183,  2202,  2203,    36,  1833,
     634,   635,  1834,   637,   882,   883,  1800,  1801,   996,   589,
    1708,   884,  1732,    37,  1733,    21,    38,   540,   541,   542,
    1709,  1710,   543,  1747,  1748,   544,   545,   546,   547,   548,
      94,   590,  2187,  1734,    52,   129,   130,   131,    95,   591,
     592,   273,   274,   275,    96,    22,   189,   190,   191,   192,
      97,    53,   132,   431,   432,   433,  1750,    23,    98,    63,
      64,  2219,  2220,  1751,    99,    54,   604,  2188,  2246,  2247,
    1752,   516,   517,   518,   519,   100,  1240,  2157,  2158,  2159,
    2160,  1241,    55,  2129,  2130,   102,  2131,  2204,  2205,  1743,
     103,  1797,  1798,   104,  1783,  1002,   932,   933,   313,    24,
      56,   314,   106,  1857,   549,   550,   551,   552,  1858,   561,
     562,   563,    57,   101,   315,    77,   113,  2601,  2602,    78,
      79,    80,    58,   917,   918,   856,   857,   858,   859,   860,
     133,   139,  2230,  2231,  2850,  2851,  2852,  2853,  2854,  1557,
    1558,  1559,  1560,  1260,  1261,  1262,  1263,  1264,  1265,  1266,
    1267,  1268,  1269,  1270,  1271,  1272,  1273,  1274,  1275,  1276,
    2996,  2997,  2998,  2999,   553,   193,   194,  2189,  2190,  1003,
    2191,   520,   554,   105,   434,   920,   921,   922,  2104,   107,
    1667,  1668,  1669,  1670,  1671,  1672,  1673,  1753,  1754,  1674,
     555,  1675,  1755,  1910,  1911,  1756,  1757,  1758,   108,  1004,
    1005,  1006,  1007,  1008,  1009,  1010,  1011,  1012,  1013,  1014,
    1015,  1016,  1017,  1018,  1019,  1020,  1021,  1022,  1023,  1024,
    1025,  1026,  1027,  1028,  1029,  1030,  1031,  1032,  1033,  1034,
    1035,  1036,  1037,  1038,  1039,  1040,  1041,  1042,  1043,  1044,
    1045,  1046,   223,   919,   523,   524,   109,   525,   110,   526,
    2865,  2866,  2232,  2103,  2163,  2164,  2165,  2166,   863,   864,
    2209,  2210,  2211,   874,   875,   876,  1814,   878,   254,  1815,
     111,   197,   198,   199,   200,   890,   112,   892,   893,   894,
     895,   135,  1816,  2892,  2893,   271,   201,   202,   203,   204,
     279,  1245,  1246,  1247,  1248,  2983,  2984,   286,  2987,  2988,
    1047,   290,   136,  1761,   316,   317,   318,   319,   320,   321,
    1840,   322,   323,   324,   325,   137,   138,   925,   140,   927,
    1762,   142,   930,   931,  1879,   148,   150,  1841,  1048,  2255,
    2256,  2257,  2258,  2259,  2260,  2261,  2262,  2263,   151,   152,
    1763,  1764,   153,   154,   527,   155,   156,  1842,  1843,  1049,
    1050,   157,   207,   208,   209,   210,   211,   212,  2237,  2238,
    2239,  2240,  1051,   158,   213,   214,   161,   159,  1052,    70,
      71,    72,    73,    74,    75,  2113,  2114,  2115,  2116,  1053,
    2855,  2856,  2857,  2858,   160,  1054,  1055,  1056,   955,   956,
     957,   958,   959,   960,   961,   962,  1057,  1058,    82,    83,
      84,    85,    86,    87,  1676,  2884,  2885,  2886,  2887,   423,
    1677,  1059,   162,   215,  2888,  2889,  2890,  2891,   163,  1923,
    1060,   164,  1061,   442,   165,  1678,  1588,  1589,  1590,  2233,
    2234,  2235,  1595,  1596,  1597,  1598,  1599,  1600,  1601,  1602,
    1603,  1604,  1605,  1606,  1607,  1608,   466,  2301,  2302,  2303,
    2304,  2305,  2306,  2307,   166,  1062,   167,   477,  2243,  2244,
    2245,  1063,   168,  1064,   742,   743,   744,   745,   746,   747,
    1065,   169,  1817,  1818,  1819,  1820,  1821,  1822,   172,  1823,
    1824,  1825,  1826,  3013,  3014,  3015,  3016,  1066,   755,   756,
     757,   758,   759,   760,  2264,  2939,  2940,  2941,  2942,   173,
    1067,   171,   180,   506,  1068,   175,  1069,  1070,  1071,   181,
    1072,  2274,  2275,  2276,   522,   182,   529,   185,  1073,   220,
     560,   242,   565,  2868,  2869,  2870,  2871,  2872,  2873,   595,
     222,   597,  2321,  2322,  2323,   607,   608,   609,   610,   611,
     612,   613,   224,   586,   225,   226,   594,  2830,  2831,  2832,
    2833,  2834,  2835,  2836,  2837,  2838,  2839,  2840,  2841,  2842,
    2843,  2844,  2845,  2846,  2847,  2848,  2849,   638,  2874,  2875,
    2876,  2877,  2878,  2879,  2880,  2881,  2882,  2883,   649,  2979,
    2980,  2981,  2982,  3032,  3000,  3001,  3002,  3003,   243,   659,
     660,   661,   662,   663,   664,  2924,  2925,  2926,  2927,  2928,
    2929,  2930,  2931,  2932,  2933,  2934,  2935,  2936,  2937,  2938,
     227,  1891,  1893,  1894,  1895,  1896,  1897,  1898,  1899,  1900,
    1901,  1902,  1903,  1904,  1905,  1906,   934,   935,   936,   937,
     938,   939,   940,   941,   942,   943,   944,  1631,  1632,  1633,
    1634,  1635,  1636,  1637,  1638,  2812,  2813,  2814,  2815,  2816,
    2817,  2818,  2819,  2820,  2821,  2822,  2823,  2824,  2825,  2325,
    2326,  2327,  1610,  1611,  1612,  1613,  2910,  2911,  2912,  2913,
    2914,  2915,  2916,  2917,  2918,  2919,  2920,  2921,  2922,  2923,
    1628,  1629,  1630,  2943,  2944,  2945,  2946,  2947,  2948,  2949,
    2950,  2951,  2952,  2953,  2954,  2955,  2956,  2957,  2958,  2959,
    2960,  2961,  2962,  2963,  2964,  2965,  2966,  2967,  2968,  2969,
    2970,  2971,  2582,  2583,  2584,  2585,  2586,  2587,  2588,  2589,
    2590,  2591,  2592,  2593,  2594,  2595,   687,   688,   689,   690,
     691,   692,   693,   694,   695,   966,   967,   968,   969,   970,
     971,   972,   973,   974,  2900,  2901,  2902,  2903,  2904,  2905,
    2906,  2907,  2908,   748,   749,   750,   751,   752,   753,   754,
    2972,  2973,  2974,  2975,  2976,  2977,  2978,  2989,  2990,  2991,
    2992,  2993,  2994,  2995,  3004,  3005,  3006,  3007,  3008,  3009,
    3010,  2827,  2828,  2829,  2859,  2860,  2861,   228,  2862,  2863,
    2864,  2894,  2895,  2896,   229,  2897,  2898,  2899,  2363,  2364,
    2365,   230,   231,   232,   233,   234,   235,   236,   237,   238,
     239,   240,   241,   245,   246,   255,   261,   256,   257,   265,
     258,   259,   260,   266,   262,   263,   267,   264,   268,   269,
     270,   288,   276,   277,   280,   281,   282,   283,   284,   285,
     291,   502,   292,   287,   293,   294,   298,   306,   299,   300,
     301,   302,   303,   304,   305,   312,   307,   308,   309,   310,
     311,   327,   328,   329,   330,   331,   332,   333,   334,   336,
     335,   337,   338,   339,   340,   341,   342,   343,   344,   345,
     346,   347,   348,   349,   350,   351,   352,   353,   354,   355,
     356,   357,   358,   359,   360,   361,   362,   363,   364,   365,
     366,   367,   368,   369,   370,   372,   374,   375,   420,   376,
     377,   378,   379,   380,   381,   382,   383,   394,   395,   396,
     397,   398,   399,   400,   421,   401,   402,   403,   404,   405,
     406,   407,   408,   409,   410,   411,   412,   415,   422,   419,
     440,   441,   443,   456,   504,   444,   445,   446,   447,   448,
     449,   450,   451,   505,   452,   453,   454,   455,   457,   458,
     459,   484,   462,   468,   469,   497,   470,   471,   472,   474,
     475,   645,   476,   683,   879,   684,   698,   485,   486,   487,
     488,   489,   490,   491,   492,   493,   494,   495,   496,   498,
     499,   500,   501,   557,   559,   596,   696,   699,   614,   615,
     616,   617,   618,   619,   620,   621,   622,   623,   624,   636,
     639,   701,   640,   641,   642,   643,   644,   650,   651,   652,
     653,   654,   655,   656,   657,   658,   665,   666,   667,   668,
     669,   670,   671,   704,   672,   673,   674,   675,   676,   677,
     679,   680,   681,   682,   707,   713,   714,   697,   700,   702,
     703,   705,   706,   708,   709,   710,   711,   712,   715,   716,
     717,   718,   719,   720,   721,   722,   723,   724,   725,   726,
     727,   728,   729,   730,   731,   732,   733,   734,   735,   736,
     738,   739,   740,   762,   741,   763,   764,   765,   766,   767,
     768,   769,   770,   771,   772,   773,   774,   775,   776,   777,
     798,   799,   800,   801,   809,   808,   810,   811,   821,   822,
     823,   824,   825,   826,   827,   828,   829,   830,   831,   832,
     833,   835,   836,   837,   838,   844,   845,   997,   848,   998,
     850,   851,   853,   999,   854,   862,   865,   877,  1165,   885,
     886,   887,   888,   889,   891,  1000,   896,   901,   905,  1001,
     924,   926,   928,  1166,  1167,  1163,  1152,  1150,  1153,  1155,
    1168,  1158,  1156,  1159,  1160,  1161,  1162,  1169,  1170,  1183,
    1171,  1172,  1173,  1174,  1175,  1176,  1177,  1179,  1178,  1180,
    1181,  1182,  1280,  1281,  1184,  1185,  1186,  1187,  1188,  1189,
    1190,  1191,  1192,  1193,  1194,  1198,  1202,  1203,  1204,  1208,
    1209,  1210,  1211,  1212,  1213,  1214,  1215,  1216,  1217,  1218,
    1219,  1220,  1221,  1282,  1224,  1223,  1225,  1226,  1227,  1243,
    1244,  1249,  1250,  1251,  1252,  1253,  1254,  1255,  1256,  1286,
    1277,  1278,  1279,  1287,  1288,  1289,  1290,  1291,  1292,  1293,
    1294,  1295,  1296,  1297,  1298,  1299,  1300,  1301,  1302,  1303,
    1304,  1305,  1306,  1307,  1308,  1309,  1310,  1311,  1312,  1313,
    1314,  1315,  1316,  1317,  1318,  1319,  1320,  1321,  1322,  1323,
    1324,  1325,  1326,  1327,  1328,  1329,  1330,  1331,  1332,  1333,
    1334,  1335,  1336,  1337,  1338,  1339,  1340,  1341,  1342,  1343,
    1344,  1345,  1346,  1347,  1348,  1349,  1350,  1351,  1352,  1353,
    1354,  1355,  1356,  1357,  1363,  1358,  1360,  1361,  1368,  1362,
    1366,  1375,  1374,  1380,  1640,  1407,  1394,  1395,  1396,  1397,
    1408,  1414,  1429,  1412,  1413,  1434,  1448,  1435,  1436,  1437,
    1438,  1439,  1440,  1441,  1442,  1443,  1444,  1445,  1446,  1447,
    1459,  1463,  1460,  1461,  1562,  1656,  1464,  1544,  1549,  1555,
    1573,  1641,  1657,  1574,  1658,  1575,  1576,  1591,  1609,  1639,
    1659,  1660,  1661,  1663,  1664,  1665,  1680,  1681,  1682,  1683,
    1684,  1685,  1686,  1687,  1688,  1692,  1694,  1703,  1706,  1704,
    1712,  1713,  1714,  1715,  1728,  1730,  1736,  1745,  1760,  1785,
    1786,  1787,  1803,  1804,  1808,  1806,  1812,  1828,  1836,  1838,
    1860,  1861,  1862,  1863,  1865,  1866,  1874,  1875,  1876,  1877,
    1868,  1869,  1878,  1880,  1881,  1888,  1889,  1890,  1922,  1912,
    1908,  1925,  1909,  1927,  1940,  1943,  1913,  1914,  1915,  1916,
    1917,  1945,  1918,  1919,  1920,  1921,  1924,  1926,  1928,  1929,
    1930,  1931,  1932,  1933,  1949,  1953,  1934,  1935,  1936,  1937,
    1938,  1939,  1941,  1942,  1944,  1946,  1947,  1948,  1955,  1950,
    1951,  2125,  2126,  1952,  1954,  2133,  2134,  2135,  2136,  2137,
    1956,  1957,  1958,  1959,  1960,  1961,  2142,  2143,  2144,  2145,
    2146,  2147,  1962,  1963,  2153,  1964,  1965,  2161,  1966,  1967,
    1968,  1973,  1969,  1975,  1977,  2172,  2173,  1970,  1971,  2175,
    2176,  1972,  1974,  1976,  2179,  1978,  1979,  2184,  2185,  1980,
    2186,  1981,  1982,  2193,  2194,  2195,  1983,  2196,  2197,  2198,
    2199,  1990,  1984,  1985,  1992,  1986,  2206,  2207,  2208,  1995,
    2005,  2010,  1987,  2213,  2214,  2215,  2216,  1988,  1989,  1991,
    1993,  1994,  1996,  2029,  2236,  2037,  2041,  1997,  1998,  1999,
    2248,  2249,  2250,  2044,  2251,  2252,  2253,  2254,  2000,  2001,
    2002,  2266,  2267,  2268,  2269,  2003,  2004,  2006,  2007,  2008,
    2277,  2278,  2279,  2280,  3020,  2009,  2011,  2012,  2284,  2013,
    2046,  2014,  2288,  2289,  2015,  2016,  2291,  2017,  2018,  2019,
    2020,  2296,  2021,  2297,  2022,  2023,  2024,  2025,  2300,  2026,
    2027,  2048,  2051,  2028,  2030,  2031,  2032,  2033,  2053,  2034,
    2035,  2317,  2318,  2036,  2320,  2038,  2067,  2070,  2039,  2040,
    2042,  2331,  2043,  2045,  2074,  2333,  2047,  2334,  2335,  2336,
    2337,  2049,  2050,  2052,  2054,  2076,  2055,  2056,  2078,  2083,
    2098,  2057,  2058,  2059,  2100,  2110,   761,  3025,  2060,  2061,
    2062,  2811,  2063,  2064,  2065,  2066,  2068,  2069,  2071,  2072,
    2073,  2075,  2077,  2079,  2080,  2081,  2082,  2084,  2085,  2086,
    2087,  2088,  2089,  2090,  2091,  2092,  3023,  2093,  2094,  2095,
    3024,  3026,  3037,  2120,  1157,  1196,  1642,  2362,  2355,  1201,
    1151,  2826,  2867,  2909,  3011,  2985,  3012,  2986,  1465,  3017,
       0,     0,     0,     0,     0,  1222,     0,     0,  2600,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     585,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2096,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2097,     0,  2099,  2101,  2102,  2111,  2122,  2123,
    2124,  2361,  2132,     0,  2138,  2162,  2171,  2174,  2192,  2212,
    2221,  2241,  2242,  2265,     0,  2270,  2271,  2272,  2368,  2273,
    2281,  2282,  2283,  2285,  2286,     0,  2287,     0,  2290,  2292,
    2295,  2298,  2299,     0,     0,     0,  2319,     0,     0,  2324,
       0,     0,     0,     0,     0,     0,     0,     0,  2332,     0,
       0,  2352,  2353,     0,     0,     0,     0,  3030,  2354,     0,
    2369,     0,  2370,  2371,     0,     0,     0,     0,  3039,  2372,
       0,  2373,  2374,     0,  2375,  2376,     0,     0,     0,  2377,
       0,     0,  2378,     0,     0,     0,  2379,  2380,     0,  2381,
       0,  2382,  2383,  2384,     0,  2385,  2386,     0,  2387,     0,
       0,     0,  2388,  2389,  2390,  2391,  2392,     0,  2393,  2394,
    2395,  2396,  2397,  2398,  2399,  2400,  2401,  2402,  2403,  2404,
       0,     0,  2405,  2406,  2407,  2408,  2409,  2410,  2411,  2412,
    2413,  2414,  2415,  2416,     0,  2417,  2418,  2419,  2420,  2421,
    2422,  2423,  2424,  2425,  2426,  2427,  2428,     0,  2429,  2430,
    2431,     0,  2432,  2433,  2434,  2435,  2436,  2437,  2438,  2439,
    2440,  2441,  2442,  2443,  2444,  2445,     0,     0,  2446,     0,
       0,  2447,  2448,  2449,  2450,  2451,  2452,  2453,  2454,  2455,
    2456,  2457,  2458,  2459,  2460,  2461,  2462,     0,  2463,  2464,
    2465,  2466,     0,  2467,  2468,  2469,  2470,     0,  2471,  2472,
       0,  2473,  2474,  2475,  2476,     0,     0,     0,  2477,  2478,
    2479,  2480,  2481,  2482,  2483,  2484,  2485,  2486,  2487,     0,
    2488,     0,     0,  2489,  2490,  3018,  3019,  2491,  2492,     0,
    2493,  2494,  2495,  2496,  2497,  2498,  2499,  2500,  2501,  2502,
    2503,  2504,  2505,  2506,  2507,  2508,  2509,  2510,  2511,  2512,
    2513,  2514,  2515,  2516,  2517,  2518,     0,  2519,  2520,  2521,
    2522,  2523,  2524,  2525,  2526,  2527,  2528,  2529,  2530,  2531,
    2532,  2533,  2534,  2535,  2536,  2537,  2538,     0,     0,  2539,
    2540,  2541,  2542,  2543,     0,  2544,  2545,  2546,  2547,  2548,
    2549,  2550,     0,     0,  2551,  2561,  2562,  2563,  2564,  2565,
       0,  2566,  2567,  2568,  2569,  2570,  2571,  2572,  2573,  2574,
    2575,     0,  2576,  2577,     0,     0,     0,  2578,  2579,  2580,
       0,     0,  2581,  2596,  2597,  2598,  3031,     0,  3028,     0,
    3033,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    3035
};

static const yytype_int16 yycheck[] =
{
     464,   465,   852,   105,   422,   107,   108,   109,  1907,   111,
    2106,  2107,  2108,  2109,  1171,   902,  1284,  1285,    23,  1364,
    1365,  1178,  1367,   505,     5,     6,    13,    14,    13,    14,
       5,  2308,  2309,  2310,  2311,  2312,  2313,  2314,  2315,  2316,
       7,     8,   197,    10,   197,    15,    16,    17,    18,    19,
      68,    20,    68,   903,   183,   185,   186,   737,   160,    68,
     248,    75,    29,    30,    31,    32,    33,    34,    35,   171,
      78,    79,    80,    81,    82,    72,    57,   318,    59,    13,
      14,    80,     0,    64,    68,    66,   156,    22,    20,    21,
      22,    23,    24,    25,    26,    27,    28,  1406,   286,   164,
     165,   166,   167,   190,    85,   170,    87,   172,   173,    67,
     217,    36,    37,    94,   191,    20,    21,    22,    23,    24,
      25,    26,    27,    28,   185,   186,    84,    80,   448,    22,
     449,    68,    43,    44,    45,    46,    47,    48,    49,    50,
      51,    52,    53,    54,    55,    56,   448,   335,   277,   278,
     279,   280,   281,   802,   803,   804,   805,   806,   807,   261,
     449,   166,    13,    14,    13,    14,   103,   448,    61,   185,
     186,   450,    20,   387,   185,   186,   190,   176,   183,   367,
      73,    74,    75,    76,    77,     3,    98,   451,  1075,   198,
     267,   160,   167,   190,     3,   170,   678,   172,   203,   204,
     441,   442,  1547,     3,   188,   312,   308,   309,   183,   274,
     195,   196,  1369,  1370,  1371,  1372,  1373,   897,  1375,   899,
      68,    36,    37,   176,   177,     3,  1383,  1384,  1385,  1386,
    1387,  1388,   157,  1390,  1391,  1392,  1393,   366,    11,    12,
     342,  1398,  1399,  1400,  1401,  1402,  1403,  1404,  1405,    65,
      20,    21,    22,    23,    24,     3,    26,    27,    28,    20,
      21,    22,    23,    24,  2360,    26,    27,    28,   161,   162,
     163,     3,  1540,   403,   292,  1543,   246,  1586,  1587,   434,
     341,   434,   217,   438,     3,   438,   373,   321,   255,   224,
     225,   226,   227,   228,   229,   230,   231,   232,    33,   274,
     308,   236,   237,   238,   239,   240,   241,   341,     3,   374,
       3,   243,   244,   245,   963,   964,   965,   275,   383,     3,
     287,   625,   626,   627,   628,   629,   630,   631,   632,   633,
     341,   210,   211,    68,   425,    40,   247,   398,   243,   244,
     245,   183,   309,   191,   195,   196,   195,   196,     3,   440,
     452,   453,   443,   455,   266,   267,   294,   295,   840,   175,
     190,   273,   181,     3,   183,   346,     3,   260,   261,   262,
     200,   201,   265,   205,   206,   268,   269,   270,   271,   272,
       3,   197,    33,   202,   351,   296,   297,   298,     3,   205,
     206,    96,    97,    98,   451,   376,    39,    40,    41,    42,
     451,   368,   313,    36,    37,    38,   183,   388,   451,   396,
     397,   445,   446,   190,   451,   382,   386,    68,   320,   321,
     197,    60,    61,    62,    63,   451,   358,   409,   410,   411,
     412,   363,   399,   168,   169,     3,   171,    13,    14,   444,
       3,   283,   284,     3,   379,     9,   776,   777,    43,   430,
     417,    46,     3,   358,   347,   348,   349,   350,   363,    61,
      62,    63,   429,   451,    59,    95,     4,  2366,  2367,    99,
     100,   101,   439,   243,   244,    68,    69,    70,    71,    72,
     391,     4,   243,   244,  2641,  2642,  2643,  2644,  2645,  1376,
    1377,  1378,  1379,   975,   976,   977,   978,   979,   980,   981,
     982,   983,   984,   985,   986,   987,   988,   989,   990,   991,
    2787,  2788,  2789,  2790,   407,   158,   159,   168,   169,    83,
     171,   160,   415,   451,   157,   207,   208,   209,  1873,   451,
     178,   179,   180,   181,   182,   183,   184,   314,   315,   187,
     433,   189,   319,  1643,  1644,   322,   323,   324,   451,   113,
     114,   115,   116,   117,   118,   119,   120,   121,   122,   123,
     124,   125,   126,   127,   128,   129,   130,   131,   132,   133,
     134,   135,   136,   137,   138,   139,   140,   141,   142,   143,
     144,   145,   146,   147,   148,   149,   150,   151,   152,   153,
     154,   155,   113,   363,    60,    61,   451,    63,   451,    65,
    2656,  2657,   363,  1871,   191,   192,   193,   194,   710,   711,
     404,   405,   406,   715,   716,   717,    43,   719,   139,    46,
     451,   288,   289,   290,   291,   727,   451,   729,   730,   731,
     732,   451,    59,  2683,  2684,   156,   303,   304,   305,   306,
     161,   945,   946,   947,   948,  2774,  2775,   168,  2778,  2779,
     214,   172,   451,   166,   249,   250,   251,   252,   253,   254,
     166,   256,   257,   258,   259,   451,   451,   769,    58,   771,
     183,    65,   774,   775,  1561,    86,   451,   183,   242,   215,
     216,   217,   218,   219,   220,   221,   222,   223,   451,   451,
     203,   204,   451,   451,   160,   451,     4,   203,   204,   263,
     264,   451,   352,   353,   354,   355,   356,   357,   210,   211,
     212,   213,   276,   451,   364,   365,     4,   451,   282,    88,
      89,    90,    91,    92,    93,  1882,  1883,  1884,  1885,   293,
    2646,  2647,  2648,  2649,   451,   299,   300,   301,   105,   106,
     107,   108,   109,   110,   111,   112,   310,   311,    88,    89,
      90,    91,    92,    93,   402,  2675,  2676,  2677,  2678,   298,
     408,   325,   451,   413,  2679,  2680,  2681,  2682,   451,  1656,
     334,   451,   336,   312,   451,   423,  1409,  1410,  1411,   207,
     208,   209,  1415,  1416,  1417,  1418,  1419,  1420,  1421,  1422,
    1423,  1424,  1425,  1426,  1427,  1428,   335,   327,   328,   329,
     330,   331,   332,   333,   451,   369,   451,   346,   316,   317,
     318,   375,     4,   377,   566,   567,   568,   569,   570,   571,
     384,   447,   249,   250,   251,   252,   253,   254,     4,   256,
     257,   258,   259,  2804,  2805,  2806,  2807,   401,   579,   580,
     581,   582,   583,   584,   380,  2730,  2731,  2732,  2733,   431,
     414,   451,   448,   374,   418,   447,   420,   421,   422,   448,
     424,   233,   234,   235,   385,   448,   387,   447,   432,   416,
     391,     3,   393,  2659,  2660,  2661,  2662,  2663,  2664,   418,
     447,   420,   370,   371,   372,   424,   425,   426,   427,   428,
     429,   430,   451,   414,   451,   451,   417,  2621,  2622,  2623,
    2624,  2625,  2626,  2627,  2628,  2629,  2630,  2631,  2632,  2633,
    2634,  2635,  2636,  2637,  2638,  2639,  2640,   456,  2665,  2666,
    2667,  2668,  2669,  2670,  2671,  2672,  2673,  2674,   467,  2770,
    2771,  2772,  2773,  3029,  2791,  2792,  2793,  2794,     3,   478,
     479,   480,   481,   482,   483,  2715,  2716,  2717,  2718,  2719,
    2720,  2721,  2722,  2723,  2724,  2725,  2726,  2727,  2728,  2729,
     451,  1594,  1614,  1615,  1616,  1617,  1618,  1619,  1620,  1621,
    1622,  1623,  1624,  1625,  1626,  1627,   778,   779,   780,   781,
     782,   783,   784,   785,   786,   787,   788,  1451,  1452,  1453,
    1454,  1455,  1456,  1457,  1458,  2603,  2604,  2605,  2606,  2607,
    2608,  2609,  2610,  2611,  2612,  2613,  2614,  2615,  2616,   426,
     427,   428,  1430,  1431,  1432,  1433,  2701,  2702,  2703,  2704,
    2705,  2706,  2707,  2708,  2709,  2710,  2711,  2712,  2713,  2714,
    1448,  1449,  1450,  2734,  2735,  2736,  2737,  2738,  2739,  2740,
    2741,  2742,  2743,  2744,  2745,  2746,  2747,  2748,  2749,  2750,
    2751,  2752,  2753,  2754,  2755,  2756,  2757,  2758,  2759,  2760,
    2761,  2762,  2338,  2339,  2340,  2341,  2342,  2343,  2344,  2345,
    2346,  2347,  2348,  2349,  2350,  2351,   507,   508,   509,   510,
     511,   512,   513,   514,   515,   812,   813,   814,   815,   816,
     817,   818,   819,   820,  2691,  2692,  2693,  2694,  2695,  2696,
    2697,  2698,  2699,   572,   573,   574,   575,   576,   577,   578,
    2763,  2764,  2765,  2766,  2767,  2768,  2769,  2780,  2781,  2782,
    2783,  2784,  2785,  2786,  2795,  2796,  2797,  2798,  2799,  2800,
    2801,  2618,  2619,  2620,  2650,  2651,  2652,   451,  2653,  2654,
    2655,  2685,  2686,  2687,   451,  2688,  2689,  2690,  2117,  2118,
    2119,   451,   451,   451,   451,   451,   451,   451,   451,   451,
     451,   451,   451,   447,   447,     3,   451,     4,     3,   447,
       4,     3,     3,   447,     4,     3,   447,     4,   447,   447,
     447,     4,   448,   447,   447,   447,   447,   447,   447,   447,
       3,   160,     4,   450,   450,   448,     4,   451,   450,   450,
     450,   450,   450,   450,   450,     4,   451,   451,   451,   451,
     451,   451,   451,   451,   451,   451,     3,     3,     3,   450,
       4,   451,   451,   451,   451,   451,   451,   451,   451,   451,
       4,   450,   450,   450,   450,   450,   450,   448,   448,   448,
     448,   448,   448,   448,   448,   448,   448,   448,   448,   448,
     448,   448,   448,   448,   448,   392,     4,   450,     4,   450,
     450,   450,   450,   450,   450,   450,   450,   450,   450,   450,
     450,   450,   450,   450,     3,   450,   450,   450,   450,   450,
     450,   450,   450,   450,   450,   450,   450,   450,     3,   451,
     447,   447,   450,     4,     3,   450,   450,   450,   450,   450,
     450,   450,   450,     4,   451,   451,   451,   451,   448,   448,
     448,   452,   448,   447,   447,   450,   447,   447,   447,   447,
     447,   104,   448,     3,    67,     4,     3,   452,   452,   452,
     452,   452,   452,   452,   452,   452,   452,   452,   452,   452,
     452,   452,   452,   447,   450,   448,   451,     3,   450,   450,
     450,   450,   450,   450,   450,   450,   450,   450,   450,   448,
     450,     4,   450,   450,   450,   450,   450,   450,   450,   450,
     450,   450,   450,   450,   450,   450,   448,   448,   448,   448,
     448,   448,   448,     3,   448,   448,   448,   448,   448,   448,
     448,   448,   448,   448,     4,     3,     3,   451,   451,   451,
     451,   451,   451,   451,   451,   451,   451,   451,   451,   451,
     451,   451,   451,     3,   451,   451,   451,   451,   451,   451,
     451,   451,   451,   451,   451,   451,   451,     4,   450,     4,
     451,     3,     3,   451,     4,   451,     3,   451,   451,     4,
     452,   451,   451,   451,   451,     3,   451,   451,     4,     4,
     450,   450,   450,   450,     4,   451,     4,     4,   450,   450,
     450,   450,   450,   450,   450,   450,   450,   450,   450,   450,
     450,   450,   450,   450,   450,   448,   447,   451,   448,   451,
     448,   447,   447,     4,   448,   447,   447,   447,     3,   448,
     448,   448,   448,   447,   447,   450,   448,   447,   447,   450,
     448,   448,   448,     3,     3,   448,   450,   452,   450,   450,
       3,   450,   452,   450,   450,   450,   450,   448,     3,   452,
       4,   450,   450,   450,   450,   450,     3,   450,     4,   450,
     450,   450,     4,   447,   452,   452,   452,   450,   450,   450,
     450,   450,   450,   450,   450,   450,   450,   450,   450,   450,
     450,   450,   450,   450,   450,   450,   450,   450,   450,   450,
     450,   450,   450,   448,   450,   452,   450,   450,   450,   450,
     450,   450,   450,   450,   450,   450,   450,   450,   450,     3,
     451,   451,   451,     3,     3,     3,     3,     3,     3,     3,
       3,     3,     3,     3,     3,     3,     3,     3,     3,     3,
       3,     3,     3,     3,     3,     3,     3,     3,     3,     3,
       3,     3,     3,     3,     3,     3,     3,     3,     3,     3,
       3,     3,     3,     3,     3,     3,     3,     3,     3,     3,
       3,     3,     3,     3,     3,     3,     3,     3,     3,     3,
       3,     3,     3,     3,     3,     3,     3,     3,     3,     3,
       3,     3,     3,     3,   448,     4,     3,     3,   448,     4,
       4,     4,   451,     3,   452,     4,   448,   448,   448,   448,
       4,     4,   448,   451,   451,   450,     4,   450,   450,   450,
     450,   450,   450,   450,   450,   450,   450,   450,   450,   450,
     447,   450,   448,   448,    20,     4,   450,   450,   450,   448,
     450,   452,     4,   450,     4,   450,   450,   447,   450,   450,
       4,     4,   174,     4,     4,   175,     4,     4,     4,     4,
       4,     4,     4,     4,     4,   190,     4,     4,   199,   190,
       4,     4,     4,     4,   190,   190,   190,   190,     4,     4,
       4,     4,     4,   400,     4,   302,   326,     4,   378,   419,
       4,     4,     4,   379,     4,     4,   450,     4,     4,     4,
     102,   102,     4,   451,     4,   450,   450,   450,     4,   451,
     448,     4,   448,     4,     4,     4,   451,   451,   451,   451,
     451,     4,   451,   451,   451,   451,   451,   451,   451,   451,
     451,   451,   451,   451,     4,     4,   451,   451,   451,   451,
     451,   451,   451,   451,   451,   451,   451,   451,     4,   451,
     451,  1913,  1914,   451,   451,  1917,  1918,  1919,  1920,  1921,
     451,     4,   451,   451,   451,     4,  1928,  1929,  1930,  1931,
    1932,  1933,   451,   451,  1936,   451,   451,  1939,   451,   451,
       4,     4,   451,     4,     4,  1947,  1948,   451,   451,  1951,
    1952,   451,   451,   451,  1956,   451,   451,  1959,  1960,   451,
    1962,     4,   451,  1965,  1966,  1967,     4,  1969,  1970,  1971,
    1972,     4,   451,   451,     4,   451,  1978,  1979,  1980,     4,
       4,     4,   451,  1985,  1986,  1987,  1988,   451,   451,   451,
     451,   451,   451,     4,  1996,     4,     4,   451,   451,   451,
    2002,  2003,  2004,     4,  2006,  2007,  2008,  2009,   451,   451,
     451,  2013,  2014,  2015,  2016,   451,   451,   451,   451,   451,
    2022,  2023,  2024,  2025,  2811,   451,   451,   451,  2030,   451,
       4,   451,  2034,  2035,   451,   451,  2038,   451,   451,   451,
     451,  2043,   451,  2045,   451,   451,   451,   451,  2050,   451,
     451,     4,     4,   451,   451,   451,   451,   451,     4,   451,
     451,  2063,  2064,   451,  2066,   451,     4,     4,   451,   451,
     451,  2073,   451,   451,     4,  2077,   451,  2079,  2080,  2081,
    2082,   451,   451,   451,   450,     4,   450,   450,     4,     4,
       4,   450,   450,   450,     4,     4,   587,   102,   450,   450,
     450,     3,   451,   451,   451,   451,   451,   451,   451,   451,
     451,   451,   451,   451,   451,   451,   451,   450,   450,   450,
     450,   450,   450,   450,   450,   450,     4,   450,   450,   450,
       4,     4,     4,  1892,   855,   898,  1462,  2112,  2105,   904,
     849,  2617,  2658,  2700,  2802,  2776,  2803,  2777,  1283,  2808,
      -1,    -1,    -1,    -1,    -1,   923,    -1,    -1,    62,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     413,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   450,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   450,    -1,   451,   451,   451,   447,   450,   450,
     447,   450,   447,    -1,   448,   447,   447,   447,   447,   447,
     447,   447,   447,   447,    -1,   448,   447,   447,   450,   447,
     447,   447,   447,   447,   447,    -1,   447,    -1,   447,   447,
     447,   447,   447,    -1,    -1,    -1,   448,    -1,    -1,   448,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   447,    -1,
      -1,   447,   447,    -1,    -1,    -1,    -1,  3027,   447,    -1,
     450,    -1,   450,   450,    -1,    -1,    -1,    -1,  3038,   450,
      -1,   450,   450,    -1,   450,   450,    -1,    -1,    -1,   450,
      -1,    -1,   450,    -1,    -1,    -1,   450,   450,    -1,   450,
      -1,   450,   450,   450,    -1,   450,   450,    -1,   450,    -1,
      -1,    -1,   450,   450,   450,   450,   450,    -1,   450,   450,
     450,   450,   450,   450,   450,   450,   450,   450,   450,   450,
      -1,    -1,   450,   450,   450,   450,   450,   450,   450,   450,
     450,   450,   450,   450,    -1,   450,   450,   450,   450,   450,
     450,   450,   450,   450,   450,   450,   450,    -1,   450,   450,
     450,    -1,   450,   450,   450,   450,   450,   450,   450,   450,
     450,   450,   450,   450,   450,   450,    -1,    -1,   450,    -1,
      -1,   450,   450,   450,   450,   450,   450,   450,   450,   450,
     450,   450,   450,   450,   450,   450,   450,    -1,   450,   450,
     450,   450,    -1,   450,   450,   450,   450,    -1,   450,   450,
      -1,   450,   450,   450,   450,    -1,    -1,    -1,   450,   450,
     450,   450,   450,   450,   450,   450,   450,   450,   450,    -1,
     450,    -1,    -1,   450,   450,  2809,  2810,   450,   450,    -1,
     450,   450,   450,   450,   450,   450,   450,   450,   450,   450,
     450,   450,   450,   450,   450,   450,   450,   450,   450,   450,
     450,   450,   450,   450,   450,   450,    -1,   450,   450,   450,
     450,   450,   450,   450,   450,   450,   450,   450,   450,   450,
     450,   450,   450,   450,   450,   450,   450,    -1,    -1,   450,
     450,   450,   450,   450,    -1,   450,   450,   450,   450,   450,
     450,   450,    -1,    -1,   450,   450,   450,   450,   450,   450,
      -1,   450,   450,   450,   450,   450,   450,   450,   450,   450,
     450,    -1,   450,   450,    -1,    -1,    -1,   450,   450,   450,
      -1,    -1,   450,   450,   450,   450,   447,    -1,   451,    -1,
     450,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3034
};

  /* YYSTOS[STATE-NUM] -- The (internal number of the) accessing
     symbol of state STATE-NUM.  */
static const yytype_int16 yystos[] =
{
       0,   454,   455,     0,   156,   448,   449,   448,   449,   448,
     450,   456,     5,     6,    57,    59,    64,    66,    85,    87,
      94,   346,   376,   388,   430,   457,     3,     3,     3,     3,
       3,     3,     3,     3,     3,     3,     3,     3,     3,     7,
       8,    10,    29,    30,    31,    32,    33,    34,    35,   255,
     287,   309,   351,   368,   382,   399,   417,   429,   439,   476,
     458,    13,    14,   396,   397,   595,   466,   460,   462,   464,
      88,    89,    90,    91,    92,    93,   712,    95,    99,   100,
     101,   736,    88,    89,    90,    91,    92,    93,   719,   468,
     387,   474,   470,   451,     3,     3,   451,   451,   451,   451,
     451,   451,     3,     3,     3,   451,     3,   451,   451,   451,
     451,   451,   451,     4,    43,    44,    45,    46,    47,    48,
      49,    50,    51,    52,    53,    54,    55,    56,   247,   296,
     297,   298,   313,   391,   561,   451,   451,   451,   451,     4,
      58,   701,    65,   605,    67,    84,   275,   635,    86,   692,
     451,   451,   451,   451,   451,   451,     4,   451,   451,   451,
     451,     4,   451,   451,   451,   451,   451,   451,     4,   447,
     472,   451,     4,   431,  1153,   447,   486,    13,    14,   510,
     448,   448,   448,    36,    37,   447,    11,    12,   744,    39,
      40,    41,    42,   158,   159,   536,   487,   288,   289,   290,
     291,   303,   304,   305,   306,   548,   744,   352,   353,   354,
     355,   356,   357,   364,   365,   413,   726,   744,   744,   744,
     416,   744,   447,   457,   451,   451,   451,   451,   451,   451,
     451,   451,   451,   451,   451,   451,   451,   451,   451,   451,
     451,   451,     3,     3,   459,   447,   447,   185,   186,   341,
     185,   186,   341,   398,   457,     3,     4,     3,     4,     3,
       3,   451,     4,     3,     4,   447,   447,   447,   447,   447,
     447,   457,    40,    96,    97,    98,   448,   447,   744,   457,
     447,   447,   447,   447,   447,   447,   457,   450,     4,   744,
     457,     3,     4,   450,   448,   508,   511,   512,     4,   450,
     450,   450,   450,   450,   450,   450,   451,   451,   451,   451,
     451,   451,     4,    43,    46,    59,   249,   250,   251,   252,
     253,   254,   256,   257,   258,   259,   494,   451,   451,   451,
     451,   451,     3,     3,     3,     4,   450,   451,   451,   451,
     451,   451,   451,   451,   451,   451,     4,   450,   450,   450,
     450,   450,   450,   448,   448,   448,   448,   448,   448,   448,
     448,   448,   448,   448,   448,   448,   448,   448,   448,   448,
     448,   580,   392,   589,     4,   450,   450,   450,   450,   450,
     450,   450,   450,   450,   702,   467,   606,   461,   636,   638,
     744,   463,   693,   465,   450,   450,   450,   450,   450,   450,
     450,   450,   450,   450,   450,   450,   450,   450,   450,   450,
     450,   450,   450,   473,   469,   450,  1154,   471,   477,   451,
       4,     3,     3,   476,   478,   479,   480,   481,   482,   483,
     485,    36,    37,    38,   157,    36,    37,   157,   744,   744,
     447,   447,   476,   450,   450,   450,   450,   450,   450,   450,
     450,   450,   451,   451,   451,   451,     4,   448,   448,   448,
      68,   292,   448,   555,   557,   559,   476,   488,   447,   447,
     447,   447,   447,   744,   447,   447,   448,   476,   489,   491,
     492,   490,   484,   493,   452,   452,   452,   452,   452,   452,
     452,   452,   452,   452,   452,   452,   452,   450,   452,   452,
     452,   452,   160,   582,     3,     4,   457,   596,   597,   599,
     598,   600,   602,   601,   604,   603,    60,    61,    62,    63,
     160,   704,   457,    60,    61,    63,    65,   160,   608,   457,
      22,    61,    73,    74,    75,    76,    77,   161,   162,   163,
     260,   261,   262,   265,   268,   269,   270,   271,   272,   347,
     348,   349,   350,   407,   415,   433,   646,   447,   641,   450,
     457,    61,    62,    63,   695,   457,   713,   714,   715,   716,
     717,   718,   738,   737,   739,   740,   741,   742,   743,   720,
     721,   722,   723,   724,   725,   472,   457,   475,    65,   175,
     197,   205,   206,  1156,   457,   476,   448,   476,    15,    16,
      17,    18,    19,   246,   386,   513,   513,   476,   476,   476,
     476,   476,   476,   476,   450,   450,   450,   450,   450,   450,
     450,   450,   450,   450,   450,   495,   496,   497,   498,   499,
     500,   501,   502,   503,   744,   744,   448,   744,   476,   450,
     450,   450,   450,   450,   450,   104,   626,   626,   626,   476,
     450,   450,   450,   450,   450,   450,   450,   450,   450,   476,
     476,   476,   476,   476,   476,   448,   448,   448,   448,   448,
     448,   448,   448,   448,   448,   448,   448,   448,   576,   448,
     448,   448,   448,     3,     4,   590,   561,   595,   595,   595,
     595,   595,   595,   595,   595,   595,   451,   451,     3,     3,
     451,     4,   451,   451,     3,   451,   451,     4,   451,   451,
     451,   451,   451,     3,     3,   451,   451,   451,   451,   451,
       3,   451,   451,   451,   451,   451,   451,   451,   451,   451,
     451,   451,   451,   451,     4,   450,     4,   640,   451,     3,
       3,     4,   712,   712,   712,   712,   712,   712,   736,   736,
     736,   736,   736,   736,   736,   719,   719,   719,   719,   719,
     719,   474,   451,   451,     3,   451,   451,     4,   452,   451,
     451,   451,   451,     3,   451,   451,     4,     4,   537,   538,
     539,   540,   543,   544,   545,   542,   547,   541,   546,   494,
     494,   494,   494,   494,   494,   494,   494,   494,   450,   450,
     450,   450,   549,   550,   551,   552,   553,   554,   451,     4,
       4,     4,   727,   728,   731,   732,   733,   734,   729,   730,
     735,   450,   450,   450,   450,   450,   450,   450,   450,   450,
     450,   450,   450,   450,   561,   450,   450,   450,   450,   583,
     581,    20,   160,   592,   448,   447,   708,   710,   448,   703,
     448,   447,   613,   447,   448,   607,    68,    69,    70,    71,
      72,   676,   447,   744,   744,   447,   651,    78,    79,    80,
      81,    82,   308,   677,   744,   744,   744,   447,   744,    67,
     643,    98,   266,   267,   273,   448,   448,   448,   448,   447,
     744,   447,   744,   744,   744,   744,   448,   637,   642,   639,
     635,   447,   697,   699,   694,   447,    80,   176,  1174,    20,
      21,    22,    23,    24,    26,    27,    28,   243,   244,   363,
     207,   208,   209,  1155,   448,   744,   448,   744,   448,   518,
     744,   744,   510,   510,   536,   536,   536,   536,   536,   536,
     536,   536,   536,   536,   536,   504,   505,   506,   507,   548,
     548,   548,   548,   548,   548,   105,   106,   107,   108,   109,
     110,   111,   112,   556,   558,   560,   726,   726,   726,   726,
     726,   726,   726,   726,   726,   562,   563,   564,   569,   570,
     566,   565,   568,   567,   572,   571,   574,   573,   575,   577,
     578,   579,    20,    68,   191,   585,   561,   451,   451,     4,
     450,   450,     9,    83,   113,   114,   115,   116,   117,   118,
     119,   120,   121,   122,   123,   124,   125,   126,   127,   128,
     129,   130,   131,   132,   133,   134,   135,   136,   137,   138,
     139,   140,   141,   142,   143,   144,   145,   146,   147,   148,
     149,   150,   151,   152,   153,   154,   155,   214,   242,   263,
     264,   276,   282,   293,   299,   300,   301,   310,   311,   325,
     334,   336,   369,   375,   377,   384,   401,   414,   418,   420,
     421,   422,   424,   432,   690,   745,   746,   763,   765,   767,
     769,   771,   775,   777,   779,   785,   808,   810,   812,   814,
     816,   818,   820,   822,   824,   826,   834,   841,   843,   849,
     855,   857,   862,   866,   875,   877,   879,   881,   883,   896,
     903,   910,   915,   921,   927,   939,   946,   950,   967,   985,
     987,   994,  1026,  1028,  1030,  1032,  1042,  1049,  1053,  1058,
    1060,  1064,  1068,  1070,  1075,  1085,  1101,  1118,  1120,  1127,
    1137,  1141,  1143,  1145,  1147,  1151,  1180,    68,   103,   615,
     452,   701,   450,   450,   615,   450,   452,   605,   450,   450,
     450,   450,   450,   448,   674,     3,     3,     3,     3,   448,
       3,     4,   450,   450,   450,   450,   450,     3,     4,   450,
     450,   450,   450,   452,   452,   452,   452,   450,   450,   450,
     450,   450,   450,   450,   450,   635,   641,   635,   450,   690,
     615,   692,   450,   450,   450,    75,   190,  1176,   450,   450,
     450,   450,   450,   450,   450,   450,   450,   450,   450,   450,
     450,   450,  1153,   452,   450,   450,   450,   450,    20,    21,
      22,    23,    24,    25,    26,    27,    28,   243,   244,   245,
     358,   363,   521,   450,   450,   494,   494,   494,   494,   450,
     450,   450,   450,   450,   450,   450,   450,   548,   548,   548,
     561,   561,   561,   561,   561,   561,   561,   561,   561,   561,
     561,   561,   561,   561,   561,   561,   561,   451,   451,   451,
       4,   447,   448,   591,   705,   706,     3,     3,     3,     3,
       3,     3,     3,     3,     3,     3,     3,     3,     3,     3,
       3,     3,     3,     3,     3,     3,     3,     3,     3,     3,
       3,     3,     3,     3,     3,     3,     3,     3,     3,     3,
       3,     3,     3,     3,     3,     3,     3,     3,     3,     3,
       3,     3,     3,     3,     3,     3,     3,     3,     3,     3,
       3,     3,     3,     3,     3,     3,     3,     3,     3,     3,
       3,     3,     3,     3,     3,     3,     3,     3,     4,   690,
       3,     3,     4,   448,   609,   610,     4,   612,   448,   647,
     648,   650,   652,   649,   451,     4,   678,   680,   682,   684,
       3,   688,   646,   653,   654,   655,   656,   657,   644,   646,
     665,   663,   664,   666,   448,   448,   448,   448,   662,   668,
     667,   669,   670,   671,   672,   673,   696,     4,     4,  1157,
    1172,  1173,   451,   451,     4,  1158,  1159,  1163,  1167,  1164,
    1161,  1160,  1162,  1165,  1166,  1171,  1168,  1169,  1170,   448,
     514,   515,   516,   517,   450,   450,   450,   450,   450,   450,
     450,   450,   450,   450,   450,   450,   450,   450,     4,   519,
     520,   627,   628,   629,   630,   631,   632,   633,   634,   447,
     448,   448,   584,   450,   450,   589,   704,   704,   747,   691,
     764,   766,   768,   770,   772,   776,   778,   780,   786,   809,
     811,   813,   815,   817,   819,   821,   823,   825,   827,   835,
     842,   844,   850,   856,   858,   863,   867,   876,   878,   880,
     882,   884,   897,   904,   911,   916,   922,   928,   947,   951,
     968,   986,   988,   995,  1027,  1029,  1031,  1033,  1043,  1054,
    1059,  1061,  1065,  1069,  1071,  1076,  1086,  1119,  1121,  1128,
    1050,  1138,   940,  1102,  1142,  1144,  1146,  1148,  1152,  1181,
     709,   616,   620,   711,   450,   608,   608,   614,   608,   450,
     646,   646,   646,   646,   646,   448,   646,   690,   690,   690,
     690,   686,    20,   646,   646,   646,   646,   646,   646,   646,
     646,   646,   646,   450,   450,   450,   450,   646,   646,   646,
     646,   646,   646,   646,   646,   695,   698,   700,  1156,  1156,
    1156,   447,   210,   211,  1175,  1156,  1156,  1156,  1156,  1156,
    1156,  1156,  1156,  1156,  1156,  1156,  1156,  1156,  1156,   450,
     513,   513,   513,   513,   522,   523,   524,   525,   526,   527,
     528,   529,   530,   531,   532,   533,   534,   535,   513,   513,
     513,   626,   626,   626,   626,   626,   626,   626,   626,   450,
     452,   452,   582,   594,   593,   164,   165,   166,   167,   170,
     172,   173,   274,   374,   383,   748,     4,     4,     4,     4,
       4,   174,   773,     4,     4,   175,   781,   178,   179,   180,
     181,   182,   183,   184,   187,   189,   402,   408,   423,   787,
       4,     4,     4,     4,     4,     4,     4,     4,     4,    72,
     190,   828,   190,   836,     4,   197,   434,   438,   845,   197,
     434,   438,   851,     4,   190,   859,   199,   864,   190,   200,
     201,   868,     4,     4,     4,     4,     5,   167,   170,   172,
     183,   274,   885,   248,   286,   335,   367,   898,   190,   905,
     190,   912,   181,   183,   202,   917,   190,   923,    23,   166,
     183,   203,   204,   444,   929,   190,   948,   205,   206,   952,
     183,   190,   197,   314,   315,   319,   322,   323,   324,   969,
       4,   166,   183,   203,   204,   989,    22,   217,   224,   225,
     226,   227,   228,   229,   230,   231,   232,   236,   237,   238,
     239,   240,   241,   379,   996,     4,     4,     4,   183,   277,
     278,   279,   280,   281,   366,  1034,   183,   283,   284,  1044,
     294,   295,  1055,     4,   400,  1062,   302,  1066,     4,   217,
     312,  1072,   326,  1077,    43,    46,    59,   249,   250,   251,
     252,   253,   254,   256,   257,   258,   259,  1087,     4,   190,
     373,  1122,   425,   440,   443,  1129,   378,  1051,   419,  1139,
     166,   183,   203,   204,   941,    20,    21,    22,    23,    24,
      25,    26,    27,    28,   243,   244,   245,   358,   363,  1103,
       4,     4,     4,   379,  1149,     4,     4,   704,   102,   102,
     704,   707,   608,   611,   450,     4,     4,     4,     4,   690,
     451,     4,   658,   659,   660,   661,   695,   695,   450,   450,
     450,  1156,   509,   521,   521,   521,   521,   521,   521,   521,
     521,   521,   521,   521,   521,   521,   521,   588,   448,   448,
     592,   592,   451,   451,   451,   451,   451,   451,   451,   451,
     451,   451,     4,   690,   451,     4,   451,     4,   451,   451,
     451,   451,   451,   451,   451,   451,   451,   451,   451,   451,
       4,   451,   451,     4,   451,     4,   451,   451,   451,     4,
     451,   451,   451,     4,   451,     4,   451,     4,   451,   451,
     451,     4,   451,   451,   451,   451,   451,   451,     4,   451,
     451,   451,   451,     4,   451,     4,   451,     4,   451,   451,
     451,     4,   451,     4,   451,   451,   451,   451,   451,   451,
       4,   451,     4,   451,   451,     4,   451,   451,   451,   451,
     451,   451,   451,   451,   451,     4,   451,   451,   451,   451,
       4,   451,   451,   451,   451,   451,   451,   451,   451,   451,
     451,   451,   451,   451,   451,   451,   451,   451,   451,     4,
     451,   451,   451,   451,   451,   451,   451,     4,   451,   451,
     451,     4,   451,   451,     4,   451,     4,   451,     4,   451,
     451,     4,   451,     4,   450,   450,   450,   450,   450,   450,
     450,   450,   450,   451,   451,   451,   451,     4,   451,   451,
       4,   451,   451,   451,     4,   451,     4,   451,     4,   451,
     451,   451,   451,     4,   450,   450,   450,   450,   450,   450,
     450,   450,   450,   450,   450,   450,   450,   450,     4,   451,
       4,   451,   451,   704,   608,   675,   679,   681,   683,   685,
       4,   447,   645,   646,   646,   646,   646,  1177,  1178,  1179,
     508,   585,   450,   450,   447,   744,   744,    33,    68,   168,
     169,   171,   447,   744,   744,   744,   744,   744,   448,    80,
     176,   177,   744,   744,   744,   744,   744,   744,    68,   185,
     186,    68,   188,   744,   185,   186,   403,   409,   410,   411,
     412,   744,   447,   191,   192,   193,   194,    13,    14,   195,
     196,   447,   744,   744,   447,   744,   744,    68,   198,   744,
      13,    14,   195,   196,   744,   744,   744,    33,    68,   168,
     169,   171,   447,   744,   744,   744,   744,   744,   744,   744,
      13,    14,   195,   196,    13,    14,   744,   744,   744,   404,
     405,   406,   447,   744,   744,   744,   744,   321,   341,   445,
     446,   447,    20,    21,    22,    23,    24,    26,    27,    28,
     243,   244,   363,   207,   208,   209,   744,   210,   211,   212,
     213,   447,   447,   316,   317,   318,   320,   321,   744,   744,
     744,   744,   744,   744,   744,   215,   216,   217,   218,   219,
     220,   221,   222,   223,   380,   447,   744,   744,   744,   744,
     448,   447,   447,   447,   233,   234,   235,   744,   744,   744,
     744,   447,   447,   447,   744,   447,   447,   447,   744,   744,
     447,   744,   447,   191,   267,   447,   744,   744,   447,   447,
     744,   327,   328,   329,   330,   331,   332,   333,  1088,  1089,
    1090,  1091,  1092,  1093,  1094,  1095,  1096,   744,   744,   448,
     744,   370,   371,   372,   448,   426,   427,   428,   318,   441,
     442,   744,   447,   744,   744,   744,   744,   744,  1104,  1105,
    1106,  1107,  1108,  1109,  1110,  1111,  1112,  1113,  1114,  1115,
    1116,  1117,   447,   447,   447,   674,   677,   677,   677,   677,
     687,   450,   643,  1176,  1176,  1176,   586,   587,   450,   450,
     450,   450,   450,   450,   450,   450,   450,   450,   450,   450,
     450,   450,   450,   450,   450,   450,   450,   450,   450,   450,
     450,   450,   450,   450,   450,   450,   450,   450,   450,   450,
     450,   450,   450,   450,   450,   450,   450,   450,   450,   450,
     450,   450,   450,   450,   450,   450,   450,   450,   450,   450,
     450,   450,   450,   450,   450,   450,   450,   450,   450,   450,
     450,   450,   450,   450,   450,   450,   450,   450,   450,   450,
     450,   450,   450,   450,   450,   450,   450,   450,   450,   450,
     450,   450,   450,   450,   450,   450,   450,   450,   450,   450,
     450,   450,   450,   450,   450,   450,   450,   450,   450,   450,
     450,   450,   450,   450,   450,   450,   450,   450,   450,   450,
     450,   450,   450,   450,   450,   450,   450,   450,   450,   450,
     450,   450,   450,   450,   450,   450,   450,   450,   450,   450,
     450,   450,   450,   450,   450,   450,   450,   450,   450,   450,
     450,   450,   450,   450,   450,   450,   450,   450,   450,   450,
     450,   450,   450,   450,   450,   450,   450,   450,   450,   450,
     450,   450,   450,   450,   450,   450,   450,   450,   450,   450,
     450,   450,   450,   450,   450,   450,   450,   450,   450,   450,
     450,   450,  1087,  1087,  1087,  1087,  1087,  1087,  1087,  1087,
    1087,   450,   450,   450,   450,   450,   450,   450,   450,   450,
     450,   450,   450,   450,   450,   450,   450,   450,   450,   450,
     450,   450,  1103,  1103,  1103,  1103,  1103,  1103,  1103,  1103,
    1103,  1103,  1103,  1103,  1103,  1103,   450,   450,   450,   677,
      62,   585,   585,   749,   750,   751,   752,   756,   753,   754,
     755,   757,   758,   759,   760,   761,   762,   774,   782,   783,
     784,   788,   789,   790,   791,   792,   793,   796,   794,   795,
     797,   798,   799,   802,   800,   801,   804,   805,   806,   803,
     807,   829,   830,   831,   832,   833,   837,   838,   839,   840,
     846,   847,   848,   852,   853,   854,   860,   861,   865,   869,
     870,   871,   872,   873,   874,   892,   886,   890,   887,   888,
     889,   891,   894,   893,   895,   899,   900,   901,   902,   906,
     907,   908,   909,   913,   914,   918,   920,   919,   924,   925,
     926,   938,   932,   933,   930,   931,   935,   934,   936,   937,
     949,   953,   954,   958,   962,   959,   956,   955,   957,   960,
     961,   966,   963,   964,   965,   970,   971,   972,   973,   974,
     975,   976,   977,   978,   979,   981,   980,   982,   983,   984,
     992,   993,   990,   991,   997,   998,   999,  1000,  1001,  1002,
    1003,  1004,  1005,  1006,  1012,  1007,  1008,  1009,  1010,  1011,
    1013,  1014,  1015,  1016,  1017,  1018,  1019,  1020,  1021,  1022,
    1023,  1024,  1025,  1035,  1036,  1037,  1038,  1039,  1040,  1041,
    1045,  1046,  1047,  1048,  1056,  1057,  1063,  1067,  1074,  1073,
    1078,  1079,  1080,  1081,  1082,  1083,  1084,  1097,  1098,  1099,
    1100,  1123,  1124,  1125,  1126,  1130,  1131,  1132,  1133,  1134,
    1135,  1136,  1052,  1140,   944,   945,   942,   943,  1150,   617,
     621,     3,   748,   748,   748,   748,   748,   748,   748,   748,
     748,   748,   748,   748,   748,   748,   773,   781,   781,   781,
     787,   787,   787,   787,   787,   787,   787,   787,   787,   787,
     787,   787,   787,   787,   787,   787,   787,   787,   787,   787,
     828,   828,   828,   828,   828,   836,   836,   836,   836,   845,
     845,   845,   851,   851,   851,   859,   859,   864,   868,   868,
     868,   868,   868,   868,   885,   885,   885,   885,   885,   885,
     885,   885,   885,   885,   898,   898,   898,   898,   905,   905,
     905,   905,   912,   912,   917,   917,   917,   923,   923,   923,
     929,   929,   929,   929,   929,   929,   929,   929,   929,   948,
     952,   952,   952,   952,   952,   952,   952,   952,   952,   952,
     952,   952,   952,   952,   969,   969,   969,   969,   969,   969,
     969,   969,   969,   969,   969,   969,   969,   969,   969,   989,
     989,   989,   989,   996,   996,   996,   996,   996,   996,   996,
     996,   996,   996,   996,   996,   996,   996,   996,   996,   996,
     996,   996,   996,   996,   996,   996,   996,   996,   996,   996,
     996,   996,  1034,  1034,  1034,  1034,  1034,  1034,  1034,  1044,
    1044,  1044,  1044,  1055,  1055,  1062,  1066,  1072,  1072,  1077,
    1077,  1077,  1077,  1077,  1077,  1077,  1087,  1087,  1087,  1087,
    1122,  1122,  1122,  1122,  1129,  1129,  1129,  1129,  1129,  1129,
    1129,  1051,  1139,   941,   941,   941,   941,  1149,   626,   626,
     690,   618,   622,     4,     4,   102,     4,   619,   451,   689,
     615,   447,   677,   450,   623,   626,   624,     4,   625,   615
};

  /* YYR1[YYN] -- Symbol number of symbol that rule YYN derives.  */
static const yytype_int16 yyr1[] =
{
       0,   453,   455,   456,   454,   457,   458,   459,   457,   457,
     460,   461,   457,   462,   463,   457,   464,   465,   457,   466,
     467,   457,   457,   457,   457,   457,   468,   469,   457,   470,
     471,   457,   457,   473,   472,   472,   475,   474,   474,   477,
     476,   478,   476,   479,   476,   480,   476,   476,   481,   476,
     482,   476,   483,   476,   484,   476,   485,   476,   476,   486,
     476,   487,   476,   476,   488,   476,   489,   476,   490,   476,
     491,   476,   492,   476,   476,   493,   476,   476,   495,   494,
     496,   494,   497,   494,   498,   494,   499,   494,   500,   494,
     501,   494,   502,   494,   503,   494,   504,   494,   505,   494,
     506,   494,   507,   494,   494,   509,   508,   508,   511,   510,
     512,   510,   510,   514,   513,   515,   513,   516,   513,   517,
     513,   518,   513,   519,   513,   520,   513,   513,   522,   521,
     523,   521,   524,   521,   525,   521,   526,   521,   527,   521,
     528,   521,   529,   521,   530,   521,   531,   521,   532,   521,
     533,   521,   534,   521,   535,   521,   521,   537,   536,   538,
     536,   539,   536,   540,   536,   541,   536,   542,   536,   543,
     536,   544,   536,   545,   536,   546,   536,   547,   536,   536,
     549,   548,   550,   548,   551,   548,   552,   548,   553,   548,
     554,   548,   555,   556,   548,   557,   558,   548,   559,   560,
     548,   548,   562,   561,   563,   561,   564,   561,   565,   561,
     566,   561,   567,   561,   568,   561,   569,   561,   570,   561,
     571,   561,   572,   561,   573,   561,   574,   561,   575,   561,
     576,   561,   577,   561,   578,   561,   579,   561,   580,   581,
     561,   561,   561,   583,   584,   582,   582,   586,   585,   587,
     585,   588,   585,   585,   590,   591,   589,   589,   593,   592,
     594,   592,   592,   596,   595,   597,   595,   598,   595,   599,
     595,   600,   595,   601,   595,   602,   595,   603,   595,   604,
     595,   595,   606,   607,   605,   605,   609,   608,   610,   608,
     611,   608,   612,   608,   613,   614,   608,   608,   616,   617,
     618,   619,   615,   620,   621,   622,   623,   624,   625,   615,
     615,   627,   626,   628,   626,   629,   626,   630,   626,   631,
     626,   632,   626,   633,   626,   634,   626,   626,   636,   637,
     635,   638,   639,   635,   640,   635,   635,   642,   641,   641,
     644,   645,   643,   643,   647,   646,   648,   646,   649,   646,
     650,   646,   651,   646,   652,   646,   653,   646,   654,   646,
     655,   646,   646,   656,   646,   657,   646,   646,   658,   646,
     659,   646,   660,   646,   661,   646,   662,   646,   663,   646,
     664,   646,   665,   646,   666,   646,   667,   646,   668,   646,
     669,   646,   670,   646,   671,   646,   672,   646,   673,   646,
     646,   675,   674,   674,   676,   676,   676,   676,   676,   678,
     679,   677,   680,   681,   677,   682,   683,   677,   684,   685,
     677,   686,   687,   677,   688,   689,   677,   677,   690,   690,
     690,   691,   693,   694,   692,   692,   696,   695,   697,   698,
     695,   699,   700,   695,   695,   702,   703,   701,   701,   705,
     704,   706,   704,   707,   704,   708,   709,   704,   710,   711,
     704,   704,   713,   712,   714,   712,   715,   712,   716,   712,
     717,   712,   718,   712,   712,   720,   719,   721,   719,   722,
     719,   723,   719,   724,   719,   725,   719,   719,   727,   726,
     728,   726,   729,   726,   730,   726,   731,   726,   732,   726,
     733,   726,   734,   726,   735,   726,   726,   737,   736,   738,
     736,   739,   736,   740,   736,   741,   736,   742,   736,   743,
     736,   736,   744,   744,   745,   745,   745,   745,   745,   745,
     745,   745,   745,   745,   745,   745,   745,   745,   745,   745,
     745,   745,   745,   745,   745,   745,   745,   745,   745,   745,
     745,   745,   745,   745,   745,   745,   745,   745,   745,   745,
     745,   745,   745,   745,   745,   745,   745,   745,   745,   745,
     745,   745,   745,   745,   745,   745,   745,   745,   745,   745,
     745,   745,   745,   745,   745,   745,   745,   745,   745,   745,
     745,   745,   745,   745,   745,   747,   746,   749,   748,   750,
     748,   751,   748,   752,   748,   753,   748,   754,   748,   755,
     748,   756,   748,   757,   748,   758,   748,   759,   748,   760,
     748,   761,   748,   762,   748,   748,   764,   763,   766,   765,
     768,   767,   770,   769,   772,   771,   774,   773,   773,   776,
     775,   778,   777,   780,   779,   782,   781,   783,   781,   784,
     781,   781,   786,   785,   788,   787,   789,   787,   790,   787,
     791,   787,   792,   787,   793,   787,   794,   787,   795,   787,
     796,   787,   797,   787,   798,   787,   799,   787,   800,   787,
     801,   787,   802,   787,   803,   787,   804,   787,   805,   787,
     806,   787,   807,   787,   787,   809,   808,   811,   810,   813,
     812,   815,   814,   817,   816,   819,   818,   821,   820,   823,
     822,   825,   824,   827,   826,   829,   828,   830,   828,   831,
     828,   832,   828,   833,   828,   828,   835,   834,   837,   836,
     838,   836,   839,   836,   840,   836,   836,   842,   841,   844,
     843,   846,   845,   847,   845,   848,   845,   845,   850,   849,
     852,   851,   853,   851,   854,   851,   851,   856,   855,   858,
     857,   860,   859,   861,   859,   859,   863,   862,   865,   864,
     864,   867,   866,   869,   868,   870,   868,   871,   868,   872,
     868,   873,   868,   874,   868,   868,   876,   875,   878,   877,
     880,   879,   882,   881,   884,   883,   886,   885,   887,   885,
     888,   885,   889,   885,   890,   885,   891,   885,   892,   885,
     893,   885,   894,   885,   895,   885,   885,   897,   896,   899,
     898,   900,   898,   901,   898,   902,   898,   898,   904,   903,
     906,   905,   907,   905,   908,   905,   909,   905,   905,   911,
     910,   913,   912,   914,   912,   912,   916,   915,   918,   917,
     919,   917,   920,   917,   917,   922,   921,   924,   923,   925,
     923,   926,   923,   923,   928,   927,   930,   929,   931,   929,
     932,   929,   933,   929,   934,   929,   935,   929,   936,   929,
     937,   929,   938,   929,   929,   940,   939,   942,   941,   943,
     941,   944,   941,   945,   941,   941,   947,   946,   949,   948,
     948,   951,   950,   953,   952,   954,   952,   955,   952,   956,
     952,   957,   952,   958,   952,   959,   952,   960,   952,   961,
     952,   962,   952,   963,   952,   964,   952,   965,   952,   966,
     952,   952,   968,   967,   970,   969,   971,   969,   972,   969,
     973,   969,   974,   969,   975,   969,   976,   969,   977,   969,
     978,   969,   979,   969,   980,   969,   981,   969,   982,   969,
     983,   969,   984,   969,   969,   986,   985,   988,   987,   990,
     989,   991,   989,   992,   989,   993,   989,   989,   995,   994,
     997,   996,   998,   996,   999,   996,  1000,   996,  1001,   996,
    1002,   996,  1003,   996,  1004,   996,  1005,   996,  1006,   996,
    1007,   996,  1008,   996,  1009,   996,  1010,   996,  1011,   996,
    1012,   996,  1013,   996,  1014,   996,  1015,   996,  1016,   996,
    1017,   996,  1018,   996,  1019,   996,  1020,   996,  1021,   996,
    1022,   996,  1023,   996,  1024,   996,  1025,   996,   996,  1027,
    1026,  1029,  1028,  1031,  1030,  1033,  1032,  1035,  1034,  1036,
    1034,  1037,  1034,  1038,  1034,  1039,  1034,  1040,  1034,  1041,
    1034,  1034,  1043,  1042,  1045,  1044,  1046,  1044,  1047,  1044,
    1048,  1044,  1044,  1050,  1049,  1052,  1051,  1051,  1054,  1053,
    1056,  1055,  1057,  1055,  1055,  1059,  1058,  1061,  1060,  1063,
    1062,  1062,  1065,  1064,  1067,  1066,  1066,  1069,  1068,  1071,
    1070,  1073,  1072,  1074,  1072,  1072,  1076,  1075,  1078,  1077,
    1079,  1077,  1080,  1077,  1081,  1077,  1082,  1077,  1083,  1077,
    1084,  1077,  1077,  1086,  1085,  1088,  1087,  1089,  1087,  1090,
    1087,  1091,  1087,  1092,  1087,  1093,  1087,  1094,  1087,  1095,
    1087,  1096,  1087,  1097,  1087,  1098,  1087,  1099,  1087,  1100,
    1087,  1087,  1102,  1101,  1104,  1103,  1105,  1103,  1106,  1103,
    1107,  1103,  1108,  1103,  1109,  1103,  1110,  1103,  1111,  1103,
    1112,  1103,  1113,  1103,  1114,  1103,  1115,  1103,  1116,  1103,
    1117,  1103,  1103,  1119,  1118,  1121,  1120,  1123,  1122,  1124,
    1122,  1125,  1122,  1126,  1122,  1122,  1128,  1127,  1130,  1129,
    1131,  1129,  1132,  1129,  1133,  1129,  1134,  1129,  1135,  1129,
    1136,  1129,  1129,  1138,  1137,  1140,  1139,  1139,  1142,  1141,
    1144,  1143,  1146,  1145,  1148,  1147,  1150,  1149,  1149,  1152,
    1151,  1154,  1155,  1153,  1153,  1157,  1156,  1158,  1156,  1159,
    1156,  1160,  1156,  1161,  1156,  1162,  1156,  1163,  1156,  1164,
    1156,  1165,  1156,  1166,  1156,  1167,  1156,  1168,  1156,  1169,
    1156,  1170,  1156,  1171,  1156,  1172,  1156,  1173,  1156,  1174,
    1175,  1156,  1156,  1177,  1176,  1178,  1176,  1179,  1176,  1176,
    1181,  1180
};

  /* YYR2[YYN] -- Number of symbols on the right hand side of rule YYN.  */
static const yytype_int8 yyr2[] =
{
       0,     2,     0,     0,    10,     5,     0,     0,     7,     5,
       0,     0,     7,     0,     0,     7,     0,     0,     7,     0,
       0,     7,     5,     5,     5,     5,     0,     0,     7,     0,
       0,     7,     0,     0,     4,     0,     0,     6,     0,     0,
       6,     0,     6,     0,     6,     0,     6,     5,     0,     6,
       0,     6,     0,     6,     0,     6,     0,     6,     5,     0,
       6,     0,     6,     5,     0,     6,     0,     6,     0,     6,
       0,     6,     0,     6,     5,     0,     6,     0,     0,     4,
       0,     4,     0,     4,     0,     4,     0,     4,     0,     4,
       0,     4,     0,     4,     0,     4,     0,     6,     0,     6,
       0,     6,     0,     6,     0,     0,    10,     0,     0,     6,
       0,     6,     0,     0,     6,     0,     6,     0,     6,     0,
       6,     0,     6,     0,     6,     0,     6,     0,     0,     4,
       0,     4,     0,     4,     0,     4,     0,     4,     0,     4,
       0,     4,     0,     4,     0,     4,     0,     4,     0,     4,
       0,     4,     0,     4,     0,     4,     0,     0,     6,     0,
       6,     0,     6,     0,     6,     0,     6,     0,     6,     0,
       6,     0,     6,     0,     6,     0,     6,     0,     6,     0,
       0,     6,     0,     6,     0,     6,     0,     6,     0,     6,
       0,     6,     0,     0,     7,     0,     0,     7,     0,     0,
       7,     0,     0,     8,     0,     8,     0,     8,     0,     8,
       0,     8,     0,     8,     0,     8,     0,     8,     0,     8,
       0,     8,     0,     8,     0,     8,     0,     8,     0,     8,
       0,     6,     0,     8,     0,     8,     0,     8,     0,     0,
       7,     5,     0,     0,     0,     7,     0,     0,     8,     0,
       8,     0,     6,     0,     0,     0,     7,     0,     0,     6,
       0,     6,     0,     0,     6,     0,     6,     0,     6,     0,
       6,     0,     6,     0,     6,     0,     6,     0,     6,     0,
       6,     0,     0,     0,     7,     0,     0,     6,     0,     6,
       0,     8,     0,     6,     0,     0,     7,     0,     0,     0,
       0,     0,    13,     0,     0,     0,     0,     0,     0,    20,
       0,     0,     6,     0,     6,     0,     6,     0,     6,     0,
       6,     0,     6,     0,     6,     0,     6,     0,     0,     0,
       7,     0,     0,     7,     0,     6,     0,     0,     4,     0,
       0,     0,     7,     0,     0,     6,     0,     6,     0,     6,
       0,     6,     0,     6,     0,     6,     0,     6,     0,     6,
       0,     6,     5,     0,     6,     0,     6,     5,     0,     8,
       0,     8,     0,     8,     0,     8,     0,     6,     0,     6,
       0,     6,     0,     6,     0,     6,     0,     6,     0,     6,
       0,     6,     0,     6,     0,     6,     0,     6,     0,     6,
       0,     0,     6,     0,     1,     1,     1,     1,     1,     0,
       0,     7,     0,     0,     7,     0,     0,     7,     0,     0,
       7,     0,     0,     8,     0,     0,    14,     0,     2,     5,
       0,     0,     0,     0,     7,     0,     0,     6,     0,     0,
       7,     0,     0,     7,     0,     0,     0,     7,     0,     0,
       6,     0,     6,     0,     8,     0,     0,     7,     0,     0,
       7,     0,     0,     6,     0,     6,     0,     6,     0,     6,
       0,     6,     0,     6,     0,     0,     6,     0,     6,     0,
       6,     0,     6,     0,     6,     0,     6,     0,     0,     6,
       0,     6,     0,     6,     0,     6,     0,     6,     0,     6,
       0,     6,     0,     6,     0,     6,     0,     0,     6,     0,
       6,     0,     6,     0,     6,     0,     6,     0,     6,     0,
       6,     0,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     0,     5,     0,     6,     0,
       6,     0,     6,     0,     6,     0,     6,     0,     6,     0,
       6,     0,     6,     0,     6,     0,     6,     0,     6,     0,
       6,     0,     6,     0,     6,     0,     0,     4,     0,     4,
       0,     4,     0,     4,     0,     5,     0,     6,     0,     0,
       4,     0,     4,     0,     5,     0,     6,     0,     6,     0,
       6,     0,     0,     5,     0,     6,     0,     6,     0,     6,
       0,     6,     0,     6,     0,     6,     0,     6,     0,     6,
       0,     6,     0,     6,     0,     6,     0,     6,     0,     6,
       0,     6,     0,     6,     0,     6,     0,     6,     0,     6,
       0,     6,     0,     6,     0,     0,     4,     0,     4,     0,
       4,     0,     4,     0,     4,     0,     4,     0,     4,     0,
       4,     0,     4,     0,     5,     0,     6,     0,     6,     0,
       6,     0,     6,     0,     6,     0,     0,     5,     0,     6,
       0,     6,     0,     6,     0,     6,     0,     0,     4,     0,
       5,     0,     6,     0,     6,     0,     6,     0,     0,     5,
       0,     6,     0,     6,     0,     6,     0,     0,     4,     0,
       5,     0,     6,     0,     6,     0,     0,     5,     0,     6,
       0,     0,     5,     0,     6,     0,     6,     0,     6,     0,
       6,     0,     6,     0,     6,     0,     0,     4,     0,     4,
       0,     4,     0,     4,     0,     5,     0,     6,     0,     6,
       0,     6,     0,     6,     0,     6,     0,     6,     0,     6,
       0,     6,     0,     6,     0,     6,     0,     0,     5,     0,
       6,     0,     6,     0,     6,     0,     6,     0,     0,     5,
       0,     6,     0,     6,     0,     6,     0,     6,     0,     0,
       5,     0,     6,     0,     6,     0,     0,     5,     0,     6,
       0,     6,     0,     6,     0,     0,     5,     0,     6,     0,
       6,     0,     6,     0,     0,     5,     0,     6,     0,     6,
       0,     6,     0,     6,     0,     6,     0,     6,     0,     6,
       0,     6,     0,     6,     0,     0,     5,     0,     6,     0,
       6,     0,     6,     0,     6,     0,     0,     5,     0,     6,
       0,     0,     5,     0,     6,     0,     6,     0,     6,     0,
       6,     0,     6,     0,     6,     0,     6,     0,     6,     0,
       6,     0,     6,     0,     6,     0,     6,     0,     6,     0,
       6,     0,     0,     5,     0,     6,     0,     6,     0,     6,
       0,     6,     0,     6,     0,     6,     0,     6,     0,     6,
       0,     6,     0,     6,     0,     6,     0,     6,     0,     6,
       0,     6,     0,     6,     0,     0,     4,     0,     5,     0,
       6,     0,     6,     0,     6,     0,     6,     0,     0,     5,
       0,     6,     0,     6,     0,     6,     0,     6,     0,     6,
       0,     6,     0,     6,     0,     6,     0,     6,     0,     6,
       0,     6,     0,     6,     0,     6,     0,     6,     0,     6,
       0,     6,     0,     6,     0,     6,     0,     6,     0,     6,
       0,     6,     0,     6,     0,     6,     0,     6,     0,     6,
       0,     6,     0,     6,     0,     6,     0,     6,     0,     0,
       4,     0,     4,     0,     4,     0,     5,     0,     6,     0,
       6,     0,     6,     0,     6,     0,     6,     0,     6,     0,
       6,     0,     0,     5,     0,     6,     0,     6,     0,     6,
       0,     6,     0,     0,     5,     0,     6,     0,     0,     5,
       0,     6,     0,     6,     0,     0,     4,     0,     5,     0,
       6,     0,     0,     5,     0,     6,     0,     0,     4,     0,
       5,     0,     6,     0,     6,     0,     0,     5,     0,     6,
       0,     6,     0,     6,     0,     6,     0,     6,     0,     6,
       0,     6,     0,     0,     5,     0,     4,     0,     4,     0,
       4,     0,     4,     0,     4,     0,     4,     0,     4,     0,
       4,     0,     4,     0,     6,     0,     6,     0,     6,     0,
       6,     0,     0,     5,     0,     4,     0,     4,     0,     4,
       0,     4,     0,     4,     0,     4,     0,     4,     0,     4,
       0,     4,     0,     4,     0,     4,     0,     4,     0,     4,
       0,     4,     0,     0,     4,     0,     5,     0,     6,     0,
       6,     0,     6,     0,     6,     0,     0,     5,     0,     6,
       0,     6,     0,     6,     0,     6,     0,     6,     0,     6,
       0,     6,     0,     0,     5,     0,     6,     0,     0,     4,
       0,     4,     0,     4,     0,     5,     0,     6,     0,     0,
       4,     0,     0,     7,     0,     0,     6,     0,     6,     0,
       6,     0,     6,     0,     6,     0,     6,     0,     6,     0,
       6,     0,     6,     0,     6,     0,     6,     0,     6,     0,
       6,     0,     6,     0,     6,     0,     6,     0,     6,     0,
       0,     7,     0,     0,     6,     0,     6,     0,     6,     0,
       0,     4
};


enum { YYENOMEM = -2 };

#define yyerrok         (yyerrstatus = 0)
#define yyclearin       (yychar = YYEMPTY)

#define YYACCEPT        goto yyacceptlab
#define YYABORT         goto yyabortlab
#define YYERROR         goto yyerrorlab


#define YYRECOVERING()  (!!yyerrstatus)

#define YYBACKUP(Token, Value)                                    \
  do                                                              \
    if (yychar == YYEMPTY)                                        \
      {                                                           \
        yychar = (Token);                                         \
        yylval = (Value);                                         \
        YYPOPSTACK (yylen);                                       \
        yystate = *yyssp;                                         \
        goto yybackup;                                            \
      }                                                           \
    else                                                          \
      {                                                           \
        yyerror (YY_("syntax error: cannot back up")); \
        YYERROR;                                                  \
      }                                                           \
  while (0)

/* Backward compatibility with an undocumented macro.
   Use YYerror or YYUNDEF. */
#define YYERRCODE YYUNDEF


/* Enable debugging if requested.  */
#if YYDEBUG

# ifndef YYFPRINTF
#  include <stdio.h> /* INFRINGES ON USER NAME SPACE */
#  define YYFPRINTF fprintf
# endif

# define YYDPRINTF(Args)                        \
do {                                            \
  if (yydebug)                                  \
    YYFPRINTF Args;                             \
} while (0)

/* This macro is provided for backward compatibility. */
# ifndef YY_LOCATION_PRINT
#  define YY_LOCATION_PRINT(File, Loc) ((void) 0)
# endif


# define YY_SYMBOL_PRINT(Title, Kind, Value, Location)                    \
do {                                                                      \
  if (yydebug)                                                            \
    {                                                                     \
      YYFPRINTF (stderr, "%s ", Title);                                   \
      yy_symbol_print (stderr,                                            \
                  Kind, Value); \
      YYFPRINTF (stderr, "\n");                                           \
    }                                                                     \
} while (0)


/*-----------------------------------.
| Print this symbol's value on YYO.  |
`-----------------------------------*/

static void
yy_symbol_value_print (FILE *yyo,
                       yysymbol_kind_t yykind, YYSTYPE const * const yyvaluep)
{
  FILE *yyoutput = yyo;
  YY_USE (yyoutput);
  if (!yyvaluep)
    return;
# ifdef YYPRINT
  if (yykind < YYNTOKENS)
    YYPRINT (yyo, yytoknum[yykind], *yyvaluep);
# endif
  YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
  YY_USE (yykind);
  YY_IGNORE_MAYBE_UNINITIALIZED_END
}


/*---------------------------.
| Print this symbol on YYO.  |
`---------------------------*/

static void
yy_symbol_print (FILE *yyo,
                 yysymbol_kind_t yykind, YYSTYPE const * const yyvaluep)
{
  YYFPRINTF (yyo, "%s %s (",
             yykind < YYNTOKENS ? "token" : "nterm", yysymbol_name (yykind));

  yy_symbol_value_print (yyo, yykind, yyvaluep);
  YYFPRINTF (yyo, ")");
}

/*------------------------------------------------------------------.
| yy_stack_print -- Print the state stack from its BOTTOM up to its |
| TOP (included).                                                   |
`------------------------------------------------------------------*/

static void
yy_stack_print (yy_state_t *yybottom, yy_state_t *yytop)
{
  YYFPRINTF (stderr, "Stack now");
  for (; yybottom <= yytop; yybottom++)
    {
      int yybot = *yybottom;
      YYFPRINTF (stderr, " %d", yybot);
    }
  YYFPRINTF (stderr, "\n");
}

# define YY_STACK_PRINT(Bottom, Top)                            \
do {                                                            \
  if (yydebug)                                                  \
    yy_stack_print ((Bottom), (Top));                           \
} while (0)


/*------------------------------------------------.
| Report that the YYRULE is going to be reduced.  |
`------------------------------------------------*/

static void
yy_reduce_print (yy_state_t *yyssp, YYSTYPE *yyvsp,
                 int yyrule)
{
  int yylno = yyrline[yyrule];
  int yynrhs = yyr2[yyrule];
  int yyi;
  YYFPRINTF (stderr, "Reducing stack by rule %d (line %d):\n",
             yyrule - 1, yylno);
  /* The symbols being reduced.  */
  for (yyi = 0; yyi < yynrhs; yyi++)
    {
      YYFPRINTF (stderr, "   $%d = ", yyi + 1);
      yy_symbol_print (stderr,
                       YY_ACCESSING_SYMBOL (+yyssp[yyi + 1 - yynrhs]),
                       &yyvsp[(yyi + 1) - (yynrhs)]);
      YYFPRINTF (stderr, "\n");
    }
}

# define YY_REDUCE_PRINT(Rule)          \
do {                                    \
  if (yydebug)                          \
    yy_reduce_print (yyssp, yyvsp, Rule); \
} while (0)

/* Nonzero means print parse trace.  It is left uninitialized so that
   multiple parsers can coexist.  */
int yydebug;
#else /* !YYDEBUG */
# define YYDPRINTF(Args) ((void) 0)
# define YY_SYMBOL_PRINT(Title, Kind, Value, Location)
# define YY_STACK_PRINT(Bottom, Top)
# define YY_REDUCE_PRINT(Rule)
#endif /* !YYDEBUG */


/* YYINITDEPTH -- initial size of the parser's stacks.  */
#ifndef YYINITDEPTH
# define YYINITDEPTH 200
#endif

/* YYMAXDEPTH -- maximum size the stacks can grow to (effective only
   if the built-in stack extension method is used).

   Do not make this value too large; the results are undefined if
   YYSTACK_ALLOC_MAXIMUM < YYSTACK_BYTES (YYMAXDEPTH)
   evaluated with infinite-precision integer arithmetic.  */

#ifndef YYMAXDEPTH
# define YYMAXDEPTH 10000
#endif






/*-----------------------------------------------.
| Release the memory associated to this symbol.  |
`-----------------------------------------------*/

static void
yydestruct (const char *yymsg,
            yysymbol_kind_t yykind, YYSTYPE *yyvaluep)
{
  YY_USE (yyvaluep);
  if (!yymsg)
    yymsg = "Deleting";
  YY_SYMBOL_PRINT (yymsg, yykind, yyvaluep, yylocationp);

  YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
  YY_USE (yykind);
  YY_IGNORE_MAYBE_UNINITIALIZED_END
}


/* Lookahead token kind.  */
int yychar;

/* The semantic value of the lookahead symbol.  */
YYSTYPE yylval;
/* Number of syntax errors so far.  */
int yynerrs;




/*----------.
| yyparse.  |
`----------*/

int
yyparse (void)
{
    yy_state_fast_t yystate = 0;
    /* Number of tokens to shift before error messages enabled.  */
    int yyerrstatus = 0;

    /* Refer to the stacks through separate pointers, to allow yyoverflow
       to reallocate them elsewhere.  */

    /* Their size.  */
    YYPTRDIFF_T yystacksize = YYINITDEPTH;

    /* The state stack: array, bottom, top.  */
    yy_state_t yyssa[YYINITDEPTH];
    yy_state_t *yyss = yyssa;
    yy_state_t *yyssp = yyss;

    /* The semantic value stack: array, bottom, top.  */
    YYSTYPE yyvsa[YYINITDEPTH];
    YYSTYPE *yyvs = yyvsa;
    YYSTYPE *yyvsp = yyvs;

  int yyn;
  /* The return value of yyparse.  */
  int yyresult;
  /* Lookahead symbol kind.  */
  yysymbol_kind_t yytoken = YYSYMBOL_YYEMPTY;
  /* The variables used to return semantic value and location from the
     action routines.  */
  YYSTYPE yyval;



#define YYPOPSTACK(N)   (yyvsp -= (N), yyssp -= (N))

  /* The number of symbols on the RHS of the reduced rule.
     Keep to zero when no symbol should be popped.  */
  int yylen = 0;

  YYDPRINTF ((stderr, "Starting parse\n"));

  yychar = YYEMPTY; /* Cause a token to be read.  */
  goto yysetstate;


/*------------------------------------------------------------.
| yynewstate -- push a new state, which is found in yystate.  |
`------------------------------------------------------------*/
yynewstate:
  /* In all cases, when you get here, the value and location stacks
     have just been pushed.  So pushing a state here evens the stacks.  */
  yyssp++;


/*--------------------------------------------------------------------.
| yysetstate -- set current state (the top of the stack) to yystate.  |
`--------------------------------------------------------------------*/
yysetstate:
  YYDPRINTF ((stderr, "Entering state %d\n", yystate));
  YY_ASSERT (0 <= yystate && yystate < YYNSTATES);
  YY_IGNORE_USELESS_CAST_BEGIN
  *yyssp = YY_CAST (yy_state_t, yystate);
  YY_IGNORE_USELESS_CAST_END
  YY_STACK_PRINT (yyss, yyssp);

  if (yyss + yystacksize - 1 <= yyssp)
#if !defined yyoverflow && !defined YYSTACK_RELOCATE
    goto yyexhaustedlab;
#else
    {
      /* Get the current used size of the three stacks, in elements.  */
      YYPTRDIFF_T yysize = yyssp - yyss + 1;

# if defined yyoverflow
      {
        /* Give user a chance to reallocate the stack.  Use copies of
           these so that the &'s don't force the real ones into
           memory.  */
        yy_state_t *yyss1 = yyss;
        YYSTYPE *yyvs1 = yyvs;

        /* Each stack pointer address is followed by the size of the
           data in use in that stack, in bytes.  This used to be a
           conditional around just the two extra args, but that might
           be undefined if yyoverflow is a macro.  */
        yyoverflow (YY_("memory exhausted"),
                    &yyss1, yysize * YYSIZEOF (*yyssp),
                    &yyvs1, yysize * YYSIZEOF (*yyvsp),
                    &yystacksize);
        yyss = yyss1;
        yyvs = yyvs1;
      }
# else /* defined YYSTACK_RELOCATE */
      /* Extend the stack our own way.  */
      if (YYMAXDEPTH <= yystacksize)
        goto yyexhaustedlab;
      yystacksize *= 2;
      if (YYMAXDEPTH < yystacksize)
        yystacksize = YYMAXDEPTH;

      {
        yy_state_t *yyss1 = yyss;
        union yyalloc *yyptr =
          YY_CAST (union yyalloc *,
                   YYSTACK_ALLOC (YY_CAST (YYSIZE_T, YYSTACK_BYTES (yystacksize))));
        if (! yyptr)
          goto yyexhaustedlab;
        YYSTACK_RELOCATE (yyss_alloc, yyss);
        YYSTACK_RELOCATE (yyvs_alloc, yyvs);
#  undef YYSTACK_RELOCATE
        if (yyss1 != yyssa)
          YYSTACK_FREE (yyss1);
      }
# endif

      yyssp = yyss + yysize - 1;
      yyvsp = yyvs + yysize - 1;

      YY_IGNORE_USELESS_CAST_BEGIN
      YYDPRINTF ((stderr, "Stack size increased to %ld\n",
                  YY_CAST (long, yystacksize)));
      YY_IGNORE_USELESS_CAST_END

      if (yyss + yystacksize - 1 <= yyssp)
        YYABORT;
    }
#endif /* !defined yyoverflow && !defined YYSTACK_RELOCATE */

  if (yystate == YYFINAL)
    YYACCEPT;

  goto yybackup;


/*-----------.
| yybackup.  |
`-----------*/
yybackup:
  /* Do appropriate processing given the current state.  Read a
     lookahead token if we need one and don't already have one.  */

  /* First try to decide what to do without reference to lookahead token.  */
  yyn = yypact[yystate];
  if (yypact_value_is_default (yyn))
    goto yydefault;

  /* Not known => get a lookahead token if don't already have one.  */

  /* YYCHAR is either empty, or end-of-input, or a valid lookahead.  */
  if (yychar == YYEMPTY)
    {
      YYDPRINTF ((stderr, "Reading a token\n"));
      yychar = yylex ();
    }

  if (yychar <= YYEOF)
    {
      yychar = YYEOF;
      yytoken = YYSYMBOL_YYEOF;
      YYDPRINTF ((stderr, "Now at end of input.\n"));
    }
  else if (yychar == YYerror)
    {
      /* The scanner already issued an error message, process directly
         to error recovery.  But do not keep the error token as
         lookahead, it is too special and may lead us to an endless
         loop in error recovery. */
      yychar = YYUNDEF;
      yytoken = YYSYMBOL_YYerror;
      goto yyerrlab1;
    }
  else
    {
      yytoken = YYTRANSLATE (yychar);
      YY_SYMBOL_PRINT ("Next token is", yytoken, &yylval, &yylloc);
    }

  /* If the proper action on seeing token YYTOKEN is to reduce or to
     detect an error, take that action.  */
  yyn += yytoken;
  if (yyn < 0 || YYLAST < yyn || yycheck[yyn] != yytoken)
    goto yydefault;
  yyn = yytable[yyn];
  if (yyn <= 0)
    {
      if (yytable_value_is_error (yyn))
        goto yyerrlab;
      yyn = -yyn;
      goto yyreduce;
    }

  /* Count tokens shifted since error; after three, turn off error
     status.  */
  if (yyerrstatus)
    yyerrstatus--;

  /* Shift the lookahead token.  */
  YY_SYMBOL_PRINT ("Shifting", yytoken, &yylval, &yylloc);
  yystate = yyn;
  YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
  *++yyvsp = yylval;
  YY_IGNORE_MAYBE_UNINITIALIZED_END

  /* Discard the shifted token.  */
  yychar = YYEMPTY;
  goto yynewstate;


/*-----------------------------------------------------------.
| yydefault -- do the default action for the current state.  |
`-----------------------------------------------------------*/
yydefault:
  yyn = yydefact[yystate];
  if (yyn == 0)
    goto yyerrlab;
  goto yyreduce;


/*-----------------------------.
| yyreduce -- do a reduction.  |
`-----------------------------*/
yyreduce:
  /* yyn is the number of a rule to reduce with.  */
  yylen = yyr2[yyn];

  /* If YYLEN is nonzero, implement the default value of the action:
     '$$ = $1'.

     Otherwise, the following line sets YYVAL to garbage.
     This behavior is undocumented and Bison
     users should not rely upon it.  Assigning to YYVAL
     unconditionally makes the parser a bit smaller, and it avoids a
     GCC warning that YYVAL may be used uninitialized.  */
  yyval = yyvsp[1-yylen];


  YY_REDUCE_PRINT (yyn);
  switch (yyn)
    {
  case 2: /* $@1: %empty  */
#line 329 "configparser.yy"
  { lconfig_parseinit();}
#line 5661 "configparser.cc"
    break;

  case 3: /* $@2: %empty  */
#line 329 "configparser.yy"
                                                                        { lconfig->setLoadedVersion( (yyvsp[-5].num), (yyvsp[-3].num), (yyvsp[-1].num) ); }
#line 5667 "configparser.cc"
    break;

  case 6: /* $@3: %empty  */
#line 333 "configparser.yy"
                               { lconfig_faces_list.clear(); }
#line 5673 "configparser.cc"
    break;

  case 7: /* $@4: %empty  */
#line 334 "configparser.yy"
      {
        lconfig->applyNewFacesFromList( lconfig_faces_list );
      }
#line 5681 "configparser.cc"
    break;

  case 10: /* $@5: %empty  */
#line 338 "configparser.yy"
                              { lconfig_listp = new List(); }
#line 5687 "configparser.cc"
    break;

  case 11: /* $@6: %empty  */
#line 339 "configparser.yy"
                           { lconfig->setPaths( lconfig_listp );
                             lconfig_id = lconfig_listp->initEnum();
                             lconfig_p1 = (WCPath*)lconfig_listp->getFirstElement( lconfig_id );
                             while ( lconfig_p1 != NULL ) {
                               delete lconfig_p1;
                               lconfig_p1 = (WCPath*)lconfig_listp->getNextElement( lconfig_id );
                             }
                             lconfig_listp->closeEnum( lconfig_id );
                             delete lconfig_listp;
                             lconfig_listp = NULL;
                           }
#line 5703 "configparser.cc"
    break;

  case 13: /* $@7: %empty  */
#line 350 "configparser.yy"
                                  { lconfig_listft = new List(); }
#line 5709 "configparser.cc"
    break;

  case 14: /* $@8: %empty  */
#line 351 "configparser.yy"
                               { lconfig->setFiletypes( lconfig_listft );
                                 lconfig_id = lconfig_listft->initEnum();
                                 lconfig_ft1 = (WCFiletype*)lconfig_listft->getFirstElement( lconfig_id );
                                 while ( lconfig_ft1 != NULL ) {
                                   delete lconfig_ft1;
                                   lconfig_ft1 = (WCFiletype*)lconfig_listft->getNextElement( lconfig_id );
                                 }
                                 lconfig_listft->closeEnum( lconfig_id );
                                 delete lconfig_listft;
                                 lconfig_listft = NULL;
                               }
#line 5725 "configparser.cc"
    break;

  case 16: /* $@9: %empty  */
#line 362 "configparser.yy"
                                { lconfig_listh = new List(); }
#line 5731 "configparser.cc"
    break;

  case 17: /* $@10: %empty  */
#line 363 "configparser.yy"
                             { lconfig->setHotkeys( lconfig_listh );
                               lconfig_id = lconfig_listh->initEnum();
                               lconfig_hk1 = (WCHotkey*)lconfig_listh->getFirstElement( lconfig_id );
                               while ( lconfig_hk1 != NULL ) {
                                 delete lconfig_hk1;
                                 lconfig_hk1 = (WCHotkey*)lconfig_listh->getNextElement( lconfig_id );
                               }
                               lconfig_listh->closeEnum( lconfig_id );
                               delete lconfig_listh;
                               lconfig_listh = NULL;
                             }
#line 5747 "configparser.cc"
    break;

  case 19: /* $@11: %empty  */
#line 374 "configparser.yy"
                                { lconfig_listb = new List(); }
#line 5753 "configparser.cc"
    break;

  case 20: /* $@12: %empty  */
#line 375 "configparser.yy"
                             { lconfig->setButtons( lconfig_listb );
                               lconfig_id = lconfig_listb->initEnum();
                               lconfig_bt1 = (WCButton*)lconfig_listb->getFirstElement( lconfig_id );
                               while ( lconfig_bt1 != NULL ) {
                                 delete lconfig_bt1;
                                 lconfig_bt1 = (WCButton*)lconfig_listb->getNextElement( lconfig_id );
                               }
                               lconfig_listb->closeEnum( lconfig_id );
                               delete lconfig_listb;
                               lconfig_listb = NULL;
                             }
#line 5769 "configparser.cc"
    break;

  case 26: /* $@13: %empty  */
#line 390 "configparser.yy"
                                          { lconfig_pathjump_allow.clear(); }
#line 5775 "configparser.cc"
    break;

  case 27: /* $@14: %empty  */
#line 391 "configparser.yy"
                                 { lconfig->setPathJumpAllowDirs( lconfig_pathjump_allow );
                                   lconfig_pathjump_allow.clear();
                                 }
#line 5783 "configparser.cc"
    break;

  case 29: /* $@15: %empty  */
#line 394 "configparser.yy"
                                         { dir_presets.clear(); }
#line 5789 "configparser.cc"
    break;

  case 30: /* $@16: %empty  */
#line 395 "configparser.yy"
                                      { lconfig->setDirectoryPresets( dir_presets );
                                 }
#line 5796 "configparser.cc"
    break;

  case 33: /* $@17: %empty  */
#line 399 "configparser.yy"
                          { lconfig_pathjump_allow.push_back( (yyvsp[-1].strptr) ); }
#line 5802 "configparser.cc"
    break;

  case 36: /* $@18: %empty  */
#line 402 "configparser.yy"
                                             { lconfig->setPathJumpStoreFilesAlways( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 5808 "configparser.cc"
    break;

  case 39: /* $@19: %empty  */
#line 405 "configparser.yy"
                             { lconfig->setLang( (yyvsp[-1].strptr) ); }
#line 5814 "configparser.cc"
    break;

  case 41: /* $@20: %empty  */
#line 406 "configparser.yy"
                         { lconfig->setRows( (yyvsp[-1].num) ); }
#line 5820 "configparser.cc"
    break;

  case 43: /* $@21: %empty  */
#line 407 "configparser.yy"
                            { lconfig->setColumns( (yyvsp[-1].num) ); }
#line 5826 "configparser.cc"
    break;

  case 45: /* $@22: %empty  */
#line 408 "configparser.yy"
                              { lconfig->setCacheSize( (yyvsp[-1].num) ); }
#line 5832 "configparser.cc"
    break;

  case 48: /* $@23: %empty  */
#line 410 "configparser.yy"
                                   { lconfig->setOwnerstringtype( 0 ); }
#line 5838 "configparser.cc"
    break;

  case 50: /* $@24: %empty  */
#line 411 "configparser.yy"
                                  { lconfig->setOwnerstringtype( 1 ); }
#line 5844 "configparser.cc"
    break;

  case 52: /* $@25: %empty  */
#line 412 "configparser.yy"
                                { lconfig->setTerminalBin( (yyvsp[-1].strptr) ); }
#line 5850 "configparser.cc"
    break;

  case 54: /* $@26: %empty  */
#line 413 "configparser.yy"
                                         { lconfig->setTerminalReturnsEarly( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 5856 "configparser.cc"
    break;

  case 56: /* $@27: %empty  */
#line 414 "configparser.yy"
                                     { lconfig->setShowStringForDirSize( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 5862 "configparser.cc"
    break;

  case 59: /* $@28: %empty  */
#line 417 "configparser.yy"
                               { lconfig->resetColors(); }
#line 5868 "configparser.cc"
    break;

  case 61: /* $@29: %empty  */
#line 418 "configparser.yy"
                              { lconfig->clearLayoutOrders(); }
#line 5874 "configparser.cc"
    break;

  case 64: /* $@30: %empty  */
#line 420 "configparser.yy"
                                            { lconfig->setSaveWorkerStateOnExit( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 5880 "configparser.cc"
    break;

  case 66: /* $@31: %empty  */
#line 421 "configparser.yy"
                                             { lconfig->setUseStringCompareMode( ( ( (yyvsp[-1].num) ) == 1 ) ? StringComparator::STRING_COMPARE_VERSION : StringComparator::STRING_COMPARE_REGULAR ); }
#line 5886 "configparser.cc"
    break;

  case 68: /* $@32: %empty  */
#line 422 "configparser.yy"
                                                    { lconfig->setUseStringCompareMode( StringComparator::STRING_COMPARE_NOCASE ); }
#line 5892 "configparser.cc"
    break;

  case 70: /* $@33: %empty  */
#line 423 "configparser.yy"
                                           { lconfig->setApplyWindowDialogType( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 5898 "configparser.cc"
    break;

  case 72: /* $@34: %empty  */
#line 424 "configparser.yy"
                                     { lconfig->setUseExtendedRegEx( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 5904 "configparser.cc"
    break;

  case 75: /* $@35: %empty  */
#line 426 "configparser.yy"
                                             { lconfig->setDisableBGCheckPrefix( (yyvsp[-1].strptr) ); }
#line 5910 "configparser.cc"
    break;

  case 78: /* $@36: %empty  */
#line 429 "configparser.yy"
                       { lconfig->layoutAddEntry( LayoutSettings::LO_STATEBAR ); }
#line 5916 "configparser.cc"
    break;

  case 80: /* $@37: %empty  */
#line 430 "configparser.yy"
                       { lconfig->layoutAddEntry( LayoutSettings::LO_CLOCKBAR ); }
#line 5922 "configparser.cc"
    break;

  case 82: /* $@38: %empty  */
#line 431 "configparser.yy"
                      { lconfig->layoutAddEntry( LayoutSettings::LO_BUTTONS ); }
#line 5928 "configparser.cc"
    break;

  case 84: /* $@39: %empty  */
#line 432 "configparser.yy"
                        { lconfig->layoutAddEntry( LayoutSettings::LO_LISTVIEWS ); }
#line 5934 "configparser.cc"
    break;

  case 86: /* $@40: %empty  */
#line 433 "configparser.yy"
                  { lconfig->layoutAddEntry( LayoutSettings::LO_BLL ); }
#line 5940 "configparser.cc"
    break;

  case 88: /* $@41: %empty  */
#line 434 "configparser.yy"
                  { lconfig->layoutAddEntry( LayoutSettings::LO_LBL ); }
#line 5946 "configparser.cc"
    break;

  case 90: /* $@42: %empty  */
#line 435 "configparser.yy"
                  { lconfig->layoutAddEntry( LayoutSettings::LO_LLB ); }
#line 5952 "configparser.cc"
    break;

  case 92: /* $@43: %empty  */
#line 436 "configparser.yy"
                 { lconfig->layoutAddEntry( LayoutSettings::LO_BL ); }
#line 5958 "configparser.cc"
    break;

  case 94: /* $@44: %empty  */
#line 437 "configparser.yy"
                 { lconfig->layoutAddEntry( LayoutSettings::LO_LB ); }
#line 5964 "configparser.cc"
    break;

  case 96: /* $@45: %empty  */
#line 438 "configparser.yy"
                                { lconfig->setLayoutButtonVert( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 5970 "configparser.cc"
    break;

  case 98: /* $@46: %empty  */
#line 439 "configparser.yy"
                                  { lconfig->setLayoutListviewVert( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 5976 "configparser.cc"
    break;

  case 100: /* $@47: %empty  */
#line 440 "configparser.yy"
                                      { lconfig->setLayoutListViewWeight( (yyvsp[-1].num) ); }
#line 5982 "configparser.cc"
    break;

  case 102: /* $@48: %empty  */
#line 441 "configparser.yy"
                                   { lconfig->setLayoutWeightRelToActive( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 5988 "configparser.cc"
    break;

  case 105: /* $@49: %empty  */
#line 444 "configparser.yy"
                                            { lconfig->setColor( (yyvsp[-7].num), (yyvsp[-5].num), (yyvsp[-3].num), (yyvsp[-1].num) ); }
#line 5994 "configparser.cc"
    break;

  case 108: /* $@50: %empty  */
#line 447 "configparser.yy"
                   { lconfig_side = 0; }
#line 6000 "configparser.cc"
    break;

  case 110: /* $@51: %empty  */
#line 448 "configparser.yy"
                    { lconfig_side = 1; }
#line 6006 "configparser.cc"
    break;

  case 113: /* $@52: %empty  */
#line 451 "configparser.yy"
                                 { lconfig->setHBarTop( lconfig_side, ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 6012 "configparser.cc"
    break;

  case 115: /* $@53: %empty  */
#line 452 "configparser.yy"
                                       { lconfig->setHBarHeight( lconfig_side, (yyvsp[-1].num) ); }
#line 6018 "configparser.cc"
    break;

  case 117: /* $@54: %empty  */
#line 453 "configparser.yy"
                                  { lconfig->setVBarLeft( lconfig_side, ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 6024 "configparser.cc"
    break;

  case 119: /* $@55: %empty  */
#line 454 "configparser.yy"
                                      { lconfig->setVBarWidth( lconfig_side, (yyvsp[-1].num) ); }
#line 6030 "configparser.cc"
    break;

  case 121: /* $@56: %empty  */
#line 455 "configparser.yy"
                                          { lconfig->clearVisCols( lconfig_side ); }
#line 6036 "configparser.cc"
    break;

  case 123: /* $@57: %empty  */
#line 456 "configparser.yy"
                                    { lconfig->setShowHeader( lconfig_side, ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 6042 "configparser.cc"
    break;

  case 125: /* $@58: %empty  */
#line 457 "configparser.yy"
                                        { lconfig->setPathEntryOnTop( lconfig_side, ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 6048 "configparser.cc"
    break;

  case 128: /* $@59: %empty  */
#line 460 "configparser.yy"
                       { lconfig->addListCol( lconfig_side, WorkerTypes::LISTCOL_NAME ); }
#line 6054 "configparser.cc"
    break;

  case 130: /* $@60: %empty  */
#line 461 "configparser.yy"
                       { lconfig->addListCol( lconfig_side, WorkerTypes::LISTCOL_SIZE ); }
#line 6060 "configparser.cc"
    break;

  case 132: /* $@61: %empty  */
#line 462 "configparser.yy"
                       { lconfig->addListCol( lconfig_side, WorkerTypes::LISTCOL_TYPE ); }
#line 6066 "configparser.cc"
    break;

  case 134: /* $@62: %empty  */
#line 463 "configparser.yy"
                             { lconfig->addListCol( lconfig_side, WorkerTypes::LISTCOL_PERM ); }
#line 6072 "configparser.cc"
    break;

  case 136: /* $@63: %empty  */
#line 464 "configparser.yy"
                        { lconfig->addListCol( lconfig_side, WorkerTypes::LISTCOL_OWNER ); }
#line 6078 "configparser.cc"
    break;

  case 138: /* $@64: %empty  */
#line 465 "configparser.yy"
                              { lconfig->addListCol( lconfig_side, WorkerTypes::LISTCOL_DEST ); }
#line 6084 "configparser.cc"
    break;

  case 140: /* $@65: %empty  */
#line 466 "configparser.yy"
                          { lconfig->addListCol( lconfig_side, WorkerTypes::LISTCOL_MOD ); }
#line 6090 "configparser.cc"
    break;

  case 142: /* $@66: %empty  */
#line 467 "configparser.yy"
                          { lconfig->addListCol( lconfig_side, WorkerTypes::LISTCOL_ACC ); }
#line 6096 "configparser.cc"
    break;

  case 144: /* $@67: %empty  */
#line 468 "configparser.yy"
                          { lconfig->addListCol( lconfig_side, WorkerTypes::LISTCOL_CHANGE ); }
#line 6102 "configparser.cc"
    break;

  case 146: /* $@68: %empty  */
#line 469 "configparser.yy"
                        { lconfig->addListCol( lconfig_side, WorkerTypes::LISTCOL_INODE ); }
#line 6108 "configparser.cc"
    break;

  case 148: /* $@69: %empty  */
#line 470 "configparser.yy"
                        { lconfig->addListCol( lconfig_side, WorkerTypes::LISTCOL_NLINK ); }
#line 6114 "configparser.cc"
    break;

  case 150: /* $@70: %empty  */
#line 471 "configparser.yy"
                         { lconfig->addListCol( lconfig_side, WorkerTypes::LISTCOL_BLOCKS ); }
#line 6120 "configparser.cc"
    break;

  case 152: /* $@71: %empty  */
#line 472 "configparser.yy"
                        { lconfig->addListCol( lconfig_side, WorkerTypes::LISTCOL_SIZEH ); }
#line 6126 "configparser.cc"
    break;

  case 154: /* $@72: %empty  */
#line 473 "configparser.yy"
                            { lconfig->addListCol( lconfig_side, WorkerTypes::LISTCOL_EXTENSION ); }
#line 6132 "configparser.cc"
    break;

  case 157: /* $@73: %empty  */
#line 476 "configparser.yy"
                                  { lconfig->setDateFormat( 0 ); }
#line 6138 "configparser.cc"
    break;

  case 159: /* $@74: %empty  */
#line 477 "configparser.yy"
                                  { lconfig->setDateFormat( 1 ); }
#line 6144 "configparser.cc"
    break;

  case 161: /* $@75: %empty  */
#line 478 "configparser.yy"
                                  { lconfig->setDateFormat( 2 ); }
#line 6150 "configparser.cc"
    break;

  case 163: /* $@76: %empty  */
#line 479 "configparser.yy"
                                     { lconfig->setDateFormat( -1 ); }
#line 6156 "configparser.cc"
    break;

  case 165: /* $@77: %empty  */
#line 480 "configparser.yy"
                                        { lconfig->setDateFormatString( (yyvsp[-1].strptr) ); }
#line 6162 "configparser.cc"
    break;

  case 167: /* $@78: %empty  */
#line 481 "configparser.yy"
                                        { lconfig->setDateSubst( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 6168 "configparser.cc"
    break;

  case 169: /* $@79: %empty  */
#line 482 "configparser.yy"
                                  { lconfig->setTimeFormat( 0 ); }
#line 6174 "configparser.cc"
    break;

  case 171: /* $@80: %empty  */
#line 483 "configparser.yy"
                                  { lconfig->setTimeFormat( 1 ); }
#line 6180 "configparser.cc"
    break;

  case 173: /* $@81: %empty  */
#line 484 "configparser.yy"
                                     { lconfig->setTimeFormat( -1 ); }
#line 6186 "configparser.cc"
    break;

  case 175: /* $@82: %empty  */
#line 485 "configparser.yy"
                                        { lconfig->setTimeFormatString( (yyvsp[-1].strptr) ); }
#line 6192 "configparser.cc"
    break;

  case 177: /* $@83: %empty  */
#line 486 "configparser.yy"
                                      { lconfig->setDateBeforeTime( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 6198 "configparser.cc"
    break;

  case 180: /* $@84: %empty  */
#line 489 "configparser.yy"
                                        { lconfig->setMouseSelectButton( (yyvsp[-1].num) ); }
#line 6204 "configparser.cc"
    break;

  case 182: /* $@85: %empty  */
#line 490 "configparser.yy"
                                          { lconfig->setMouseActivateButton( (yyvsp[-1].num) ); }
#line 6210 "configparser.cc"
    break;

  case 184: /* $@86: %empty  */
#line 491 "configparser.yy"
                                        { lconfig->setMouseScrollButton( (yyvsp[-1].num) ); }
#line 6216 "configparser.cc"
    break;

  case 186: /* $@87: %empty  */
#line 492 "configparser.yy"
                                           { lconfig->setMouseSelectMethod( WConfig::MOUSECONF_NORMAL_MODE ); }
#line 6222 "configparser.cc"
    break;

  case 188: /* $@88: %empty  */
#line 493 "configparser.yy"
                                                { lconfig->setMouseSelectMethod( WConfig::MOUSECONF_ALT_MODE ); }
#line 6228 "configparser.cc"
    break;

  case 190: /* $@89: %empty  */
#line 494 "configparser.yy"
                                         { lconfig->setMouseContextButton( (yyvsp[-1].num) ); }
#line 6234 "configparser.cc"
    break;

  case 192: /* $@90: %empty  */
#line 495 "configparser.yy"
                                        { lconfig_keymod = 0; }
#line 6240 "configparser.cc"
    break;

  case 193: /* $@91: %empty  */
#line 496 "configparser.yy"
                              { lconfig->setMouseActivateMod( lconfig_keymod ); }
#line 6246 "configparser.cc"
    break;

  case 195: /* $@92: %empty  */
#line 497 "configparser.yy"
                                      { lconfig_keymod = 0; }
#line 6252 "configparser.cc"
    break;

  case 196: /* $@93: %empty  */
#line 498 "configparser.yy"
                              { lconfig->setMouseScrollMod( lconfig_keymod ); }
#line 6258 "configparser.cc"
    break;

  case 198: /* $@94: %empty  */
#line 499 "configparser.yy"
                                       { lconfig_keymod = 0; }
#line 6264 "configparser.cc"
    break;

  case 199: /* $@95: %empty  */
#line 500 "configparser.yy"
                              { lconfig->setMouseContextMod( lconfig_keymod ); }
#line 6270 "configparser.cc"
    break;

  case 202: /* $@96: %empty  */
#line 503 "configparser.yy"
                                         {
        lconfig_faces_list.push_back( std::make_pair( "statusbar-fg", (yyvsp[-3].num) ) );
        lconfig_faces_list.push_back( std::make_pair( "statusbar-bg", (yyvsp[-1].num) ) );
        }
#line 6279 "configparser.cc"
    break;

  case 204: /* $@97: %empty  */
#line 507 "configparser.yy"
                                         {
        lconfig_faces_list.push_back( std::make_pair( "lvb-active-fg", (yyvsp[-3].num) ) );
        lconfig_faces_list.push_back( std::make_pair( "lvb-active-bg", (yyvsp[-1].num) ) );
        }
#line 6288 "configparser.cc"
    break;

  case 206: /* $@98: %empty  */
#line 511 "configparser.yy"
                                           {
        lconfig_faces_list.push_back( std::make_pair( "lvb-inactive-fg", (yyvsp[-3].num) ) );
        lconfig_faces_list.push_back( std::make_pair( "lvb-inactive-bg", (yyvsp[-1].num) ) );
        }
#line 6297 "configparser.cc"
    break;

  case 208: /* $@99: %empty  */
#line 515 "configparser.yy"
                                       {
        lconfig_faces_list.push_back( std::make_pair( "dirview-dir-select-fg", (yyvsp[-3].num) ) );
        lconfig_faces_list.push_back( std::make_pair( "dirview-dir-select-bg", (yyvsp[-1].num) ) );
        }
#line 6306 "configparser.cc"
    break;

  case 210: /* $@100: %empty  */
#line 519 "configparser.yy"
                                         {
        lconfig_faces_list.push_back( std::make_pair( "dirview-dir-normal-fg", (yyvsp[-3].num) ) );
        lconfig_faces_list.push_back( std::make_pair( "dirview-dir-normal-bg", (yyvsp[-1].num) ) );
        }
#line 6315 "configparser.cc"
    break;

  case 212: /* $@101: %empty  */
#line 523 "configparser.yy"
                                        {
        lconfig_faces_list.push_back( std::make_pair( "dirview-file-select-fg", (yyvsp[-3].num) ) );
        lconfig_faces_list.push_back( std::make_pair( "dirview-file-select-bg", (yyvsp[-1].num) ) );
        }
#line 6324 "configparser.cc"
    break;

  case 214: /* $@102: %empty  */
#line 527 "configparser.yy"
                                          {
        lconfig_faces_list.push_back( std::make_pair( "dirview-file-normal-fg", (yyvsp[-3].num) ) );
        lconfig_faces_list.push_back( std::make_pair( "dirview-file-normal-bg", (yyvsp[-1].num) ) );
        }
#line 6333 "configparser.cc"
    break;

  case 216: /* $@103: %empty  */
#line 531 "configparser.yy"
                                         {
        lconfig_faces_list.push_back( std::make_pair( "clockbar-fg", (yyvsp[-3].num) ) );
        lconfig_faces_list.push_back( std::make_pair( "clockbar-bg", (yyvsp[-1].num) ) );
        }
#line 6342 "configparser.cc"
    break;

  case 218: /* $@104: %empty  */
#line 535 "configparser.yy"
                                          {
        lconfig_faces_list.push_back( std::make_pair( "request-fg", (yyvsp[-3].num) ) );
        lconfig_faces_list.push_back( std::make_pair( "request-bg", (yyvsp[-1].num) ) );
        }
#line 6351 "configparser.cc"
    break;

  case 220: /* $@105: %empty  */
#line 539 "configparser.yy"
                                          {
        lconfig_faces_list.push_back( std::make_pair( "dirview-dir-selact-fg", (yyvsp[-3].num) ) );
        lconfig_faces_list.push_back( std::make_pair( "dirview-dir-selact-bg", (yyvsp[-1].num) ) );
        }
#line 6360 "configparser.cc"
    break;

  case 222: /* $@106: %empty  */
#line 543 "configparser.yy"
                                            {
        lconfig_faces_list.push_back( std::make_pair( "dirview-dir-active-fg", (yyvsp[-3].num) ) );
        lconfig_faces_list.push_back( std::make_pair( "dirview-dir-active-bg", (yyvsp[-1].num) ) );
        }
#line 6369 "configparser.cc"
    break;

  case 224: /* $@107: %empty  */
#line 547 "configparser.yy"
                                           {
        lconfig_faces_list.push_back( std::make_pair( "dirview-file-selact-fg", (yyvsp[-3].num) ) );
        lconfig_faces_list.push_back( std::make_pair( "dirview-file-selact-bg", (yyvsp[-1].num) ) );
        }
#line 6378 "configparser.cc"
    break;

  case 226: /* $@108: %empty  */
#line 551 "configparser.yy"
                                             {
        lconfig_faces_list.push_back( std::make_pair( "dirview-file-active-fg", (yyvsp[-3].num) ) );
        lconfig_faces_list.push_back( std::make_pair( "dirview-file-active-bg", (yyvsp[-1].num) ) );
        }
#line 6387 "configparser.cc"
    break;

  case 228: /* $@109: %empty  */
#line 555 "configparser.yy"
                                         {
        lconfig_faces_list.push_back( std::make_pair( "dirview-header-fg", (yyvsp[-3].num) ) );
        lconfig_faces_list.push_back( std::make_pair( "dirview-header-bg", (yyvsp[-1].num) ) );
        }
#line 6396 "configparser.cc"
    break;

  case 230: /* $@110: %empty  */
#line 559 "configparser.yy"
                           {
        lconfig_faces_list.push_back( std::make_pair( "dirview-bg", (yyvsp[-1].num) ) );
        }
#line 6404 "configparser.cc"
    break;

  case 232: /* $@111: %empty  */
#line 562 "configparser.yy"
                                         {
        lconfig_faces_list.push_back( std::make_pair( "textview-fg", (yyvsp[-3].num) ) );
        lconfig_faces_list.push_back( std::make_pair( "textview-bg", (yyvsp[-1].num) ) );
        }
#line 6413 "configparser.cc"
    break;

  case 234: /* $@112: %empty  */
#line 566 "configparser.yy"
                                                    {
        lconfig_faces_list.push_back( std::make_pair( "textview-highlight-fg", (yyvsp[-3].num) ) );
        lconfig_faces_list.push_back( std::make_pair( "textview-highlight-bg", (yyvsp[-1].num) ) );
        }
#line 6422 "configparser.cc"
    break;

  case 236: /* $@113: %empty  */
#line 570 "configparser.yy"
                                                  {
        lconfig_faces_list.push_back( std::make_pair( "textview-selection-fg", (yyvsp[-3].num) ) );
        lconfig_faces_list.push_back( std::make_pair( "textview-selection-bg", (yyvsp[-1].num) ) );
        }
#line 6431 "configparser.cc"
    break;

  case 238: /* $@114: %empty  */
#line 574 "configparser.yy"
                                   { lconfig_labelcolors.clear(); }
#line 6437 "configparser.cc"
    break;

  case 239: /* $@115: %empty  */
#line 575 "configparser.yy"
                                   {
          WConfig::ColorDef c = lconfig->getColorDefs();
          c.setLabelColors( lconfig_labelcolors );
          lconfig->setColorDefs( c );
        }
#line 6447 "configparser.cc"
    break;

  case 243: /* $@116: %empty  */
#line 584 "configparser.yy"
                                    {
              lconfig_labelcolor.normal_fg = -1;
              lconfig_labelcolor.normal_bg = -1;
              lconfig_labelcolor.active_fg = -1;
              lconfig_labelcolor.active_bg = -1;
              lconfig_labelcolor_name = "";
            }
#line 6459 "configparser.cc"
    break;

  case 244: /* $@117: %empty  */
#line 591 "configparser.yy"
                                      {
              lconfig_labelcolors[lconfig_labelcolor_name] = lconfig_labelcolor;
            }
#line 6467 "configparser.cc"
    break;

  case 247: /* $@118: %empty  */
#line 596 "configparser.yy"
                                             {
             lconfig_labelcolor.normal_fg = (yyvsp[-3].num);
             lconfig_labelcolor.normal_bg = (yyvsp[-1].num);
            }
#line 6476 "configparser.cc"
    break;

  case 249: /* $@119: %empty  */
#line 600 "configparser.yy"
                                             {
             lconfig_labelcolor.active_fg = (yyvsp[-3].num);
             lconfig_labelcolor.active_bg = (yyvsp[-1].num);
            }
#line 6485 "configparser.cc"
    break;

  case 251: /* $@120: %empty  */
#line 604 "configparser.yy"
                                      { lconfig_labelcolor_name = (yyvsp[-1].strptr); }
#line 6491 "configparser.cc"
    break;

  case 254: /* $@121: %empty  */
#line 607 "configparser.yy"
                             {
              lconfig_face_name.clear();
              lconfig_face_color = -1;
            }
#line 6500 "configparser.cc"
    break;

  case 255: /* $@122: %empty  */
#line 611 "configparser.yy"
                                {
              lconfig_faces_list.push_back( std::make_pair( lconfig_face_name, lconfig_face_color ) );
            }
#line 6508 "configparser.cc"
    break;

  case 258: /* $@123: %empty  */
#line 616 "configparser.yy"
                            {
             lconfig_face_color = (yyvsp[-1].num);
            }
#line 6516 "configparser.cc"
    break;

  case 260: /* $@124: %empty  */
#line 619 "configparser.yy"
                                      { lconfig_face_name = (yyvsp[-1].strptr); }
#line 6522 "configparser.cc"
    break;

  case 263: /* $@125: %empty  */
#line 622 "configparser.yy"
                                 { lconfig->setStartDir( 0, (yyvsp[-1].strptr) ); }
#line 6528 "configparser.cc"
    break;

  case 265: /* $@126: %empty  */
#line 623 "configparser.yy"
                                  { lconfig->setStartDir( 1, (yyvsp[-1].strptr) ); }
#line 6534 "configparser.cc"
    break;

  case 267: /* $@127: %empty  */
#line 624 "configparser.yy"
                                             { lconfig->setRestoreTabsMode( WConfig::RESTORE_TABS_NEVER ); }
#line 6540 "configparser.cc"
    break;

  case 269: /* $@128: %empty  */
#line 625 "configparser.yy"
                                              { lconfig->setRestoreTabsMode( WConfig::RESTORE_TABS_ALWAYS ); }
#line 6546 "configparser.cc"
    break;

  case 271: /* $@129: %empty  */
#line 626 "configparser.yy"
                                           { lconfig->setRestoreTabsMode( WConfig::RESTORE_TABS_ASK ); }
#line 6552 "configparser.cc"
    break;

  case 273: /* $@130: %empty  */
#line 627 "configparser.yy"
                                           { lconfig->setStoreTabsMode( WConfig::STORE_TABS_NEVER ); }
#line 6558 "configparser.cc"
    break;

  case 275: /* $@131: %empty  */
#line 628 "configparser.yy"
                                            { lconfig->setStoreTabsMode( WConfig::STORE_TABS_ALWAYS ); }
#line 6564 "configparser.cc"
    break;

  case 277: /* $@132: %empty  */
#line 629 "configparser.yy"
                                                   { lconfig->setStoreTabsMode( WConfig::STORE_TABS_AS_EXIT_STATE ); }
#line 6570 "configparser.cc"
    break;

  case 279: /* $@133: %empty  */
#line 630 "configparser.yy"
                                         { lconfig->setStoreTabsMode( WConfig::STORE_TABS_ASK ); }
#line 6576 "configparser.cc"
    break;

  case 282: /* $@134: %empty  */
#line 633 "configparser.yy"
                             { lconfig_p1 = new WCPath(); }
#line 6582 "configparser.cc"
    break;

  case 283: /* $@135: %empty  */
#line 634 "configparser.yy"
                          { lconfig_p1->setCheck( true );
                        while ( lconfig_listp->size() < ( lconfig_pos + 1 ) ) lconfig_listp->addElement( new WCPath() );
                        lconfig_p1 = (WCPath*)lconfig_listp->exchangeElement( lconfig_pos, lconfig_p1 );
                        delete lconfig_p1;
                        lconfig_p1 = NULL;
                      }
#line 6593 "configparser.cc"
    break;

  case 286: /* $@136: %empty  */
#line 642 "configparser.yy"
                               { lconfig_pos = (yyvsp[-1].num);
                         if ( lconfig_pos < 0 ) lconfig_pos = 0;
                         if ( lconfig_pos > 10240 ) lconfig_pos = 10240;
                       }
#line 6602 "configparser.cc"
    break;

  case 288: /* $@137: %empty  */
#line 646 "configparser.yy"
                               { lconfig_p1->setName( (yyvsp[-1].strptr) ); }
#line 6608 "configparser.cc"
    break;

  case 290: /* $@138: %empty  */
#line 647 "configparser.yy"
                                      { lconfig_p1->setFG( (yyvsp[-3].num) );
                            lconfig_p1->setBG( (yyvsp[-1].num) );
                          }
#line 6616 "configparser.cc"
    break;

  case 292: /* $@139: %empty  */
#line 650 "configparser.yy"
                              { lconfig_p1->setPath( (yyvsp[-1].strptr) ); }
#line 6622 "configparser.cc"
    break;

  case 294: /* $@140: %empty  */
#line 651 "configparser.yy"
                                 { lconfig_listsk = new List(); }
#line 6628 "configparser.cc"
    break;

  case 295: /* $@141: %empty  */
#line 652 "configparser.yy"
                            { lconfig_p1->setDoubleKeys( lconfig_listsk );
                              lconfig_id = lconfig_listsk->initEnum();
                              lconfig_dk = (WCDoubleShortkey*)lconfig_listsk->getFirstElement( lconfig_id );
                              while ( lconfig_dk != NULL ) {
                                delete lconfig_dk;
                                lconfig_listsk->removeFirstElement();
                                lconfig_dk = (WCDoubleShortkey*)lconfig_listsk->getFirstElement( lconfig_id );
                              }
                              lconfig_listsk->closeEnum( lconfig_id );
                              delete lconfig_listsk;
                              lconfig_listsk = NULL;
                            }
#line 6645 "configparser.cc"
    break;

  case 298: /* $@142: %empty  */
#line 666 "configparser.yy"
                                 { lconfig_dk = new WCDoubleShortkey();
                                   lconfig_dk->setType( WCDoubleShortkey::WCDS_NORMAL );
                                 }
#line 6653 "configparser.cc"
    break;

  case 299: /* $@143: %empty  */
#line 669 "configparser.yy"
                                { lconfig_nkeysym = AGUIX::getKeySymForString( (yyvsp[-1].strptr) );
                          if ( lconfig_nkeysym != NoSymbol ) lconfig_dk->setKeySym( lconfig_nkeysym, 0 );
                          else lconfig_dk->setKeySym( 0, 0 );  /*TODO:Fehler printen?*/
                          lconfig_keymod = 0;
                        }
#line 6663 "configparser.cc"
    break;

  case 300: /* $@144: %empty  */
#line 674 "configparser.yy"
             { lconfig_dk->setMod( lconfig_keymod, 0 ); }
#line 6669 "configparser.cc"
    break;

  case 301: /* $@145: %empty  */
#line 675 "configparser.yy"
                       { lconfig_listsk->addElement( lconfig_dk ); }
#line 6675 "configparser.cc"
    break;

  case 303: /* $@146: %empty  */
#line 677 "configparser.yy"
                                 { lconfig_dk = new WCDoubleShortkey();
                                   lconfig_dk->setType( WCDoubleShortkey::WCDS_DOUBLE );
                                  }
#line 6683 "configparser.cc"
    break;

  case 304: /* $@147: %empty  */
#line 680 "configparser.yy"
                                { lconfig_nkeysym = AGUIX::getKeySymForString( (yyvsp[-1].strptr) );
                          if ( lconfig_nkeysym != NoSymbol ) lconfig_dk->setKeySym( lconfig_nkeysym, 0 );
                          else lconfig_dk->setKeySym( 0, 0 );  /*TODO:Fehler printen?*/
                          lconfig_keymod = 0;
                        }
#line 6693 "configparser.cc"
    break;

  case 305: /* $@148: %empty  */
#line 685 "configparser.yy"
             { lconfig_dk->setMod( lconfig_keymod, 0 ); /*TODO:finzt das so mit dem lconfig_keymod?*/}
#line 6699 "configparser.cc"
    break;

  case 306: /* $@149: %empty  */
#line 686 "configparser.yy"
                                { lconfig_nkeysym = AGUIX::getKeySymForString( (yyvsp[-1].strptr) );
                          if ( lconfig_nkeysym != NoSymbol ) lconfig_dk->setKeySym( lconfig_nkeysym, 1 );
                          else lconfig_dk->setKeySym( 0, 1 );  /*TODO:Fehler printen?*/
                          lconfig_keymod = 0;
                        }
#line 6709 "configparser.cc"
    break;

  case 307: /* $@150: %empty  */
#line 691 "configparser.yy"
             { lconfig_dk->setMod( lconfig_keymod, 1 ); }
#line 6715 "configparser.cc"
    break;

  case 308: /* $@151: %empty  */
#line 692 "configparser.yy"
                       { lconfig_listsk->addElement( lconfig_dk ); }
#line 6721 "configparser.cc"
    break;

  case 311: /* $@152: %empty  */
#line 696 "configparser.yy"
                              { lconfig_keymod |= ControlMask; }
#line 6727 "configparser.cc"
    break;

  case 313: /* $@153: %empty  */
#line 697 "configparser.yy"
                            { lconfig_keymod |= ShiftMask; }
#line 6733 "configparser.cc"
    break;

  case 315: /* $@154: %empty  */
#line 698 "configparser.yy"
                           { lconfig_keymod |= LockMask; }
#line 6739 "configparser.cc"
    break;

  case 317: /* $@155: %empty  */
#line 699 "configparser.yy"
                           { lconfig_keymod |= Mod1Mask; }
#line 6745 "configparser.cc"
    break;

  case 319: /* $@156: %empty  */
#line 700 "configparser.yy"
                           { lconfig_keymod |= Mod2Mask; }
#line 6751 "configparser.cc"
    break;

  case 321: /* $@157: %empty  */
#line 701 "configparser.yy"
                           { lconfig_keymod |= Mod3Mask; }
#line 6757 "configparser.cc"
    break;

  case 323: /* $@158: %empty  */
#line 702 "configparser.yy"
                           { lconfig_keymod |= Mod4Mask; }
#line 6763 "configparser.cc"
    break;

  case 325: /* $@159: %empty  */
#line 703 "configparser.yy"
                           { lconfig_keymod |= Mod5Mask; }
#line 6769 "configparser.cc"
    break;

  case 328: /* $@160: %empty  */
#line 706 "configparser.yy"
                                     { lconfig_ft1 = new WCFiletype(); }
#line 6775 "configparser.cc"
    break;

  case 329: /* $@161: %empty  */
#line 707 "configparser.yy"
                                  { lconfig_listft->addElement( lconfig_ft1 );
                                lconfig_ft1 = NULL;
                              }
#line 6783 "configparser.cc"
    break;

  case 331: /* $@162: %empty  */
#line 710 "configparser.yy"
                                       { lconfig_ignorelist = new List(); }
#line 6789 "configparser.cc"
    break;

  case 332: /* $@163: %empty  */
#line 711 "configparser.yy"
                                    { lconfig->setDontCheckDirs( lconfig_ignorelist );
                                  lconfig_id = lconfig_ignorelist->initEnum();
                                  lconfig_tstr = (char*)lconfig_ignorelist->getFirstElement( lconfig_id );
                                  while ( lconfig_tstr != NULL ) {
                                    _freesafe( lconfig_tstr );
                                    lconfig_tstr = (char*)lconfig_ignorelist->getNextElement( lconfig_id );
                                  }
                                  lconfig_ignorelist->closeEnum( lconfig_id );
                                  delete lconfig_ignorelist;
                                  lconfig_ignorelist = NULL;
                                 }
#line 6805 "configparser.cc"
    break;

  case 334: /* $@164: %empty  */
#line 722 "configparser.yy"
                                         { lconfig->setDontCheckVirtual( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 6811 "configparser.cc"
    break;

  case 337: /* $@165: %empty  */
#line 725 "configparser.yy"
                         { lconfig_ignorelist->addElement( dupstring( (yyvsp[-1].strptr) ) ); }
#line 6817 "configparser.cc"
    break;

  case 340: /* $@166: %empty  */
#line 728 "configparser.yy"
                                        { filetypehier.push_back( lconfig_ft1 );
                                          lconfig_ft1 = new WCFiletype();
                                        }
#line 6825 "configparser.cc"
    break;

  case 341: /* $@167: %empty  */
#line 731 "configparser.yy"
                                     { old_lconfig_ft1 = filetypehier.back();
	                               filetypehier.pop_back();
				       if ( old_lconfig_ft1 != NULL ) {
					 old_lconfig_ft1->addSubType( lconfig_ft1 );
				       } else {
					 delete lconfig_ft1;
				       }
				       lconfig_ft1 = old_lconfig_ft1;
	                             }
#line 6839 "configparser.cc"
    break;

  case 344: /* $@168: %empty  */
#line 742 "configparser.yy"
                               { lconfig_ft1->setinternID( (yyvsp[-1].num) ); }
#line 6845 "configparser.cc"
    break;

  case 346: /* $@169: %empty  */
#line 743 "configparser.yy"
                                   { lconfig_ft1->setName( (yyvsp[-1].strptr) ); }
#line 6851 "configparser.cc"
    break;

  case 348: /* $@170: %empty  */
#line 744 "configparser.yy"
                                     { lconfig_ft1->setPattern( (yyvsp[-1].strptr) ); }
#line 6857 "configparser.cc"
    break;

  case 350: /* $@171: %empty  */
#line 745 "configparser.yy"
                                  { lconfig_ft1->setUsePattern( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 6863 "configparser.cc"
    break;

  case 352: /* $@172: %empty  */
#line 746 "configparser.yy"
                                   { lconfig_ft1->clearFiledesc(); }
#line 6869 "configparser.cc"
    break;

  case 354: /* $@173: %empty  */
#line 748 "configparser.yy"
                                  { lconfig_ft1->setUseFiledesc( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 6875 "configparser.cc"
    break;

  case 356: /* $@174: %empty  */
#line 749 "configparser.yy"
                                         { lconfig_ft1->setPatternIgnoreCase( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 6881 "configparser.cc"
    break;

  case 358: /* $@175: %empty  */
#line 750 "configparser.yy"
                                        { lconfig_ft1->setPatternUseRegExp( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 6887 "configparser.cc"
    break;

  case 360: /* $@176: %empty  */
#line 751 "configparser.yy"
                                          { lconfig_ft1->setPatternUseFullname( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 6893 "configparser.cc"
    break;

  case 363: /* $@177: %empty  */
#line 753 "configparser.yy"
                                     { lconfig_ft1->setExtCond( (yyvsp[-1].strptr) ); }
#line 6899 "configparser.cc"
    break;

  case 365: /* $@178: %empty  */
#line 754 "configparser.yy"
                                  { lconfig_ft1->setUseExtCond( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 6905 "configparser.cc"
    break;

  case 368: /* $@179: %empty  */
#line 756 "configparser.yy"
                                                  { lconfig_ft1->setCustomColor( 0, 0, (yyvsp[-3].num) );
	                                            lconfig_ft1->setCustomColor( 1, 0, (yyvsp[-1].num) );
                                                  }
#line 6913 "configparser.cc"
    break;

  case 370: /* $@180: %empty  */
#line 759 "configparser.yy"
                                                { lconfig_ft1->setCustomColor( 0, 1, (yyvsp[-3].num) );
	                                          lconfig_ft1->setCustomColor( 1, 1, (yyvsp[-1].num) );
                                                }
#line 6921 "configparser.cc"
    break;

  case 372: /* $@181: %empty  */
#line 762 "configparser.yy"
                                                        { lconfig_ft1->setCustomColor( 0, 2, (yyvsp[-3].num) );
	                                                  lconfig_ft1->setCustomColor( 1, 2, (yyvsp[-1].num) );
                                                        }
#line 6929 "configparser.cc"
    break;

  case 374: /* $@182: %empty  */
#line 765 "configparser.yy"
                                                      { lconfig_ft1->setCustomColor( 0, 3, (yyvsp[-3].num) );
	                                                lconfig_ft1->setCustomColor( 1, 3, (yyvsp[-1].num) );
                                                      }
#line 6937 "configparser.cc"
    break;

  case 376: /* $@183: %empty  */
#line 768 "configparser.yy"
                                             { lconfig_ft1->setColorExt( (yyvsp[-1].strptr) ); }
#line 6943 "configparser.cc"
    break;

  case 378: /* $@184: %empty  */
#line 769 "configparser.yy"
                                        { lconfig_ft1->setColorMode( WCFiletype::DEFAULTCOL ); }
#line 6949 "configparser.cc"
    break;

  case 380: /* $@185: %empty  */
#line 770 "configparser.yy"
                                       { lconfig_ft1->setColorMode( WCFiletype::CUSTOMCOL ); }
#line 6955 "configparser.cc"
    break;

  case 382: /* $@186: %empty  */
#line 771 "configparser.yy"
                                       { lconfig_ft1->setColorMode( WCFiletype::EXTERNALCOL ); }
#line 6961 "configparser.cc"
    break;

  case 384: /* $@187: %empty  */
#line 772 "configparser.yy"
                                       { lconfig_ft1->setColorMode( WCFiletype::PARENTCOL ); }
#line 6967 "configparser.cc"
    break;

  case 386: /* $@188: %empty  */
#line 773 "configparser.yy"
                                          { lconfig_ft1->setMagicPattern( (yyvsp[-1].strptr) ); }
#line 6973 "configparser.cc"
    break;

  case 388: /* $@189: %empty  */
#line 774 "configparser.yy"
                                { lconfig_ft1->setUseMagic( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 6979 "configparser.cc"
    break;

  case 390: /* $@190: %empty  */
#line 775 "configparser.yy"
                                       { lconfig_ft1->setMagicCompressed( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 6985 "configparser.cc"
    break;

  case 392: /* $@191: %empty  */
#line 776 "configparser.yy"
                                 { lconfig_ft1->setMagicMime( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 6991 "configparser.cc"
    break;

  case 394: /* $@192: %empty  */
#line 777 "configparser.yy"
                                       { lconfig_ft1->setMagicIgnoreCase( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 6997 "configparser.cc"
    break;

  case 396: /* $@193: %empty  */
#line 778 "configparser.yy"
                                               { lconfig_ft1->setPatternIsCommaSeparated( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 7003 "configparser.cc"
    break;

  case 398: /* $@194: %empty  */
#line 779 "configparser.yy"
                                   { lconfig_ft1->setPriority( (yyvsp[-1].num) ); }
#line 7009 "configparser.cc"
    break;

  case 401: /* $@195: %empty  */
#line 782 "configparser.yy"
                                 { lconfig_ft1->setFiledesc( (yyvsp[-3].num), (yyvsp[-1].num) ); }
#line 7015 "configparser.cc"
    break;

  case 404: /* ft_type: NORMAL_WCP  */
#line 785 "configparser.yy"
                   { (yyval.num) = NORMALTYPE; }
#line 7021 "configparser.cc"
    break;

  case 405: /* ft_type: NOTYETCHECKED_WCP  */
#line 786 "configparser.yy"
                          { (yyval.num) = NOTYETTYPE; }
#line 7027 "configparser.cc"
    break;

  case 406: /* ft_type: UNKNOWN_WCP  */
#line 787 "configparser.yy"
                    { (yyval.num) = UNKNOWNTYPE; }
#line 7033 "configparser.cc"
    break;

  case 407: /* ft_type: NOSELECT_WCP  */
#line 788 "configparser.yy"
                     { (yyval.num) = VOIDTYPE; }
#line 7039 "configparser.cc"
    break;

  case 408: /* ft_type: DIR_WCP  */
#line 789 "configparser.yy"
                { (yyval.num) = DIRTYPE; }
#line 7045 "configparser.cc"
    break;

  case 409: /* $@196: %empty  */
#line 792 "configparser.yy"
                                 { lconfig_listcom.clear(); }
#line 7051 "configparser.cc"
    break;

  case 410: /* $@197: %empty  */
#line 793 "configparser.yy"
                                   { lconfig_ft1->setDNDActions( lconfig_listcom );
                                     lconfig_listcom.clear();
                               }
#line 7059 "configparser.cc"
    break;

  case 412: /* $@198: %empty  */
#line 796 "configparser.yy"
                                { lconfig_listcom.clear(); }
#line 7065 "configparser.cc"
    break;

  case 413: /* $@199: %empty  */
#line 797 "configparser.yy"
                                   { lconfig_ft1->setDoubleClickActions( lconfig_listcom );
                                     lconfig_listcom.clear();
                               }
#line 7073 "configparser.cc"
    break;

  case 415: /* $@200: %empty  */
#line 800 "configparser.yy"
                                  { lconfig_listcom.clear(); }
#line 7079 "configparser.cc"
    break;

  case 416: /* $@201: %empty  */
#line 801 "configparser.yy"
                                   { lconfig_ft1->setShowActions( lconfig_listcom );
                                     lconfig_listcom.clear();
                               }
#line 7087 "configparser.cc"
    break;

  case 418: /* $@202: %empty  */
#line 804 "configparser.yy"
                                     { lconfig_listcom.clear(); }
#line 7093 "configparser.cc"
    break;

  case 419: /* $@203: %empty  */
#line 805 "configparser.yy"
                                   { lconfig_ft1->setRawShowActions( lconfig_listcom );
                                     lconfig_listcom.clear();
                               }
#line 7101 "configparser.cc"
    break;

  case 421: /* $@204: %empty  */
#line 808 "configparser.yy"
                                          { lconfig_listcom.clear(); }
#line 7107 "configparser.cc"
    break;

  case 422: /* $@205: %empty  */
#line 809 "configparser.yy"
                                   { lconfig_ft1->setUserActions( (yyvsp[-4].num), lconfig_listcom );
                                     lconfig_listcom.clear();
                               }
#line 7115 "configparser.cc"
    break;

  case 424: /* $@206: %empty  */
#line 812 "configparser.yy"
                                          { lconfig_listcom.clear(); }
#line 7121 "configparser.cc"
    break;

  case 425: /* $@207: %empty  */
#line 815 "configparser.yy"
                                                  { lconfig_ft1->setCustomActions( (yyvsp[-6].strptr), lconfig_listcom );
                                                    lconfig_listcom.clear();
                               }
#line 7129 "configparser.cc"
    break;

  case 432: /* $@208: %empty  */
#line 826 "configparser.yy"
                                 { lconfig_hk1 = new WCHotkey(); }
#line 7135 "configparser.cc"
    break;

  case 433: /* $@209: %empty  */
#line 827 "configparser.yy"
                              { lconfig_listh->addElement( lconfig_hk1 );
                            lconfig_hk1 = NULL;
                          }
#line 7143 "configparser.cc"
    break;

  case 436: /* $@210: %empty  */
#line 832 "configparser.yy"
                                 { lconfig_hk1->setName( (yyvsp[-1].strptr) ); }
#line 7149 "configparser.cc"
    break;

  case 438: /* $@211: %empty  */
#line 833 "configparser.yy"
                                  { lconfig_listcom.clear(); }
#line 7155 "configparser.cc"
    break;

  case 439: /* $@212: %empty  */
#line 834 "configparser.yy"
                               { lconfig_hk1->setComs( lconfig_listcom );
                                 lconfig_listcom.clear();
                           }
#line 7163 "configparser.cc"
    break;

  case 441: /* $@213: %empty  */
#line 837 "configparser.yy"
                                   { lconfig_listsk = new List(); }
#line 7169 "configparser.cc"
    break;

  case 442: /* $@214: %empty  */
#line 838 "configparser.yy"
                              { lconfig_hk1->setDoubleKeys( lconfig_listsk );
                            lconfig_id = lconfig_listsk->initEnum();
                            lconfig_dk = (WCDoubleShortkey*)lconfig_listsk->getFirstElement( lconfig_id );
                            while ( lconfig_dk != NULL ) {
                              delete lconfig_dk;
                              lconfig_listsk->removeFirstElement();
                              lconfig_dk = (WCDoubleShortkey*)lconfig_listsk->getFirstElement( lconfig_id );
                            }
                            lconfig_listsk->closeEnum( lconfig_id );
                            delete lconfig_listsk;
                            lconfig_listsk = NULL;
                          }
#line 7186 "configparser.cc"
    break;

  case 445: /* $@215: %empty  */
#line 852 "configparser.yy"
                                 { lconfig_bt1 = new WCButton(); }
#line 7192 "configparser.cc"
    break;

  case 446: /* $@216: %empty  */
#line 853 "configparser.yy"
                              { lconfig_bt1->setCheck( true );
                            while ( lconfig_listb->size() < ( lconfig_pos + 1 ) ) lconfig_listb->addElement( new WCButton() );
                            lconfig_bt1 = (WCButton*)lconfig_listb->exchangeElement( lconfig_pos, lconfig_bt1 );
                            delete lconfig_bt1;
                            lconfig_bt1 = NULL;
                          }
#line 7203 "configparser.cc"
    break;

  case 449: /* $@217: %empty  */
#line 861 "configparser.yy"
                                 { lconfig_pos = (yyvsp[-1].num);
                           if ( lconfig_pos < 0 ) lconfig_pos = 0;
                           if ( lconfig_pos > 100000 ) lconfig_pos = 100000;
                         }
#line 7212 "configparser.cc"
    break;

  case 451: /* $@218: %empty  */
#line 865 "configparser.yy"
                                { lconfig_bt1->setText( (yyvsp[-1].strptr) ); }
#line 7218 "configparser.cc"
    break;

  case 453: /* $@219: %empty  */
#line 866 "configparser.yy"
                                        { lconfig_bt1->setFG( (yyvsp[-3].num) );
                              lconfig_bt1->setBG( (yyvsp[-1].num) );
                            }
#line 7226 "configparser.cc"
    break;

  case 455: /* $@220: %empty  */
#line 869 "configparser.yy"
                                  { lconfig_listcom.clear(); }
#line 7232 "configparser.cc"
    break;

  case 456: /* $@221: %empty  */
#line 870 "configparser.yy"
                               { lconfig_bt1->setComs( lconfig_listcom );
                                 lconfig_listcom.clear();
                           }
#line 7240 "configparser.cc"
    break;

  case 458: /* $@222: %empty  */
#line 873 "configparser.yy"
                                   { lconfig_listsk = new List(); }
#line 7246 "configparser.cc"
    break;

  case 459: /* $@223: %empty  */
#line 874 "configparser.yy"
                              { lconfig_bt1->setDoubleKeys( lconfig_listsk );
                            lconfig_id = lconfig_listsk->initEnum();
                            lconfig_dk = (WCDoubleShortkey*)lconfig_listsk->getFirstElement( lconfig_id );
                            while ( lconfig_dk != NULL ) {
                              delete lconfig_dk;
                              lconfig_listsk->removeFirstElement();
                             lconfig_dk = (WCDoubleShortkey*)lconfig_listsk->getFirstElement( lconfig_id );
                            }
                            lconfig_listsk->closeEnum( lconfig_id );
                            delete lconfig_listsk;
                            lconfig_listsk = NULL;
                          }
#line 7263 "configparser.cc"
    break;

  case 462: /* $@224: %empty  */
#line 889 "configparser.yy"
      {
#ifndef HAVE_XFT
        lconfig->setFont( 0, (yyvsp[-1].strptr) );
#endif
        lconfig->setFontName( WConfig::FONT_X11_GLOBAL, (yyvsp[-1].strptr) );
      }
#line 7274 "configparser.cc"
    break;

  case 464: /* $@225: %empty  */
#line 896 "configparser.yy"
      {
#ifndef HAVE_XFT
        lconfig->setFont( 1, (yyvsp[-1].strptr) );
#endif
        lconfig->setFontName( WConfig::FONT_X11_BUTTONS, (yyvsp[-1].strptr) );
      }
#line 7285 "configparser.cc"
    break;

  case 466: /* $@226: %empty  */
#line 903 "configparser.yy"
      {
#ifndef HAVE_XFT
        lconfig->setFont( 2, (yyvsp[-1].strptr) );
#endif
        lconfig->setFontName( WConfig::FONT_X11_LEFT, (yyvsp[-1].strptr) );
      }
#line 7296 "configparser.cc"
    break;

  case 468: /* $@227: %empty  */
#line 910 "configparser.yy"
      {
#ifndef HAVE_XFT
        lconfig->setFont( 3, (yyvsp[-1].strptr) );
#endif
        lconfig->setFontName( WConfig::FONT_X11_RIGHT, (yyvsp[-1].strptr) );
      }
#line 7307 "configparser.cc"
    break;

  case 470: /* $@228: %empty  */
#line 917 "configparser.yy"
      {
#ifndef HAVE_XFT
        lconfig->setFont( 4, (yyvsp[-1].strptr) );
#endif
        lconfig->setFontName( WConfig::FONT_X11_TEXTVIEW, (yyvsp[-1].strptr) );
      }
#line 7318 "configparser.cc"
    break;

  case 472: /* $@229: %empty  */
#line 924 "configparser.yy"
      {
#ifndef HAVE_XFT
        lconfig->setFont( 5, (yyvsp[-1].strptr) );
#endif
        lconfig->setFontName( WConfig::FONT_X11_STATEBAR, (yyvsp[-1].strptr) );
      }
#line 7329 "configparser.cc"
    break;

  case 475: /* $@230: %empty  */
#line 933 "configparser.yy"
         {
#ifdef HAVE_XFT
           lconfig->setFont( 0, (yyvsp[-1].strptr) );
#endif
           lconfig->setFontName( WConfig::FONT_XFT_GLOBAL, (yyvsp[-1].strptr) );
         }
#line 7340 "configparser.cc"
    break;

  case 477: /* $@231: %empty  */
#line 940 "configparser.yy"
         {
#ifdef HAVE_XFT
           lconfig->setFont( 1, (yyvsp[-1].strptr) );
#endif
           lconfig->setFontName( WConfig::FONT_XFT_BUTTONS, (yyvsp[-1].strptr) );
         }
#line 7351 "configparser.cc"
    break;

  case 479: /* $@232: %empty  */
#line 947 "configparser.yy"
         {
#ifdef HAVE_XFT
           lconfig->setFont( 2, (yyvsp[-1].strptr) );
#endif
           lconfig->setFontName( WConfig::FONT_XFT_LEFT, (yyvsp[-1].strptr) );
         }
#line 7362 "configparser.cc"
    break;

  case 481: /* $@233: %empty  */
#line 954 "configparser.yy"
         {
#ifdef HAVE_XFT
           lconfig->setFont( 3, (yyvsp[-1].strptr) );
#endif
           lconfig->setFontName( WConfig::FONT_XFT_RIGHT, (yyvsp[-1].strptr) );
         }
#line 7373 "configparser.cc"
    break;

  case 483: /* $@234: %empty  */
#line 961 "configparser.yy"
         {
#ifdef HAVE_XFT
           lconfig->setFont( 4, (yyvsp[-1].strptr) );
#endif
           lconfig->setFontName( WConfig::FONT_XFT_TEXTVIEW, (yyvsp[-1].strptr) );
         }
#line 7384 "configparser.cc"
    break;

  case 485: /* $@235: %empty  */
#line 968 "configparser.yy"
         {
#ifdef HAVE_XFT
           lconfig->setFont( 5, (yyvsp[-1].strptr) );
#endif
           lconfig->setFontName( WConfig::FONT_XFT_STATEBAR, (yyvsp[-1].strptr) );
         }
#line 7395 "configparser.cc"
    break;

  case 488: /* $@236: %empty  */
#line 977 "configparser.yy"
              {
                  lconfig->setVMMountCommand( (yyvsp[-1].strptr) );
              }
#line 7403 "configparser.cc"
    break;

  case 490: /* $@237: %empty  */
#line 981 "configparser.yy"
              {
                  lconfig->setVMUnmountCommand( (yyvsp[-1].strptr) );
              }
#line 7411 "configparser.cc"
    break;

  case 492: /* $@238: %empty  */
#line 985 "configparser.yy"
              {
                  lconfig->setVMEjectCommand( (yyvsp[-1].strptr) );
              }
#line 7419 "configparser.cc"
    break;

  case 494: /* $@239: %empty  */
#line 989 "configparser.yy"
              {
                  lconfig->setVMCloseTrayCommand( (yyvsp[-1].strptr) );
              }
#line 7427 "configparser.cc"
    break;

  case 496: /* $@240: %empty  */
#line 993 "configparser.yy"
              {
                  lconfig->setVMFStabFile( (yyvsp[-1].strptr) );
              }
#line 7435 "configparser.cc"
    break;

  case 498: /* $@241: %empty  */
#line 997 "configparser.yy"
              {
                  lconfig->setVMMtabFile( (yyvsp[-1].strptr) );
              }
#line 7443 "configparser.cc"
    break;

  case 500: /* $@242: %empty  */
#line 1001 "configparser.yy"
              {
                  lconfig->setVMPartitionFile( (yyvsp[-1].strptr) );
              }
#line 7451 "configparser.cc"
    break;

  case 502: /* $@243: %empty  */
#line 1005 "configparser.yy"
              {
                  lconfig->setVMRequestAction( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false );
              }
#line 7459 "configparser.cc"
    break;

  case 504: /* $@244: %empty  */
#line 1009 "configparser.yy"
              {
                  lconfig->setVMPreferredUdisksVersion( (yyvsp[-1].num) );
              }
#line 7467 "configparser.cc"
    break;

  case 507: /* $@245: %empty  */
#line 1014 "configparser.yy"
                                          { lconfig->setClockbarMode( WConfig::CLOCKBAR_MODE_TIMERAM ); }
#line 7473 "configparser.cc"
    break;

  case 509: /* $@246: %empty  */
#line 1015 "configparser.yy"
                                     { lconfig->setClockbarMode( WConfig::CLOCKBAR_MODE_TIME ); }
#line 7479 "configparser.cc"
    break;

  case 511: /* $@247: %empty  */
#line 1016 "configparser.yy"
                                        { lconfig->setClockbarMode( WConfig::CLOCKBAR_MODE_VERSION ); }
#line 7485 "configparser.cc"
    break;

  case 513: /* $@248: %empty  */
#line 1017 "configparser.yy"
                                       { lconfig->setClockbarMode( WConfig::CLOCKBAR_MODE_EXTERN ); }
#line 7491 "configparser.cc"
    break;

  case 515: /* $@249: %empty  */
#line 1018 "configparser.yy"
                                         { lconfig->setClockbarUpdatetime( (yyvsp[-1].num) ); }
#line 7497 "configparser.cc"
    break;

  case 517: /* $@250: %empty  */
#line 1019 "configparser.yy"
                                         { lconfig->setClockbarCommand( (yyvsp[-1].strptr) ); }
#line 7503 "configparser.cc"
    break;

  case 519: /* $@251: %empty  */
#line 1020 "configparser.yy"
                                     { lconfig->setClockbarHints( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 7509 "configparser.cc"
    break;

  case 522: /* bool: YES_WCP  */
#line 1023 "configparser.yy"
             { (yyval.num) = 1; }
#line 7515 "configparser.cc"
    break;

  case 523: /* bool: NO_WCP  */
#line 1024 "configparser.yy"
            { (yyval.num) = 0; }
#line 7521 "configparser.cc"
    break;

  case 595: /* $@252: %empty  */
#line 1098 "configparser.yy"
                              { lconfig_fp1 = std::make_shared< OwnOp >(); }
#line 7527 "configparser.cc"
    break;

  case 596: /* ownop: OWNOP_WCP LEFTBRACE_WCP $@252 ownopbody RIGHTBRACE_WCP  */
#line 1099 "configparser.yy"
                               { lconfig_listcom.push_back( lconfig_fp1 ); }
#line 7533 "configparser.cc"
    break;

  case 597: /* $@253: %empty  */
#line 1101 "configparser.yy"
                                  { std::dynamic_pointer_cast<OwnOp>(lconfig_fp1)->setComStr( (yyvsp[-1].strptr) ); }
#line 7539 "configparser.cc"
    break;

  case 599: /* $@254: %empty  */
#line 1102 "configparser.yy"
                                          { std::dynamic_pointer_cast<OwnOp>(lconfig_fp1)->setSeparateEachEntry( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 7545 "configparser.cc"
    break;

  case 601: /* $@255: %empty  */
#line 1103 "configparser.yy"
                                  { std::dynamic_pointer_cast<OwnOp>(lconfig_fp1)->setRecursive( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 7551 "configparser.cc"
    break;

  case 603: /* $@256: %empty  */
#line 1104 "configparser.yy"
                                      { std::dynamic_pointer_cast<OwnOp>(lconfig_fp1)->setOwnStart( OwnOp::OWNOP_START_IN_TERMINAL ); }
#line 7557 "configparser.cc"
    break;

  case 605: /* $@257: %empty  */
#line 1105 "configparser.yy"
                                          { std::dynamic_pointer_cast<OwnOp>(lconfig_fp1)->setOwnStart( OwnOp::OWNOP_START_IN_TERMINAL_AND_WAIT4KEY ); }
#line 7563 "configparser.cc"
    break;

  case 607: /* $@258: %empty  */
#line 1106 "configparser.yy"
                                        { std::dynamic_pointer_cast<OwnOp>(lconfig_fp1)->setOwnStart( OwnOp::OWNOP_SHOW_OUTPUT ); }
#line 7569 "configparser.cc"
    break;

  case 609: /* $@259: %empty  */
#line 1107 "configparser.yy"
                                           { std::dynamic_pointer_cast<OwnOp>(lconfig_fp1)->setOwnStart( OwnOp::OWNOP_SHOW_OUTPUT_INT ); }
#line 7575 "configparser.cc"
    break;

  case 611: /* $@260: %empty  */
#line 1108 "configparser.yy"
                                    { std::dynamic_pointer_cast<OwnOp>(lconfig_fp1)->setOwnStart( OwnOp::OWNOP_START_NORMAL ); }
#line 7581 "configparser.cc"
    break;

  case 613: /* $@261: %empty  */
#line 1109 "configparser.yy"
                                      { std::dynamic_pointer_cast<OwnOp>(lconfig_fp1)->setViewStr( (yyvsp[-1].strptr) ); }
#line 7587 "configparser.cc"
    break;

  case 615: /* $@262: %empty  */
#line 1110 "configparser.yy"
                                     { std::dynamic_pointer_cast<OwnOp>(lconfig_fp1)->setInBackground( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 7593 "configparser.cc"
    break;

  case 617: /* $@263: %empty  */
#line 1111 "configparser.yy"
                                 { std::dynamic_pointer_cast<OwnOp>(lconfig_fp1)->setTakeDirs( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 7599 "configparser.cc"
    break;

  case 619: /* $@264: %empty  */
#line 1112 "configparser.yy"
                               { std::dynamic_pointer_cast<OwnOp>(lconfig_fp1)->setDontCD( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 7605 "configparser.cc"
    break;

  case 621: /* $@265: %empty  */
#line 1113 "configparser.yy"
                                                { std::dynamic_pointer_cast<OwnOp>(lconfig_fp1)->setUseVirtualTempCopies( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 7611 "configparser.cc"
    break;

  case 623: /* $@266: %empty  */
#line 1114 "configparser.yy"
                                                      { std::dynamic_pointer_cast<OwnOp>(lconfig_fp1)->setFlagsAreRelativeToBaseDir( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 7617 "configparser.cc"
    break;

  case 626: /* $@267: %empty  */
#line 1117 "configparser.yy"
                                      { lconfig_fp1 = std::make_shared<DNDAction>(); }
#line 7623 "configparser.cc"
    break;

  case 627: /* dndaction: DNDACTION_WCP LEFTBRACE_WCP $@267 RIGHTBRACE_WCP  */
#line 1118 "configparser.yy"
                         { lconfig_listcom.push_back( lconfig_fp1 ); }
#line 7629 "configparser.cc"
    break;

  case 628: /* $@268: %empty  */
#line 1120 "configparser.yy"
                                    { lconfig_fp1 = std::make_shared<DoubleClickAction>(); }
#line 7635 "configparser.cc"
    break;

  case 629: /* dcaction: DCACTION_WCP LEFTBRACE_WCP $@268 RIGHTBRACE_WCP  */
#line 1121 "configparser.yy"
                        { lconfig_listcom.push_back( lconfig_fp1 ); }
#line 7641 "configparser.cc"
    break;

  case 630: /* $@269: %empty  */
#line 1123 "configparser.yy"
                                        { lconfig_fp1 = std::make_shared<ShowAction>(); }
#line 7647 "configparser.cc"
    break;

  case 631: /* showaction: SHOWACTION_WCP LEFTBRACE_WCP $@269 RIGHTBRACE_WCP  */
#line 1124 "configparser.yy"
                          { lconfig_listcom.push_back( lconfig_fp1 ); }
#line 7653 "configparser.cc"
    break;

  case 632: /* $@270: %empty  */
#line 1126 "configparser.yy"
                                          { lconfig_fp1 = std::make_shared<RawShowAction>(); }
#line 7659 "configparser.cc"
    break;

  case 633: /* rshowaction: RSHOWACTION_WCP LEFTBRACE_WCP $@270 RIGHTBRACE_WCP  */
#line 1127 "configparser.yy"
                           { lconfig_listcom.push_back( lconfig_fp1 ); }
#line 7665 "configparser.cc"
    break;

  case 634: /* $@271: %empty  */
#line 1129 "configparser.yy"
                                        { lconfig_fp1 = std::make_shared<UserAction>(); }
#line 7671 "configparser.cc"
    break;

  case 635: /* useraction: USERACTION_WCP LEFTBRACE_WCP $@271 useractionbody RIGHTBRACE_WCP  */
#line 1130 "configparser.yy"
                                         { lconfig_listcom.push_back( lconfig_fp1 ); }
#line 7677 "configparser.cc"
    break;

  case 636: /* $@272: %empty  */
#line 1132 "configparser.yy"
                                             { std::dynamic_pointer_cast<UserAction>(lconfig_fp1)->setNr( (yyvsp[-1].num) ); }
#line 7683 "configparser.cc"
    break;

  case 639: /* $@273: %empty  */
#line 1135 "configparser.yy"
                              { auto tfp = std::make_shared< ScriptOp >();
                                tfp->setType( ScriptOp::SCRIPT_EVALCOMMAND );
                                tfp->setCommandStr( "up" );
                                lconfig_fp1 = tfp;
                              }
#line 7693 "configparser.cc"
    break;

  case 640: /* rowup: ROWUP_WCP LEFTBRACE_WCP $@273 RIGHTBRACE_WCP  */
#line 1140 "configparser.yy"
                     { lconfig_listcom.push_back( lconfig_fp1 ); }
#line 7699 "configparser.cc"
    break;

  case 641: /* $@274: %empty  */
#line 1142 "configparser.yy"
                                  { auto tfp = std::make_shared< ScriptOp >();
                                    tfp->setType( ScriptOp::SCRIPT_EVALCOMMAND );
                                    tfp->setCommandStr( "down" );
                                    lconfig_fp1 = tfp;
                                  }
#line 7709 "configparser.cc"
    break;

  case 642: /* rowdown: ROWDOWN_WCP LEFTBRACE_WCP $@274 RIGHTBRACE_WCP  */
#line 1147 "configparser.yy"
                       { lconfig_listcom.push_back( lconfig_fp1 ); }
#line 7715 "configparser.cc"
    break;

  case 643: /* $@275: %empty  */
#line 1149 "configparser.yy"
                                                    { lconfig_fp1 = std::make_shared<ChangeHiddenFlag>(); }
#line 7721 "configparser.cc"
    break;

  case 644: /* changehiddenflag: CHANGEHIDDENFLAG_WCP LEFTBRACE_WCP $@275 changehiddenflagbody RIGHTBRACE_WCP  */
#line 1150 "configparser.yy"
                                                     { lconfig_listcom.push_back( lconfig_fp1 ); }
#line 7727 "configparser.cc"
    break;

  case 645: /* $@276: %empty  */
#line 1152 "configparser.yy"
                                                   { std::dynamic_pointer_cast<ChangeHiddenFlag>(lconfig_fp1)->setMode( 2 ); }
#line 7733 "configparser.cc"
    break;

  case 647: /* $@277: %empty  */
#line 1153 "configparser.yy"
                                                   { std::dynamic_pointer_cast<ChangeHiddenFlag>(lconfig_fp1)->setMode( 1 ); }
#line 7739 "configparser.cc"
    break;

  case 649: /* $@278: %empty  */
#line 1154 "configparser.yy"
                                                     { std::dynamic_pointer_cast<ChangeHiddenFlag>(lconfig_fp1)->setMode( 0 ); }
#line 7745 "configparser.cc"
    break;

  case 652: /* $@279: %empty  */
#line 1157 "configparser.yy"
                                { lconfig_fp1 = std::make_shared<CopyOp>(); }
#line 7751 "configparser.cc"
    break;

  case 653: /* copyop: COPYOP_WCP LEFTBRACE_WCP $@279 copyopbody RIGHTBRACE_WCP  */
#line 1158 "configparser.yy"
                                 { lconfig_listcom.push_back( lconfig_fp1 ); }
#line 7757 "configparser.cc"
    break;

  case 654: /* $@280: %empty  */
#line 1160 "configparser.yy"
                                        { std::dynamic_pointer_cast<CopyOp>(lconfig_fp1)->setFollowSymlinks( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 7763 "configparser.cc"
    break;

  case 656: /* $@281: %empty  */
#line 1161 "configparser.yy"
                              { std::dynamic_pointer_cast<CopyOp>(lconfig_fp1)->setMove( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 7769 "configparser.cc"
    break;

  case 658: /* $@282: %empty  */
#line 1162 "configparser.yy"
                                { std::dynamic_pointer_cast<CopyOp>(lconfig_fp1)->setRename( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 7775 "configparser.cc"
    break;

  case 660: /* $@283: %empty  */
#line 1163 "configparser.yy"
                                 { std::dynamic_pointer_cast<CopyOp>(lconfig_fp1)->setSameDir( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 7781 "configparser.cc"
    break;

  case 662: /* $@284: %empty  */
#line 1164 "configparser.yy"
                                     { std::dynamic_pointer_cast<CopyOp>(lconfig_fp1)->setRequestDest( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 7787 "configparser.cc"
    break;

  case 664: /* $@285: %empty  */
#line 1165 "configparser.yy"
                                      { std::dynamic_pointer_cast<CopyOp>(lconfig_fp1)->setRequestParameters( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 7793 "configparser.cc"
    break;

  case 666: /* $@286: %empty  */
#line 1166 "configparser.yy"
                                         { std::dynamic_pointer_cast<CopyOp>(lconfig_fp1)->setOverwrite( CopyOp::COPYOP_OVERWRITE_ALWAYS ); }
#line 7799 "configparser.cc"
    break;

  case 668: /* $@287: %empty  */
#line 1167 "configparser.yy"
                                        { std::dynamic_pointer_cast<CopyOp>(lconfig_fp1)->setOverwrite( CopyOp::COPYOP_OVERWRITE_NEVER ); }
#line 7805 "configparser.cc"
    break;

  case 670: /* $@288: %empty  */
#line 1168 "configparser.yy"
                                         { std::dynamic_pointer_cast<CopyOp>(lconfig_fp1)->setOverwrite( CopyOp::COPYOP_OVERWRITE_NORMAL ); }
#line 7811 "configparser.cc"
    break;

  case 672: /* $@289: %empty  */
#line 1169 "configparser.yy"
                                        {}
#line 7817 "configparser.cc"
    break;

  case 674: /* $@290: %empty  */
#line 1170 "configparser.yy"
                                      {}
#line 7823 "configparser.cc"
    break;

  case 676: /* $@291: %empty  */
#line 1171 "configparser.yy"
                                      { std::dynamic_pointer_cast<CopyOp>(lconfig_fp1)->setPreserveAttr( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 7829 "configparser.cc"
    break;

  case 678: /* $@292: %empty  */
#line 1172 "configparser.yy"
                                                     { std::dynamic_pointer_cast<CopyOp>(lconfig_fp1)->setAdjustRelativeSymlinks( CopyOp::COPYOP_ADJUST_SYMLINK_NEVER ); }
#line 7835 "configparser.cc"
    break;

  case 680: /* $@293: %empty  */
#line 1173 "configparser.yy"
                                                       { std::dynamic_pointer_cast<CopyOp>(lconfig_fp1)->setAdjustRelativeSymlinks( CopyOp::COPYOP_ADJUST_SYMLINK_OUTSIDE ); }
#line 7841 "configparser.cc"
    break;

  case 682: /* $@294: %empty  */
#line 1174 "configparser.yy"
                                                      { std::dynamic_pointer_cast<CopyOp>(lconfig_fp1)->setAdjustRelativeSymlinks( CopyOp::COPYOP_ADJUST_SYMLINK_ALWAYS ); }
#line 7847 "configparser.cc"
    break;

  case 684: /* $@295: %empty  */
#line 1175 "configparser.yy"
                                                                 { std::dynamic_pointer_cast<CopyOp>(lconfig_fp1)->setEnsureFilePermissions( LEAVE_PERMISSIONS_UNMODIFIED ); }
#line 7853 "configparser.cc"
    break;

  case 686: /* $@296: %empty  */
#line 1176 "configparser.yy"
                                                        { std::dynamic_pointer_cast<CopyOp>(lconfig_fp1)->setEnsureFilePermissions( ENSURE_USER_RW_PERMISSION ); }
#line 7859 "configparser.cc"
    break;

  case 688: /* $@297: %empty  */
#line 1177 "configparser.yy"
                                                                { std::dynamic_pointer_cast<CopyOp>(lconfig_fp1)->setEnsureFilePermissions( ENSURE_USER_RW_GROUP_R_PERMISSION ); }
#line 7865 "configparser.cc"
    break;

  case 690: /* $@298: %empty  */
#line 1178 "configparser.yy"
                                                              { std::dynamic_pointer_cast<CopyOp>(lconfig_fp1)->setEnsureFilePermissions( ENSURE_USER_RW_ALL_R_PERMISSION ); }
#line 7871 "configparser.cc"
    break;

  case 692: /* $@299: %empty  */
#line 1179 "configparser.yy"
                                                     { std::dynamic_pointer_cast<CopyOp>(lconfig_fp1)->setVdirPreserveDirStructure( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 7877 "configparser.cc"
    break;

  case 695: /* $@300: %empty  */
#line 1182 "configparser.yy"
                                    { auto tfp = std::make_shared< ScriptOp >();
                                      tfp->setType( ScriptOp::SCRIPT_EVALCOMMAND );
                                      tfp->setCommandStr( "first" );
                                      lconfig_fp1 = tfp;
                                    }
#line 7887 "configparser.cc"
    break;

  case 696: /* firstrow: FIRSTROW_WCP LEFTBRACE_WCP $@300 RIGHTBRACE_WCP  */
#line 1187 "configparser.yy"
                        { lconfig_listcom.push_back( lconfig_fp1 ); }
#line 7893 "configparser.cc"
    break;

  case 697: /* $@301: %empty  */
#line 1189 "configparser.yy"
                                  { auto tfp = std::make_shared< ScriptOp >();
                                    tfp->setType( ScriptOp::SCRIPT_EVALCOMMAND );
                                    tfp->setCommandStr( "last" );
                                    lconfig_fp1 = tfp;
                                  }
#line 7903 "configparser.cc"
    break;

  case 698: /* lastrow: LASTROW_WCP LEFTBRACE_WCP $@301 RIGHTBRACE_WCP  */
#line 1194 "configparser.yy"
                       { lconfig_listcom.push_back( lconfig_fp1 ); }
#line 7909 "configparser.cc"
    break;

  case 699: /* $@302: %empty  */
#line 1196 "configparser.yy"
                                { auto tfp = std::make_shared< ScriptOp >();
                                  tfp->setType( ScriptOp::SCRIPT_EVALCOMMAND );
                                  tfp->setCommandStr( "pageup" );
                                  lconfig_fp1 = tfp;
                                }
#line 7919 "configparser.cc"
    break;

  case 700: /* pageup: PAGEUP_WCP LEFTBRACE_WCP $@302 RIGHTBRACE_WCP  */
#line 1201 "configparser.yy"
                      { lconfig_listcom.push_back( lconfig_fp1 ); }
#line 7925 "configparser.cc"
    break;

  case 701: /* $@303: %empty  */
#line 1203 "configparser.yy"
                                    { auto tfp = std::make_shared< ScriptOp >();
                                      tfp->setType( ScriptOp::SCRIPT_EVALCOMMAND );
                                      tfp->setCommandStr( "pagedown" );
                                      lconfig_fp1 = tfp;
                                    }
#line 7935 "configparser.cc"
    break;

  case 702: /* pagedown: PAGEDOWN_WCP LEFTBRACE_WCP $@303 RIGHTBRACE_WCP  */
#line 1208 "configparser.yy"
                        { lconfig_listcom.push_back( lconfig_fp1 ); }
#line 7941 "configparser.cc"
    break;

  case 703: /* $@304: %empty  */
#line 1210 "configparser.yy"
                                    { auto tfp = std::make_shared< ScriptOp >();
                                      tfp->setType( ScriptOp::SCRIPT_EVALCOMMAND );
                                      tfp->setCommandStr( "selectentry" );
                                      lconfig_fp1 = tfp;
                                    }
#line 7951 "configparser.cc"
    break;

  case 704: /* selectop: SELECTOP_WCP LEFTBRACE_WCP $@304 RIGHTBRACE_WCP  */
#line 1215 "configparser.yy"
                        { lconfig_listcom.push_back( lconfig_fp1 ); }
#line 7957 "configparser.cc"
    break;

  case 705: /* $@305: %empty  */
#line 1217 "configparser.yy"
                                          { auto tfp = std::make_shared< ScriptOp >();
                                            tfp->setType( ScriptOp::SCRIPT_EVALCOMMAND );
                                            tfp->setCommandStr( "selectall" );
                                            lconfig_fp1 = tfp;
                                          }
#line 7967 "configparser.cc"
    break;

  case 706: /* selectallop: SELECTALLOP_WCP LEFTBRACE_WCP $@305 RIGHTBRACE_WCP  */
#line 1222 "configparser.yy"
                           { lconfig_listcom.push_back( lconfig_fp1 ); }
#line 7973 "configparser.cc"
    break;

  case 707: /* $@306: %empty  */
#line 1224 "configparser.yy"
                                            { auto tfp = std::make_shared< ScriptOp >();
                                              tfp->setType( ScriptOp::SCRIPT_EVALCOMMAND );
                                              tfp->setCommandStr( "selectnone" );
                                              lconfig_fp1 = tfp;
                                            }
#line 7983 "configparser.cc"
    break;

  case 708: /* selectnoneop: SELECTNONEOP_WCP LEFTBRACE_WCP $@306 RIGHTBRACE_WCP  */
#line 1229 "configparser.yy"
                            { lconfig_listcom.push_back( lconfig_fp1 ); }
#line 7989 "configparser.cc"
    break;

  case 709: /* $@307: %empty  */
#line 1231 "configparser.yy"
                                          { auto tfp = std::make_shared< ScriptOp >();
                                            tfp->setType( ScriptOp::SCRIPT_EVALCOMMAND );
                                            tfp->setCommandStr( "invertall" );
                                            lconfig_fp1 = tfp;
                                          }
#line 7999 "configparser.cc"
    break;

  case 710: /* invertallop: INVERTALLOP_WCP LEFTBRACE_WCP $@307 RIGHTBRACE_WCP  */
#line 1236 "configparser.yy"
                           { lconfig_listcom.push_back( lconfig_fp1 ); }
#line 8005 "configparser.cc"
    break;

  case 711: /* $@308: %empty  */
#line 1238 "configparser.yy"
                                          { auto tfp = std::make_shared< ScriptOp >();
                                            tfp->setType( ScriptOp::SCRIPT_EVALCOMMAND );
                                            tfp->setCommandStr( "parentdir" );
                                            lconfig_fp1 = tfp;
                                          }
#line 8015 "configparser.cc"
    break;

  case 712: /* parentdirop: PARENTDIROP_WCP LEFTBRACE_WCP $@308 RIGHTBRACE_WCP  */
#line 1243 "configparser.yy"
                           { lconfig_listcom.push_back( lconfig_fp1 ); }
#line 8021 "configparser.cc"
    break;

  case 713: /* $@309: %empty  */
#line 1245 "configparser.yy"
                                        { lconfig_fp1 = std::make_shared<EnterDirOp>(); }
#line 8027 "configparser.cc"
    break;

  case 714: /* enterdirop: ENTERDIROP_WCP LEFTBRACE_WCP $@309 enterdiropbody RIGHTBRACE_WCP  */
#line 1246 "configparser.yy"
                                         { lconfig_listcom.push_back( lconfig_fp1 ); }
#line 8033 "configparser.cc"
    break;

  case 715: /* $@310: %empty  */
#line 1248 "configparser.yy"
                                       { std::dynamic_pointer_cast<EnterDirOp>(lconfig_fp1)->setDir( (yyvsp[-1].strptr) ); }
#line 8039 "configparser.cc"
    break;

  case 717: /* $@311: %empty  */
#line 1249 "configparser.yy"
                                        { std::dynamic_pointer_cast<EnterDirOp>(lconfig_fp1)->setMode( EnterDirOp::ENTERDIROP_ACTIVE ); }
#line 8045 "configparser.cc"
    break;

  case 719: /* $@312: %empty  */
#line 1250 "configparser.yy"
                                              { std::dynamic_pointer_cast<EnterDirOp>(lconfig_fp1)->setMode( EnterDirOp::ENTERDIROP_ACTIVE2OTHER ); }
#line 8051 "configparser.cc"
    break;

  case 721: /* $@313: %empty  */
#line 1251 "configparser.yy"
                                         { std::dynamic_pointer_cast<EnterDirOp>(lconfig_fp1)->setMode( EnterDirOp::ENTERDIROP_SPECIAL ); }
#line 8057 "configparser.cc"
    break;

  case 723: /* $@314: %empty  */
#line 1252 "configparser.yy"
                                         { std::dynamic_pointer_cast<EnterDirOp>(lconfig_fp1)->setMode( EnterDirOp::ENTERDIROP_REQUEST ); }
#line 8063 "configparser.cc"
    break;

  case 726: /* $@315: %empty  */
#line 1255 "configparser.yy"
                                                      { lconfig_fp1 = std::make_shared<ChangeListerSetOp>(); }
#line 8069 "configparser.cc"
    break;

  case 727: /* changelistersetop: CHANGELISTERSETOP_WCP LEFTBRACE_WCP $@315 changelistersetopbody RIGHTBRACE_WCP  */
#line 1256 "configparser.yy"
                                                       { lconfig_listcom.push_back( lconfig_fp1 ); }
#line 8075 "configparser.cc"
    break;

  case 728: /* $@316: %empty  */
#line 1258 "configparser.yy"
                                             { std::dynamic_pointer_cast<ChangeListerSetOp>(lconfig_fp1)->setMode( ChangeListerSetOp::CLS_LEFT_LISTER ); }
#line 8081 "configparser.cc"
    break;

  case 730: /* $@317: %empty  */
#line 1259 "configparser.yy"
                                              { std::dynamic_pointer_cast<ChangeListerSetOp>(lconfig_fp1)->setMode( ChangeListerSetOp::CLS_RIGHT_LISTER ); }
#line 8087 "configparser.cc"
    break;

  case 732: /* $@318: %empty  */
#line 1260 "configparser.yy"
                                                { std::dynamic_pointer_cast<ChangeListerSetOp>(lconfig_fp1)->setMode( ChangeListerSetOp::CLS_CURRENT_LISTER ); }
#line 8093 "configparser.cc"
    break;

  case 734: /* $@319: %empty  */
#line 1261 "configparser.yy"
                                              { std::dynamic_pointer_cast<ChangeListerSetOp>(lconfig_fp1)->setMode( ChangeListerSetOp::CLS_OTHER_LISTER ); }
#line 8099 "configparser.cc"
    break;

  case 737: /* $@320: %empty  */
#line 1264 "configparser.yy"
                                                { lconfig_fp1 = std::make_shared<SwitchListerOp>(); }
#line 8105 "configparser.cc"
    break;

  case 738: /* switchlisterop: SWITCHLISTEROP_WCP LEFTBRACE_WCP $@320 RIGHTBRACE_WCP  */
#line 1265 "configparser.yy"
                              { lconfig_listcom.push_back( lconfig_fp1 ); }
#line 8111 "configparser.cc"
    break;

  case 739: /* $@321: %empty  */
#line 1267 "configparser.yy"
                                                { lconfig_fp1 = std::make_shared<FilterSelectOp>(); }
#line 8117 "configparser.cc"
    break;

  case 740: /* filterselectop: FILTERSELECTOP_WCP LEFTBRACE_WCP $@321 filterselectopbody RIGHTBRACE_WCP  */
#line 1268 "configparser.yy"
                                                 { lconfig_listcom.push_back( lconfig_fp1 ); }
#line 8123 "configparser.cc"
    break;

  case 741: /* $@322: %empty  */
#line 1270 "configparser.yy"
                                              { std::dynamic_pointer_cast<FilterSelectOp>(lconfig_fp1)->setFilter( (yyvsp[-1].strptr) ); }
#line 8129 "configparser.cc"
    break;

  case 743: /* $@323: %empty  */
#line 1271 "configparser.yy"
                                            { std::dynamic_pointer_cast<FilterSelectOp>(lconfig_fp1)->setAutoFilter( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 8135 "configparser.cc"
    break;

  case 745: /* $@324: %empty  */
#line 1272 "configparser.yy"
                                                        { std::dynamic_pointer_cast<FilterSelectOp>(lconfig_fp1)->setImmediateFilterApply( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 8141 "configparser.cc"
    break;

  case 748: /* $@325: %empty  */
#line 1275 "configparser.yy"
                                                    { lconfig_fp1 = std::make_shared<FilterUnSelectOp>(); }
#line 8147 "configparser.cc"
    break;

  case 749: /* filterunselectop: FILTERUNSELECTOP_WCP LEFTBRACE_WCP $@325 filterunselectopbody RIGHTBRACE_WCP  */
#line 1276 "configparser.yy"
                                                     { lconfig_listcom.push_back( lconfig_fp1 ); }
#line 8153 "configparser.cc"
    break;

  case 750: /* $@326: %empty  */
#line 1278 "configparser.yy"
                                                { std::dynamic_pointer_cast<FilterUnSelectOp>(lconfig_fp1)->setFilter( (yyvsp[-1].strptr) ); }
#line 8159 "configparser.cc"
    break;

  case 752: /* $@327: %empty  */
#line 1279 "configparser.yy"
                                              { std::dynamic_pointer_cast<FilterUnSelectOp>(lconfig_fp1)->setAutoFilter( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 8165 "configparser.cc"
    break;

  case 754: /* $@328: %empty  */
#line 1280 "configparser.yy"
                                                          { std::dynamic_pointer_cast<FilterUnSelectOp>(lconfig_fp1)->setImmediateFilterApply( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 8171 "configparser.cc"
    break;

  case 757: /* $@329: %empty  */
#line 1283 "configparser.yy"
                                                      { lconfig_fp1 = std::make_shared<Path2OSideOp>(); }
#line 8177 "configparser.cc"
    break;

  case 758: /* pathtoothersideop: PATHTOOTHERSIDEOP_WCP LEFTBRACE_WCP $@329 RIGHTBRACE_WCP  */
#line 1284 "configparser.yy"
                                 { lconfig_listcom.push_back( lconfig_fp1 ); }
#line 8183 "configparser.cc"
    break;

  case 759: /* $@330: %empty  */
#line 1286 "configparser.yy"
                                { lconfig_fp1 = std::make_shared<QuitOp>(); }
#line 8189 "configparser.cc"
    break;

  case 760: /* quitop: QUITOP_WCP LEFTBRACE_WCP $@330 quitopbody RIGHTBRACE_WCP  */
#line 1287 "configparser.yy"
                                 { lconfig_listcom.push_back( lconfig_fp1 ); }
#line 8195 "configparser.cc"
    break;

  case 761: /* $@331: %empty  */
#line 1289 "configparser.yy"
                                    { std::dynamic_pointer_cast<QuitOp>(lconfig_fp1)->setMode( QuitOp::Q_NORMAL_QUIT ); }
#line 8201 "configparser.cc"
    break;

  case 763: /* $@332: %empty  */
#line 1290 "configparser.yy"
                                   { std::dynamic_pointer_cast<QuitOp>(lconfig_fp1)->setMode( QuitOp::Q_QUICK_QUIT ); }
#line 8207 "configparser.cc"
    break;

  case 766: /* $@333: %empty  */
#line 1293 "configparser.yy"
                                    { lconfig_fp1 = std::make_shared<DeleteOp>(); }
#line 8213 "configparser.cc"
    break;

  case 767: /* deleteop: DELETEOP_WCP LEFTBRACE_WCP $@333 deleteopbody RIGHTBRACE_WCP  */
#line 1294 "configparser.yy"
                                     { lconfig_listcom.push_back( lconfig_fp1 ); }
#line 8219 "configparser.cc"
    break;

  case 768: /* $@334: %empty  */
#line 1296 "configparser.yy"
                                      { std::dynamic_pointer_cast<DeleteOp>(lconfig_fp1)->setAlsoActive( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 8225 "configparser.cc"
    break;

  case 771: /* $@335: %empty  */
#line 1299 "configparser.yy"
                                    { lconfig_fp1 = std::make_shared<ReloadOp>(); }
#line 8231 "configparser.cc"
    break;

  case 772: /* reloadop: RELOADOP_WCP LEFTBRACE_WCP $@335 reloadopbody RIGHTBRACE_WCP  */
#line 1300 "configparser.yy"
                                     { lconfig_listcom.push_back( lconfig_fp1 ); }
#line 8237 "configparser.cc"
    break;

  case 773: /* $@336: %empty  */
#line 1302 "configparser.yy"
                                    { std::dynamic_pointer_cast<ReloadOp>(lconfig_fp1)->setReloadside( ReloadOp::RELOADOP_LEFTSIDE ); }
#line 8243 "configparser.cc"
    break;

  case 775: /* $@337: %empty  */
#line 1303 "configparser.yy"
                                     { std::dynamic_pointer_cast<ReloadOp>(lconfig_fp1)->setReloadside( ReloadOp::RELOADOP_RIGHTSIDE ); }
#line 8249 "configparser.cc"
    break;

  case 777: /* $@338: %empty  */
#line 1304 "configparser.yy"
                                       { std::dynamic_pointer_cast<ReloadOp>(lconfig_fp1)->setReloadside( ReloadOp::RELOADOP_THISSIDE ); }
#line 8255 "configparser.cc"
    break;

  case 779: /* $@339: %empty  */
#line 1305 "configparser.yy"
                                     { std::dynamic_pointer_cast<ReloadOp>(lconfig_fp1)->setReloadside( ReloadOp::RELOADOP_OTHERSIDE ); }
#line 8261 "configparser.cc"
    break;

  case 781: /* $@340: %empty  */
#line 1306 "configparser.yy"
                                         { std::dynamic_pointer_cast<ReloadOp>(lconfig_fp1)->setResetDirSizes( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 8267 "configparser.cc"
    break;

  case 783: /* $@341: %empty  */
#line 1307 "configparser.yy"
                                         { std::dynamic_pointer_cast<ReloadOp>(lconfig_fp1)->setKeepFiletypes( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 8273 "configparser.cc"
    break;

  case 786: /* $@342: %empty  */
#line 1310 "configparser.yy"
                                      { lconfig_fp1 = std::make_shared<MakeDirOp>(); }
#line 8279 "configparser.cc"
    break;

  case 787: /* makedirop: MAKEDIROP_WCP LEFTBRACE_WCP $@342 RIGHTBRACE_WCP  */
#line 1311 "configparser.yy"
                         { lconfig_listcom.push_back( lconfig_fp1 ); }
#line 8285 "configparser.cc"
    break;

  case 788: /* $@343: %empty  */
#line 1313 "configparser.yy"
                                    { lconfig_fp1 = std::make_shared<RenameOp>(); }
#line 8291 "configparser.cc"
    break;

  case 789: /* renameop: RENAMEOP_WCP LEFTBRACE_WCP $@343 RIGHTBRACE_WCP  */
#line 1314 "configparser.yy"
                        { lconfig_listcom.push_back( lconfig_fp1 ); }
#line 8297 "configparser.cc"
    break;

  case 790: /* $@344: %empty  */
#line 1316 "configparser.yy"
                                      { lconfig_fp1 = std::make_shared<DirSizeOp>(); }
#line 8303 "configparser.cc"
    break;

  case 791: /* dirsizeop: DIRSIZEOP_WCP LEFTBRACE_WCP $@344 RIGHTBRACE_WCP  */
#line 1317 "configparser.yy"
                         { lconfig_listcom.push_back( lconfig_fp1 ); }
#line 8309 "configparser.cc"
    break;

  case 792: /* $@345: %empty  */
#line 1319 "configparser.yy"
                                  { auto tfp = std::make_shared< ScriptOp >();
                                    tfp->setType( ScriptOp::SCRIPT_EVALCOMMAND );
                                    tfp->setCommandStr( "simulate_doubleclick" );
                                    lconfig_fp1 = tfp;
                                  }
#line 8319 "configparser.cc"
    break;

  case 793: /* simddop: SIMDDOP_WCP LEFTBRACE_WCP $@345 RIGHTBRACE_WCP  */
#line 1324 "configparser.yy"
                       { lconfig_listcom.push_back( lconfig_fp1 ); }
#line 8325 "configparser.cc"
    break;

  case 794: /* $@346: %empty  */
#line 1326 "configparser.yy"
                                          { lconfig_fp1 = std::make_shared<StartProgOp>(); }
#line 8331 "configparser.cc"
    break;

  case 795: /* startprogop: STARTPROGOP_WCP LEFTBRACE_WCP $@346 startprogopbody RIGHTBRACE_WCP  */
#line 1327 "configparser.yy"
                                           { lconfig_listcom.push_back( lconfig_fp1 ); }
#line 8337 "configparser.cc"
    break;

  case 796: /* $@347: %empty  */
#line 1329 "configparser.yy"
                                            { std::dynamic_pointer_cast<StartProgOp>(lconfig_fp1)->setStart( StartProgOp::STARTPROGOP_START_IN_TERMINAL ); }
#line 8343 "configparser.cc"
    break;

  case 798: /* $@348: %empty  */
#line 1330 "configparser.yy"
                                                { std::dynamic_pointer_cast<StartProgOp>(lconfig_fp1)->setStart( StartProgOp::STARTPROGOP_START_IN_TERMINAL_AND_WAIT4KEY ); }
#line 8349 "configparser.cc"
    break;

  case 800: /* $@349: %empty  */
#line 1331 "configparser.yy"
                                              { std::dynamic_pointer_cast<StartProgOp>(lconfig_fp1)->setStart( StartProgOp::STARTPROGOP_SHOW_OUTPUT ); }
#line 8355 "configparser.cc"
    break;

  case 802: /* $@350: %empty  */
#line 1332 "configparser.yy"
                                                 { std::dynamic_pointer_cast<StartProgOp>(lconfig_fp1)->setStart( StartProgOp::STARTPROGOP_SHOW_OUTPUT_INT ); }
#line 8361 "configparser.cc"
    break;

  case 804: /* $@351: %empty  */
#line 1333 "configparser.yy"
                                          { std::dynamic_pointer_cast<StartProgOp>(lconfig_fp1)->setStart( StartProgOp::STARTPROGOP_START_NORMAL ); }
#line 8367 "configparser.cc"
    break;

  case 806: /* $@352: %empty  */
#line 1334 "configparser.yy"
                                            { std::dynamic_pointer_cast<StartProgOp>(lconfig_fp1)->setViewStr( (yyvsp[-1].strptr) ); }
#line 8373 "configparser.cc"
    break;

  case 808: /* $@353: %empty  */
#line 1335 "configparser.yy"
                                     { std::dynamic_pointer_cast<StartProgOp>(lconfig_fp1)->setGlobal( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 8379 "configparser.cc"
    break;

  case 810: /* $@354: %empty  */
#line 1336 "configparser.yy"
                                           { std::dynamic_pointer_cast<StartProgOp>(lconfig_fp1)->setRequestParameters( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 8385 "configparser.cc"
    break;

  case 812: /* $@355: %empty  */
#line 1337 "configparser.yy"
                                           { std::dynamic_pointer_cast<StartProgOp>(lconfig_fp1)->setInBackground( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 8391 "configparser.cc"
    break;

  case 814: /* $@356: %empty  */
#line 1338 "configparser.yy"
                                     { std::dynamic_pointer_cast<StartProgOp>(lconfig_fp1)->setDontCD( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 8397 "configparser.cc"
    break;

  case 817: /* $@357: %empty  */
#line 1341 "configparser.yy"
                                              { lconfig_fp1 = std::make_shared<SearchEntryOp>(); }
#line 8403 "configparser.cc"
    break;

  case 818: /* searchentryop: SEARCHENTRYOP_WCP LEFTBRACE_WCP $@357 searchentryopbody RIGHTBRACE_WCP  */
#line 1342 "configparser.yy"
                                               { lconfig_listcom.push_back( lconfig_fp1 ); }
#line 8409 "configparser.cc"
    break;

  case 819: /* $@358: %empty  */
#line 1344 "configparser.yy"
                                           { std::dynamic_pointer_cast<SearchEntryOp>(lconfig_fp1)->setIgnoreCase( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 8415 "configparser.cc"
    break;

  case 821: /* $@359: %empty  */
#line 1345 "configparser.yy"
                                              { std::dynamic_pointer_cast<SearchEntryOp>(lconfig_fp1)->setReverseSearch( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 8421 "configparser.cc"
    break;

  case 823: /* $@360: %empty  */
#line 1346 "configparser.yy"
                                            { std::dynamic_pointer_cast<SearchEntryOp>(lconfig_fp1)->setInfixSearch( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 8427 "configparser.cc"
    break;

  case 825: /* $@361: %empty  */
#line 1347 "configparser.yy"
                                              { std::dynamic_pointer_cast<SearchEntryOp>(lconfig_fp1)->setFlexibleMatch( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 8433 "configparser.cc"
    break;

  case 828: /* $@362: %empty  */
#line 1350 "configparser.yy"
                                          { lconfig_fp1 = std::make_shared<EnterPathOp>(); }
#line 8439 "configparser.cc"
    break;

  case 829: /* enterpathop: ENTERPATHOP_WCP LEFTBRACE_WCP $@362 enterpathopbody RIGHTBRACE_WCP  */
#line 1351 "configparser.yy"
                                           { lconfig_listcom.push_back( lconfig_fp1 ); }
#line 8445 "configparser.cc"
    break;

  case 830: /* $@363: %empty  */
#line 1353 "configparser.yy"
                                       { std::dynamic_pointer_cast<EnterPathOp>(lconfig_fp1)->setSide( EnterPathOp::ENTERPATHOP_LEFTSIDE ); }
#line 8451 "configparser.cc"
    break;

  case 832: /* $@364: %empty  */
#line 1354 "configparser.yy"
                                        { std::dynamic_pointer_cast<EnterPathOp>(lconfig_fp1)->setSide( EnterPathOp::ENTERPATHOP_RIGHTSIDE ); }
#line 8457 "configparser.cc"
    break;

  case 834: /* $@365: %empty  */
#line 1355 "configparser.yy"
                                          { std::dynamic_pointer_cast<EnterPathOp>(lconfig_fp1)->setSide( EnterPathOp::ENTERPATHOP_THISSIDE ); }
#line 8463 "configparser.cc"
    break;

  case 836: /* $@366: %empty  */
#line 1356 "configparser.yy"
                                        { std::dynamic_pointer_cast<EnterPathOp>(lconfig_fp1)->setSide( EnterPathOp::ENTERPATHOP_OTHERSIDE ); }
#line 8469 "configparser.cc"
    break;

  case 839: /* $@367: %empty  */
#line 1359 "configparser.yy"
                                                { lconfig_fp1 = std::make_shared<ScrollListerOp>(); }
#line 8475 "configparser.cc"
    break;

  case 840: /* scrolllisterop: SCROLLLISTEROP_WCP LEFTBRACE_WCP $@367 scrolllisteropbody RIGHTBRACE_WCP  */
#line 1360 "configparser.yy"
                                                 { lconfig_listcom.push_back( lconfig_fp1 ); }
#line 8481 "configparser.cc"
    break;

  case 841: /* $@368: %empty  */
#line 1362 "configparser.yy"
                                          { std::dynamic_pointer_cast<ScrollListerOp>(lconfig_fp1)->setDir( ScrollListerOp::SCROLLLISTEROP_LEFT ); }
#line 8487 "configparser.cc"
    break;

  case 843: /* $@369: %empty  */
#line 1363 "configparser.yy"
                                           { std::dynamic_pointer_cast<ScrollListerOp>(lconfig_fp1)->setDir( ScrollListerOp::SCROLLLISTEROP_RIGHT ); }
#line 8493 "configparser.cc"
    break;

  case 846: /* $@370: %empty  */
#line 1366 "configparser.yy"
                                                  { lconfig_fp1 = std::make_shared<CreateSymlinkOp>(); }
#line 8499 "configparser.cc"
    break;

  case 847: /* createsymlinkop: CREATESYMLINKOP_WCP LEFTBRACE_WCP $@370 createsymlinkopbody RIGHTBRACE_WCP  */
#line 1367 "configparser.yy"
                                                   { lconfig_listcom.push_back( lconfig_fp1 ); }
#line 8505 "configparser.cc"
    break;

  case 848: /* $@371: %empty  */
#line 1369 "configparser.yy"
                                          { std::dynamic_pointer_cast<CreateSymlinkOp>(lconfig_fp1)->setSameDir( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 8511 "configparser.cc"
    break;

  case 850: /* $@372: %empty  */
#line 1370 "configparser.yy"
                                           { std::dynamic_pointer_cast<CreateSymlinkOp>(lconfig_fp1)->setLocal( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 8517 "configparser.cc"
    break;

  case 852: /* $@373: %empty  */
#line 1371 "configparser.yy"
                                               { std::dynamic_pointer_cast<CreateSymlinkOp>(lconfig_fp1)->setRequestParameters( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 8523 "configparser.cc"
    break;

  case 855: /* $@374: %empty  */
#line 1374 "configparser.yy"
                                                  { lconfig_fp1 = std::make_shared<ChangeSymlinkOp>(); }
#line 8529 "configparser.cc"
    break;

  case 856: /* changesymlinkop: CHANGESYMLINKOP_WCP LEFTBRACE_WCP $@374 changesymlinkopbody RIGHTBRACE_WCP  */
#line 1375 "configparser.yy"
                                                   { lconfig_listcom.push_back( lconfig_fp1 ); }
#line 8535 "configparser.cc"
    break;

  case 857: /* $@375: %empty  */
#line 1377 "configparser.yy"
                                           { std::dynamic_pointer_cast<ChangeSymlinkOp>(lconfig_fp1)->setMode( ChangeSymlinkOp::CHANGESYMLINK_EDIT ); }
#line 8541 "configparser.cc"
    break;

  case 859: /* $@376: %empty  */
#line 1378 "configparser.yy"
                                                   { std::dynamic_pointer_cast<ChangeSymlinkOp>(lconfig_fp1)->setMode( ChangeSymlinkOp::CHANGESYMLINK_MAKE_ABSOLUTE ); }
#line 8547 "configparser.cc"
    break;

  case 861: /* $@377: %empty  */
#line 1379 "configparser.yy"
                                                   { std::dynamic_pointer_cast<ChangeSymlinkOp>(lconfig_fp1)->setMode( ChangeSymlinkOp::CHANGESYMLINK_MAKE_RELATIVE ); }
#line 8553 "configparser.cc"
    break;

  case 864: /* $@378: %empty  */
#line 1382 "configparser.yy"
                                  { lconfig_fp1 = std::make_shared<ChModOp>(); }
#line 8559 "configparser.cc"
    break;

  case 865: /* chmodop: CHMODOP_WCP LEFTBRACE_WCP $@378 chmodopbody RIGHTBRACE_WCP  */
#line 1383 "configparser.yy"
                                   { lconfig_listcom.push_back( lconfig_fp1 ); }
#line 8565 "configparser.cc"
    break;

  case 866: /* $@379: %empty  */
#line 1385 "configparser.yy"
                                  { std::dynamic_pointer_cast<ChModOp>(lconfig_fp1)->setOnFiles( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 8571 "configparser.cc"
    break;

  case 868: /* $@380: %empty  */
#line 1386 "configparser.yy"
                                 { std::dynamic_pointer_cast<ChModOp>(lconfig_fp1)->setOnDirs( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 8577 "configparser.cc"
    break;

  case 870: /* $@381: %empty  */
#line 1387 "configparser.yy"
                                    { std::dynamic_pointer_cast<ChModOp>(lconfig_fp1)->setRecursive( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 8583 "configparser.cc"
    break;

  case 872: /* $@382: %empty  */
#line 1388 "configparser.yy"
                                       { std::dynamic_pointer_cast<ChModOp>(lconfig_fp1)->setRequestParameters( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 8589 "configparser.cc"
    break;

  case 874: /* $@383: %empty  */
#line 1389 "configparser.yy"
                                       { std::dynamic_pointer_cast<ChModOp>(lconfig_fp1)->setApplyMode( CHMOD_ASK_PERMISSIONS ); }
#line 8595 "configparser.cc"
    break;

  case 876: /* $@384: %empty  */
#line 1390 "configparser.yy"
                                       { std::dynamic_pointer_cast<ChModOp>(lconfig_fp1)->setApplyMode( CHMOD_SET_PERMISSIONS ); }
#line 8601 "configparser.cc"
    break;

  case 878: /* $@385: %empty  */
#line 1391 "configparser.yy"
                                       { std::dynamic_pointer_cast<ChModOp>(lconfig_fp1)->setApplyMode( CHMOD_ADD_PERMISSIONS ); }
#line 8607 "configparser.cc"
    break;

  case 880: /* $@386: %empty  */
#line 1392 "configparser.yy"
                                          { std::dynamic_pointer_cast<ChModOp>(lconfig_fp1)->setApplyMode( CHMOD_REMOVE_PERMISSIONS ); }
#line 8613 "configparser.cc"
    break;

  case 882: /* $@387: %empty  */
#line 1393 "configparser.yy"
                                           { std::dynamic_pointer_cast<ChModOp>(lconfig_fp1)->setPermissions( (yyvsp[-1].strptr) ); }
#line 8619 "configparser.cc"
    break;

  case 885: /* $@388: %empty  */
#line 1396 "configparser.yy"
                                    { lconfig_fp1 = std::make_shared<ChTimeOp>(); }
#line 8625 "configparser.cc"
    break;

  case 886: /* chtimeop: CHTIMEOP_WCP LEFTBRACE_WCP $@388 chtimeopbody RIGHTBRACE_WCP  */
#line 1397 "configparser.yy"
                                     { lconfig_listcom.push_back( lconfig_fp1 ); }
#line 8631 "configparser.cc"
    break;

  case 887: /* $@389: %empty  */
#line 1399 "configparser.yy"
                                   { std::dynamic_pointer_cast<ChTimeOp>(lconfig_fp1)->setOnFiles( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 8637 "configparser.cc"
    break;

  case 889: /* $@390: %empty  */
#line 1400 "configparser.yy"
                                  { std::dynamic_pointer_cast<ChTimeOp>(lconfig_fp1)->setOnDirs( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 8643 "configparser.cc"
    break;

  case 891: /* $@391: %empty  */
#line 1401 "configparser.yy"
                                     { std::dynamic_pointer_cast<ChTimeOp>(lconfig_fp1)->setRecursive( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 8649 "configparser.cc"
    break;

  case 893: /* $@392: %empty  */
#line 1402 "configparser.yy"
                                        { std::dynamic_pointer_cast<ChTimeOp>(lconfig_fp1)->setRequestParameters( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 8655 "configparser.cc"
    break;

  case 896: /* $@393: %empty  */
#line 1405 "configparser.yy"
                                                        { lconfig_fp1 = std::make_shared<ToggleListermodeOp>(); }
#line 8661 "configparser.cc"
    break;

  case 897: /* togglelistermodeop: TOGGLELISTERMODEOP_WCP LEFTBRACE_WCP $@393 togglelistermodeopbody RIGHTBRACE_WCP  */
#line 1406 "configparser.yy"
                                                         { lconfig_listcom.push_back( lconfig_fp1 ); }
#line 8667 "configparser.cc"
    break;

  case 898: /* $@394: %empty  */
#line 1408 "configparser.yy"
                                                { std::dynamic_pointer_cast<ToggleListermodeOp>(lconfig_fp1)->setMode( Worker::getID4Name( (yyvsp[-1].strptr) ) ); }
#line 8673 "configparser.cc"
    break;

  case 901: /* $@395: %empty  */
#line 1411 "configparser.yy"
                                              { lconfig_fp1 = std::make_shared<SetSortmodeOp>();
                                        std::dynamic_pointer_cast<SetSortmodeOp>(lconfig_fp1)->setMode( 0 );
                                      }
#line 8681 "configparser.cc"
    break;

  case 902: /* setsortmodeop: SETSORTMODEOP_WCP LEFTBRACE_WCP $@395 setsortmodeopbody RIGHTBRACE_WCP  */
#line 1414 "configparser.yy"
                                               { lconfig_listcom.push_back( lconfig_fp1 ); }
#line 8687 "configparser.cc"
    break;

  case 903: /* $@396: %empty  */
#line 1416 "configparser.yy"
                                           { std::dynamic_pointer_cast<SetSortmodeOp>(lconfig_fp1)->setSortby( SORT_NAME ); }
#line 8693 "configparser.cc"
    break;

  case 905: /* $@397: %empty  */
#line 1417 "configparser.yy"
                                           { std::dynamic_pointer_cast<SetSortmodeOp>(lconfig_fp1)->setSortby( SORT_SIZE ); }
#line 8699 "configparser.cc"
    break;

  case 907: /* $@398: %empty  */
#line 1418 "configparser.yy"
                                              { std::dynamic_pointer_cast<SetSortmodeOp>(lconfig_fp1)->setSortby( SORT_ACCTIME ); }
#line 8705 "configparser.cc"
    break;

  case 909: /* $@399: %empty  */
#line 1419 "configparser.yy"
                                              { std::dynamic_pointer_cast<SetSortmodeOp>(lconfig_fp1)->setSortby( SORT_MODTIME ); }
#line 8711 "configparser.cc"
    break;

  case 911: /* $@400: %empty  */
#line 1420 "configparser.yy"
                                              { std::dynamic_pointer_cast<SetSortmodeOp>(lconfig_fp1)->setSortby( SORT_CHGTIME ); }
#line 8717 "configparser.cc"
    break;

  case 913: /* $@401: %empty  */
#line 1421 "configparser.yy"
                                           { std::dynamic_pointer_cast<SetSortmodeOp>(lconfig_fp1)->setSortby( SORT_TYPE ); }
#line 8723 "configparser.cc"
    break;

  case 915: /* $@402: %empty  */
#line 1422 "configparser.yy"
                                            { std::dynamic_pointer_cast<SetSortmodeOp>(lconfig_fp1)->setSortby( SORT_OWNER ); }
#line 8729 "configparser.cc"
    break;

  case 917: /* $@403: %empty  */
#line 1423 "configparser.yy"
                                            { std::dynamic_pointer_cast<SetSortmodeOp>(lconfig_fp1)->setSortby( SORT_INODE ); }
#line 8735 "configparser.cc"
    break;

  case 919: /* $@404: %empty  */
#line 1424 "configparser.yy"
                                            { std::dynamic_pointer_cast<SetSortmodeOp>(lconfig_fp1)->setSortby( SORT_NLINK ); }
#line 8741 "configparser.cc"
    break;

  case 921: /* $@405: %empty  */
#line 1425 "configparser.yy"
                                                 { std::dynamic_pointer_cast<SetSortmodeOp>(lconfig_fp1)->setSortby( SORT_PERMISSION ); }
#line 8747 "configparser.cc"
    break;

  case 923: /* $@406: %empty  */
#line 1426 "configparser.yy"
                                                { std::dynamic_pointer_cast<SetSortmodeOp>(lconfig_fp1)->setSortFlag( SORT_REVERSE ); }
#line 8753 "configparser.cc"
    break;

  case 925: /* $@407: %empty  */
#line 1427 "configparser.yy"
                                                { std::dynamic_pointer_cast<SetSortmodeOp>(lconfig_fp1)->setSortFlag( SORT_DIRLAST ); }
#line 8759 "configparser.cc"
    break;

  case 927: /* $@408: %empty  */
#line 1428 "configparser.yy"
                                                 { std::dynamic_pointer_cast<SetSortmodeOp>(lconfig_fp1)->setSortFlag( SORT_DIRMIXED ); }
#line 8765 "configparser.cc"
    break;

  case 929: /* $@409: %empty  */
#line 1429 "configparser.yy"
                                                { std::dynamic_pointer_cast<SetSortmodeOp>(lconfig_fp1)->setSortby( SORT_EXTENSION ); }
#line 8771 "configparser.cc"
    break;

  case 932: /* $@410: %empty  */
#line 1432 "configparser.yy"
                                          { lconfig_fp1 = std::make_shared<SetFilterOp>(); }
#line 8777 "configparser.cc"
    break;

  case 933: /* setfilterop: SETFILTEROP_WCP LEFTBRACE_WCP $@410 setfilteropbody RIGHTBRACE_WCP  */
#line 1433 "configparser.yy"
                                           { lconfig_listcom.push_back( lconfig_fp1 ); }
#line 8783 "configparser.cc"
    break;

  case 934: /* $@411: %empty  */
#line 1435 "configparser.yy"
                                           { std::dynamic_pointer_cast<SetFilterOp>(lconfig_fp1)->setRequestParameters( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 8789 "configparser.cc"
    break;

  case 936: /* $@412: %empty  */
#line 1436 "configparser.yy"
                                          { std::dynamic_pointer_cast<SetFilterOp>(lconfig_fp1)->setFiltermode( SetFilterOp::EXCLUDE_FILTER ); }
#line 8795 "configparser.cc"
    break;

  case 938: /* $@413: %empty  */
#line 1437 "configparser.yy"
                                          { std::dynamic_pointer_cast<SetFilterOp>(lconfig_fp1)->setFiltermode( SetFilterOp::INCLUDE_FILTER ); }
#line 8801 "configparser.cc"
    break;

  case 940: /* $@414: %empty  */
#line 1438 "configparser.yy"
                                        { std::dynamic_pointer_cast<SetFilterOp>(lconfig_fp1)->setFiltermode( SetFilterOp::UNSET_FILTER ); }
#line 8807 "configparser.cc"
    break;

  case 942: /* $@415: %empty  */
#line 1439 "configparser.yy"
                                           { std::dynamic_pointer_cast<SetFilterOp>(lconfig_fp1)->setFiltermode( SetFilterOp::UNSET_ALL ); }
#line 8813 "configparser.cc"
    break;

  case 944: /* $@416: %empty  */
#line 1440 "configparser.yy"
                                           { std::dynamic_pointer_cast<SetFilterOp>(lconfig_fp1)->setFilter( (yyvsp[-1].strptr) ); }
#line 8819 "configparser.cc"
    break;

  case 946: /* $@417: %empty  */
#line 1441 "configparser.yy"
                                                  { std::dynamic_pointer_cast<SetFilterOp>(lconfig_fp1)->setBookmarkLabel( (yyvsp[-1].strptr) ); }
#line 8825 "configparser.cc"
    break;

  case 948: /* $@418: %empty  */
#line 1442 "configparser.yy"
                                                              { std::dynamic_pointer_cast<SetFilterOp>(lconfig_fp1)->setBookmarkFilter( DirFilterSettings::SHOW_ONLY_BOOKMARKS ); }
#line 8831 "configparser.cc"
    break;

  case 950: /* $@419: %empty  */
#line 1443 "configparser.yy"
                                                          { std::dynamic_pointer_cast<SetFilterOp>(lconfig_fp1)->setBookmarkFilter( DirFilterSettings::SHOW_ONLY_LABEL ); }
#line 8837 "configparser.cc"
    break;

  case 952: /* $@420: %empty  */
#line 1444 "configparser.yy"
                                                    { std::dynamic_pointer_cast<SetFilterOp>(lconfig_fp1)->setBookmarkFilter( DirFilterSettings::SHOW_ALL ); }
#line 8843 "configparser.cc"
    break;

  case 954: /* $@421: %empty  */
#line 1445 "configparser.yy"
                                            { std::dynamic_pointer_cast<SetFilterOp>(lconfig_fp1)->setOptionMode( SetFilterOp::SET_OPTION ); }
#line 8849 "configparser.cc"
    break;

  case 956: /* $@422: %empty  */
#line 1446 "configparser.yy"
                                               { std::dynamic_pointer_cast<SetFilterOp>(lconfig_fp1)->setOptionMode( SetFilterOp::INVERT_OPTION ); }
#line 8855 "configparser.cc"
    break;

  case 958: /* $@423: %empty  */
#line 1447 "configparser.yy"
                                            { std::dynamic_pointer_cast<SetFilterOp>(lconfig_fp1)->setChangeFilters( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 8861 "configparser.cc"
    break;

  case 960: /* $@424: %empty  */
#line 1448 "configparser.yy"
                                              { std::dynamic_pointer_cast<SetFilterOp>(lconfig_fp1)->setChangeBookmarks( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 8867 "configparser.cc"
    break;

  case 962: /* $@425: %empty  */
#line 1449 "configparser.yy"
                                         { std::dynamic_pointer_cast<SetFilterOp>(lconfig_fp1)->setQueryLabel( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 8873 "configparser.cc"
    break;

  case 965: /* $@426: %empty  */
#line 1452 "configparser.yy"
                                                        { lconfig_fp1 = std::make_shared<ShortkeyFromListOp>(); }
#line 8879 "configparser.cc"
    break;

  case 966: /* shortkeyfromlistop: SHORTKEYFROMLISTOP_WCP LEFTBRACE_WCP $@426 RIGHTBRACE_WCP  */
#line 1453 "configparser.yy"
                                  { lconfig_listcom.push_back( lconfig_fp1 ); }
#line 8885 "configparser.cc"
    break;

  case 967: /* $@427: %empty  */
#line 1455 "configparser.yy"
                                  { lconfig_fp1 = std::make_shared<ChOwnOp>(); }
#line 8891 "configparser.cc"
    break;

  case 968: /* chownop: CHOWNOP_WCP LEFTBRACE_WCP $@427 chownopbody RIGHTBRACE_WCP  */
#line 1456 "configparser.yy"
                                   { lconfig_listcom.push_back( lconfig_fp1 ); }
#line 8897 "configparser.cc"
    break;

  case 969: /* $@428: %empty  */
#line 1458 "configparser.yy"
                                  { std::dynamic_pointer_cast<ChOwnOp>(lconfig_fp1)->setOnFiles( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 8903 "configparser.cc"
    break;

  case 971: /* $@429: %empty  */
#line 1459 "configparser.yy"
                                 { std::dynamic_pointer_cast<ChOwnOp>(lconfig_fp1)->setOnDirs( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 8909 "configparser.cc"
    break;

  case 973: /* $@430: %empty  */
#line 1460 "configparser.yy"
                                    { std::dynamic_pointer_cast<ChOwnOp>(lconfig_fp1)->setRecursive( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 8915 "configparser.cc"
    break;

  case 975: /* $@431: %empty  */
#line 1461 "configparser.yy"
                                       { std::dynamic_pointer_cast<ChOwnOp>(lconfig_fp1)->setRequestParameters( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 8921 "configparser.cc"
    break;

  case 978: /* $@432: %empty  */
#line 1464 "configparser.yy"
                                    { lconfig_fp1 = std::make_shared<ScriptOp>(); }
#line 8927 "configparser.cc"
    break;

  case 979: /* scriptop: SCRIPTOP_WCP LEFTBRACE_WCP $@432 scriptopbody RIGHTBRACE_WCP  */
#line 1465 "configparser.yy"
                                     { lconfig_listcom.push_back( lconfig_fp1 ); }
#line 8933 "configparser.cc"
    break;

  case 980: /* $@433: %empty  */
#line 1467 "configparser.yy"
                                   { std::dynamic_pointer_cast<ScriptOp>(lconfig_fp1)->setType( ScriptOp::SCRIPT_NOP ); }
#line 8939 "configparser.cc"
    break;

  case 982: /* $@434: %empty  */
#line 1468 "configparser.yy"
                                    { std::dynamic_pointer_cast<ScriptOp>(lconfig_fp1)->setType( ScriptOp::SCRIPT_PUSH ); }
#line 8945 "configparser.cc"
    break;

  case 984: /* $@435: %empty  */
#line 1469 "configparser.yy"
                                     { std::dynamic_pointer_cast<ScriptOp>(lconfig_fp1)->setType( ScriptOp::SCRIPT_LABEL ); }
#line 8951 "configparser.cc"
    break;

  case 986: /* $@436: %empty  */
#line 1470 "configparser.yy"
                                  { std::dynamic_pointer_cast<ScriptOp>(lconfig_fp1)->setType( ScriptOp::SCRIPT_IF ); }
#line 8957 "configparser.cc"
    break;

  case 988: /* $@437: %empty  */
#line 1471 "configparser.yy"
                                   { std::dynamic_pointer_cast<ScriptOp>(lconfig_fp1)->setType( ScriptOp::SCRIPT_END ); }
#line 8963 "configparser.cc"
    break;

  case 990: /* $@438: %empty  */
#line 1472 "configparser.yy"
                                   { std::dynamic_pointer_cast<ScriptOp>(lconfig_fp1)->setType( ScriptOp::SCRIPT_POP ); }
#line 8969 "configparser.cc"
    break;

  case 992: /* $@439: %empty  */
#line 1473 "configparser.yy"
                                        { std::dynamic_pointer_cast<ScriptOp>(lconfig_fp1)->setType( ScriptOp::SCRIPT_SETTINGS ); }
#line 8975 "configparser.cc"
    break;

  case 994: /* $@440: %empty  */
#line 1474 "configparser.yy"
                                      { std::dynamic_pointer_cast<ScriptOp>(lconfig_fp1)->setType( ScriptOp::SCRIPT_WINDOW ); }
#line 8981 "configparser.cc"
    break;

  case 996: /* $@441: %empty  */
#line 1475 "configparser.yy"
                                    { std::dynamic_pointer_cast<ScriptOp>(lconfig_fp1)->setType( ScriptOp::SCRIPT_GOTO ); }
#line 8987 "configparser.cc"
    break;

  case 998: /* $@442: %empty  */
#line 1476 "configparser.yy"
                                           { std::dynamic_pointer_cast<ScriptOp>(lconfig_fp1)->setType( ScriptOp::SCRIPT_EVALCOMMAND ); }
#line 8993 "configparser.cc"
    break;

  case 1000: /* $@443: %empty  */
#line 1477 "configparser.yy"
                                         { std::dynamic_pointer_cast<ScriptOp>(lconfig_fp1)->setPushUseOutput( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 8999 "configparser.cc"
    break;

  case 1002: /* $@444: %empty  */
#line 1478 "configparser.yy"
                                   { std::dynamic_pointer_cast<ScriptOp>(lconfig_fp1)->setDoDebug( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 9005 "configparser.cc"
    break;

  case 1004: /* $@445: %empty  */
#line 1479 "configparser.yy"
                                        { std::dynamic_pointer_cast<ScriptOp>(lconfig_fp1)->setWPURecursive( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 9011 "configparser.cc"
    break;

  case 1006: /* $@446: %empty  */
#line 1480 "configparser.yy"
                                       { std::dynamic_pointer_cast<ScriptOp>(lconfig_fp1)->setWPUTakeDirs( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 9017 "configparser.cc"
    break;

  case 1008: /* $@447: %empty  */
#line 1481 "configparser.yy"
                                      { std::dynamic_pointer_cast<ScriptOp>(lconfig_fp1)->setStackNr( (yyvsp[-1].num) ); }
#line 9023 "configparser.cc"
    break;

  case 1010: /* $@448: %empty  */
#line 1482 "configparser.yy"
                                       { std::dynamic_pointer_cast<ScriptOp>(lconfig_fp1)->setLabel( (yyvsp[-1].strptr) ); }
#line 9029 "configparser.cc"
    break;

  case 1012: /* $@449: %empty  */
#line 1483 "configparser.yy"
                                            { std::dynamic_pointer_cast<ScriptOp>(lconfig_fp1)->setPushString( (yyvsp[-1].strptr) ); }
#line 9035 "configparser.cc"
    break;

  case 1014: /* $@450: %empty  */
#line 1484 "configparser.yy"
                                        { std::dynamic_pointer_cast<ScriptOp>(lconfig_fp1)->setIfTest( (yyvsp[-1].strptr) ); }
#line 9041 "configparser.cc"
    break;

  case 1016: /* $@451: %empty  */
#line 1485 "configparser.yy"
                                         { std::dynamic_pointer_cast<ScriptOp>(lconfig_fp1)->setIfLabel( (yyvsp[-1].strptr) ); }
#line 9047 "configparser.cc"
    break;

  case 1018: /* $@452: %empty  */
#line 1486 "configparser.yy"
                                       { std::dynamic_pointer_cast<ScriptOp>(lconfig_fp1)->setWinType( ScriptOp::SCRIPT_WINDOW_OPEN ); }
#line 9053 "configparser.cc"
    break;

  case 1020: /* $@453: %empty  */
#line 1487 "configparser.yy"
                                        { std::dynamic_pointer_cast<ScriptOp>(lconfig_fp1)->setWinType( ScriptOp::SCRIPT_WINDOW_CLOSE ); }
#line 9059 "configparser.cc"
    break;

  case 1022: /* $@454: %empty  */
#line 1488 "configparser.yy"
                                        { std::dynamic_pointer_cast<ScriptOp>(lconfig_fp1)->setWinType( ScriptOp::SCRIPT_WINDOW_LEAVE ); }
#line 9065 "configparser.cc"
    break;

  case 1024: /* $@455: %empty  */
#line 1489 "configparser.yy"
                                          { std::dynamic_pointer_cast<ScriptOp>(lconfig_fp1)->setChangeProgress( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 9071 "configparser.cc"
    break;

  case 1026: /* $@456: %empty  */
#line 1490 "configparser.yy"
                                      { std::dynamic_pointer_cast<ScriptOp>(lconfig_fp1)->setChangeText( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 9077 "configparser.cc"
    break;

  case 1028: /* $@457: %empty  */
#line 1491 "configparser.yy"
                                             { std::dynamic_pointer_cast<ScriptOp>(lconfig_fp1)->setProgressUseOutput( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 9083 "configparser.cc"
    break;

  case 1030: /* $@458: %empty  */
#line 1492 "configparser.yy"
                                            { std::dynamic_pointer_cast<ScriptOp>(lconfig_fp1)->setWinTextUseOutput( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 9089 "configparser.cc"
    break;

  case 1032: /* $@459: %empty  */
#line 1493 "configparser.yy"
                                          { std::dynamic_pointer_cast<ScriptOp>(lconfig_fp1)->setProgress( (yyvsp[-1].strptr) ); }
#line 9095 "configparser.cc"
    break;

  case 1034: /* $@460: %empty  */
#line 1494 "configparser.yy"
                                         { std::dynamic_pointer_cast<ScriptOp>(lconfig_fp1)->setWinText( (yyvsp[-1].strptr) ); }
#line 9101 "configparser.cc"
    break;

  case 1036: /* $@461: %empty  */
#line 1495 "configparser.yy"
                                               { std::dynamic_pointer_cast<ScriptOp>(lconfig_fp1)->setCommandStr( (yyvsp[-1].strptr) ); }
#line 9107 "configparser.cc"
    break;

  case 1039: /* $@462: %empty  */
#line 1498 "configparser.yy"
                                                { lconfig_fp1 = std::make_shared<ShowDirCacheOp>(); }
#line 9113 "configparser.cc"
    break;

  case 1040: /* showdircacheop: SHOWDIRCACHEOP_WCP LEFTBRACE_WCP $@462 RIGHTBRACE_WCP  */
#line 1499 "configparser.yy"
                              { lconfig_listcom.push_back( lconfig_fp1 ); }
#line 9119 "configparser.cc"
    break;

  case 1041: /* $@463: %empty  */
#line 1501 "configparser.yy"
                                                { lconfig_fp1 = std::make_shared<ParentActionOp>(); }
#line 9125 "configparser.cc"
    break;

  case 1042: /* parentactionop: PARENTACTIONOP_WCP LEFTBRACE_WCP $@463 RIGHTBRACE_WCP  */
#line 1502 "configparser.yy"
                              { lconfig_listcom.push_back( lconfig_fp1 ); }
#line 9131 "configparser.cc"
    break;

  case 1043: /* $@464: %empty  */
#line 1504 "configparser.yy"
                                              { lconfig_fp1 = std::make_shared<NoOperationOp>(); }
#line 9137 "configparser.cc"
    break;

  case 1044: /* nooperationop: NOOPERATIONOP_WCP LEFTBRACE_WCP $@464 RIGHTBRACE_WCP  */
#line 1505 "configparser.yy"
                             { lconfig_listcom.push_back( lconfig_fp1 ); }
#line 9143 "configparser.cc"
    break;

  case 1045: /* $@465: %empty  */
#line 1507 "configparser.yy"
                                  { lconfig_fp1 = std::make_shared<GoFTPOp>(); }
#line 9149 "configparser.cc"
    break;

  case 1046: /* goftpop: GOFTPOP_WCP LEFTBRACE_WCP $@465 goftpopbody RIGHTBRACE_WCP  */
#line 1508 "configparser.yy"
                                   { lconfig_listcom.push_back( lconfig_fp1 ); }
#line 9155 "configparser.cc"
    break;

  case 1047: /* $@466: %empty  */
#line 1510 "configparser.yy"
                                       { std::dynamic_pointer_cast<GoFTPOp>(lconfig_fp1)->setRequestParameters( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 9161 "configparser.cc"
    break;

  case 1049: /* $@467: %empty  */
#line 1511 "configparser.yy"
                                         { std::dynamic_pointer_cast<GoFTPOp>(lconfig_fp1)->setHost( (yyvsp[-1].strptr) ); }
#line 9167 "configparser.cc"
    break;

  case 1051: /* $@468: %empty  */
#line 1512 "configparser.yy"
                                         { std::dynamic_pointer_cast<GoFTPOp>(lconfig_fp1)->setUser( (yyvsp[-1].strptr) ); }
#line 9173 "configparser.cc"
    break;

  case 1053: /* $@469: %empty  */
#line 1513 "configparser.yy"
                                         { std::dynamic_pointer_cast<GoFTPOp>(lconfig_fp1)->setPass( (yyvsp[-1].strptr) ); }
#line 9179 "configparser.cc"
    break;

  case 1055: /* $@470: %empty  */
#line 1514 "configparser.yy"
                                       { std::dynamic_pointer_cast<GoFTPOp>(lconfig_fp1)->setDontEnterFTP( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 9185 "configparser.cc"
    break;

  case 1057: /* $@471: %empty  */
#line 1515 "configparser.yy"
                                        { std::dynamic_pointer_cast<GoFTPOp>(lconfig_fp1)->setAlwaysStorePW( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 9191 "configparser.cc"
    break;

  case 1059: /* $@472: %empty  */
#line 1516 "configparser.yy"
                                           { std::dynamic_pointer_cast<GoFTPOp>(lconfig_fp1)->setAVFSModule( (yyvsp[-1].strptr) ); }
#line 9197 "configparser.cc"
    break;

  case 1062: /* $@473: %empty  */
#line 1519 "configparser.yy"
                                                { lconfig_fp1 = std::make_shared<InternalViewOp>(); }
#line 9203 "configparser.cc"
    break;

  case 1063: /* internalviewop: INTERNALVIEWOP_WCP LEFTBRACE_WCP $@473 internalviewopbody RIGHTBRACE_WCP  */
#line 1520 "configparser.yy"
                                                 { lconfig_listcom.push_back( lconfig_fp1 ); }
#line 9209 "configparser.cc"
    break;

  case 1064: /* $@474: %empty  */
#line 1522 "configparser.yy"
                                              { std::dynamic_pointer_cast<InternalViewOp>(lconfig_fp1)->setRequestParameters( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 9215 "configparser.cc"
    break;

  case 1066: /* $@475: %empty  */
#line 1523 "configparser.yy"
                                            { std::dynamic_pointer_cast<InternalViewOp>(lconfig_fp1)->setCustomFiles( (yyvsp[-1].strptr) ); }
#line 9221 "configparser.cc"
    break;

  case 1068: /* $@476: %empty  */
#line 1524 "configparser.yy"
                                         { std::dynamic_pointer_cast<InternalViewOp>(lconfig_fp1)->setShowFileMode( InternalViewOp::SHOW_ACTIVE_FILE ); }
#line 9227 "configparser.cc"
    break;

  case 1070: /* $@477: %empty  */
#line 1525 "configparser.yy"
                                         { std::dynamic_pointer_cast<InternalViewOp>(lconfig_fp1)->setShowFileMode( InternalViewOp::SHOW_CUSTOM_FILES ); }
#line 9233 "configparser.cc"
    break;

  case 1073: /* $@478: %empty  */
#line 1529 "configparser.yy"
                                          { lconfig_fp1 = std::make_shared<ClipboardOp>(); }
#line 9239 "configparser.cc"
    break;

  case 1074: /* clipboardop: CLIPBOARDOP_WCP LEFTBRACE_WCP $@478 clipboardopbody RIGHTBRACE_WCP  */
#line 1530 "configparser.yy"
                                           { lconfig_listcom.push_back( lconfig_fp1 ); }
#line 9245 "configparser.cc"
    break;

  case 1075: /* $@479: %empty  */
#line 1532 "configparser.yy"
                                                    { std::dynamic_pointer_cast<ClipboardOp>(lconfig_fp1)->setClipboardString( (yyvsp[-1].strptr) ); }
#line 9251 "configparser.cc"
    break;

  case 1078: /* $@480: %empty  */
#line 1535 "configparser.yy"
                                    { lconfig_fp1 = std::make_shared<SearchOp>(); }
#line 9257 "configparser.cc"
    break;

  case 1079: /* searchop: SEARCHOP_WCP LEFTBRACE_WCP $@480 searchopbody RIGHTBRACE_WCP  */
#line 1536 "configparser.yy"
                                     { lconfig_listcom.push_back( lconfig_fp1 ); }
#line 9263 "configparser.cc"
    break;

  case 1080: /* $@481: %empty  */
#line 1538 "configparser.yy"
                                             { std::dynamic_pointer_cast<SearchOp>(lconfig_fp1)->setEditCommand( (yyvsp[-1].strptr) ); }
#line 9269 "configparser.cc"
    break;

  case 1082: /* $@482: %empty  */
#line 1539 "configparser.yy"
                                           { std::dynamic_pointer_cast<SearchOp>(lconfig_fp1)->setShowPrevResults( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 9275 "configparser.cc"
    break;

  case 1085: /* $@483: %empty  */
#line 1542 "configparser.yy"
                                              { lconfig_fp1 = std::make_shared<DirBookmarkOp>(); }
#line 9281 "configparser.cc"
    break;

  case 1086: /* dirbookmarkop: DIRBOOKMARKOP_WCP LEFTBRACE_WCP $@483 RIGHTBRACE_WCP  */
#line 1543 "configparser.yy"
                             { lconfig_listcom.push_back( lconfig_fp1 ); }
#line 9287 "configparser.cc"
    break;

  case 1087: /* $@484: %empty  */
#line 1545 "configparser.yy"
                                                      { lconfig_fp1 = std::make_shared<OpenContextMenuOp>(); }
#line 9293 "configparser.cc"
    break;

  case 1088: /* opencontextmenuop: OPENCONTEXTMENUOP_WCP LEFTBRACE_WCP $@484 opencontextmenuopbody RIGHTBRACE_WCP  */
#line 1546 "configparser.yy"
                                                       { lconfig_listcom.push_back( lconfig_fp1 ); }
#line 9299 "configparser.cc"
    break;

  case 1089: /* $@485: %empty  */
#line 1548 "configparser.yy"
                                                          { std::dynamic_pointer_cast<OpenContextMenuOp>(lconfig_fp1)->setHighlightUserAction( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 9305 "configparser.cc"
    break;

  case 1092: /* $@486: %empty  */
#line 1551 "configparser.yy"
                                                  { lconfig_fp1 = std::make_shared<RunCustomAction>(); }
#line 9311 "configparser.cc"
    break;

  case 1093: /* runcustomaction: RUNCUSTOMACTION_WCP LEFTBRACE_WCP $@486 runcustomactionbody RIGHTBRACE_WCP  */
#line 1552 "configparser.yy"
                                                   { lconfig_listcom.push_back( lconfig_fp1 ); }
#line 9317 "configparser.cc"
    break;

  case 1094: /* $@487: %empty  */
#line 1554 "configparser.yy"
                                                   { std::dynamic_pointer_cast<RunCustomAction>(lconfig_fp1)->setCustomName( (yyvsp[-1].strptr) ); }
#line 9323 "configparser.cc"
    break;

  case 1097: /* $@488: %empty  */
#line 1557 "configparser.yy"
                                                    { lconfig_fp1 = std::make_shared<OpenWorkerMenuOp>(); }
#line 9329 "configparser.cc"
    break;

  case 1098: /* openworkermenuop: OPENWORKERMENUOP_WCP LEFTBRACE_WCP $@488 RIGHTBRACE_WCP  */
#line 1558 "configparser.yy"
                                { lconfig_listcom.push_back( lconfig_fp1 ); }
#line 9335 "configparser.cc"
    break;

  case 1099: /* $@489: %empty  */
#line 1560 "configparser.yy"
                                              { lconfig_fp1 = std::make_shared<ChangeLabelOp>(); }
#line 9341 "configparser.cc"
    break;

  case 1100: /* changelabelop: CHANGELABELOP_WCP LEFTBRACE_WCP $@489 changelabelopbody RIGHTBRACE_WCP  */
#line 1561 "configparser.yy"
                                               { lconfig_listcom.push_back( lconfig_fp1 ); }
#line 9347 "configparser.cc"
    break;

  case 1101: /* $@490: %empty  */
#line 1563 "configparser.yy"
                                            { std::dynamic_pointer_cast<ChangeLabelOp>(lconfig_fp1)->setAskForLabel( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 9353 "configparser.cc"
    break;

  case 1103: /* $@491: %empty  */
#line 1564 "configparser.yy"
                                            { std::dynamic_pointer_cast<ChangeLabelOp>(lconfig_fp1)->setLabel( (yyvsp[-1].strptr) ); }
#line 9359 "configparser.cc"
    break;

  case 1106: /* $@492: %empty  */
#line 1567 "configparser.yy"
                                            { lconfig_fp1 = std::make_shared<ModifyTabsOp>(); }
#line 9365 "configparser.cc"
    break;

  case 1107: /* modifytabsop: MODIFYTABSOP_WCP LEFTBRACE_WCP $@492 modifytabsopbody RIGHTBRACE_WCP  */
#line 1568 "configparser.yy"
                                             { lconfig_listcom.push_back( lconfig_fp1 ); }
#line 9371 "configparser.cc"
    break;

  case 1108: /* $@493: %empty  */
#line 1570 "configparser.yy"
                                               { std::dynamic_pointer_cast<ModifyTabsOp>(lconfig_fp1)->setTabAction( ModifyTabsOp::NEW_TAB ); }
#line 9377 "configparser.cc"
    break;

  case 1110: /* $@494: %empty  */
#line 1571 "configparser.yy"
                                                        { std::dynamic_pointer_cast<ModifyTabsOp>(lconfig_fp1)->setTabAction( ModifyTabsOp::CLOSE_CURRENT_TAB ); }
#line 9383 "configparser.cc"
    break;

  case 1112: /* $@495: %empty  */
#line 1572 "configparser.yy"
                                                { std::dynamic_pointer_cast<ModifyTabsOp>(lconfig_fp1)->setTabAction( ModifyTabsOp::NEXT_TAB ); }
#line 9389 "configparser.cc"
    break;

  case 1114: /* $@496: %empty  */
#line 1573 "configparser.yy"
                                                { std::dynamic_pointer_cast<ModifyTabsOp>(lconfig_fp1)->setTabAction( ModifyTabsOp::PREV_TAB ); }
#line 9395 "configparser.cc"
    break;

  case 1116: /* $@497: %empty  */
#line 1574 "configparser.yy"
                                                        { std::dynamic_pointer_cast<ModifyTabsOp>(lconfig_fp1)->setTabAction( ModifyTabsOp::TOGGLE_LOCK_STATE ); }
#line 9401 "configparser.cc"
    break;

  case 1118: /* $@498: %empty  */
#line 1575 "configparser.yy"
                                                    { std::dynamic_pointer_cast<ModifyTabsOp>(lconfig_fp1)->setTabAction( ModifyTabsOp::MOVE_TAB_LEFT ); }
#line 9407 "configparser.cc"
    break;

  case 1120: /* $@499: %empty  */
#line 1576 "configparser.yy"
                                                     { std::dynamic_pointer_cast<ModifyTabsOp>(lconfig_fp1)->setTabAction( ModifyTabsOp::MOVE_TAB_RIGHT ); }
#line 9413 "configparser.cc"
    break;

  case 1123: /* $@500: %empty  */
#line 1579 "configparser.yy"
                                                {
                 lconfig_fp1 = std::make_shared<ChangeLayoutOp>();
                 layout_sets = LayoutSettings();
             }
#line 9422 "configparser.cc"
    break;

  case 1124: /* changelayoutop: CHANGELAYOUTOP_WCP LEFTBRACE_WCP $@500 changelayoutopbody RIGHTBRACE_WCP  */
#line 1582 "configparser.yy"
                                                 {
                 std::dynamic_pointer_cast<ChangeLayoutOp>(lconfig_fp1)->setLayout( layout_sets );
                 lconfig_listcom.push_back( lconfig_fp1 );
             }
#line 9431 "configparser.cc"
    break;

  case 1125: /* $@501: %empty  */
#line 1587 "configparser.yy"
                                   { layout_sets.pushBackOrder( LayoutSettings::LO_STATEBAR ); }
#line 9437 "configparser.cc"
    break;

  case 1127: /* $@502: %empty  */
#line 1588 "configparser.yy"
                                   { layout_sets.pushBackOrder( LayoutSettings::LO_CLOCKBAR ); }
#line 9443 "configparser.cc"
    break;

  case 1129: /* $@503: %empty  */
#line 1589 "configparser.yy"
                                  { layout_sets.pushBackOrder( LayoutSettings::LO_BUTTONS ); }
#line 9449 "configparser.cc"
    break;

  case 1131: /* $@504: %empty  */
#line 1590 "configparser.yy"
                                    { layout_sets.pushBackOrder( LayoutSettings::LO_LISTVIEWS ); }
#line 9455 "configparser.cc"
    break;

  case 1133: /* $@505: %empty  */
#line 1591 "configparser.yy"
                              { layout_sets.pushBackOrder( LayoutSettings::LO_BLL ); }
#line 9461 "configparser.cc"
    break;

  case 1135: /* $@506: %empty  */
#line 1592 "configparser.yy"
                              { layout_sets.pushBackOrder( LayoutSettings::LO_LBL ); }
#line 9467 "configparser.cc"
    break;

  case 1137: /* $@507: %empty  */
#line 1593 "configparser.yy"
                              { layout_sets.pushBackOrder( LayoutSettings::LO_LLB ); }
#line 9473 "configparser.cc"
    break;

  case 1139: /* $@508: %empty  */
#line 1594 "configparser.yy"
                             { layout_sets.pushBackOrder( LayoutSettings::LO_BL ); }
#line 9479 "configparser.cc"
    break;

  case 1141: /* $@509: %empty  */
#line 1595 "configparser.yy"
                             { layout_sets.pushBackOrder( LayoutSettings::LO_LB ); }
#line 9485 "configparser.cc"
    break;

  case 1143: /* $@510: %empty  */
#line 1596 "configparser.yy"
                                            { layout_sets.setButtonVert( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 9491 "configparser.cc"
    break;

  case 1145: /* $@511: %empty  */
#line 1597 "configparser.yy"
                                              { layout_sets.setListViewVert( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 9497 "configparser.cc"
    break;

  case 1147: /* $@512: %empty  */
#line 1598 "configparser.yy"
                                                  { layout_sets.setListViewWeight( (yyvsp[-1].num) ); }
#line 9503 "configparser.cc"
    break;

  case 1149: /* $@513: %empty  */
#line 1599 "configparser.yy"
                                               { layout_sets.setWeightRelToActive( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 9509 "configparser.cc"
    break;

  case 1152: /* $@514: %empty  */
#line 1602 "configparser.yy"
                                                  {
                  lconfig_fp1 = std::make_shared<ChangeColumnsOp>();
                  columns.clear();
                }
#line 9518 "configparser.cc"
    break;

  case 1153: /* changecolumnsop: CHANGECOLUMNSOP_WCP LEFTBRACE_WCP $@514 changecolumnsopbody RIGHTBRACE_WCP  */
#line 1605 "configparser.yy"
                                                     {
                  std::dynamic_pointer_cast<ChangeColumnsOp>(lconfig_fp1)->setColumns( columns );
                  lconfig_listcom.push_back( lconfig_fp1 );
                }
#line 9527 "configparser.cc"
    break;

  case 1154: /* $@515: %empty  */
#line 1610 "configparser.yy"
                               { columns.push_back( WorkerTypes::LISTCOL_NAME ); }
#line 9533 "configparser.cc"
    break;

  case 1156: /* $@516: %empty  */
#line 1611 "configparser.yy"
                               { columns.push_back( WorkerTypes::LISTCOL_SIZE ); }
#line 9539 "configparser.cc"
    break;

  case 1158: /* $@517: %empty  */
#line 1612 "configparser.yy"
                               { columns.push_back( WorkerTypes::LISTCOL_TYPE ); }
#line 9545 "configparser.cc"
    break;

  case 1160: /* $@518: %empty  */
#line 1613 "configparser.yy"
                                     { columns.push_back( WorkerTypes::LISTCOL_PERM ); }
#line 9551 "configparser.cc"
    break;

  case 1162: /* $@519: %empty  */
#line 1614 "configparser.yy"
                                { columns.push_back( WorkerTypes::LISTCOL_OWNER ); }
#line 9557 "configparser.cc"
    break;

  case 1164: /* $@520: %empty  */
#line 1615 "configparser.yy"
                                      { columns.push_back( WorkerTypes::LISTCOL_DEST ); }
#line 9563 "configparser.cc"
    break;

  case 1166: /* $@521: %empty  */
#line 1616 "configparser.yy"
                                  { columns.push_back( WorkerTypes::LISTCOL_MOD ); }
#line 9569 "configparser.cc"
    break;

  case 1168: /* $@522: %empty  */
#line 1617 "configparser.yy"
                                  { columns.push_back( WorkerTypes::LISTCOL_ACC ); }
#line 9575 "configparser.cc"
    break;

  case 1170: /* $@523: %empty  */
#line 1618 "configparser.yy"
                                  { columns.push_back( WorkerTypes::LISTCOL_CHANGE ); }
#line 9581 "configparser.cc"
    break;

  case 1172: /* $@524: %empty  */
#line 1619 "configparser.yy"
                                { columns.push_back( WorkerTypes::LISTCOL_INODE ); }
#line 9587 "configparser.cc"
    break;

  case 1174: /* $@525: %empty  */
#line 1620 "configparser.yy"
                                { columns.push_back( WorkerTypes::LISTCOL_NLINK ); }
#line 9593 "configparser.cc"
    break;

  case 1176: /* $@526: %empty  */
#line 1621 "configparser.yy"
                                 { columns.push_back( WorkerTypes::LISTCOL_BLOCKS ); }
#line 9599 "configparser.cc"
    break;

  case 1178: /* $@527: %empty  */
#line 1622 "configparser.yy"
                                { columns.push_back( WorkerTypes::LISTCOL_SIZEH ); }
#line 9605 "configparser.cc"
    break;

  case 1180: /* $@528: %empty  */
#line 1623 "configparser.yy"
                                    { columns.push_back( WorkerTypes::LISTCOL_EXTENSION ); }
#line 9611 "configparser.cc"
    break;

  case 1183: /* $@529: %empty  */
#line 1626 "configparser.yy"
                                                  { lconfig_fp1 = std::make_shared<VolumeManagerOp>(); }
#line 9617 "configparser.cc"
    break;

  case 1184: /* volumemanagerop: VOLUMEMANAGEROP_WCP LEFTBRACE_WCP $@529 RIGHTBRACE_WCP  */
#line 1627 "configparser.yy"
                               { lconfig_listcom.push_back( lconfig_fp1 ); }
#line 9623 "configparser.cc"
    break;

  case 1185: /* $@530: %empty  */
#line 1629 "configparser.yy"
                                                        { lconfig_fp1 = std::make_shared<SwitchButtonBankOp>(); }
#line 9629 "configparser.cc"
    break;

  case 1186: /* switchbuttonbankop: SWITCHBUTTONBANKOP_WCP LEFTBRACE_WCP $@530 switchbuttonbankopbody RIGHTBRACE_WCP  */
#line 1630 "configparser.yy"
                                                         { lconfig_listcom.push_back( lconfig_fp1 ); }
#line 9635 "configparser.cc"
    break;

  case 1187: /* $@531: %empty  */
#line 1632 "configparser.yy"
                                                          { std::dynamic_pointer_cast<SwitchButtonBankOp>(lconfig_fp1)->setSwitchMode( SwitchButtonBankOp::SWITCH_TO_NEXT_BANK ); }
#line 9641 "configparser.cc"
    break;

  case 1189: /* $@532: %empty  */
#line 1633 "configparser.yy"
                                                          { std::dynamic_pointer_cast<SwitchButtonBankOp>(lconfig_fp1)->setSwitchMode( SwitchButtonBankOp::SWITCH_TO_PREV_BANK ); }
#line 9647 "configparser.cc"
    break;

  case 1191: /* $@533: %empty  */
#line 1634 "configparser.yy"
                                                        { std::dynamic_pointer_cast<SwitchButtonBankOp>(lconfig_fp1)->setSwitchMode( SwitchButtonBankOp::SWITCH_TO_BANK_NR ); }
#line 9653 "configparser.cc"
    break;

  case 1193: /* $@534: %empty  */
#line 1635 "configparser.yy"
                                              { std::dynamic_pointer_cast<SwitchButtonBankOp>(lconfig_fp1)->setBankNr( (yyvsp[-1].num) ); }
#line 9659 "configparser.cc"
    break;

  case 1196: /* $@535: %empty  */
#line 1638 "configparser.yy"
                                        { lconfig_fp1 = std::make_shared<PathJumpOp>(); }
#line 9665 "configparser.cc"
    break;

  case 1197: /* pathjumpop: PATHJUMPOP_WCP LEFTBRACE_WCP $@535 pathjumpopbody RIGHTBRACE_WCP  */
#line 1639 "configparser.yy"
                                         { lconfig_listcom.push_back( lconfig_fp1 ); }
#line 9671 "configparser.cc"
    break;

  case 1198: /* $@536: %empty  */
#line 1641 "configparser.yy"
                                                  { std::dynamic_pointer_cast<PathJumpOp>(lconfig_fp1)->setInitialTab( PathJumpOp::SHOW_BY_TIME ); }
#line 9677 "configparser.cc"
    break;

  case 1200: /* $@537: %empty  */
#line 1642 "configparser.yy"
                                                    { std::dynamic_pointer_cast<PathJumpOp>(lconfig_fp1)->setInitialTab( PathJumpOp::SHOW_BY_FILTER ); }
#line 9683 "configparser.cc"
    break;

  case 1202: /* $@538: %empty  */
#line 1643 "configparser.yy"
                                                     { std::dynamic_pointer_cast<PathJumpOp>(lconfig_fp1)->setInitialTab( PathJumpOp::SHOW_BY_PROGRAM ); }
#line 9689 "configparser.cc"
    break;

  case 1204: /* $@539: %empty  */
#line 1644 "configparser.yy"
                                                { std::dynamic_pointer_cast<PathJumpOp>(lconfig_fp1)->setDisplayMode( PathJumpOp::SHOW_ALL ); }
#line 9695 "configparser.cc"
    break;

  case 1206: /* $@540: %empty  */
#line 1645 "configparser.yy"
                                                    { std::dynamic_pointer_cast<PathJumpOp>(lconfig_fp1)->setDisplayMode( PathJumpOp::SHOW_SUBDIRS ); }
#line 9701 "configparser.cc"
    break;

  case 1208: /* $@541: %empty  */
#line 1646 "configparser.yy"
                                                          { std::dynamic_pointer_cast<PathJumpOp>(lconfig_fp1)->setDisplayMode( PathJumpOp::SHOW_DIRECT_SUBDIRS ); }
#line 9707 "configparser.cc"
    break;

  case 1210: /* $@542: %empty  */
#line 1647 "configparser.yy"
                                        { std::dynamic_pointer_cast<PathJumpOp>(lconfig_fp1)->setIncludeAllData( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 9713 "configparser.cc"
    break;

  case 1213: /* $@543: %empty  */
#line 1650 "configparser.yy"
                                              { lconfig_fp1 = std::make_shared<CommandMenuOp>(); }
#line 9719 "configparser.cc"
    break;

  case 1214: /* commandmenuop: COMMANDMENUOP_WCP LEFTBRACE_WCP $@543 commandmenuopbody RIGHTBRACE_WCP  */
#line 1651 "configparser.yy"
                                               { lconfig_listcom.push_back( lconfig_fp1 ); }
#line 9725 "configparser.cc"
    break;

  case 1215: /* $@544: %empty  */
#line 1653 "configparser.yy"
                                           { std::dynamic_pointer_cast<CommandMenuOp>(lconfig_fp1)->setShowRecentlyUsed( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 9731 "configparser.cc"
    break;

  case 1218: /* $@545: %empty  */
#line 1656 "configparser.yy"
                                                      { lconfig_fp1 = std::make_shared<ViewNewestFilesOp>(); }
#line 9737 "configparser.cc"
    break;

  case 1219: /* viewnewestfilesop: VIEWNEWESTFILESOP_WCP LEFTBRACE_WCP $@545 RIGHTBRACE_WCP  */
#line 1657 "configparser.yy"
                                 { lconfig_listcom.push_back( lconfig_fp1 ); }
#line 9743 "configparser.cc"
    break;

  case 1220: /* $@546: %empty  */
#line 1659 "configparser.yy"
                                            { lconfig_fp1 = std::make_shared<DirCompareOp>(); }
#line 9749 "configparser.cc"
    break;

  case 1221: /* dircompareop: DIRCOMPAREOP_WCP LEFTBRACE_WCP $@546 RIGHTBRACE_WCP  */
#line 1660 "configparser.yy"
                            { lconfig_listcom.push_back( lconfig_fp1 ); }
#line 9755 "configparser.cc"
    break;

  case 1222: /* $@547: %empty  */
#line 1662 "configparser.yy"
                                              { lconfig_fp1 = std::make_shared<TabProfilesOp>(); }
#line 9761 "configparser.cc"
    break;

  case 1223: /* tabprofilesop: TABPROFILESOP_WCP LEFTBRACE_WCP $@547 RIGHTBRACE_WCP  */
#line 1663 "configparser.yy"
                             { lconfig_listcom.push_back( lconfig_fp1 ); }
#line 9767 "configparser.cc"
    break;

  case 1224: /* $@548: %empty  */
#line 1665 "configparser.yy"
                                                { lconfig_fp1 = std::make_shared<ExternalVDirOp>(); }
#line 9773 "configparser.cc"
    break;

  case 1225: /* externalvdirop: EXTERNALVDIROP_WCP LEFTBRACE_WCP $@548 externalvdiropbody RIGHTBRACE_WCP  */
#line 1666 "configparser.yy"
                                                 { lconfig_listcom.push_back( lconfig_fp1 ); }
#line 9779 "configparser.cc"
    break;

  case 1226: /* $@549: %empty  */
#line 1668 "configparser.yy"
                                                     { std::dynamic_pointer_cast<ExternalVDirOp>(lconfig_fp1)->setCommandString( (yyvsp[-1].strptr) ); }
#line 9785 "configparser.cc"
    break;

  case 1229: /* $@550: %empty  */
#line 1671 "configparser.yy"
                                              { auto tfp = std::make_shared< ScriptOp >();
                                                tfp->setType( ScriptOp::SCRIPT_EVALCOMMAND );
                                                tfp->setCommandStr( "open_current_tab_menu" );
                                                lconfig_fp1 = tfp;
                                              }
#line 9795 "configparser.cc"
    break;

  case 1230: /* opentabmenuop: OPENTABMENUOP_WCP LEFTBRACE_WCP $@550 RIGHTBRACE_WCP  */
#line 1676 "configparser.yy"
                             { lconfig_listcom.push_back( lconfig_fp1 ); }
#line 9801 "configparser.cc"
    break;

  case 1231: /* $@551: %empty  */
#line 1678 "configparser.yy"
                                                    { dir_preset = directory_presets(); }
#line 9807 "configparser.cc"
    break;

  case 1232: /* $@552: %empty  */
#line 1679 "configparser.yy"
                                                 { dir_presets[path] = dir_preset;
                                                 }
#line 9814 "configparser.cc"
    break;

  case 1235: /* $@553: %empty  */
#line 1683 "configparser.yy"
                                          { path  = (yyvsp[-1].strptr); }
#line 9820 "configparser.cc"
    break;

  case 1237: /* $@554: %empty  */
#line 1684 "configparser.yy"
                                          { dir_preset.sortmode = SORT_NAME; }
#line 9826 "configparser.cc"
    break;

  case 1239: /* $@555: %empty  */
#line 1685 "configparser.yy"
                                          { dir_preset.sortmode = SORT_SIZE; }
#line 9832 "configparser.cc"
    break;

  case 1241: /* $@556: %empty  */
#line 1686 "configparser.yy"
                                             { dir_preset.sortmode = SORT_ACCTIME; }
#line 9838 "configparser.cc"
    break;

  case 1243: /* $@557: %empty  */
#line 1687 "configparser.yy"
                                             { dir_preset.sortmode = SORT_MODTIME; }
#line 9844 "configparser.cc"
    break;

  case 1245: /* $@558: %empty  */
#line 1688 "configparser.yy"
                                             { dir_preset.sortmode = SORT_CHGTIME; }
#line 9850 "configparser.cc"
    break;

  case 1247: /* $@559: %empty  */
#line 1689 "configparser.yy"
                                          { dir_preset.sortmode = SORT_TYPE; }
#line 9856 "configparser.cc"
    break;

  case 1249: /* $@560: %empty  */
#line 1690 "configparser.yy"
                                           { dir_preset.sortmode = SORT_OWNER; }
#line 9862 "configparser.cc"
    break;

  case 1251: /* $@561: %empty  */
#line 1691 "configparser.yy"
                                           { dir_preset.sortmode = SORT_INODE; }
#line 9868 "configparser.cc"
    break;

  case 1253: /* $@562: %empty  */
#line 1692 "configparser.yy"
                                           { dir_preset.sortmode = SORT_NLINK; }
#line 9874 "configparser.cc"
    break;

  case 1255: /* $@563: %empty  */
#line 1693 "configparser.yy"
                                                { dir_preset.sortmode = SORT_PERMISSION; }
#line 9880 "configparser.cc"
    break;

  case 1257: /* $@564: %empty  */
#line 1694 "configparser.yy"
                                               { dir_preset.sortmode |= SORT_REVERSE; }
#line 9886 "configparser.cc"
    break;

  case 1259: /* $@565: %empty  */
#line 1695 "configparser.yy"
                                               { dir_preset.sortmode |= SORT_DIRLAST; }
#line 9892 "configparser.cc"
    break;

  case 1261: /* $@566: %empty  */
#line 1696 "configparser.yy"
                                                { dir_preset.sortmode |= SORT_DIRMIXED; }
#line 9898 "configparser.cc"
    break;

  case 1263: /* $@567: %empty  */
#line 1697 "configparser.yy"
                                               { dir_preset.sortmode = SORT_EXTENSION; }
#line 9904 "configparser.cc"
    break;

  case 1265: /* $@568: %empty  */
#line 1698 "configparser.yy"
                                               { dir_preset.show_hidden = true; }
#line 9910 "configparser.cc"
    break;

  case 1267: /* $@569: %empty  */
#line 1699 "configparser.yy"
                                               { dir_preset.show_hidden = false; }
#line 9916 "configparser.cc"
    break;

  case 1269: /* $@570: %empty  */
#line 1700 "configparser.yy"
                                          { dir_preset_filter = NM_Filter(); }
#line 9922 "configparser.cc"
    break;

  case 1270: /* $@571: %empty  */
#line 1701 "configparser.yy"
                                                       { dir_preset.filters.push_back( dir_preset_filter ); }
#line 9928 "configparser.cc"
    break;

  case 1273: /* $@572: %empty  */
#line 1704 "configparser.yy"
                                                    { dir_preset_filter.setPattern( (yyvsp[-1].strptr) ); }
#line 9934 "configparser.cc"
    break;

  case 1275: /* $@573: %empty  */
#line 1705 "configparser.yy"
                                                  { dir_preset_filter.setCheck( NM_Filter::EXCLUDE ); }
#line 9940 "configparser.cc"
    break;

  case 1277: /* $@574: %empty  */
#line 1706 "configparser.yy"
                                                  { dir_preset_filter.setCheck( NM_Filter::INCLUDE ); }
#line 9946 "configparser.cc"
    break;

  case 1280: /* $@575: %empty  */
#line 1709 "configparser.yy"
                                { auto tfp = std::make_shared< HelpOp >();
                                  lconfig_fp1 = tfp;
                                }
#line 9954 "configparser.cc"
    break;

  case 1281: /* helpop: HELPOP_WCP LEFTBRACE_WCP $@575 RIGHTBRACE_WCP  */
#line 1712 "configparser.yy"
                      { lconfig_listcom.push_back( lconfig_fp1 ); }
#line 9960 "configparser.cc"
    break;


#line 9964 "configparser.cc"

      default: break;
    }
  /* User semantic actions sometimes alter yychar, and that requires
     that yytoken be updated with the new translation.  We take the
     approach of translating immediately before every use of yytoken.
     One alternative is translating here after every semantic action,
     but that translation would be missed if the semantic action invokes
     YYABORT, YYACCEPT, or YYERROR immediately after altering yychar or
     if it invokes YYBACKUP.  In the case of YYABORT or YYACCEPT, an
     incorrect destructor might then be invoked immediately.  In the
     case of YYERROR or YYBACKUP, subsequent parser actions might lead
     to an incorrect destructor call or verbose syntax error message
     before the lookahead is translated.  */
  YY_SYMBOL_PRINT ("-> $$ =", YY_CAST (yysymbol_kind_t, yyr1[yyn]), &yyval, &yyloc);

  YYPOPSTACK (yylen);
  yylen = 0;

  *++yyvsp = yyval;

  /* Now 'shift' the result of the reduction.  Determine what state
     that goes to, based on the state we popped back to and the rule
     number reduced by.  */
  {
    const int yylhs = yyr1[yyn] - YYNTOKENS;
    const int yyi = yypgoto[yylhs] + *yyssp;
    yystate = (0 <= yyi && yyi <= YYLAST && yycheck[yyi] == *yyssp
               ? yytable[yyi]
               : yydefgoto[yylhs]);
  }

  goto yynewstate;


/*--------------------------------------.
| yyerrlab -- here on detecting error.  |
`--------------------------------------*/
yyerrlab:
  /* Make sure we have latest lookahead translation.  See comments at
     user semantic actions for why this is necessary.  */
  yytoken = yychar == YYEMPTY ? YYSYMBOL_YYEMPTY : YYTRANSLATE (yychar);
  /* If not already recovering from an error, report this error.  */
  if (!yyerrstatus)
    {
      ++yynerrs;
      yyerror (YY_("syntax error"));
    }

  if (yyerrstatus == 3)
    {
      /* If just tried and failed to reuse lookahead token after an
         error, discard it.  */

      if (yychar <= YYEOF)
        {
          /* Return failure if at end of input.  */
          if (yychar == YYEOF)
            YYABORT;
        }
      else
        {
          yydestruct ("Error: discarding",
                      yytoken, &yylval);
          yychar = YYEMPTY;
        }
    }

  /* Else will try to reuse lookahead token after shifting the error
     token.  */
  goto yyerrlab1;


/*---------------------------------------------------.
| yyerrorlab -- error raised explicitly by YYERROR.  |
`---------------------------------------------------*/
yyerrorlab:
  /* Pacify compilers when the user code never invokes YYERROR and the
     label yyerrorlab therefore never appears in user code.  */
  if (0)
    YYERROR;

  /* Do not reclaim the symbols of the rule whose action triggered
     this YYERROR.  */
  YYPOPSTACK (yylen);
  yylen = 0;
  YY_STACK_PRINT (yyss, yyssp);
  yystate = *yyssp;
  goto yyerrlab1;


/*-------------------------------------------------------------.
| yyerrlab1 -- common code for both syntax error and YYERROR.  |
`-------------------------------------------------------------*/
yyerrlab1:
  yyerrstatus = 3;      /* Each real token shifted decrements this.  */

  /* Pop stack until we find a state that shifts the error token.  */
  for (;;)
    {
      yyn = yypact[yystate];
      if (!yypact_value_is_default (yyn))
        {
          yyn += YYSYMBOL_YYerror;
          if (0 <= yyn && yyn <= YYLAST && yycheck[yyn] == YYSYMBOL_YYerror)
            {
              yyn = yytable[yyn];
              if (0 < yyn)
                break;
            }
        }

      /* Pop the current state because it cannot handle the error token.  */
      if (yyssp == yyss)
        YYABORT;


      yydestruct ("Error: popping",
                  YY_ACCESSING_SYMBOL (yystate), yyvsp);
      YYPOPSTACK (1);
      yystate = *yyssp;
      YY_STACK_PRINT (yyss, yyssp);
    }

  YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
  *++yyvsp = yylval;
  YY_IGNORE_MAYBE_UNINITIALIZED_END


  /* Shift the error token.  */
  YY_SYMBOL_PRINT ("Shifting", YY_ACCESSING_SYMBOL (yyn), yyvsp, yylsp);

  yystate = yyn;
  goto yynewstate;


/*-------------------------------------.
| yyacceptlab -- YYACCEPT comes here.  |
`-------------------------------------*/
yyacceptlab:
  yyresult = 0;
  goto yyreturn;


/*-----------------------------------.
| yyabortlab -- YYABORT comes here.  |
`-----------------------------------*/
yyabortlab:
  yyresult = 1;
  goto yyreturn;


#if !defined yyoverflow
/*-------------------------------------------------.
| yyexhaustedlab -- memory exhaustion comes here.  |
`-------------------------------------------------*/
yyexhaustedlab:
  yyerror (YY_("memory exhausted"));
  yyresult = 2;
  goto yyreturn;
#endif


/*-------------------------------------------------------.
| yyreturn -- parsing is finished, clean up and return.  |
`-------------------------------------------------------*/
yyreturn:
  if (yychar != YYEMPTY)
    {
      /* Make sure we have latest lookahead translation.  See comments at
         user semantic actions for why this is necessary.  */
      yytoken = YYTRANSLATE (yychar);
      yydestruct ("Cleanup: discarding lookahead",
                  yytoken, &yylval);
    }
  /* Do not reclaim the symbols of the rule whose action triggered
     this YYABORT or YYACCEPT.  */
  YYPOPSTACK (yylen);
  YY_STACK_PRINT (yyss, yyssp);
  while (yyssp != yyss)
    {
      yydestruct ("Cleanup: popping",
                  YY_ACCESSING_SYMBOL (+*yyssp), yyvsp);
      YYPOPSTACK (1);
    }
#ifndef yyoverflow
  if (yyss != yyssa)
    YYSTACK_FREE (yyss);
#endif

  return yyresult;
}

#line 1714 "configparser.yy"

/**/
int yymyparse(void)
{
  int erg;

  lconfig_error[0] = '\0';
  lconfig_linenr = 0;
  erg = yyparse();
  /* free all strings found by the lexer
     we don't need them anymore */
  lexer_cleanup();
  return erg;
}

int yyerror( const char *s )
{
  lconfig_cleanup();
  /* the following isn't really needed because yyerror is called inside the parser
     which itselve was started with yymyparse which will call it again
     but it doesn't hurt...*/
  lexer_cleanup();
  snprintf( lconfig_error, sizeof( lconfig_error ), "%s", s );
  return 0;
}
